Welcome to Cool Edit Pro

Cool Edit Pro Logo

Version 2 Users Guide

Brought to you by Syntrillium Software Corporation
P.O. Box 62255, Phoenix, AZ 85082-2255, USA

URL: http://www.syntrillium.com

Main Office: (480) 941-4327
Sales and Technical Support: (480) 941-4327
Sales Fax: (480) 941-8170
Toll-free sales: (888) 941-7100 (US and Canada only)
Sales e-mail: prosales@syntrillium.com
Tech Support e-mail: prosupport@syntrillium.com

Welcome to Cool Edit Pro, the complete multitrack digital audio recorder, editor, and mixer for Windows 98, Windows ME, Windows 2000, and Windows XP. We hope you'll enjoy the most powerful version of Cool Edit ever. We’d like to take this opportunity to thank those who helped make this product happen by sending in comments and personal wish lists…you, the user!

We’re sure you'll find Cool Edit Pro so easy to use that you'll probably never need to open up this Help file...but should you need some explanation or assistance, you'll find it here. Feel free to use the information above to contact us or visit us on the Web if you don’t find what you’re looking for here.

So go ahead and get down to making some great sounds…and thanks for using Cool Edit Pro!

Syntrillium Software Corporation

This Help file is organized in the following manner:

Getting Started contains overview information about Cool Edit Pro and Syntrillium Software.

Navigating Cool Edit Pro is a tour of the program's interface.

Menu Reference details every slider, checkbox, and button available for all menu commands.

How To... has information about accomplishing a specific task.

Troubleshooting answers questions about common problems and other issues you may run into.

MIDI/SMPTE introduces these two concepts.

Appendix has additional information on topics such as sound formats and terms.

Things in the Help file to watch for:

Note icon | Noteworthy information about the program, and things in general.
Tip icon | Tips for getting the most out of Cool Edit Pro.
Alternate Method icon | Alternate methods of getting at features.

Click here for information on using Help

Cool Edit Pro™ is a full-featured digital audio editor, recorder, and mixer for Windows™ 98, Windows Me™, Windows 2000™, and Windows XP™.

Copyright ©2002-2003 Syntrillium Software Corporation.

Cool Edit Pro™ is a trademark of Syntrillium Software Corporation. Windows, Windows 98, Windows Me, Windows 2000, and Windows XP are trademarks or registered trademarks of Microsoft Corporation. All other products mentioned are trademarks or registered trademarks of their respective manufacturers.


Cool Edit Pro Quick Reference

Navigating the Edit View Screen

Navigating the Multitrack View Screen

Keyboard and Mouse Shortcuts

Edit View main screen

Multitrack View main screen

Multitrack Editing

Effects Functions

Settings and Options

Common Questions

MIDI Triggering

SMPTE Synchronization

Supported File Formats

Glossary


How to Use Cool Edit Pro Help

Welcome to Cool Edit Pro Help. The new version includes easier access to information along with an updated, user-friendly interface.

The HTML Help Tri-pane viewer contains three areas:

Toolbar

Navigation Pane

Viewer Pane

You can view content in the right-hand pane while simultaneously accessing navigation and search features in the left-hand pane. Buttons at the top of the screen provide access to additional features.

Additional features of interest in the Cool Edit Pro Help include:

Menu Reference

Glossary

Breadcrumbs and Conventions

Links and Related Topics

Printing Multiple Topics

Toolbar

The toolbar at the top of the screen controls what appears on the screen, and provides access to the following features:

Hide/Show - The Hide/Show button toggles the Navigation pane on and off. Click Hide to hide the Navigation pane, and click Show to display it.

Back - Click Back to cycle back through pages you have already viewed in this session.

Print - Click Print to print the current topic.

Options - Click Options to set user-definable options.

Glossary - Click Glossary for quick access to Cool Edit Pro's Glossary.

Return to Top

Navigation Pane

Displays the Table of Contents, the Index, or the Search function.

Contents - displays the Table of Contents.

Index - displays the Index.

Search - displays the Search function.

Favorites - displays user-defined favorite topics for easy access.

Return to Top

Viewer Pane

The right-hand pane displays the content of the Help system, one topic at a time.

Return to Top

Menu Reference

Cool Edit Pro Help contains a comprehensive Menu Reference for both Edit View and Multitrack View, containing help on Menus, menu items, and dialog boxes in Cool Edit Pro.

Return to Top

Glossary

On the toolbar, click Glossary button to open the Cool Edit Pro Glossary, a comprehensive list of Glossary definitions and terms used throughout Cool Edit Pro and the Help system.

Return to Top

Breadcrumbs and Conventions

When you encounter something that looks like File > Exit, this convention is shorthand for select the File menu and then choose the Exit menu item.

Breadcrumbs provide full path information to help you locate a menu item. Each menu item topic provides full path information so that you can quickly find a menu item.

If a menu item is available from both the Edit Waveview and the Multitrack menus, it looks like this:

If a menu item is available from the Edit View menu only, it looks like this:

Breadcrumb example for Edit Waveview menu items

If a menu item is available from the Multitrack View menu only, it looks like this:

Breadcrumb example for Multitrack menu items

Return to Top

Links and Related Topics

Throughout the Help system, you will find links and Related Topics. Click a link to open the topic in the Viewer pane. Related Topic links at the bottom of the topic look like this:

Related Topics example

Click on the text or the button to open the topic in the Viewer pane.

Note icon | The above "links" are not live. They are an illustration of what you see at the bottom of some topics.
Note icon | All links are underlined. Links you have not visited appear in blue; links you have visited appear in gray. To close a popup, click anywhere in the topic.

Return to Top

Printing Multiple Topics

  1. Right click a Book icon in the Navigation pane, and select Print from the shortcut menu.

  2. In the Print Topics dialog box, select Print the selected topic and all subtopics.

Note icon

To print the current topic in the viewer pane, click the Print button.

Return to Top


Cool Edit Pro Demo FAQ

Are there any limitations in the demo version?

Yes – but only a few. The Cool Edit Pro demo will let you use all features (including file saving) for 21 days, but will only save the first 60 seconds of .mp3 and .cel files, and won’t save mp3pro. In addition, a screen that reminds you that you’re using a demo version appears each time you start the program. (It will let you continue after a few seconds.)

After the initial 21-day trial period, the abilities to save files, and use the Windows Clipboard to copy audio produced in Cool Edit Pro into another program are turned off until you purchase the program.

Why is the program still acting like a demo version even though I paid for it?

If you purchased this version of Cool Edit Pro, you may need help unlocking the demo version to turn it into a fully-functional edition.

If you purchased a CD copy, but installed a downloaded version, you won’t have a fully-functional version. You must use the original CD to install the fully-functional version.

If Cool Edit Pro still behaves like a demo version after you’ve registered, click here for help.

I made a mistake when I first entered my registration info, but I now have the correct information. How do I enter it now?

  • In the case of the downloadable version of Cool Edit Pro, rerun the registration key (cep21reg.exe). It will allow you to re-enter your registration information.

  • If you have the CD version of Cool Edit Pro, just rerun the installation program.

If you aren’t sure, or you have continued problems, consult the registration help for information about retrieving serial numbers.


Purchasing Cool Edit Pro

To continue using Cool Edit Pro beyond the evaluation period, you will need to purchase the software and unlock it.

Purchase Methods

You can purchase Cool Edit Pro two ways:

On a CD

As a downloadable version which can be turned into a full edition through registration

More about...

Frequently Asked Questions about Purchasing and Unlocking Cool Edit Pro


Cool Edit Pro Overview

Cool Edit Pro is a power-packed digital sound editor for Windows-based PCs. Whether you need to record and modify a single .wav file, or want to have the tools to create the next number one hit song, Cool Edit Pro has you covered. And with great new features like built-in CD ripping, Cool Edit Pro is better than ever.

All of the functions required for taking an audio project from conception to completion are included in Cool Edit Pro. This means you don’t need third-party applications or “plug-ins” to get the job done. However, plug-in support is built-in so you can use any DirectX-compatible audio plug-in as easily as Cool Edit Pro’s native effects.

Cool Edit Pro allows you to record and mix up to 128 stereo tracks using any Windows-compatible sound card. Have more than one sound card? No problem! Cool Edit Pro supports multiple multi-channel sound cards.

After you’ve recorded your tracks, take advantage of Cool Edit Pro's set of powerful enhancing tools. Add natural-sounding reverb. Process your sound file’s dynamic range to give it more “oomph”. Adjust the timbre of the recording for just the right combination of highs and lows. Perform smooth-as-silk fades. Clean-up poor-sounding audio by removing clicks, pops, hum, and hiss. Stack your tracks on top of one another and arrange them with drag-and-drop ease.

When it comes time to mix your creation, you’ll appreciate Cool Edit Pro’s separate level, pan, mute, solo, and routing controls. It’s like having a high-priced mixing console inside your PC – without the high price!

Save your work in a variety of audio formats from industry-standard .wav, .au, and .aif files, to popular compressed formats like .mp3, mp3PRO, and wma.

Need to work with MIDI or video? Cool Edit Pro’s MIDI and SMPTE support makes for seamless synchronization of your digital audio tracks. Since Cool Edit Pro generates MIDI time code, it can be the master in a mixed audio/MIDI/video environment.

Most of all, Cool Edit Pro is just plain fun to use. Whether you’re using the program for the first time or are a long-time Cool Edit Pro 1.x user, we bet you won’t be using Cool Edit Pro too long before the word “cool” comes out of your mouth.

A Partial List of Cool Edit Pro’s Features:

  • Multitrack editing and mixing—up to 128 tracks!

  • Unmatched wave editing power

  • More than 40 DSP effects, mastering and analysis tools, and audio restoration features – including Echo, Reverb, Flanging, Chorusing, Compression, Limiting, Equalization, Noise Reduction, Click & Pop Reduction, Clip Restoration, and more

  • Real-Time effects and equalization that can be non-destructively applied to any track

  • The ability to organize tracks into busses

  • Support for more than a dozen distinct file formats (not including sub-formats) including MIDI and video files

  • Built-in CD ripping

  • Friendly, customizable interface, complete with dockable windows and customizable shortcut “hotkeys” for most functions

  • Powerful loop-based song creation, including session tempo and key matching.

  • Noise, Tone, and DTMF Tone generation

  • 32-bit sample resolution support and full 32-bit internal processing with support for 24-bit/192 kHz and higher

  • Scripting and Batch-Processing capability, including the ability to batch convert audio files between formats, sampling rates, and sampling frequencies

  • “Phrase” recognition (auto cue generation)

  • Cue and Play List support for multiple files and for segments within files

  • Scientific filters, text export capability, and file-statistics gathering functions for data analysis

  • Waveform and Spectral View options

  • Multitrack SMPTE/MTC Master, MIDI and video support

The combination of Cool Edit Pro and any Windows sound card puts the power of a complete digital recording studio at your fingertips.


What's New in Cool Edit Pro 2.1

  • Multichannel encoder with WMA and WAV 5.1 file output

With the new multichannel encoder, you can take any mix from Cool Edit Pro’s Multitrack View and pan the tracks and busses to create a surround sound mix. You can preview your surround mixes on any sound card that has a DirectSound multichannel driver, and export the mix as a single 5.1 WMA file, one interleaved 6-channel WAV file, or 6 individual mono wave files.

  • WMA 9 support

Cool Edit Pro’s WMA 9 features includes support for the format’s new capabilities, including encoding to either constant bitrate or variable bitrate, support for sample rates up to 96kHz and bit depths to 24-bit, data rates up to 440 kbps, lossless compression, and multichannel files.

  • Greatly improved Noise Reduction

The new Spectral Decay option makes possible much larger reductions in noise without adding unwanted artifacts.

  • Cart Chunk header editing

The Wave Properties dialog now includes the fields for creating and editing cart chunk data, commonly used for radio automation systems.

  • Additional hardware controller support

Cool Edit Pro now supports the Mackie Control, Tascam US-224, and Event EZbus. Hardware manufacturers can also write support for new controllers with the new Cool Edit Pro controller SDK.

  • Faster and more efficient background mix

New background mixing algorithms give Cool Edit Pro smoother performance, especially on slower machines.

  • Enhanced SMPTE/MTC master and slave accuracy

Cool Edit Pro’s sync to external SMPTE/MTC sources is even more accurate than before. It will now chase a source with better than ¼ frame accuracy.

  • Improved accuracy for automatic beat detection

The improved functionality in Edit->Auto Cue->Find Beats and Mark makes it easier than ever for you to add beat markers to your files. Beat markers are especially handy when used in loops. Cool Edit Pro can use the beat markers to tempo stretch loops far beyond the normal BPM changes that would normally cause artifacts.

  • New “hybrid” stretch method for loops

You can stretch loops in Cool Edit Pro using resample, time-scale, or beat splicing methods. Some loops sound best when the time scale method is used to lower their BPM, add the beat splicing method is used to raise their BPM. The new hybrid stretch method uses time-scale stretching when lowering the BPM and beat splicing when raising it, which greatly increases the stretching quality of those loops.

  • Master volume fader is now selectable pre or post bus

The placement option for the master fader gives greater mixing flexibility by allowing the master fader to either control the levels before they go through the busses and the bus effects, or to serve as an output level control at the end of the signal chain.

  • Ability to move tracks in multitrack by right clicking and dragging on track controls

Just right click in the track controls and drag up and down to reposition entire tracks in the multitrack view.

  • Faster response in VU meters and Frequency and Phase Analysis windows

All three of these analysis tools have much smoother updates in real time.

  • Spin mode for Phase Analysis

The Spin mode in Phase Analysis provides a new way to look at the phase relationships between your channels.

  • Additional drive support for CD extraction under Windows 2000 and XP

Cool Edit Pro supports more CD-ROM drives than ever for CD extraction under Windows 2000 and XP.

  • Greater support for 3rd party DirectX plug-ins

Cool Edit Pro supports more plug-ins, and also offers you the ability to enable or disable DirectX support in Cool Edit Pro.

  • Intelligent default sound card selection

Cool Edit Pro now selects its default sound card more intelligently, allowing you to get up and running even faster than before.

  • Multichannel WAV import and export

You can now import WAV files with more than 2 channels as a series of mono WAVs. This enables you to open a WAV file that contains a 5.1 surround mix, edit each of the wave files, and re-save the tracks as a multichannel wave file using the multichannel encoder.

  • Plus dozens of small performance enhancements and usability tweaks

Return to Top

What's New in Cool Edit Pro 2.0

Cool Edit has always been a great program, but we didn’t want to settle for merely being “great”. The hard-working programmers at Syntrillium have added a ton of new features, major enhancements, and usability tweaks that make this edition of Cool Edit Pro truly outstanding. If you’re a previous Cool Edit Pro user, you’ll want to read this chapter before you dive into the program.

New bullet Major New Stuff

Real-time Effects

Many of Cool Edit Pro’s Effects (which were called “Transforms” in previous versions of Cool Edit Pro) can be applied non-destructively to tracks in real time, instead of having to add them to the waveform in Edit View. Real-time Effects include all of the Delay effects, plus Dynamics Processing, Hard Limiting, Distortion, Convolution, Stretch, several Amplify and Filter effects, plus all DirectX effects.

Track Effects Racks

Now each track has its own virtual rack of real-time effects at your command. It’s simple to apply any and all of the effects you want to a track just by clicking on the new FX button in either of the three panes in the Track Controls part of the Multitrack View of the Session Display.

Busses

Just like many real-world mixing consoles, Cool Edit Pro now lets you group tracks into busses and add real-time effects to each bus. For instance, you can combine all of your background vocal tracks into one bus and then apply Full Reverb to the bus. Up to 26 busses are at your disposal.

Real-time EQ

Add non-destructive equalization to each track or bus using Cool Edit Pro’s new Real-time EQ controls, located in the Track Controls area of the Multitrack View’s Session Display.

CD Ripping

Importing a CD track into Cool Edit Pro is as easy as opening a .wav file – and we give you two ways to do it. Use File > Open to “rip” a .cda file from an audio compact disc, or use the new File >Extract Audio from CD dialog.

File Looping In Multitrack View

By popular demand, file looping is now possible in Cool Edit Pro’s Multitrack View, complete with session tempo and key matching.

Mixers Window

For those that would prefer an interface that mimics a real-life mixing console, Cool Edit Pro’s slick-looking Mixers window is a great alternative to our normal Session Display.

MIDI Playback Support

MIDI files may now be added to Multitrack View so that you can sing or play along to your favorite MIDI-based tracks.

Video Playback And Saving

Cool Edit Pro can extract the audio from many popular types of video files for editing. When you’re done making your changes, you can save the new audio back to the video.

SMPTE/MTC Master Capability

Cool Edit Pro no longer has to settle for being just a “slave” to SMPTE- and MTC-enabled devices – the program can now act as a time code master as well.

Return to Top

New bullet General

New Customizable Interface

Cool Edit Pro 1.x was pretty snazzy looking, but it doesn’t hold a candle to the slicker-looking interface of version 2. Not only is the program now drop-dead gorgeous, its interface is fully customizable, complete with dockable windows. This means, for example, that just because we put the Transport Controls window “down there” doesn’t mean you have to leave it there! You can rearrange many of Cool Edit Pro’s interface components to suit your taste or the needs of your project.

Organizer Window

One of our favorite new parts of the Cool Edit Pro 2 interface is the Organizer Window, which replaces the Waveforms List from version 1.x. It’s not visible by default, but we recommend you turn it on from Cool Edit Pro’s View menu or by hitting the Alt+9 key. The Organizer window features tabbed areas for keeping track of opened files, effects (both Cool Edit Pro’s and all of your system’s DirectX effects), and favorite settings – and of course, drag-and-drop is built in.

Gradient Level Meters

The solid red Level Meters in Cool Edit Pro 1.x were – how can we put it nicely – just “plain”. You won’t be able to say that about the more colorful Level Meters in Version 2, which start out as a soothing shade of green and smoothly transition to yellow and red as you move up the dB scale.

Group Waveform Normalize

If you’re planning to produce multiple cuts for a single CD or other entertainment medium, you’ll love Cool Edit Pro’s new Group Waveform Normalize feature. (You’ll find in on the Edit menu in both Edit and Multitrack Views.) Using a simple three-screen batch process, you can quickly normalize the volume of multiple waveforms to a consistent loudness

New Effects

We’ve added several new Effects (formerly called “Transforms”) to Cool Edit Pro’s already impressive arsenal of audio manipulation tools.

The Doppler Shifter effect can create the “fly by” sounds usually associated with cars racing by or airplanes flying overhead.

Use Dynamic Delay to change the amount of delay over the length of a waveform.

Dynamic EQ is similar to Dynamic Delay, except it lets you apply equalization dynamically to the waveform.

Adjust the phase of a waveform by adding control points to a graph with Cool Edit Pro’s Graphic Phase Shifter effect.

Stereo Field Rotate allows you to graphically adjust the stereo field of an audio file as it moves forward in time.

Improved Keyboard Shortcuts

Our Keyboard Shortcuts dialog has been completely redesigned and expanded. Now adding or changing a Cool Edit Pro PC or MIDI keyboard shortcut is easier than ever. Plus, you can create shortcuts to activate your DirectX plug-ins.

Faster Editing

If you like working with Cool Edit Pro’s Undo feature turned on, you’ll be delighted to know that you no longer have to wait for an “undo” to be created when you apply an effect.

Return to Top

New bullet Edit View

Wave Display Right-Click Menu

The Edit View’s Wave Display now has a right-click menu. However, if you prefer Cool Edit Pro 1.x’s way of using the right mouse button to extend the edges of selections, you can turn the menu off in Options > Settings by checking the “Right-click extend selection” box. Or, you can keep the right-click menu on and use the new shortcut of Shift+Left-click to extend selection edges.

Wave Properties

We’ve beefed up our View > Wave Properties dialog (formerly called “Wave Information”) to include room for much more data including a waveform’s looping info and support for EBU (European Broadcasting Union) extensions.

Phase Analysis

Joining the improved Frequency Analysis tool on Cool Edit Pro’s Analyze menu is the new Phase Analysis window. Now you can check those stereo waveforms to make sure they’re “in phase”.

Easier Batch Conversion

Cool Edit Pro’s new Batch File Convert dialog (you get to it from the Edit View’s File menu) makes it a cinch to convert multiple sound files from one format and/or sample type to another. (If you’d rather continue to use the Scripts & Batch Processing window for this, don’t worry – it’s still there on the Options menu.)

Return to Top

New bullet Multitrack View

More Tracks

We’ve doubled the number of tracks in Cool Edit Pro’s Multitrack View. Now you have access to up to 128 stereo tracks to master your next production or musical masterpiece.

More Envelopes

Along with the Pan and Volume Envelopes from Cool Edit Pro 1.x, we now have three more types of envelopes. Wet/Dry Envelopes give you total control over the amount of effects applied to a track, while FX Parameter Envelopes are used to govern the amount of dynamic effects (for example, Dynamic EQ and Dynamic Delay) used on a track. Also, MIDI blocks can have non-editable Tempo Envelopes displayed on them that matches their tempo map.

Block Edge Dragging

You can now drag the edges of waveform, MIDI, and video blocks to non-destructively trim the part of a block that gets played. This feature is especially handy when looping.

Multitrack Session Information

We’ve expanded the Multitrack Session Information window to include tempo and key information for looping.

Frequency Band Splitter

There’s a new “Multitrack only” effect in Cool Edit Pro 2. You can use the Frequency Band Splitter to take a selected waveform block (or a highlighted portion thereof) and make up to 8 copies of it, with each copy assuming a different frequency range of the original.

Built-in Metronome

Keeping time in Cool Edit Pro is a breeze with the new Metronome function, which, of course, is fully customizable. We’ve even included several sets of metronome sounds.

Vertical Portion Bar

The Vertical Portion Bar (which by default appears to the left of the Track Controls) not only lets you scroll through the number of tracks visible in the Session Window, but allows you to zoom in and out on those tracks with ease. This lets you display just one track, a few tracks, or as many tracks as your screen resolution supports.

US-428 Support

Cool Edit Pro now supports the US-428, a hardware control unit from Tascam that’s also a USB sound card.

Return to Top

New bullet Changes

Envelope Editing

Can’t make the Volume or Pan envelopes work like exactly like they did in Cool Edit Pro 1.x? Their behavior is slightly different in version 2. In order to get the points to appear on envelopes, make sure you first click on the wave block to give it focus; then you can edit the envelope points. (This behavior was changed to make it harder to accidentally click and create or move envelope points.)

Multitrack Insertion

Right-clicking in the Multitrack View’s Session Window and choosing the “Insert” item from the menu no longer produces a direct list of all open waveforms. Instead, there’s an item called “Existing File/Cue” which, when clicked, pops open a floating “Insert Into Multitrack” window. This small window lists the open waveforms and allows you to drag them to the desired track(s). If the waveform’s name has a plus sign next to it, this designates that it includes cues. Click on the plus sign to expand the file to see all the cue ranges, which can then be added directly.

Multitrack View Master Volume

In Cool Edit Pro 1.x, a master volume control appeared at the top of the Multitrack View’s Session Display. If you want to control a session’s master volume in Cool Edit Pro 2, you’ll need to use the new Mixers window. To activate it, go the Multitrack View’s View Menu and click “Show Mixers Window”. Docking the Mixers window to any of the side docking points (such as just to the right of the Session Display) will cause only the master volume slider to appear by default.

Splice/Split

The “Splice” function in the Multitrack View is now called “Split”.

Return to Top


Cool Edit Pro's Working Philosophy

To get the most out of Cool Edit Pro, you should be familiar with some of its general operating concepts. The following information should help you to understand Cool Edit Pro’s working model in a few key areas.

Use of files

Being a software-based audio system, Cool Edit Pro deals with audio in a digital form, meaning that an analog waveform (such as your voice saying “hello”) is converted, or sampled, into a binary representation. This sampled waveform then exists as a waveform on your computer’s hard drive. When you put together a song or audio presentation in Cool Edit Pro, waveforms are your building blocks, much as text files are your building blocks when you use a word processor to compose a book.

One key point is the way in which an audio program operates on a waveform. There are two kinds of computer-based audio editing: destructive and non-destructive.

  • Destructive editing simply means that edits (cutting, pasting, adding reverb, etc.) are applied directly to the waveform, so that the original audio data changes.

  • Non-destructive editing implies that the file on disk is not actually altered; instead, each “edit” is stored as an instruction to be applied to the file. For example, in destructive editing, a change in audio volume would actually alter the amplitude of a waveform, whereas in non-destructive editing, the volume change would consist of commands that essentially instruct the program to “get louder at this point”.

Cool Edit Pro employs both destructive and non-destructive editing methods. However, in Cool Edit Pro, even “destructive” edits aren’t applied directly to the waveform in use until you save the file. In essence, Cool Edit Pro uses “delayed destructive editing”.

When you open a waveform in Cool Edit Pro, it places a copy of the file in a temporary folder, and it uses that copy for editing. The original file remains unaltered until you choose to save any changes you’ve made (by choosing “Save” from the File menu, for example). When you save your changes, Cool Edit Pro overwrites the original file with what you’ve done to the copy. Therefore, destructive edits in Cool Edit Pro don’t directly affect your original waveform when you perform them.

  • Edits performed in Cool Edit Pro’s Edit View like cutting, pasting, and applying effects (such as Reverb or Limiting) are destructive in nature, so when you save your file again, those edits are applied to the waveform itself.

  • Edits made in the Multitrack View, such as a cut, split, or volume change, are non-destructive. The use of real-time effects in Multitrack View is non-destructive as well.

This same model of delayed destructive editing also enables Cool Edit Pro to offer multiple levels of Undo. When you apply destructive edits to (the copy of a) waveform, Cool Edit Pro retains a copy of the file as it exists before the edit. It does this for each edit you perform, enabling you to travel back through your edits to previous states of the waveform.

Multiple Undo gives you tremendous freedom in working on waveforms without having to worry about “destructiveness” in the least. However, it also requires additional hard drive space to store these copies. (Copies are automatically deleted from your hard drive when you close a file or exit the program.) You can disable the Undo feature if your disk space runs too low.

Real time preview

Cool Edit Pro offers real time preview for many of its effects. This means that you can monitor the processed signal before applying the effect to the waveform. (Remember: the effect is actually applied to a copy of the waveform, and can be freely undone.) The preview feature updates in real time, meaning that changes you make to effect parameters while in the dialog for that effect become audible immediately, while the audio is playing. Keep in mind, however, that your system’s performance affects the preview feature. On slower systems, some effects may tend to break up or skip during preview.

Multitrack

Cool Edit Pro’s multitrack environment enables you to place a multitude of waveforms, MIDI files, and video soundtracks into different tracks for simultaneous playback and mixdown. No matter which type of audio you use, each sound instance in Cool Edit Pro’s Multitrack View is referred to as a “block”.

The mixing process involves combining the audio of all of the placed blocks into two (or more) channels for output. Because you can edit, add, and subtract blocks in the multitrack environment, Cool Edit Pro must constantly watch for changes to the multitrack session, such as a moved or deleted sound file, a volume change, or new material recorded into a track. When something is altered, Cool Edit Pro must immediately work that change into the mixed output, and it does so through background mixing.

Background mixing occurs behind the scenes and is generally very fast. The faster your system – especially your CPU and hard drive(s) – the faster Cool Edit Pro can mix in the background.

The Mix Gauge at the bottom of the Track Controls in the Multitrack View shows how far along Cool Edit Pro is in the process of mixing your session. The meter goes from “empty” to “full” as it mixes the session, and it turns a bright color when the entire session is fully mixed. You can think of this meter as a “ready” indicator. However, you need not wait for the meter to reach completion entirely before beginning playback. As stated above, Cool Edit Pro continuously mixes, and will continue to do so while playing, so you can safely begin playback when the Mix Gauge meter is about halfway up.

In general, if the background mix is not sufficiently completed, you’ll hear a break-up or skipping when playing back the mix. If that happens, just wait a few seconds—Cool Edit Pro will usually “catch up” very quickly, and you can begin playing again.

Playback can be directed to a pair of outputs (as in a single stereo sound card) or to multiple outputs (as in multiple stereo sound cards, or a single card with multiple outputs). Cool Edit Pro produces a mix for each set of outputs used. If you’re using one stereo sound card, Cool Edit Pro generates just one mix, but if you have multiple outputs, it must create a separate mix for each output device (typically a stereo pair). The additional mixing required for multiple outputs demands more processing power and therefore tends to slow down the mixing process.

Session Files

In addition to waveforms, MIDI files, and video soundtracks, Cool Edit Pro also makes use of a type of file called a session file. Session files (.ses) are very small in size and simply contain the details of your Cool Edit Pro multitrack session, as in what audio and video files are used and where, the volume and pan levels, the names of the tracks, what real-time effects are used, etc. With this in mind, you cannot simply copy a session file to a floppy disk and have a friend open it up and play it.

For example, if you create a session with a file called C:\Music\hihat.wav, and later use another program (like Explorer) to move hihat.wav to a new folder called C:\Music\Drums, Cool Edit Pro won’t know that you moved the file the next time you load the session. Try to keep this in mind as you manage your audio elements and session files so that you don’t end up losing tracks or objects inside your sessions.

If you want to move an entire session file and all of its embedded audio elements to a new folder, you can use File > Save Session As in Multitrack View and check the box labeled “Save copies of all associated files” in the “Save Multitrack Session As” dialog.


Getting to Know Cool Edit Pro and its Main Screens

Cool Edit Pro can be considered as being two major audio programs in one. It’s a powerful single-waveform editor that can be used to play, record, modify, and process mono and stereo waveforms. Cool Edit Pro can also digitally record and mix numerous audio files (using up to 128 tracks) to either a single sound card or multiple sound cards, while providing for real-time effects and level/pan mix adjustments in a non-destructive editing environment.

This section is meant to be a brief introduction to the various navigation and functional controls of this deceptively simple—yet-powerful—program. Here we’ll concentrate on the major interface elements that are common between Cool Edit Pro’s two major work areas: Edit View and Multitrack View. Parts of the program that are more specific to either area will be covered in other sections.

Tip icon

Cool Edit Pro makes liberal use of your mouse’s right button. Whenever you see a simple function button, control, window, or waveform action, try right-clicking on it. Chances are that you’ll be surprised by a useful shortcut menu or a set of handy options that can make Cool Edit Pro’s operation even easier.

More about...

Cool Edit Pro's Two Main Views

Switching from Edit View to Multitrack View

Switching from Multitrack View to Edit View

Dockable Windows

Placekeepers

Drop-down Menus

Toolbars

Organizer Window

Wave Display/Session Display

Presets

Graph Controls

Transport Buttons

Level Meters

Zoom Buttons

Time Window

Sel/View Controls

Status Bar


Multitrack Editing 2

Multitrack Editing

Before you dive into creating multiple-track mixes with Cool Edit Pro, it may be beneficial to familiarize yourself with some of the more important elements you’ll encounter when doing so.

On a general level, multitrack editing can be broken down into a few key areas: getting audio into the mixing environment, arranging your audio in tracks, setting volume and pan levels, and optionally adding real-time effects. The final step, when you’re happy with the way things sound, is to perform a mixdown, creating a single stereo waveform which encompasses all the elements of your mix.

Some important notes for optimizing multitack performance.

Cool Edit Pro's interface for multitrack editing is the referred to as the Multitrack View.

Getting audio into the multitrack environment

Organizer Window

Insert Menu

Recording in the multitrack environment

Multitrack editing techniques

Looping

Loop Creation

Loop Use in Sessions

Punch In

Multiple Takes

Split

Snapping

Volume and Pan control

Track Volume Control

Track Pan Control

Envelope Editing

Show Pan Envelopes

Show Volume Envelopes

Show Wet/Dry Mix Envelopes

Show FX Parameter Envelopes

Other important elements

Mix Gauge

Track Control

Terms

Image

Mixing

Session

Waveform Block

Destructive Editing

Non-destructive Editing

Notes and important shortcuts

Notes on the background mixing process

Optimizing multitrack performance

Multitrack recording and full-duplex

Important Shortcuts


The Cool Edit Pro Bus Is Coming Down The (Multi)Tracks In Real-Time

Cool Edit Pro gives you the ability to organize multiple tracks into busses, which is especially useful for adding one or more real-time effects to and/or adjusting the gain for a common group of tracks.

What’s A Bus?

The dictionary states that, electronically speaking, a bus is “an electrical conductor that makes a common connection between several circuits”. In the case of Cool Edit Pro’s Multitrack View, a bus lets you make a common connection between several tracks. Sometimes it’s more convenient to group two or more tracks together into a bus in order to apply real-time effects or give the tracks the same volume, pan, and equalization properties.

Let’s say you’re recording a song that has four tracks of background vocals. You want to apply a bit of compression to those tracks to give them a more punchy sound, plus add some reverb. Instead of processing each track separately (which might have a significant drain on your computer’s processing speed), you can add the four tracks to their own bus and then apply the reverb to the bus. Up to 26 buses may be created.

Assigning Tracks To A Bus

What’s A Real-Time Effect?

Assigning A Real-Time Effect To A Track

There are several ways to add a Real-Time Effect to a track, but here are the two most common. For simplicity’s sake, we’ll assume that this is the first time you’ve applied an effect to a track.

The Organizer Window Way

The Track Controls Way

Do Appearances Matter?

When you work with Real-Time Effects in Multitrack View, you’ll notice that the look of their dialogs is a little different from the way they appear in Edit View. They take on the visual characteristics of the main Cool Edit Pro interface, as opposed to the more traditional Windows look.

Functionally, the Real-Time effects are the same as their Edit View versions. Almost always they match up control for control with their non-real-time counterparts in the Edit view. In fact, most of the time the control layout is even the same.

However, there are two notable exceptions:

  • The Stretch effect only does pitch shifting in real time as a track effect, not tempo stretching.

  • The Dynamic EQ, Dynamic Delay, and Pan/Expand effects have their envelopes directly on the wave blocks instead of having separate controls to draw the envelopes on.


Contacting Syntrillium Software

If you have any comments, or a question to which you cannot find an answer in our documentation, please feel free to contact us. Syntrillium Software can be reached during the hours of 9 A.M. - 4 P.M. MST or by Fax or e-mail at any time. Our Web site is also available at any time for the latest information and updates, and for technical support. We have at our disposal all of the popular communication technologies of the day:

  • Phone 9 A.M. - 4 P.M. (Arizona time)

+1 (480) 941 - 4327

(Note that Mountain Standard Time is the same as Pacific Daylight Time during the summer months.)

  • E-mail

General: cepro@syntrillium.com

Technical support: prosupport@syntrillium.com

  • Fax

+1 (480) 941-8170

  • Web

http://www.syntrillium.com

More about...

Technical Support


Navigating the Edit View Screen

Edit View is one of Cool Edit Pro’s two major workspaces (Multitrack View is the other). Use Edit View to record, play, convert, and edit single waveforms…and lots more. A wealth of effects are at your disposal, from delay effects like echoes and reverbs, to advanced functions such as noise reduction and dynamics processing.

Most of this section will concentrate on the largest portion of the Edit View: the Wave Display. The Wave Display is the area where waveforms are visualized and modified.

Note icon

Interface components that are common to both Edit View and Multitrack View (such as the Level Meters and the Transport Controls) are documented in Getting to Know Cool Edit Pro and its Main Screens. while all of the items referenced on the Edit View’s drop-down menus are explained in the Edit View Menu Reference.

The following is a typical layout for Cool Edit Pro’s Edit View Screen:

A typical Edit View screen with the Organizer Window open

A typical Edit View screen with the Organizer Window open

More about...

Stereo vs. Mono

Mousing Around The Wave Display

Waveform View/Spectral View

Horizontal Portion Bar

Horizontal Ruler

Vertical Ruler

Recording with Cool Edit Pro in Edit View

Wave Display Right-Click Menu

Edit Sample Directly


Navigating the Multitrack View Screen

Multitrack View is one of Cool Edit Pro’s two major workspaces. (Edit View is the other.) Use Multitrack View to record, assemble, mix, and play your audio creations using up to 128 tracks. Add real-time effects such as equalization, reverb, and dynamics processing. Precisely adjust the desired volume, pan, and effects levels for each track.

In this section we’ll introduce you to Cool Edit Pro’s concepts of images, blocks, and sessions. We’ll tell you about the basic mouse movements that are crucial to navigation. Plus, we’ll document the interface elements that are specific to the Multitrack View: the Track Controls, the Session Display, Track Context menu, and the Block Context menu.

Note icon

Interface components that are common to both Edit View and Multitrack View (such as the Level Meters and the Transport Controls) are documented in Getting to Know Cool Edit Pro and its Main Screens section, while all of the items referenced on the Multitrack View’s drop-down menus are explained in the Edit View Menu Reference.

The following is a typical layout for Cool Edit Pro’s Multitrack View Screen:

Multitrack View

More about...

About Images

About Blocks

About Session Files

Mousing Around The Session Display

Inserting Existing Audio Into Your Session

Recording New Audio Into Your Session

Track Controls

Session Display

Track Context Menu

Block Context Menu


Edit Waveform View Menu Reference

Menu Reference Banner

Click on a menu above for Help.

Edit View menus

File - Use the commands on the File Menu to open, save, and close waveforms; import audio from video files; perform batch conversions; access recently-used waveforms; and more.

Edit - The Edit Menu displays all of the options that have to do with basic waveform editing in the Edit View mode.

View - The View Menu displays options that relate to changing the display or viewable area when you’re in the Edit View Mode. For many of the items, a checkmark is shown next to their menu entries to designate that they’re active.

Effects - The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Generate - The Generate menu displays all the options that relate to waveform generation when you’re in the Edit View mode.

Analyze - The Analyze menu contains functions that give you information about the file or selection being displayed when in the Edit View mode.

Favorites - The Favorites menu allows you to create, customize, and save your favorite Cool Edit Pro effects, scripts, and even third-party tools (the latter using command line executables). All of the favorites you create appear on this menu. You can also categorize the menu items into hierarchical submenus for easy organization.

Options - The Options menu gives you access to Cool Edit Pro’s configuration options, system settings, batch-processing functions, and more.

Window - When you’re working in Edit View mode, the Window menu gives you a simple way to switch between open files.

Help - Use this menu to access Cool Edit Pro’s built-in and Web-based help.


Multitrack View Menu Reference

Menu Reference Banner

Click on a menu above for Help.

Multitrack View menus

File - The File menu in the Multitrack View offers functions relating to opening, saving, and otherwise manipulating session files.

Edit - The Edit Menu contains the options for editing waveform blocks in Cool Edit Pro’s Multitrack View.

View - The View Menu displays options that relate to change the display or viewable area when in the Multitrack View mode.

Insert - Use the Insert Menu to import wave files, MIDI files, video files, and audio from video files into Cool Edit Pro’s Multitrack View. Both active files (those already opened in Edit View) and inactive (not already opened) files may be easily inserted.

Effects - This menu contains all of Cool Edit Pro’s “exclusively multitrack” effects.

Options - The Options menu contains commands for customizing Cool Edit Pro’s settings for the Multitrack View.

Help - Use this menu to access Cool Edit Pro’s built-in and Web-based help.


To add ambiance to a mono signal

You can add ambiance and spatial location to a mono waveform or a stereo waveform with identical audio on both channels by using the Cool Edit Pro Echo Chamber effect. This allows you to simulate the positioning of a sound source and “microphones” within a virtual room:

  1. If the waveform is a single channel mono file, use the Edit View’s Edit > Convert Sample Type command to change the waveform into a stereo (two channel) file. If the waveform is already a two channel file, skip this step.

    2. Tip icon

    Press the F11 key to quickly access the Convert Sample Type window.

  2. Bring up Cool Edit Pro’s Echo Chamber effect. (You’ll find this effect under the Effects > Delay Effects menu in Edit View; in a track’s Effects Rack in Multitrack View; and in the Effects tab of the Organizer Window in both Edit and Multitrack Views.)

  3. Fill in the desired Room Size, Damping Factors, and other variables for your virtual room.

  4. Choose a “left” microphone placement that is one or two feet away from the “right” microphone. This will simulate a listener’s ears and will give the effect of “being there”. (Try monitoring this with headphones for best effect.)

    5. Tip icon

    A spatial, stereo expansion effect can be created by placing the location settings of the two virtual microphones settings much further apart than if you were playing them through speakers in real life. For example, if your stereo speakers are 6 feet apart, make sure that there’s at least a 20 to 30 foot difference between the Left and Right “Dx From Left Wall”, “Dx From Back Wall”, and/or “Dx Above Floor” settings. This will give the affected audio a more expanded spatial sound.

  5. If desired, press Preview to audition the effect before actually applying it.

  6. Click on the OK button to apply the effect to the waveform or track.


To adjust record and playback levels

Cool Edit Pro doesn’t control your sound card’s record (input gain) and playback (output volume) levels directly. However, you can adjust these levels with the mixer application that came with your sound card or with the mixer built into Windows. You may need to do this if your recordings are too quiet (which adds unwanted noise), too loud (which leads to clipped, distorted sound), or if you can’t hear them when you play them in Cool Edit Pro.

Here’s how to adjust levels with the Windows Volume Control (a.k.a. Mixer) applet:

  1. Find the icon for Volume Control in the Programs section of the Windows Start Menu. (In many systems you can double-click on the speaker icon in the system tray to access the “full” Volume Control applet, which somewhat resembles a small mixing board with vertical sliders.).

  2. To adjust your sound card’s playback (output) level, turn up the Master and the Wave sliders on the Windows mixer to the desired volume. Make sure the “Mute” box underneath the Wave slider is not checked.

  3. To adjust your sound card’s record (input) level, select Properties from the Options menu in the Windows mixer. From the Properties screen that appears, click on the Recording button in the “Adjust volume for...” box and press the OK button. Be sure that the “Select” box is checked for the input source you want to use (such as CD Audio, Line-In, Microphone, etc.) and adjust the appropriate slider to the desired input level.

Tip icon | You can quickly access the Record section of the Windows mixer by selecting Windows Recording Mixer… from Cool Edit Pro’s Options menu in either Edit View or Multitrack View.
Note icon | The Record (input) and Play (output) levels are separate settings. The former controls the input level of the audio source, while the latter controls the volume of the sound going to your speakers.
Tip icon | To get the best sounding results, you should record audio as loud as possible without clipping. Try to keep the loudest point somewhere between -2dB and 0dB when setting the recording levels on your sound board’s mixer. You can monitor this level in Cool Edit Pro by choosing Monitor Record Level from the Options menu in either Edit View or Multitrack View or by pressing the F10 key.


To assign record and playback devices to tracks

You can separately assign the Inputs and Outputs used for each track in the Multitrack environment. With multiple Ins/Outs (more than one sound card or multiple track cards), you will need to first define a device order. To do this, select Options > Device Order in the Multitrack View. Click on the Playback Devices or Recording Devices tabs, and by clicking on the Use >>, Move Up, and Move Down buttons, assign the desired devices and their order. Once a device order has been set, you can choose among the devices for each track in one of these ways:

  1. Click on the device selection buttons (labeled Out 1 and Rec 1 by default) in the Track Controls area:

    2. Device buttons

    The device buttons in the Track Console area bring up the Recording and Playback Device windows. From there you can choose a device or access the Device List. The Same for All Tracks checkbox allows you to quickly assign the same device to all tracks in the session.

    The device buttons in the Track Controls area bring up the Recording and Playback Device windows. From there you can choose a device or access the Device List. Check the “Same for All Tracks” box to quickly assign the same device to all tracks in the session.

  2. Choose from the drop-down menus in the Track Properties window. To access the Track Properties window, right-click on an empty space in the Track Controls area, or right click on an empty space in a track and select “Track Properties…” from the pop-up menu.

  3. Right-click in an empty area in the track and choose “Recording Device…” or “Playback Device…” from the pop-up menu.

    4. In addition, you can choose playback devices using buttons (which are labeled Out 1 by default) in the Cool Edit Pro Tracks Mixer and Bus Mixer.


To Batch Process files

To process a number of files at once (or a batch of files), use Cool Edit Pro’s scripting feature. The script used to Batch Process needs to be one that was recorded in the works on the current wave mode (see How To Create a Script for more).

  1. Open a file and be sure there is no selection made. This simply enables the type of script to use; it need not be part of the batch of files to process.

  2. In Edit View, choose Scripts & Batch Processing... from the Options menu.

  3. Select the script from the Scripts List on the left and choose the Batch Run button. Note: if the button is not enabled for the particular script, the script was not recorded in the correct mode, see Batch Processing.

  4. You will be presented with the Batch Process dialog. Select the files to add to the Batch by pressing the Add Files button. Select a destination folder (Browse) and a file format that the processed files will be saved in (Output Format).

    5. You will be presented with the Batch Process dialog. Select the files to add to the Batch by pressing the Add Files button. Select a destination folder (Browse) and a file format that the processed files will be saved in (Output Format).

  5. Press Begin Processing to enact the script on the Source Files.

More about...

Batch Processing

Batch converting between file formats


To capture a loop

You can use Cool Edit Pro’s Cue List in Edit View with the Find Beats and Zero Crossings commands to capture the perfect loop:

  1. After opening the desired waveform and displaying the Cue List (View > Cue List), find the loop’s starting and ending points with the Edit > Find Beats > Find Next Beat (Left) and Edit > Find Beats > Find Next Beat (Right) commands.

  2. With your loop selected, use Edit > Zero Crossings > Adjust Left Side to Left to place the left edge at a zero point.

  3. With your loop selected use Edit > Zero Crossings > Adjust Right Side to Right to place the right edge at a zero point.

  4. In the Cue List, click the Add button.

Your loop transition is now completely smooth with both beginning and end points at zero.


To create non-destructive arrangements using the Play List

The Cue and Play Lists can be used to non-destructively rearrange portions of a wave file for playback. Here’s how:

  1. Open the Cue List by choosing it from the View menu of by pressing Alt+8.

  2. Add selections to the Cue List by highlighting an area of the waveform and clicking the Add button in the Cue List window, or by pressing the F8 key. You must highlight an area or the cues won’t insert into the Play List.

  3. Open the Play List by choosing it from the View menu.

  4. Add selections from the Cue List into the Play List by clicking on the name of the cue in the Cue List, and then pressing Insert Cue(s) in the Play List window.

The Play List will playback from a selected entry down to the last entry. If you want to hear the whole list, select the first entry, and then click Play. Selecting [End] and hitting Play will give you the same results.

Should you want to only hear the list from the third entry to the last entry, select the third entry, then hit Play.

More about...

Play List

Cue List


To create a script

There are three types of scripts in Cool Edit Pro: scripts that start from scratch; scripts that work on the currently open waveform; and scripts that work just on a highlighted selection. The type of script created depends upon the of state of Cool Edit Pro when you initiate the script recording.

To record a script:

  1. First, match your current state with that of the target for the script. For example, if you wish a script that starts from scratch, then close all open waveforms.

  2. In Cool Edit Pro’s Edit View, choose Options > Scripts & Batch Processing.

  3. Click in the “Title” field and enter a name for your script. The Record button will become enabled.

  4. Press Record. You’ll be returned to Cool Edit Pro’s main screen where your actions will be recorded. Perform the edits that you wish to be part of the script. (If you make a mistake, return to Scripts & Batch Processing, press Stop Current Script, then Clear, and start over.)

  5. Once you’ve finished performing the edits for the script, return to Options > Scripts & Batch Processing and press Stop Current Script. Add any description you wish for the script into the text area at the bottom, and press << Add to Collection <<.

Your script will now appear in the Scripts List at the left. To use it, you’ll need to meet the requirement for the script (have a highlighted selection for scripts the work on a highlighted selection, for example) before it will become available. Then it’s simply a matter of choosing it from the List and pressing Run Script.

More about...

Scripts

Batch Processing


To create non-destructive effects within the multitrack environment

To use non-real-time effects nondestructively in Multitrack View

Many of Cool Edit Pro’s effects, like Full Reverb and Hard Limiting, can be used real-time in Multitrack View. However, if you want to add multiple non-real-time effects (a.k.a. Off-Line Effects), or your system lacks the power to smoothly use real-time effects, here’s how to do it non-destructively in Multitrack View.

  1. In Multitrack View, create a copy of the waveform by right-clicking on its block and choosing “Convert to Unique Copy”. Or, save the waveform under a new name using File > Save As in Edit View.

  2. Once a copy of the original file has been made, add any processing or effect you like to it. For effects that have wet/dry balancing, set them to 100%, or close to 100% wet, so the result is primarily effect. (The original waveform that you copied will provide the dry element.)

  3. Insert the processed copy into the multitrack environment, placing it adjacent to the original, in a different track. This way Cool Edit Pro will simultaneously play back the original file and the effected one.

You can then vary the effected waveform’s (and the original’s) volume and pan envelopes to bring the wet/dry ratio in and out, or pan right and left. Repeat this operation for other effects to have separate control over a number of effects (one for flange, one for reverb, etc.).


To use the Loop Duplicate function to create time delay effects

Cool time delay effects can be created with an existing sound file using the Multitrack View’s Edit > Loop Duplicate function.

  1. Start by placing the source waveform into the Multitrack View. Once entered, shift-right click on the waveform and drag it to make an Image.

  2. The Image should be placed onto a new track (such in below the existing track) Next, shift the Image in time, to the right of the original; small amounts to create phase shifts (small time offset), larger amounts to create delays (15-50 ms offsets) or echoes (50 ms or greater offsets). Repeat this any number of times, shifting each Image slightly more to the right. You can even create in tempo delays by changing the Display Time Format (View > Display Time Format) to Bars and Beats and use the Snapping function (Edit > Snapping) to “Snap To Ruler” locations, placing the delayed Images at every beat, for example.

  3. Try reducing the volume levels slightly for each Image, to soften the echoes. (Also, the combined waveforms will increase the track’s overall level in the mix and could cause clipping.) You can also create both Pan and Volume envelopes for each Image for truly dynamic delay effects that change over time.


To convert between file formats

To convert a single file from one format to another, use File > Open in Edit View to load the file, then select File > Save As to save the file and specify your new target format in the Save as Type field.

If you need to convert multiple files from one format (like .wav) to another (like .mp3), use Cool Edit Pro’s friendly Batch File Convert tool. Here’s how to do it:

  1. In Edit View, choose File > Batch File Convert.

  2. In the Files tab, click on the Add Files… button to browse for the files you wish to convert.

  3. In the Resample tab, decide if you wish to convert the sample type.

  4. Choose the files’ new format in the New Format tab.

  5. Select the destination folder and file renaming scheme in the Destination tab.

  6. Press Run Batch to start the conversion process.

More about...

Batch Processing


Mono to stereo conversion

To do mono to stereo conversion

The quickest way to turn a mono waveform into a stereo one (albeit, one with identical audio on both channels) is through the Edit > Convert Sample Type dialog. (F11 is the keyboard shortcut.) However, there are other methods that work as well.

You can copy the waveform at its current volume directly into one channel or the other

  1. Copy the waveform in question to the clipboard by highlighting it and choosing Edit > Copy (or press Ctrl+C).

  2. Use File > New (or Ctrl+N) to create a new, empty stereo waveform with the same frequency and bitrate as the mono waveform.

  3. Go to the stereo target file you’ve created and press Ctrl+L to enable only the left channel for editing (or Ctrl+R for the right channel), and paste the waveform with Edit > Paste (or Ctrl+V). It will be pasted into the active channel.

If you wish to place separate waveforms on each channel of a stereo file and mix them at different volume levels, you can use the Edit > Mix Paste function:

  1. Choose File > New (or Ctrl+N) to create a new stereo wave file.

  2. Open the mono waveform you wish to place on the left channel.

  3. Highlight the section you wish to place on the left channel, and choose Edit > Copy (or Ctrl+C).

  4. Switch to the blank stereo waveform by using the Window menu or the Organizer window and choose Edit > Mix Paste (or Ctrl+Shift+V).

  5. Make sure Overlap is selected, Lock L/R is unchecked, and the left volume is 100% while the right volume is at 0%.

  6. To do the right channel, copy the section as you did for the left.

  7. Place the cursor at the start of the new waveform, and choose Edit > Mix Paste (or Ctrl+Shift+V). Change the volume levels so that the left volume is 0% and the right volume is 100%.


To do multi-band compression

Multi-band compression can be performed in Cool Edit Pro by combining the Dynamics Processing Effect with the Scripting function. Here’s how:

  1. Open a file and be sure there is no selection made. This step simply enables the type of script to use; it need not be part of the batch of files to process.

  2. In Edit View, choose Options > Scripts & Batch Processing.

  3. Click in the Title field and enter a name for your script. The Record button will become enabled.

  4. Press Record. You will be returned to the main screen.

  5. Choose Effects > Amplitude > Dynamics Processing. Using the Low and High Cutoff settings in the Band Limiting tab, define a frequency range that the first compression pass will affect. This will constitute the first band of you compressor.

  6. Adjust the remaining settings and graph to set compression for the band, and choose OK.

  7. Repeat steps 4 and 5 for each band you wish to create.

  8. Once you’ve finished defining bands, return to Options > Scripts & Batch Processing and press Stop Current Script. Add any description you wish for the script into the text area at the bottom, and press << Add to Collection <<.

Your script will now appear in the Scripts List at the left. When this script is run, each compression band will be applied to the waveform in succession.


Export to the MP3 format

To export to the MP3 format

Exporting waveforms to the popular MP3 format works in the same manner as converting to any other format Cool Edit Pro supports. In Edit View, use File > Open to load the file you wish to convert, then select File > Save As to save the file, specifying “mp3PRO (FhG) (*.mp3)” as your target format in the Save as Type: field.

If you need to convert multiple files from one format (like .wav) to MP3, you can use Cool Edit Pro’s Batch File Convert feature. See How To Batch-Convert Between File Formats.

Note icon

MP3 files may be opened in Cool Edit Pro as well. However, keep in mind that if you make edits to MP3 files and then save them back to the MP3 format (or any other compressed audio format), some degradation in audio quality will occur.


Loop Creation and Basic Looping Techniques

Loop-based song creation has recently cropped up in nearly all musical circles: from the top of Billboard's Pop charts to the Alternative, Adult Contemporary and Jazz realm, using loops, even as basic rhythm tracks, has become a very attractive and modern technique for making music. With Cool Edit Pro 2, you now have the ability to create your own loops (or use any of the thousands supplied in the Cool Edit Loop Library) and use them in your music. Here's how to begin:

For starters, loops themselves typically contain 1 to 2 bars of music. Most pop/rock music follows a 4/4 time signature, which essentially means that there are four 'beats' for every bar. This translates to 1 bar=4 beats, 2 bars=8 beats. Depending on the tempo of the track, the bar can vary in length, but here's a way to think of 1 bar... Let's use 'Twinkle Twinkle Little Star' as an example...

Twinkle | Twinkle | Little | Star
(1) | (2) | (3) | (4)

This is one bar of music, or four beats. If you think about listening to this over and over, it sounds like it is a complete phrase, one whose looped sound will be continuous and rhythmic. Here's what the next bar sounds like...

How I | Wonder | What You | Are
(1) | (2) | (3) | (4)

Again, sing this phrase over and over, and you can visualize how a bar should sound.

With that in mind, let's take a piece of music and open the file in Edit View. Again, we're typically looking for 1 or 2 bars of music, or 'rhythm'. With a drum groove, this would usually be something like "Kick, Snare, Kick-Kick, Snare" For this example, you can use the supplied loop file that was part of the CEP2 retail theme…NewDrums.cel. You can find this file in your Cool Edit Pro install directory (usually C:\Program Files\coolpro2) in the StartupTheme directory. It is actually a 1 bar/4-beat phrase like the ones described above. You can use Edit > Auto-Cue> Find Beats and Mark to literally 'mark' all of the beats in a passage. It is then up to you to listen for that 1 bar phrase. Highlight that phrase (counting in your head, 1 & 2 & 3 & 4 &) and use the 'Loop Playback' button to listen in loop mode. If the loop sounds smooth and continuous without any disruptions in the time feel, you're ready to begin. With your selection highlighted, go to Edit > Copy To New. This will copy your selected area to a new file where you can begin to add loop properties.

Once your new file is in view, it's now time to begin assigning loop properties. Go to the View menu and select Wave Properties... (you can also hit Ctrl-P, or Right-click on the waveform and select Wave Properties). In the Wave Properties window, there are several tabs. At this point you are primarily concerned with the Loop Info Tab, so click on Loop Info.

You will notice a field for Source Waveform Information and then two selections, Loop and One Shot. Because you want to create a loop file (for use in the multitrack), select Loop.

Below that, there is a field for number of beats. Cool Edit will try and detect the number of beats for you. Again, since you know that you're looking for 4 or 8 beats (typically), you know that if you've properly selected 8 beats and Cool Edit Pro suggests "9" that you have to make a change. Adjust the number of beats accordingly or leave the setting as it is if Cool Edit Pro has detected the actual number of beats.

Below that there is a tempo field. This field is not user-configurable, as Cool Edit will always automatically determine actual tempo based on the number of beats entered. Don't worry if it lists an odd tempo (something like 80.4 beats-per-minute (bpm), or 100.7 bpm)...Once you have looped your file, Cool Edit Pro will be able to stretch to whatever tempo you desire - so even if you have loops that are actually 80bpm/100bpm, you'll be able to use them all together in harmony (so to speak!)

The next field is Key. Here, you can assign a key to your file. This is so that if you create a session and want to 'globally' adjust the key of all wave blocks, Cool Edit Pro has a reference for each file. If your loop file is a drum pattern, select Non-Voiced. This is especially important if you plan on doing something like changing the key of multiple loops in your session. You certainly don't want to pitch-shift a drum track to the key of E if there's no key to begin with! Cool Edit Pro also has the ability to find the key of your file. Again, this works best with monophonic files (i.e., solo instruments)...the more polyphonic an instrument, the more overtones, and this could easily throw off CE's detection. Also, because many keys share the same notes in the scale, it's really best to think of this setting as "root note for transposition". (Which we'll talk about more later.)

Next, specify the method for tempo matching that Cool Edit Pro will use for this loop. There are four methods you are able to use, any of which can me mixed and matched in a single session:

  1. Fixed Length (no stretching): Use this method if you plan on inserting and looping a file in a session where you do not plan on doing any type of time stretching or pitch shifting. When it is selected, this loop will continue to play at its native tempo no matter what the session tempo is set to. If you have a session with multiple loops of different tempos and they have Fixed Length set, no two loops will seamlessly match together in tempo. The most common use for this type of loop method is inserting one pattern over live music or perhaps using one to underscore live vocals.

  2. Time Scale Stretch: This method is most commonly used for 'tonal' instruments, like Piano, Bass, Guitar, etc. This method stretches on the basis of the actual length and duration of the file, so if you're looping something like a synth pad or sustained string section (that doesn't have any real 'beats' per se) you should use this method.

  3. Resample (affects pitch): This method is quite commonly used in R&B and HipHop tracks, primarily because you can achieve exaggerated stretching and compressing of files. When loops set to Resample are time stretched, their pitch changes. This setting is most commonly used on drum tracks to create a more lo-fi, dirty, phat kind of sound. It can also work well on voice and voiceovers if you're trying to change the sound and timbre of a speaker's personality.

  4. Beat Splice: This method is most commonly used for percussive instruments. Drums, drum grooves, mallet percussion, or essentially anything with very sharp, defined attacks will benefit most from using this method.Beat splice sounds best especially when you speed up the tempo of a loop file. When slowing down (even with percussion), Time-Scale Stretch often sounds better.

Select a stretch method, click OK and your loop file is now complete. Save it now, just to be safe. Hit Ctrl-M (or, Edit > Insert in Multitrack, or, right-click on the Waveform and select Insert in Multitrack) and then switch over to the Multitrack View. You will see your file there, now with a little loop-circle-arrow icon, which tells you that it is a loop file. Right-click on the time ruler at the bottom of the wave display, select Display Time Format, and choose Bars and Beats. (You can also select Time Format by going to View > Display Time Format > Bars and Beats) You will see your ruler switch to Bars and Beats as its time format. It is always a good idea to work in Bars and Beats mode when working with loops.

Take notice of the bottom-right corner of the loop file. This is your loop "handle" that you can click on and drag across your multitrack window. When you drag the handle, the loop is "painted" across the track, causing it to loop as many times as you like.

At the bottom right-hand corner of the Multritrack window, you will see your Session Properties window. If you do not see it, go to the View menu and select Show Session Properties. This window contains fields for Tempo, Key, Time Signature and more. The number in the session tempo field is the tempo of your session. You can change to tempo by clicking in the Tempo field and inserting a different BPM. When you do this, all of the loop files in your session will stretch to that tempo (if they do not have Fixed Length selected). All the loops will stretch to the tempo based on the stretch method specified (Fixed Length, Time Scale Stretch, Resample or Beat Splice). You also have another control to change the Key of all the loop files as well.Again, tempo and key changes are totally independent, giving you the most control out of your files and session.

Once you changed the tempo, you can now begin assembling your session. Make some more loops, overdub some live music, take some loops from the library and insert them into your session. Inserting new files is most easily done by right-clicking on an available track and choosing Insert > Wave from File and selecting the file you want to insert. Check out Loopology.com for access to thousands of free Cool Edit Loops, make your own loops, and use them with whatever other recordings and sounds you would like. The possibilities are endless and Cool Edit Pro is your digital sketchpad!

More about...

Using and optimizing loops in your session


Using and Optimizing Loops in Your Sessions

Now that you have mastered the art of loop-creation (see the Loop Creation how-to) you are ready put loops to real-world use, and that means using them in a Cool Edit Pro multitrack session.

For starters, we must begin by creating a new session and taking note of the session properties window. Make sure you're in the multitrack view, and then go to the File menu and select New to create your new session. Typically, you'll select 44.1k as your sample rate. All of the loops in the Syntrillium Loop Library on Loopolgy.com are sampled at 44.1k, so it is often a good setting to work with.

The new session is totally blank—an empty canvas to fill. From here, we can start inserting loops into our session, or decide on the properties that we want all loops to conform to in this session. Look in the lower right-hand corner for the Session Properties window. It contains fields for Tempo, Key, Beats/Bar and Time Signature. If you don't see the Session Properties window, go to the View menu and select Show Session Properties. All of these are all global settings that relate specifically to the currently open session. To investigate the features of the Session Properties window, start by inserting a loop from the Startup Session that is included with Cool Edit Pro.

From within the multitrack, right-click anywhere in Track 1 and select Insert > Wave From File. The Startup Session (by default) is located under C:\Program Files\coolpro2\StartupTheme. Navigate to this folder and select the file entitled, NewDrums.cel. You may have to change the 'Files of Type' field to reflect .CEL and not .WAV. Note that this is a Cool Edit Loop file, a new proprietary format developed specifically for Cool Edit Pro 2 that allows you to compress loop files using mp3PRO® compression for your loop files. Insert the drum loop and move it to the left-most edge of track 1 by right-clicking and dragging on the block.

Check the Session Properties window and look at the Tempo field. The session tempo now reflects the tempo of the loop file you just inserted. To verify the file's native tempo, right-click on its block and select Loop Properties. This opens up a new dialog that gives you all the details about the file itself including the actual tempo, key (if any) how many beats are in the file, the stretching method that's being used, and many other options. You will see that NewDrums.cel is 4 beats long, with a native tempo of 87bpm, has no key assigned, and is using the Beat Splice method for stretching. Close the window and return to the Multitrack View.

Before you do anything else, first make sure that you're working in Bars and Beats mode and that the Snap feature is turned on. To change the ruler to Bars and Beats, right-click on the horizontal ruler/time line and select Display Time Format > Bars and Beats. This can also be accessed in the View menu under Display Time Format > Bars and Beats. After that, you need to enable snapping. This feature makes all blocks automatically "snap" to each other's endpoints, which allows you to seamlessly work with looped and non-looped materials. Go to the Edit menu and select Snapping > Snap to Blocks and Snap to Loop Endpoints. If you are working with smaller 1/4 or 1/2 bar loop files, you might also want to enable Snap to Ruler (coarse). With these features enabled, you are ready to begin

Place the mouse cursor over the bottom right edge of the NewDrums.cel wave block and notice that the icon changes to a sideways arrow. Left-click and drag on this edge to drag out the loop file for any number of bars. You'll notice that when you cross each bar, you'll see a white vertical line appear in the block - this is the snap to line, showing you that you're perfectly aligned to a specific point in time. For this example, let's drag the drum loop out to 4 bars - this means that you're going to drag it until you see a white line appear at 5:1 along the time line. That translates the four complete bars of drums, from 1:1 to 5:1.

Now, go ahead and add another loop file. In track 2, right-click and select Insert > Wave from File. From the same folder choose PianoRiff02.cel. It should automatically snap to the left-most edge. If not, right-click on the file, drag it and then left click on the bottom-right corner (the loop edge) and drag it out 4 bars so that it snaps to the end of the drum loop. Now, press play. You'll notice that both files are perfectly in time, in sync and sound cool.

Now you can globally alter the tempo of this session, say from 87bpm to 100bpm. Go to the session properties window, click in the tempo field, and type 100. Hit enter when you're finished. The wave blocks will now stretch to fit this new tempo. Press play and again, everything will play in sync, and all is well.

Similarly, you can slow down the session. Go to the session properties window and type in 75bpm. Hit enter and press play. You'll notice that though everything is in sync, the drums sound a little strange. This has to do with stretching method selected for the drum file, and here's where you really begin to understand how the looping works. Solo the drum track (by pressing the yellow 'S' on track 1's track controls), right-click on the wave block, and select Loop Properties.

In the Tempo Matching field, you can see that Beat Splice has been selected as the stretch method. Beat Splice is great for percussion, but it sounds best when speeding up the tempo. You can adjust the 'Auto Find Beats' fields to be more or less responsive to attacks and transients so that it stretches more accurately, speeding up or down. By default it is set to 10dB rise in 9ms. Try setting it to 10 and 2, or 12 and 4. You will begin to hear how this changes the detection abilities as you work with more loops.

When slowing down percussion, often the fastest (and best sounding) method is to use Time-Scale Stretch or Resample. Click the down-arrow and select Time Scale Stretch. Again, you will see several default fields that deal with how it detects beats to determine stretching. By default, it is set to High Quality, with Frame Size (splices/beat) set to 32 and Overlapping set to 25%. With "busier" and more polyphonic material, you might want to set the Frame Size to 48 or a maximum of 64. The overlap is generally best left at 25%, but again, different material can yield different results. Less overlap is preferable, so a setting of 15% may improve results as well. Select time-scale stretch, click OK and listen to the playback. It should sound smoother, with less of a "gated" effect.

If you are doing something that requires a more lo-fi kind of sound, or perhaps you simply want to "fatten-up" your percussion track, the Resample method can come into play. Selecting the Resample option will produce the most transparently-stretched loop, albeit at a lower or higher pitch. However, especially for drums and in many styles of music, this is a preferred method and can really change the sound and color of a track/mix. Choose resample, click OK and give it a listen.

Okay, now that we've globally altered the tempo, try making a global change to the key of thesession. Go to the Key field (in the Session Properties window), click on the drop-down menu next to Key, and select a Key for your session. Because we only have one tonal loop file in this session (the piano loop), it is only going to change the key of that file. To see the native key of the PianoRiff, right-click on the file and select Loop Properties.

Note icon

The global key change transposes ALL loops to that root note. i.e., if you assign a session key to A, every loop that gets inserted will transpose to A. This can be problematic if you are assembling a session of loops with key changes. That means if you know that your session is going to have changes (let's use a 1-4-5 blues progression as an example) then when you were creating your individual loops you would assign all of them to that particular key, even though the individual files themselves have different root notes. Here's an example:

In a 1-4-5 blues in C, "C" is the I chord, "F" is the IV chord, and "G" is the V chord. If you assign all of these files to the Key of C, then when you make a global session key change (lets say, to "D") then all loops will be transposed UP one whole step, but their tonal relationships will remain in tact. Every loop file in the Syntrillium Loop Library has a specific key assigned, but it's very easy to change/modify should you want to use it in the above type scenario.

Changing stretch/key properties of individual loops within a session:

Just when you thought it couldn't get any more complex and powerful...it does. With Cool Edit's loop-based song creation, you also have the ability to use loops of different tempos AND different keys, regardless of the global session properties. Now, take note that Loop Properties set in Edit View are saved with the file and are therefore considered "destructive", whereas Loop Properties assigned in the Multitrack are saved with the session and therefore "non-destructive". Further, session loop properties override Edit View Loop Properties, so you can still do both as long as you understand how the loop/session will be affected.

Assuming you still have the same session open, insert another instance of the pianoriff.cel into the session. From the Organizer Window (on the left hand side of the multitrack) click and drag the file PianoRiff.cel into Track 2 after the first PianoRiff block ends. Right-click and drag it so that it snaps to the edge of the existing PianoRiff block. Right click on this second instance of PianoRiff and select Loop Properties. If you want to transpose just this instance of the PianoRiff file, you can simply insert a transposition figure in the field at the bottom of the window. At the bottom of the Loop Properties window, there is a field labeled Transpose Pitch, and it works in half-step increments. The loop's native key is "D". So, to raise just the loop to the key of "E" put in a value of "2" in the transpose pitch field (two half steps = one whole step, which is the pitch increment needed to go from D to E). Click OK. Now, left-click on the loop-edge of the file, and drag it out 4 more bars, ending at bar 9:1. Click Play. You can hear that the piano begins in D, and then at Bar 5, switches to E.

That's how you change individual pitches of files, but you can also have a loop playback at a different tempo than the rest of the session. Click and drag NewDrums.cel from the Organizer Window into track 3, starting at Bar 5. Right-click on the new instance of this file and select Loop Properties. Now, for this file, let's say you want it to playback at double the speed of the rest of the session, without changing all of the other loops, and without changing pitch. From within Loop Properties, look at the top of the window. You'll see a checkbox to enable looping, and then three fields...Simple Looping (no gaps); Repeat Every 'X' Seconds; and Repeat Every 'X' Beats at 'X' BPM, with two checkboxes: Follow Session Tempo, and Lock Position To Tempo.

When Follow Session Tempo is checked, it means that this loop file will always stretch to the globally assigned session tempo. Lock Position To Tempo enables that same file to always "lock" to the same relative position (along the Bar line) regardless of the change in tempo. For this example, uncheck Follow Session Tempo because you want the loop to playback at a different BPM. You'll notice that by doing that, the BPM field becomes un-grayed. By default, it will list the native tempo of the loop (87 bpm in this case). Because the session tempo is currently set to 75bpm, set this to 150 bpm. We'll leave the Stretch Method set to Beat Splice (because, as mentioned above, it's best for speeding up drums and percussion) and keep Lock Position to Tempo checked as well. Click OK. Now, play back the session, and you'll notice that the first 4 bars have the Piano in D and the Drums at 75bpm. But the second four bars have the piano in E and the drums playing back at 150...all without altering the global session settings in Advanced Session Properties.

Now, if you make another global tempo change, though the drum track will keep its position locked, you had set it to play at exactly double the speed of the global session tempo. So, if you changed the Session Tempo to 80, you will want to adjust the altered drum loop's tempo to 160 instead of 150 (80 x 2 = 160bpm) so that it would play at exactly double speed. Of course, sometimes, off-tempo playback can be pretty cool!

Be sure to check Syntrillium's Web site by going to the Help menu and selecting Online Resources often. More how-tos, information about Cool Edit and looping in Cool Edit, software updates and more will all be available through that link. Also, be sure to check out Loopology.com where you can download the entire Syntrillium loop collection!

More about...

Creating loops and their basic use


To record from a CD (Analog)

To record from a CD (Analog Method)

Normally you’d want to use Cool Edit Pro’s built-in “ripping” abilities to digitally extract CD audio for editing. See How to digitally extract audio from CDs. However, if you have an older CD-ROM drive that doesn’t support digital extraction, or you’re having problems ripping a track into Cool Edit Pro, then you can record the CD in real-time through your PC’s sound card. Here’s how:

  1. Launch your favorite third-party CD player application (such as Windows Media Player).

  2. In Cool Edit Pro's Edit View, choose File > New (Ctrl+N) to create a new, empty waveform.

  3. Choose Options > Windows Recording Mixer. Make sure that the CD Audio fader is selected for recording and that its level is set for a “just right” recording (not too soft and not too loud).

  4. Click on the Record button in Cool Edit Pro’s Transport Controls.

  5. Start the desired track in your CD player.

  6. When the recording is complete, click on the Stop button for both the Transport and CD Player controls.

  7. Edit the recording (Normalize, Trim, etc.) as needed.

Tip icon

Use Cool Edit Pro’s level meters to preview the CD Audio input level before you start recording. Choose Options > Monitor Record Level or press the F10 key to activate monitoring. (If you don’t see the level meters, display them by choosing View > Show Level Meters.) Then, play the loudest part of the CD and use the Windows Record Control to adjust the CD Audio input level so that’s it’s as loud as it can be without hitting 0dB.


To Record from a CD (Digital Method)

If your CD-ROM drive supports audio digital extraction (a.k.a. “ripping”), Cool Edit Pro offers two main ways to import tracks from audio CDs for editing and/or format conversion.

The most straightforward method is to use the Open command on the Edit View’s File menu. Here’s how:

  1. Place an audio compact disc in a CD-ROM drive.

  2. In Edit View, go to File > Open to display Cool Edit Pro’s Open a Waveform dialog.

  3. Use the drop-down control in the Files of type field to change the field to read “Compact Disc Audio (*.cda)”.

  4. Navigate to the drive that contains your CD-ROM.

  5. Click on the .cda file of your choice to open it in Cool Edit Pro’s Wave Display window. (Hold down the Ctrl or Shift keys as you click to open non-contiguous or contiguous .cda files respectively.)

Note icon

You can import CD tracks in this manner using the File > Open As and File > Open Append commands as well.

The other primary method of getting sound from audio CDs into Cool Edit Pro is to use the Insert Audio From CD dialog. Documentation on that feature is forthcoming.

After the CD audio has been placed in Cool Edit Pro’s Wave Display, you can edit it like any other waveform. Of course, if the CD is a typical read-only compact disc, you won’t be able to save those changes back to CD. Instead, save modified CD tracks to a hard drive (or any other drive that can write computer data) as .wav files, or in any other audio format Cool Edit Pro supports.

Note icon

If you don’t have a CD-ROM drive that can digitally extract files, see How to record from a CD (analog).


Restore Clipped Audio

To restore clipped audio while retaining the amplitude

If you have clipped audio (sound that’s overly amplified to the point of distortion), Cool Edit Pro’s Clip Restoration effect can help clean it up. Here’s how to use it without changing the volume of the waveform.

  1. In Edit View, use Edit > Convert Sample Type to convert the file to 32-bit audio.

  2. Run Effects > Noise Reduction > Clip Restoration with “Input Attenuation” set to 0dB.

  3. Run Effects > Amplitude >Hard Limiting with “Boost Input” set to 0dB, and “Limit Max Amplitude” set to -0.2dB to bring the restored clipped audio back into normal range.

  4. Use Edit > Convert Sample Type to convert the waveform back to the original sampling frequency if desired.


To set up MIDI and Wave devices

Select Options > Device Properties to bring up the Device Properties window. Using the appropriate tabbed windows, set MIDI In to the channel to be used for either triggering (commonly YourDevice: In 1), or for SMPTE sync (commonly YourDevice: Sync), and MIDI Out to the synthesizer channel you would like to use for the Music option, if any. The MIDI out that you select here is also the default MIDI device for MIDI playback in the Multitrack View (although you can change that for each individual MIDI file)

Set both Wave In and Wave Out to the sound card inputs and outputs you would like to use for your default settings. Make sure that for the devices you want to use for Wave In and Out in Cool Edit Pro’s Edit View, you check the “Use this device in Edit View” box.

Note icon | In Multitrack View the In/Out devices will be determined by the track settings. See How to Assign Record and Playback Devices to Tracks for more information.
Tip icon | The chart below each Waveform device gives feedback on that device's abilities. The supported bit-resolution and sample rate combinations are displayed.


Spatially locate a sound

To spatially locate a sound

You can give the impression that a mono sound is coming from the left or the right, when the actual volume levels for each channel are identical. (Here “mono” means a 2 channel waveform with identical information on the right and left channels.) To achieve this effect, one channel is delayed a few milliseconds. When a sound reaches one ear a few milliseconds before reaching the other, the brain interprets the sound as coming from the direction of the non-delayed signal.

Cool Edit Pro can do this with the Delay, Echo Chamber, and Brainwave Synchronizer effects. Use Delay to place a sound anywhere from left to right, and Brainwave Synchronizer if you want the sound source to oscillate between left and right:

  1. First, make sure the signal to be delayed is mono in stereo format, that is, both left and right channels are identical. With a mono source, highlight the waveform (Ctrl+A), copy the wave to the Cool Edit Pro clipboard (Ctrl+C), create a new, empty stereo wave (Ctrl+N), and paste (Ctrl+V). With a stereo source, use the Channel Mixer (Effects > Amplitude > Channel Mixer) so that both channels get mixed at 50% for each channel.

  2. Highlight the entire selection you wish to spatially locate. Choose Effects > Delay Effects > Delay. Make sure there’s at least a 2 ms delay difference between the left and right channels. By delaying one channel more than the other, it will make the sound appear as if it is coming from the other channel. You can use the presets for Spatial Left or Spatial Right as well.

  3. If you want the source to move left to right, choose Effects > Special > Brainwave Synchronizer. Enter the cycles per second (e.g. 0.1 = left to right and back in 10 seconds) in the initial and final boxes (the same value for both boxes). Choose the positioning (center, left, or right) using the Centering control. Choose an intensity of about 50 or so; greater intensities cause the sound to go further left or right from center. Also be sure to check the Musical Source box if your sound is not noise related.

* Also see How To... add ambiance using the Echo Chamber for more information on that topic.


To use Noise Reduction

To quickly reduce noise from a waveform, select at least one half second of the file (preferably one with only the noise to be removed and no foreground audio) in Edit View. Then, choose Effects > Noise Reduction > Noise Reduction. Click on Get Noise Profile From Selection to sample the noise. (If this option is unavailable, lower the FFT size.) Next, click on Close, select the entire file (or just the portion you want apply noise reduction to), go back to Effects > Noise Reduction > Noise Reduction, and click on OK to perform the noise reduction.

Tip icon

You can reduce the noise incurred by your sound board’s circuitry during recording. Just record a second of silence before whatever you want to record. After the recording is complete, run Cool Edit Pro’s Noise Reduction effect to sample the sound of that “silence”, and then remove it from the complete recording. In many cases, this will give you another 10dB of dynamic range.

More about...

Using Noise Reduction


To use Punch In

  1. In the Multitrack View, highlight the area of the wave block you would like to Punch into.

  2. Choose Punch In from the Edit menu, or from the menu that appears when you right-click on the wave block. This will enable the selection for record and put the track into record mode.

  3. Position the playback cursor somewhere before the Punch In location and press the Record button in Cool Edit Pro’s Transport Controls. The Session will begin playback, and upon hitting the Punch point, will record into the selected area.

After recording, you may repeat this process to take another pass at the Punch.

If the “Allow Multiple Takes” item is checked in the wave block right-click menu, you can monitor the different takes by right-clicking on the wave block and choosing them from the Take History menu option. Select “Merge This Take (destructive)” when you have decided among them.


Answers to common questions

If you have a question or are having trouble with some aspect of Cool Edit Pro, you may find an answer here. If you can't find the information you need below, try searching the Help file. For Information on using Help, click here. If you still cannot find an answer, see Technical Support for information on contacting Syntrillium.

  1. How do I turn a MIDI file into a .wav file in Cool Edit Pro 2?

  2. Why does track 1 get recorded on track 2 when I try to listen and record at the same time in Cool Edit Pro?

  3. How do I use Digital Audio Extraction in Cool Edit Pro 2?

  4. How do I create and save sessions properly in Cool Edit Pro 2?

  5. How can I get the Right-click selection in Edit View to work in Cool Edit Pro 2 as it does in Cool Edit Pro 1.2 and Cool Edit 2000?

  6. Why does Cool Edit Pro create files with the extension “.pk” alongside my audio files?

  7. Why can't I record in Multitrack View, but I can in Edit View?

  8. Some menu items are unavailable (“grayed out”) in the menus and toolbar. What's wrong?

  9. How can I save files in TrueSpeech® format?

  10. Can Cool Edit Pro convert files, either singly or in batches?

  11. I keep running out memory. How can I free up more RAM?

  12. I can't record in Cool Edit Pro. When I try, I get a flat line, and no sound when I play. What's wrong?

  13. When I record (or play), I hear skipping and dropouts. What can I do to eliminate this?

  14. Why do my 16-bit files sound more like 8-bit files?

  15. Why does it take forever to apply effects like the FFT Filter, and to use Spectral View?

  16. Why does it take so long to save files in Microsoft ADPCM format?

  17. Why doesn't Cool Edit Pro seem to know the format of my .wav files?

  18. Why do I hear repeating or stuttering sounds on playback?

  19. Why do I hear crackling noises when I enable the “auto-scroll” feature?

  20. Why aren't my Cues saved when I save a waveform?

  21. Why don’t my Keyboard Shortcuts sometimes work?


System Info

System Information

Inside the About Cool Edit Pro… dialog box (Help > About Cool Edit Pro) you'll find a System Info… button. Pressing this button loads a file called info.txt into Notepad, the Windows text editor. This file contains relevant system and Cool Edit Pro status information that you may wish to e-mail to our support department at prosupport@syntrillium.com when reporting problems.

Path (Breadcrumbs) Help > About Cool Edit Pro > System Info


Technical Support

Cool Edit Pro is designed to be easy to use. However, on occasion you may need some explanation or help with an issue. In most cases, you'll find the help you need right in your computer; this Help file and the Cool Edit Pro manual should contain the answers to most of your questions. In addition, you'll find extensive support material available around-the-clock at our Web site.

If you still experience difficulties, our technical support staff is available via e-mail at prosupport@syntrillium.com or phone. We recommend sending your technical questions via e-mail for the most efficient handling of your request.

Before contacting Syntrillium for support, please be sure to check the following:

  1. Please check our online documentation and manual for answers to your questions.

  2. Make sure you have registered your copy of Cool Edit Pro with Syntrillium Software.

  3. Be able to provide detailed information about your system, such as the CPU, sound card type, and hard drive space available, etc.

  4. Have your serial number ready if you call. You can find your serial number on the back cover of the CD Jewel case (if you purchased a boxed version); or, if you registered a downloaded version of Cool Edit Pro, you can find your registration code in an e-mail Syntrillium sent you.

Web Site Support

Syntrillium's Web site provides an extensive amount of support materials, and the solution or answer you seek may already be posted. There may also be an update you can download to resolve the problem.

http://support.syntrillium.com

E-mail Support

You may submit your technical questions and problems via e-mail. The technical support mailbox is checked throughout the day for new messages. Syntrillium responds to e-mails within two business days (same day reply in most cases).

  • Include your name, phone number, serial number, as well as your return e-mail address.

  • Describe your problem or question in detail.

  • Please do NOT attach any file to your e-mail message unless requested.

  • E-mail address: prosupport@syntrillium.com

Phone Support

When calling for support:

  • Have your serial number ready.

  • Be ready to describe the problem or question in detail.

  • Have your computer turned on and be ready to duplicate the problem on your system with our technical support representative.

  • Support hours are Monday through Friday between 9:00 A.M. - 4:00 P.M. MST, excluding holidays.

    • (Note that Mountain Standard Time is the same as Pacific Daylight Time during the summer months.)

Call +1 (480) 941-4327


What are MIDI and SMPTE?

MIDI stands for Musical Instrument Digital Interface, and is a way of communicating performance information from one piece of software or hardware to another. This performance information can take the simple shape of a note instruction, as in E4, or it can transmit detailed information on things such as timing or sound patch data. Windows provides a way of transmitting MIDI information internally between programs, plus you can transmit MIDI information into and out of your computer to/from external devices (such as a MIDI Keyboard) through the MIDI port of a sound card, or other MIDI interface device.

SMPTE (Society of Motion Picture and Television Engineers) time code is a digital code containing timing information, which can be transported through an analog signal, or in the digital realm, via MIDI Time Code (MTC). As in the real world, SMPTE time is broken down into hours, minutes, and seconds. However, SMPTE goes one step further and divides seconds by an even smaller unit of measurement called a frame. So, where a reference to regular, or “real” time might be 1:15:32 (1 hour:15 minutes: 32 seconds), the SMPTE reference would be a more exact 01:15:32:02. As you might have guessed, the frame referenced by SMPTE is meant to correspond to a single picture frame in the film or video. However, in the audio world, it can simply be thought of as a subdivision of seconds.

Cool Edit Pro’s MIDI and SMPTE controls can be found under the Multitrack View's Options menu.

Before attempting to enable Cool Edit Pro for MIDI or SMPTE, you will need to choose a device for MIDI In.

To set up MIDI and Wave Devices

MIDI Triggering

SMPTE Synchronization


MIDI Triggering

MIDI Triggering allows any of Cool Edit Pro’s Shortcuts to be called by MIDI events, which can be sent from a MIDI keyboard, a sequencer, or any other device capable of issuing a MIDI command. In effect, you can turn Cool Edit Pro into a Sampler (trigger playback from a MIDI keyboard), or even Save your files with a foot pedal if you really wanted to.

To setup MIDI triggering:

Assign a MIDI event to a Shortcut:

  1. From the Options menu, choose Shortcuts (Keyboard & MIDI Triggers) and select the function that you would like to trigger from MIDI.

  2. Check the Enable Trigger box to the right and set the channel and note, or MIDI controller, and click OK.

    3. If you are triggering from a MIDI controller you will need to select the controller ID and the Value which will trigger the event. [Example: the default is controller 64 - the Hold pedal. For on/off controllers like this, a value of 127 will trigger the event in the ON position, 0 in the OFF position].

Enable MIDI Triggering:

  1. From the Options menu, choose MIDI Trigger Enable.

    2. You should now be able to trigger Cool Edit Pro from your MIDI device. You can get visual feedback of MIDI activity in the lower left corner of Cool Edit Pro’s main window.

See Also...

SMPTE Synchronization


SMPTE Master Enable

Besides being able to slave to time code from another source, Cool Edit Pro can generate “master” time code for another program or a piece of hardware to follow.

After checkmarking SMPTE Master Enable from the Multitrack View Options menu, you need to select a SMPTE time code format for the ruler. This can be done by right-clicking on the ruler and selecting “Display Time Format”. Then, selecting any format prefixed with “SMPTE” (“SMPTE 30 FPS”, for example).

Note icon

That SMPTE code that Cool Edit Pro generates must be output through a MIDI port. To configure the MIDI port for your system, go to Options > Device Properties to bring up the devices window. On the “MIDI Out” tab you’ll see a “SMPTE Output” drop-down list box. Cool Edit Pro will output the SMPTE time code to whichever device is selected in this box.

Path (Breadcrumbs) Multitrack View: Insert > SMPTE Master Enable


SMPTE Synchronization

Through SMPTE time code, you can effectively control Cool Edit Pro’s transport from a device such as a MIDI sequencer, or with the appropriate hardware such as a VCR, or tape deck. When slaved to SMPTE, Cool Edit Pro will synchronize with frame accuracy to the master device which is generating the time code.

To setup SMPTE sync:

  1. Set a SMPTE offset (a time code location for Cool Edit Pro to begin playback/record)

    2. In Multitrack View select View > Advanced Session Properties. Enter a SMPTE location where you would like Cool Edit Pro to begin playback, in the format hrs:min:sec:frames.

  2. Tell Cool Edit Pro to wait for SMPTE.

    3. From the Multitrack View, choose Options > SMPTE Slave Enable. Start playback on the master device and Cool Edit Pro will pick up the time code and give a running update in the SMPTE readout at the lower right of the main window. Playback in Cool Edit Pro will then begin at your SMPTE Offset location.

    Note that Cool Edit Pro requires about 5 seconds of time code, or preroll, to establish synchronization. The readout in the lower left corner of the main window will read Synchronizing when establishing lockup, and Playback Synchronized when actually established.

See Also...

MIDI Triggering


Glossary

64-bit Doubles – See DBL

8-bit Signed – See SAM

A

ADPCM

A-Law

ACM

Active Movie - See DirectX

Adapter

ADAT

AIF - See AIFF

AIFF

Aliasing

Amiga IFF-8SVX – See IFF or SVX

Amplitude

Amplitude Ruler

Analog Recording

ASCII Text Data

Attack

Attenuate

AU

Audio File Format

Automation

Return to Top

B

Background Mixing

Band Pass Filter

Basic Cue

Beat Cue

Beats Per Minute (BPM)

BIOS

Bit

Bit Resolution (a.k.a. Bit Depth)

Block

Brown Noise

Bus

Bus Effects Configuration

Bus Effects Rack

Burn

Return to Top

C

CD-R

CD-RW

CEL

Chorus

Click Track

Clipping

CODEC

Compressor

Cool Edit Loop - See CEL

Creative Sound Blaster - See VOC

Crossfade

Crosstalk

Cue List

Return to Top

D

DAC

DAT (Digital Audio Tape)

DBL

DC Offset

Decibel (dB)

Delay

Destructive Editing

Device

Dialogic ADPCM – See VOX

DiamondWare Digitized – See DWD

Digital Signal Processing (DSP)

DIMM

DirectX

Display Range Bar

Dither

DMA

Dry

DSP

DVD

DVI – See IMA ADPCM

DWD

Dynamic Range

Return to Top

E

Echo

Envelopes

Equalization (EQ)

Expander

Return to Top

F

Fast Fourier Transform

Flange

Flushing

Fourier Theory

Frequency

FX

Return to Top

G

This letter has no entries.

Return to Top

H

Hertz (Hz)

Return to Top

I

IDE

IFF

IMA ADCPM

Image

Index Cue

Impulse

Interpolate

Return to Top

J

This letter has no entries.

Return to Top

K

This letter has no entries.

Return to Top

L

Level (or VU) Meters

Limiter

Loop

Return to Top

M

Microsoft ADPCM

MIDI

MIDI Time Code (MTC)

MIDI Trigger

Millisecond (ms)

Miniplug

Mixdown

Mixing

Mix Gauge

Mono

MPEG

MP3

mu-Law

Return to Top

N

Noise Gate

Noise Shaping

Non-Destructive Editing

Normalize

Nyquist Frequency

Return to Top

O

Organizer Window

Return to Top

P

PCM

Peak Files

Phase

Pink Noise

Play List

Plug-in

Portion Bar

Preset

Preview

Punch In

Return to Top

Q

Quantization

Return to Top

R

RAM

RCA Cable

RealAudio

Real-Time

Resample

Resolution

Reverb

Rip

ROM

Ruler

Return to Top

S

S/N Ratio

SAM

Sample

Sample Rate

Sampler

SCSI

Sequencer

Session

Session Display

Shortcut

SMP

SMPTE Start Offset

SMPTE Time Code

SND

Sound Card

Stereo

Stripe

SVX

Return to Top

T

Tempo

Time Code

Time Display Fields

Time Ruler

Track

Track Controls

Track Console

Track Cue

Track Effects

Track Effects Configuration

Track Effects Rack

TXT- See ASCII Text Data

Return to Top

U

u-Law

Unity Gain

Return to Top

V

VOC

Vocoder

VOX

Return to Top

W

WAV

Wave File

Waveform

Waveform Block

Waveform Display

Wave Display

Wet

White Noise

Windows WAV

Return to Top

X

This letter has no entries.

Return to Top

Y

This letter has no entries.

Return to Top

Z

Zero Crossing

Return to Top


Keyboard Shortcuts

Cool Edit Pro offers a wide variety of built-in keyboard shortcuts that can be used to speed up the editing process. Many folks find that using these shortcuts is a lot faster than using the corresponding menu commands, toolbar icons, or controls.

The Shortcuts (Keyboard & MIDI Triggers) dialog

The Shortcuts (Keyboard & MIDI Triggers) dialog

The following list details the default shortcut commands that can be executed from your computer’s keyboard. You don't, however, have to use the hotkey combinations we’ve created. Nearly all of these shortcuts, as well as commands that can be given using the keys on a standard MIDI keyboard instrument, may be changed using the dialog that appears when you access the Options > Shortcuts (Keyboard & MIDI Triggers)... command (which is documented later in this chapter). Plus, there are dozens of other Cool Edit Pro functions that can be given keyboard shortcuts.

Tip icon | Go to Options > Shortcuts (Keyboard & MIDI Triggers)… and assign one-key shortcuts to the effects and functions you use most. For example, you might want to have the “N” key assigned to the Normalize effect, the “Q” key set to activate the Quick Filter dialog, and the “R” key programmed to bring up the Noise Reduction window. You’ll be surprised how much quicker editing can be with one-key shortcuts.
Tip icon | Use the keyboard shortcut of Alt+K to quickly bring up the Shortcuts (Keyboard and MIDI Triggers) dialog.

File Menu Shortcuts

Edit Menu Shortcuts

Scroll/Select Shortcuts

View Menu Shortcuts

Analyze Menu Shortcuts

Options Menu Shortcuts

Transport Shortcuts

Help Menu Shortcuts

File Menu Shortcuts

Ctrl+N | Create a new waveform or session
Ctrl+O | Open a new waveform or session
Ctrl+W | Close a waveform or session
Ctrl+F4 | Close a waveform or session
Ctrl+S | Save a waveform or session
Ctrl+Q | Exit Cool Edit Pro

Return to Top

Edit Menu Shortcuts

Ctrl+C | Copy the waveform or selection to the clipboard
Ctrl+Insert | Copy the waveform or selection to the clipboard
Ctrl+X | Cut the waveform or selection to the clipboard
Shift+Delete | Cut the waveform or selection to the clipboard
Ctrl+V | Paste the clipboard’s contents into the Wave Display or Session Display
Shift+Insert | Paste the clipboard’s contents into the Wave Display or Session Display
Ctrl+Shift+V | Display the Mix Paste dialog
Ctrl+Z | Undo the last action
Alt+Backspace | Undo the last action
Ctrl+Y | Redo the last action
Ctrl+T | Trim the waveform so that only the highlighted part remains
Delete | Delete the selection
F11 | Display the Convert Sample Type dialog
Ctrl+M | Insert the waveform into the Multitrack View’s Session Window
1 | Mark Intro Time
2 | Mark Sec Tone
Ctrl+Shift+N | Paste the contents of the active clipboard to a new waveform
Ctrl+1 | Set the active clipboard to internal clipboard 1
Ctrl+2 | Set the active clipboard to internal clipboard 2
Ctrl+3 | Set the active clipboard to internal clipboard 3
Ctrl+4 | Set the active clipboard to internal clipboard 4
Ctrl+5 | Set the active clipboard to internal clipboard 5
Ctrl+6 | Set the active clipboard to the Windows clipboard
F8 | Add the cursor position to the Cue List
Shift+F8 | Add a track marker
Ctrl+F8 | Add an index marker
F2 | Repeat the last command (its dialog is shown)
F3 | Repeat the last command (no dialog is shown)
Ctrl+B | Enable both channels
Ctrl+L | Enable the left channel only
Ctrl+R | Enable the right channel only
Up Arrow | Adjust the left channel or track up
Down Arrow | Adjust the right channel or track up
F5 | Refresh the display of blocks
Shift+F5 | Check for hidden blocks
Shift+Backspace | Destroy the selected waveform
Ctrl+Shift+Backspace | Destroy the selected waveform now
Ctrl+G | Group/Ungroup blocks
Ctrl+Delete | Clear Volume Envelope points
Ctrl+Shift+Delete | Clear Pan Envelope points
, | Nudge the selected block to the left
. | Nudge the selected block to the right
Ctrl+Shift+Up Arrow | Block color (next)
Ctrl+Shift+Down Arrow | Block color (previous)
Ctrl+K | Choose color for block(s)
Ctrl+Up Arrow | Select previous block in track
Ctrl+Down Arrow | Select next block in track

Return to Top

Scroll/Select Shortcuts

H | Adjust selection left side to the left
J | Adjust selection left side to the right
K | Adjust selection right side to the left
L | Adjust selection right side to the right
Ctrl+Home | Scroll to the beginning of the waveform or session when the view is zoomed in
Ctrl+End | Scroll to the ending of the waveform or session when the view is zoomed in
Ctrl+Page Up | Scroll the view one “page” to the left
Ctrl+Page Down | Scroll the view one “page” to the right
Ctrl+Left Arrow | Scroll the zoomed-in view to the left
Ctrl+Right Arrow | Scroll the zoomed-in view to the right
Home | Move the play cursor to the beginning of the waveform or session
End | Move the play cursor to the ending of the waveform or session
Page Up | Move the play cursor one “page” to the left
Page Down | Move the play cursor one “page” to the right
Left Arrow | Move the play cursor to the left
Right Arrow | Move the play cursor to the right
Escape (Esc) | Unselect (if any selection made, it’s unselected) and move the play cursor to the start of the waveform or session
Shift+Home | Extend the selection to the beginning of the waveform or session
Shift+End | Extend the selection to the end of the waveform or session
Shift+Page Up | Extend the selection one “page” to the left
Shift+Page Down | Extend the selection one “page” to the right
Shift+Left Arrow | Extend the selection to the left
Shift+Right Arrow | Extend the selection to the right
Ctrl+Shift+A | Select the current view
Ctrl+A | Select the entire waveform in Edit View; select all blocks in Multitrack View
Ctrl+Up Arrow | Select the previous block in the currently selected track
Ctrl+Down Arrow | Select the next block in the currently selected track
Shift+I | Adjust Zero Cross in
Shift+O | Adjust Zero Cross out
Shift+H | Adjust Zero Cross left side to the left
Shift+J | Adjust Zero Cross left side to the right
Shift+K | Adjust Zero Cross right side to the left
Shift+L | Adjust Zero Cross right side to the right
Shift+[ | Find the next beat to the left
Shift+] | Find the next beat to the right
[ | Anchor the selection to the left when playing
] | Anchor the selection to the right when playing

Return to Top

View Menu Shortcuts

F12 | Toggle between Multitrack View and Edit View
Alt+9 | Toggle display of Organizer window
Alt+8 | Toggle display of the Cue List
Alt+6 | Toggle display of the Sel/View Controls
Alt+3 | Toggle display of the Session Properties window
Alt+2 | Toggle display of the Mixer window
Alt+5 | Toggle display of the EQ window
Alt+4 | Toggle display of the Track Properties window
Alt+1 | Set focus to the main display
Alt+, | Set focus to the previous docked window
Alt+. | Set focus to the next docked window
Alt+Page Up | Activate the previous floating window
Alt+Page Down | Activate the next floating window
Alt+/ | Flash the window that’s currently in focus
Alt+Right Arrow | Zoom in horizontally
Alt+Left Arrow | Zoom out horizontally
Alt+Home | Zoom in to the left edge of the selection
Alt+End | Zoom in to the right edge of the selection
Alt+Up Arrow | Zoom in vertically
Alt+Down Arrow | Zoom out vertically
Ctrl+P | Display Wave Properties in Edit View only; display Advanced Session Properties in Multitrack View only)

Return to Top

Analyze Menu Shortcuts

Alt+Z

Toggle the display of the Frequency Analysis window

Return to Top

Options Menu Shortcuts

F10 | Toggle the monitoring of the input signal in the Level Meters
F4 | Display the Cool Edit Pro Settings dialog
F6 | MIDI Trigger Enable
F7 | SMPTE Slave Enable
P | MIDI Panic (reset all MIDI devices)
Alt+K | Open the Shortcuts (Keyboard & MIDI Triggers) dialog

Return to Top

Transport Shortcuts

Alt+P | Play normally
Alt+S | Stop playback or recording
Space | Toggle between Play and Stop
Ctrl+Space | Toggle between Record and Pause
Shift+Space | Toggle between Play to End and Pause
Ctrl+Shift+Space | Toggle between Play All and Pause
Ctrl+Alt+Home | Move Play Cursor to previous cue or beginning of waveform or session
Ctrl+Alt+End | Move Play Cursor to next cue or end of waveform or session

Return to Top

Help Menu Shortcuts

F1

Display the Help file’s Quick Reference section

Return to Top

More about...

Keyboard Shortcuts Dialog

Mouse Shortcuts


Mouse Commands and Shortcuts

Mousing Around in Cool Edit Pro
Mouse Commands and Shortcuts

The following list details how you can use your mouse to navigate Cool Edit Pro and increase your editing speed and efficiency.

Program-Wide Mouse Commands and Shortcuts

Edit View-Specific Mouse Commands and Shortcuts

Multitrack View-Specific Mouse Commands and Shortcuts

Mouse-Wheel Specific Commands

Tip icon

We encourage you to right-click on any of Cool Edit Pro’s controls, windows, and other interface elements. Chances are you’ll find a menu of handy options or shortcuts.

Program-Wide Mouse Commands and Shortcuts

Selecting Data

Left-click and drag on waveform(s) to highlight and select a range of samples.

Shift+Left-click and drag on a waveform to extend the selection.

Left-click and drag the handles on the left or right side of a selected area to adjust the boundary of your selection.

Zooming and Viewing

Right-click on the Horizontal Portion Bar to display a menu that contains Zoom and Location controls.

Left-click to the left or right of the Display Range Bar to page one screen left or right.

Docked Windows

Click and hold the left mouse button over the far left or top of a docked window (its handle) and drag to undock that window or move it to a new docked position.

Hold the Ctrl key down while moving a docked window to disable automatic docking into any new position.

Right-click on the handle of a docked window to display a menu with commands for closing the window and forcing a new column for that window.

Time Ruler

Double-click on the Time Ruler to cycle through the Display Time formats.

Left-click and drag left or right (off the ruler area) on the Time Ruler to scroll horizontally.

Right-click on the Time Ruler to display a menu that allows you to set Display Time Format, Snapping, and Zooming options.

Right-click and drag on the Time Ruler to select a horizontal viewing range.

Toolbars

Right-click on the Toolbar Buttons to display a menu that allows you to choose other toolbars, remove existing toolbars, and set the row limit for Toolbar Buttons.

Rest the mouse cursor over a toolbar button to get an explanation of the button’s function.

Cues

Right-click on a Cue Handle to display a menu that allows you to change the Cue type, go to the Cue List, or delete the Cue.

Left-click and drag a Cue Handle to move it.

Level Meters

Double-click on the Level Meters to start or stop monitoring.

Left-click on the Level Meters’ Clip Indicator to clear it.

Right-click on the Level Meters to display a menu that allows you to change the viewing range in dB and set other metering options.

Status Bar

Right-click on the Status Bar to display a menu with Status Bar display options.

Return to Top

Edit View-Specific Mouse Commands and Shortcuts

Selecting Data

Left-click and drag near the top or bottom of a stereo waveform (your mouse cursor will display an “L” or “R” to indicate which channel has focus) to select a single channel.

Double-click near the top or bottom of a stereo waveform (your mouse cursor will display an “L” or “R” to indicate which channel has focus) to select the entire view of that channel.

Double-click on the waveform to select the entire viewing area.

Shift+Left-click and drag to the right or left of a selection to extend that selection.

Right-click and drag on waveform to extend the selection. (This command only works if “Edit View Right-Clicks” is set to the “Extend selection” option in the General tab of Options > Settings.)

Wave Display Context Menu

Right-click on a waveform to display a menu with several options. (This command only works if “Edit View Right-Clicks” is set to the “Popup Menu” option in the General tab of Options > Settings.)

Edit Sample Directly

Right-click on an individual sample to display the Edit Sample Directly dialog. This dialog provides options for changing the sample value and interpretation properties. (You’ll need to select a very small section of the waveform and Zoom In fully in order to see each of the waveform’s samples.)

Amplitude Ruler

Left-click and drag up or down (off the ruler area) on the Amplitude Ruler to scroll vertically.

Double-click on the Amplitude Ruler to cycle through the Vertical Display formats.

Right-click on the Amplitude Ruler to display a menu with Zoom and Vertical Scale options.

Right-click and drag on the Amplitude Ruler to select a vertical viewing range.

Return to Top

Multitrack View-Specific Mouse Commands and Shortcuts

Selecting and Moving Blocks

Left-click on a block to select it.

Ctrl+Left-click on blocks for multiple selection.

Right-click and drag on a block to reposition it.

Right-click on a block and then hold down the Shift key to temporarily lock movement to vertical only.

Ctrl+Right-click and drag on a wave block to create a Copy of it. (A new waveform is created.)

Shift+Right-click and drag on a wave block to create an Image of it. (No new waveform is created.)

Double-click in an empty area of a track to select all blocks in the track.

Ctrl+Double-click in an empty area on multiple tracks to select or deselect all blocks in those tracks.

Double-click on a waveform block to jump into Edit View mode for that waveform.

Zooming

Left-click and drag on the ends of the Vertical Portion Bar (when your mouse cursor turns into vertical arrows and an hourglass) to Zoom Out or Zoom In to see more or fewer tracks.

Right-click on the Vertical Portion Bar to display a context menu with Zoom and Location options.

Left-click and drag on the ends of the Horizontal Portion Bar (when your mouse cursor turns into horizontal arrows and an hourglass) to Zoom In or Zoom Out horizontally.

Right-click on the Horizontal Portion Bar to display a context menu with Zoom and Location options.

Track Ruler

Left-click and drag up or down (off the ruler area) on the Track Ruler to scroll vertically.

Right-click on the Track Ruler to select a vertical viewing range.

Context Menus

Right-click on a waveform, video, or MIDI block to display the Block Context Menu.

Right-click on an empty area of a track area to display the Track Context Menu.

Track Controls

Right-click in an empty space in an individual Track Control to display the Track Properties dialog.

Right-click on an EQ field in a Track Controls module to bring up the Track Equalizers dialog.

Right-click on a Track Controls module’s FX button to display a menu with commands for showing the Effects Rack for that track and, if one or more real-time effects have been applied, the FX Settings and the FX Mixer windows.

Left-click on the Track Controls module’s FX button when real-time effect(s) is/are applied to display the FX Settings windows.

Right-click on the “V” (Volume) field within a Track Controls module to bring up a slider to adjust the volume for that particular track

Right-click on the Pan field within a Track Controls module to bring up a slider to adjust the panning for that particular track

Ctrl+Left-click the yellow “S" (Solo) button on each track that you wish to solo to place multiple tracks in Solo mode.

Mix Gauge

Right-click on the Mix Gauge to display a menu with several Background Mixing options.

Double-click on the Mix Gauge to disable or enable Background Mixing.

Return to Top

Mouse-Wheel Specific Commands

Edit View

Left-click on the Wave Display and roll the mouse wheel forward to Zoom In. Roll the mouse wheel backwards to Zoom Out.

Left-click on the Wave Display and hold down the mouse wheel to turn your mouse cursor in to a scroll control. If the waveform is Zoomed In, you can move the mouse cursor to the right to scroll right and vice-versa.

Multitrack View

Left-click on the Session Display and roll the mouse wheel forward to Scroll Up vertically. Roll the mouse wheel backwards to Scroll Down vertically.

Return to Top


Wave File Formats Supported by Cool Edit Pro

The following is a list of the various wave file formats that Cool Edit Pro currently supports, arranged in the order they appear in Cool Edit Pro’s Save Waveform As dialog. Some of these formats will have options, so look for the Options... button to be enabled in Cool Edit Pro’s “Save Waveform As” dialog.

Note icon

If you want to load from or save to a format that’s not listed here, you may be able to use an ACM Waveform codec to do so. To do this, use File > Open As or File > Save As, click on Options, and try to find the format you want to use. When exporting to an ACM format, you may first need to use Edit > Convert Sample Type to convert the file to a format supported by the ACM codec.

8-bit signed (.SAM)

64-bit Doubles (RAW) (.DBL)

A/mu-Law Wave (.WAV)

ACM Waveform (.WAV)

Amiga IFF-8SVX (.IFF, .SVX) (*.*)

Apple AIFF (.AIF, .SND)

ASCII Text Data (.TXT)

Cool Edit Loop (.CEL)

Creative Sound Blaster (.VOC)

Dialogic ADPCM (.VOX)

DiamondWare Digitized (.DWD)

DVI/IMA ADPCM (.WAV)

Microsoft ADPCM (.WAV)

mp3PRO (.MP3)

Next/Sun (.AU, .SND)

PCM Raw Data (.PCM) (*.*)

SampleVision (.SMP)

Windows Media Audio (.WMA)

Windows PCM (.WAV) [Standard Format]


DirectX Plug-Ins

Cool Edit Pro supports DirectX audio plug-ins for use with 3rd-party processing modules. DirectX is a development platform designed by Microsoft which provides an open standard for multimedia plug-ins. DSP modules, and other audio tools based on this standard, can be used by any application that supports the DirectX architecture.

With many of the leading software DSP manufacturers providing DirectX plug-ins, you can easily extend the already powerful effects at your disposal in Cool Edit Pro. DirectX plug-ins are available for many different functions.

In order to use these plug-ins on your computer, you'll need to have DirectX installed. You can install it from your Cool Edit Pro CD, or download it from the Microsoft Web site.

Using a DirectX plug-in is as easy as using any other Cool Edit Pro effect. Just select (highlight) an area to process, and choose the effect from the Effects > DirectX menu or from the Effects tab of the Organizer Window.

Most DirectX plug-ins have a settings dialog where you can configure the parameters of the effect. Some plug-ins may support real-time Preview. Of course, you'll need to consult the documentation provided by the plug-in manufacturer for any help with its features.


Technical Notes

Note 1: | Drive space
Note 2: | Temporary files
Note 3: | The background mixing process
Note 4: | Optimizing multitrack performance
Note 5: | Multitrack recording and full-duplex
Note 6: | Working at the 32-bit level
Note 7: | File Formats
Note 8: | Some notes on Noise Reduction
Note 9 | Using SMPTE drop format
Note 10: | Video Card Driver Compatibility


Technical Bibliography

Embree, Paul M. and Kimble, Bruce (1991). C Language Algorithms for Digital Signal Processing. Prentice Hall, Inc. ISBN 0-13-133406-9 (TK5102.5.E46)

Everest, F. Alton (1994). The Master HandBook Of Acoustics (3rd ed). McGraw Hill, Inc. ISBN 0-8306-4437-7 (QC225.15E93)

ICMC Proceedings from 1988 on up

IEEE Transactions on Acoustics, Speech, and Digital Signal Processing

Kuc, Roman (1988). Introduction to Digital Signal Processing. McGraw Hill, Inc. ISBN 0-07-035570-3 (TK5102.5K823)

Mitra, Sanjit K. and Kaiser, James F. (1993). HandBook for Digital Signal Processing. John Wiley & Sons, Inc. ISBN 0-471-61995-7 (TK5102.5.H318)

Morgan, Don (1994). Practical DSP Modeling, Techniques, and Programming in C. John Wiley & Sons, Inc. ISBN 0-471-00434-0 (TK5102.9.M67)

Roads Curtis (1989). The Music Machine (Selected Readings from Computer Music Journal. The MIT Press. ISBN 0-262-18131-2 (ML1093.M88)

Rorabaugh, C. Britton (1993) Digital Filter Designer's HandBook : Featuring C Routines. McGraw-Hill, Inc. ISBN 0-07-911166-1 (TK7872.F5R68)

aidyanathan, P. P. (1992) Multirate Systems and Filter Banks. Prentice-Hall, Inc. ISBN 0-13-605718-7 (TK5102.5.V24)

Watkinson, John (1994). The Art of Digital Audio (2nd ed). Focal Press. ISBN 0-240-51320-7

Ziemer, Rodger E. (1989) Signals and Systems: Continuous and Discrete. Macmillan Publishing Company. ISBN 0-02-431630-X (QA402.Z53)


Cool Edit Pro APIs

Syntrillium has two SDKs available for programmer-types looking to extend Cool Edit Pro’s functionality: a File Filter SDK, and a Transform SDK.

File Filters (the *.flt files found in your Cool Edit Pro folder) are actually separate DLLs (Dynamic Link Libraries) that contain the code necessary to read and write various file formats.

Transforms (the *.xfm files) are also separate DLLs that implement all of Cool Edit Pro’s effects.

If you’re interested in writing your own file formats or effects, you can download the SDKs from Syntrillium's Web site at http://www.syntrillium.com.

This application and the file filters were written in both C and C++ using the Microsoft Visual C/C++ 6. 0 compiler.


Using Cakewalk Pro Audio/Sonar

When you install Cool Edit Pro, it automatically registers itself for use with Cakewalk Pro Audio and Sonar. This means you can use Cool Edit Pro as your waveform editor from within Cakewalk or Sonar:

  1. In Cakewalk or Sonar select the waveform you wish to edit (click on it).

  2. Choose Cool Edit Pro from the Tools menu.

Cool Edit Pro will be launched with the specified waveform ready for editing.

Note icon | You must have Cakewalk Pro Audio 5.0b or higher to integrate with Cool Edit Pro.
Note icon | If Cool Edit Pro doesn't appear in the Cakewalk/Sonar tools menu, try installing Cool Edit Pro after you install Cakewalk/Sonar


Using the Microsoft ACM

Microsoft's ACM (Audio Compression Manager) is part of all 32-bit versions of Windows. Cool Edit Pro provides support for the ACM driver, which enables you to load and save files in a variety of formats other than those directly supported by Cool Edit Pro's own converters, such as DSP Group TrueSpeech and GSM 6.10.

Some of these formats come as a standard part of Windows, while others are provided by third-parties. You may acquire ACM formats when you install other software.

To save a file in an alternate format using the ACM driver, use File > Save As, select ACM Waveform as your target format, and click on Options. You can select from among various quality levels, and each level will give you different options for formats and attributes.

Note icon

Please note that the ACM driver you want to use may require that the file be in a specific format before saving. For example, if you want to save a file in the DSP Group TrueSpeech format, you should first use Edit > Convert Sample Type to convert the file to 8KHz/mono/16bit, because that is the only format supported by the TrueSpeech ACM driver.

For more information on any particular ACM driver, contact the creator of the format (such as DSP Group for TrueSpeech, or CCITT for the various CCITT formats) or the manufacturer of the hardware that uses the format in question (such as Creative Labs for the SoundBlaster ACM driver).


1. Choose Files Tab

A list of all the currently open waveforms is shown. Choose the ones you wish to normalize by using the Ctrl and Shift keys to select multiple non-contiguous and contiguous files respectively. (This is similar to the way you pick multiple files in Windows Explorer.) You can also just click and drag to highlight a group of waves.

The Choose Files Tab of the Group Waveform Normalization Dialog

The Choose Files Tab of the Group Waveform Normalization Dialog

Path (Breadcrumbs) Edit > Group Waveform Normalize...

More about...

Group Waveform Normalize...


1. Files

This window is where you add files to the list of waveforms to be converted.

Press the Add Files… button to bring up the “Please Choose the Source Files” dialog (similar to Cool Edit Pro’s File > Open dialog) to select one or more waveforms.

Hold down your Ctrl or Shift keys to select non-contiguous or contiguous files respectively.

The Files Screen of the Batch File Convert Dialog

The Files Screen of the Batch File Convert Dialog

Press the Remove button to delete highlighted files from the list, or click on the Remove All button to delete all files from the list.

Check the “Hide Path” box if you don’t want to see the full path of each file.

If you’re converting Raw PCM files, press the Open Raw PCM As… button to pick the desired Sample Rate, Channels, Resolution, and other properties.

Path (Breadcrumbs) Edit View: File > Batch File Convert...

More about...

Batch File Convert...


2. Analyze Loudness Tab

The waveforms you’ve chosen to normalize appear in this list. Press the Scan for Statistical Information button to have Cool Edit Pro analyze the current amplitude statistics for each listed waveform.

The Analyze Loudness Tab of the Group Waveform Normalization Dialog

The Analyze Loudness Tab of the Group Waveform Normalization Dialog

These statistics are shown:

Eq-Loud

Loud

Max

Avg

% Clip

Reset

Tip icon

Double-click on any of the files in this list to see a more detailed account of statistics including:

  • A complete RMS Histogram, which shows the relative amounts of audio at each loudness level.

  • A Clipping Profile, which shows how much clipping will occur for each decibel of amplification.

Path (Breadcrumbs) Edit > Group Waveform Normalize...

More about...

Group Waveform Normalize...


2. Resample

Check the “Convert Sample Type” box if you wish to change each waveform’s sample properties to a common set of values. This enables the Change Destination Format… button.

If the box is unchecked, the destination sample format is the same as the source and the Change Destination Format… button is disabled.

The Resample Screen of the Batch File Convert Dialog

The Resample Screen of the Batch File Convert Dialog

Pressing the Change Destination Format… button brings up Cool Edit Pro’s “Convert Sample Type” window, where you can select the destination files’ sample properties.

Path (Breadcrumbs) Edit View: File > Batch File Convert...

More about...

Batch File Convert...


2 bits/sample, 8:1

This option creates ADPCM .wav files with the highest compression ratio (8:1), but with the lowest number of bits. Select this option when smaller file size is more important than audio quality. Keep in mind that this compression rate is less compatible than the standard 4-bit, and may not be able to be played back on all systems.


3. New Format

Here's where you choose the format of the destination files. Use the “Output Format” drop-down control to pick the desired format from all of Cool Edit Pro’s supported file types.

The New Format Screen of the Batch File Convert Dialog

The New Format Screen of the Batch File Convert Dialog

Click on the Format Properties… button to bring up the Options screen for the destination format. For example, if you’re converting waveforms to .mp3 format, you’ll see the “MPEG-1 Layer 3 Encoder Options” screen, where you can adjust the properties for the .mp3 files you’re creating.

The “Sample Format Types” box lists the sample properties of the waveforms that are to be converted. If you see more than one entry in this list, you may have to select different file format properties for each entry, depending on the destination format. For example, a 22 kHz mono waveform might need different encoding options than a 44 kHz stereo file. Highlight the desired Sample Format Type entry and press the Format Properties… button to make the necessary adjustments.

Path (Breadcrumbs) Edit View: File > Batch File Convert...

More about...

Batch File Convert...


3. Normalize Tab

This is the area where you specify how you’d like to have Cool Edit Pro normalize the listed waveforms.

The Normalize Tab of the Group Waveform Normalization Dialog

The Normalize Tab of the Group Waveform Normalization Dialog

Normalization

Use Equal Loudness Contour

Out of Band Peaks

Advanced

Run Normalize

Path (Breadcrumbs) Edit > Group Waveform Normalize...

More about...

Group Waveform Normalize...


3 bits/sample, 5.3:1

The 3-bit ADPCM files produced with this option use a compression ratio of 5.3:1. Quality is better than with the 2 bits option, but not quite as good as the 4 and 5 bits choices. Some systems might have problems playing back files compressed with this option, especially stereo files.


Echo Chamber...

Echo Chamber button Echo Chamber...

The Echo Chamber function can simulate the ambiance of almost any room. Settings are provided for specifying your virtual room’s size and surface characteristics, along with the placement of virtual microphones. The number of echoes is adjustable, up to about 25,000. Keep in mind that the more echoes there are to calculate, the longer it will take for the function to complete.

Echo Chamber Dialog

Echo Chamber Dialog

Tip Icon

One cool use for this function is to give a stereo effect to monaural audio by adding ambiance. Choosing a “left” microphone placement that is one or two feet away from the “right” microphone will simulate a listener’s ears and will give the effect of “being there”. (Try monitoring the result with headphones to experience the best effect.) Make sure you use Edit > Convert Sample Type to make the mono signal stereo that you can choose separate virtual microphone locations.

A spatial, stereo expansion effect may be created by placing the two microphone locations far apart, further apart in the settings than if you were playing them through speakers in real life. For example, if your stereo speakers are 6 feet apart, try placing the left and right virtual microphone settings 20 or 30 feet apart.

Room Size (feet)

Intensity

Echoes

Damping Factors

Signal and Microphone Placement (feet)

Mix Left/Right Into Single Source

Damping Frequency

Presets

Several Echo Chamber presets come with Cool Edit Pro. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Echo Chamber setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Tip icon

Make sure that there is enough silence at the end of the waveform for the echo trails to complete. If the echo abruptly cuts off before it fully decays, undo the Echo Chamber effect, add several seconds of silence using Cool Edit Pro’s Generate > Silence command, and then rerun the Echo Chamber effect.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Echo Chamber...

* This function supports Presets.

* This function supports Preview.


4. Destination

This screen allows you to select the destination folder and the way files are renamed. By selecting the desired radio buttons and check boxes, you may decide…

  • If you wish the modified files to go to the same folder as the file’s source file or another folder

  • Whether you wish existing files with the same name overwritten

  • If Cool Edit Pro should delete the source file(s) if the conversion process was successful

  • If filenames should be removed from the source list once their waveforms have been successfully converted

The Destination Screen of the Batch File Convert Dialog

The Destination Screen of the Batch File Convert Dialog

Decide how you want the files renamed by modifying the text in the “Output Filename Template” field. In most cases, the default renaming method is fine (the first part of the filename remains the same but the extension is changed). However, several example templates are shown as guides in case you wish to be more creative in your renaming.

After the desired parameters have been set in Batch File Convert’s four tabbed screens, press the Run Batch button and Cool Edit Pro automatically processes each file.

Path (Breadcrumbs) Edit View: File > Batch File Convert...

More about...

Batch File Convert...


4 bits/sample, 4:1

This is the default option, which produces 4-bit files at a compression ratio of 4:1.


5 bits/sample, 3.2:1

Use this option for the best quality, since more bits and a lower compression ratio are used. However, this compression rate is less compatible than the standard 4-bit, and may not work on all systems.


8-bit signed (.SAM)

This format is popular for building MOD files, since audio in MOD files is 8-bit signed. Many MOD editors allow samples to be inserted from files, or exported to files in this format. 8-bit signed raw format data with the .sam extension is assumed to be 8-bit signed raw data with no header. The sample rate is assumed to be 22050Hz, but the actual sample rate can be changed once the file is loaded using Edit > Adjust Sample Rate.


24-bit pack int (type 1 – 24-bit)

Choose this option to save straight 24-bit integers so any data beyond the bounds are clipped. The .wav BitsPerSample field is set to 24 and BlockAlign is set to 3 bytes per channel.


24-bit packed int (type 1 – 20-bit)

With this option, straight 24-bit integers are saved (so any data beyond the bounds are clipped). The .wav BitsPerSample field is set to 20 and BlockAlign is set to 3 bytes per channel. The extra 4 bits that are saved are actually the remaining valid bits when saving, and are used when reading (thus giving 24-bit accuracy still if those bits were actually present when writing). Applications should either fill those last 4 bits with zeros, or with actual data, but generally analog/digital converters that generate 20 bits of valid data automatically set the remaining 4 bits to zero. Any type 1 format with BlockAlign set to 3 bytes per channel is assumed to be packed integers, and a BitsPerSample field between 17 and 24 inclusively will read in all 24 bits and assume the remaining bits are either accurate or set to zero.


32-bit 0.24 normalized float (type 3 – 32-bit)

This is the standard floating point format for type 3 .wav files. Values are normalized to the range +/-1.0 and although values above and below this range are saved, some programs may clip when reading them back in. (Cool Edit Pro will not clip, but read the same value back if it’s beyond this range.)


32-bit 16.8 float (type 1 – 32-bit)

This is Cool Edit Pro’s internal format. Floating point values are in the range of +/-32768.0, but larger and smaller values are valid and not clipped since the floating point exponent is saved as well. The .wav BitsPerSample field is set to 32 and BlockAlign is set to 4 bytes per channel.


32-bit 24.0 float (type 1 – 24-bit)

If this option is selected, full 32-bit floats are actually saved (and in the range of +/-8million), but the .wav BitsPerSample field is set to 24 while BlockAlign is still set to 4 bytes per channel.


32-bit int (type 1 – 32-bit)

This format saves 32-bit audio as 32-bit integers.


20- to 32-bit File Formats

32-bit int (type 1 - 32-bit)

This format saves 32-bit audio as 32-bit integers.

32-bit 24.0 float (type 1 - 24-bit)

Full 32-bit floats are actually saved (and in the range of +/-8million), but the .wav BitsPerSample field is set to 24 while BlockAlign is still set to 4 bytes per channel.

32-bit 16.8 float (type 1 - 32-bit)

Cool Edit Pro’s internal format (floating point values in the range of +/-32768.0 but larger and smaller values are valid and not clipped since the floating point exponent is saved as well). The .wav BitsPerSample field is set to 32 and BlockAlign to 4 bytes per channel.

32-bit 0.24 normalized float (type 3 - 32-bit)

Standard floating point format for type 3 .wav files. Values are normalized to the range +/-1.0 and although values above and below this range are saved, some programs may clip when reading them back in (Cool Edit will not clip, but read the save value back if it is beyond this range).

24-bit packed int (type 1 - 24-bit)

Straight 24-bit integers are saved (so any data beyond the bounds are clipped). The .wav BitsPerSample field is set to 24 and BlockAlign to 3 bytes per channel.

24-bit packed int (type 1 - 20-bit)

Straight 24-bit integers are saved (so any data beyond the bounds are clipped). The .wav BitsPerSample field is set to 20 and BlockAlign to 3 bytes per channel. The extra 4 bits that are saved are actually the remaining valid bits when saving, and are used when reading (thus giving 24-bit accuracy still if those bits were actually when writing). Applications should either fill those last 4 bits with zeros, or with actual data, but generally A/D converters that generate 20 bits of valid data automatically set the remaining 4 bits to zero. Any type 1 format with BlockAlign set to 3 bytes per channel is assumed to be packed integers, and a BitsPerSample field between 17 and 24 inclusively will read in all 24 bits fine and assume the remaining bits are either accurate or set to zero.

Enable Dithering

When this option is selected, it will dither 32-bit files when saving to a PCM format (20-bit, 24-bit, or 32-bit). This option is only available if you have a 32-bit file and you select to save it as a non floating point type format.

The dither used is a Triangular dither, depth 1.0, with No noise shaping. If you wish to apply a noise shaped dither,use the Convert Sample Type (F11) function to dither the audio first, then save _without_ dither enabled in the file format options.


64-bit Doubles (RAW) (.DBL)

n64-bit Doubles (RAW) (.DBL)

This format is 8-byte doubles in binary form – 8 bytes per sample mono, or 16 bytes per sample stereo interleaved. Just as raw PCM has no header and is just audio data, so does 64-bit doubles format.


+/-360º Range

When checked, the graph’s y-axis (vertical) ruler goes from +360 degrees (top) to -360 degrees (bottom).

Uncheck the box the have the y-axis ruler display values from +180 degrees (top) to -180 degrees (bottom).


% Clip

This is the percentage of the waveform that would be clipped when normalizing. The value used to determine the amount of normalization is either the Loud or Eq-Loud value, depending on if the Use Equal Loudness Curve box is checked in the Normalize tab. If limiting is used, then actual clipping won’t occur, but instead the louder portions of audio will be limited to prevent actual clipping.

Generally, you don’t want this value to be more than 5%. Anything higher than this may result in audible artifacts in the louder portions of audio.


<<Remove

Click on this button to remove a highlighted item from the Device Preference Order list. It will then appear in the Unused Playback Devices list.


<<Remove 2

<<Remove

Click on this button to remove a highlighted item from the Device Preference Order list. It will then appear in the Unused Record Devices list.


<<Remove 3

<<Remove

Click on this button to remove a highlighted item from the Device Preference Order list. It will then appear in the Unused MIDI Out Devices list.


<<Remove 4

<<Remove

Click on this button to remove a highlighted item from the Device Preference Order list. It will then appear in the Unused MIDI In Devices list.


Interpret As

These four options determine how the Sample Value is measured. Choose from 8-bit range, 16-bit range, 24-bit range, or Normalize +/- 1.0.


A-Law

A-Law (or CCITT standard G.711) is an audio compression scheme common in telephony applications. It is a slight variation of the u-Law compression format, and is found in European systems. This encoding format compresses original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits. Thus, a-law encoded waveforms have a higher s/n ratio than 8-bit PCM, but at the price of a bit more distortion than the original 16-bit audio. The quality is higher than you would get with 4-bit ADPCM formats. Encoding and decoding is rather fast and generally widely supported.


A-Law 8-bit

A-Law is a slight variation of the standard mu-Law format, and is found in European systems.


A-Law 8-bit 2

A-Law 8-bit

Choosing this option will use the A-Law 8-bit format to compress the file.


A/mu-Law Wave (.WAV)

The A-Law and mu-Law formats (CCITT standard G.711) are common in telephony applications. These encoding formats compress the original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits (78 dB). While A-law and mu-Law encoded waveforms have a higher signal-to-noise ratio than 8-bit PCM, it’s at the price of a bit more distortion than the original 16-bit audio. Still, the quality is higher than you would get with some 4-bit ADPCM formats.

Note icon

Files saved in this format will automatically be expanded to 16-bits when loaded, so you should not save to this format from 8-bit.

Options...

A-Law 8-bit

mu-Law 8-bit


About Blocks

Blocks are actually images of waveforms, MIDI files, or video soundtracks that are graphically displayed within the Multitrack View that allow you to mix, move, copy, loop, alter volume and pan levels, and add effects in a non-destructive fashion. (Non-destructive in this case means that you can alter image parameters without affecting the original audio data in any way.)

Two waveform blocks on the same track

Two waveform blocks on the same track

Tip Icon

You can right-click on a block to call up a menu that contains shortcut commands relating to multitrack editing.

Tip icon

To move blocks, right click and drag a block to move it.

More about...

Navigating the Multitrack View Screen


About Cool Edit Pro...

This dialog lets you know what software version of Cool Edit Pro is currently loaded onto your computer and to whom it’s licensed. You’ll also see contact information for Syntrillium Software, as well as a System Info button that, when pushed, loads various details about Cool Edit Pro and your system into the Windows Notepad applet.

Path (Breadcrumbs) Help > About Cool Edit Pro...


About Images

When you’re working in Cool Edit Pro’s Multitrack View and you move a waveform, MIDI file, or video soundtrack from one track and place to another, or create a series of duplicates for looping, you aren’t actually moving the original audio file data in any way. In fact, you’re manipulating a virtual “image” of that waveform or waveform range in a non-destructive fashion that doesn’t affect the original audio file in any way.

Essentially, an image is a set of playback instructions that are tagged to the original audio file(s). For example, creating a series of 16 loops within the Multitrack View window doesn’t actually waste disk space by making sixteen copies of the original waveform. Instead, the session file will instruct the program to playback the same portion of the original audio file (the image) 16 times in a repeating fashion. This concept lies at the heart of modern-day hard disk editing.

More about...

Navigating the Multitrack View Screen


About Session Files

Cool Edit Pro uses session (.ses) files to save all of the information that relates to a current multitrack project (a.k.a. session), such as audio file placement and info about mixing and panning levels, mute and solo status, and application of real-time effects.

More about...

Navigating the Multitrack View Screen


Account Executive

The name of the salesperson in charge of the advertiser’s account goes here.


Account for DC

If this box is checked, when calculating the RMS values, the DC offset found is subtracted out before doing the RMS calculation. This means that if your signal has a DC offset (say, a quiet signal that is well above the center line) then the actual RMS signal amplitude is actually quite small, but could read much higher because of the DC amount. So, for the most accurate signal-relative RMS readings, you would want to account for DC. Otherwise, even a signal that is total silence, but has a high DC offset, will read as having a high RMS, which may not be what you want.


Accuracy

Entering higher accuracy levels (longer FIR filters) in this text box will give better frequency response in the lower ranges.

Note icon | Higher values require more processing time, but you can use lower accuracy levels if you only want to equalize higher frequencies.
Tip Icon | If you are equalizing very low frequencies, you should probably raise the accuracy. Values between 500 and 5000 points work well.


ACM

The Microsoft ACM (Audio Compression Manager) is part of all 32-bit versions of Windows. The ACM enables many Windows audio programs to compress and decompress files in a variety of formats, such as DSP Group TrueSpeech and GSM 6.10. Some of these formats come as a standard part of Windows, while others are provided by third-parties. ACM formats are sometimes acquired when you install other software.


ACM Waveform (.WAV)

Nearly any file format supported by the Microsoft Audio Compression Manager (ACM) can be loaded or saved in Cool Edit Pro. The available ACM formats are displayed in the “Choose ACM Format” dialog that appears when you press the Options... button on the “Save Waveform” As dialog.

Note icon

The ACM driver you want to use may require that the file be in a specific format before saving. For example, if you want to save a file in the DSP Group TrueSpeech format, you should first use Edit > Convert Sample Type to convert the file to 8KHz/mono/16-bit, because that’s the only format supported by the TrueSpeech ACM driver. For more information on any particular ACM driver, contact the creator of the format (such as DSP Group for TrueSpeech, or CCITT for the various CCITT formats) or the manufacturer of the hardware that uses the format in question.

Options...

Name

Save As

Format

Attributes

Write as RAW Data


Active Track (MIDI Block Only)

If a single MIDI block is highlighted, this command appears on the Edit menu. Its submenu lists all of the tracks in the MIDI block. Checkmark a track and Cool Edit Pro will playback only that track when the MIDI block is played. If you want to hear all of the MIDI block’s tracks, checkmark the “All” item.

Path (Breadcrumbs) Multitrack View: Edit > Active Track (MIDI Block Only)


Active Track (MIDI Block Only) 2

Active Track (MIDI Block Only)

This command’s submenu lists all of the tracks in the MIDI block. Checkmark a track and Cool Edit Pro will playback only that track when the MIDI block is played. If you want to hear all of the MIDI block’s tracks, checkmark the “All” item.


Actual Bit Depth

The waveform's bit depth (or "float" if it uses the full 32-bit float range) is reported here.


Adapter

A passive cable, plug, or jack that enables you to connect two audio or video devices together.


ADAT

A digital 8-track tape deck manufactured by Alesis Corporation that has been very popular in recording studios.


Add

Press this button to add a Basic cue – either an exact point or a specified range – to the Cue List. You can also press F8 to add a Basic cue, Shift+F8 to add a Track cue, or Ctrl+F8 to add an Index cue to the Cue List.


Add Binaural Cues

Check this option to add separate delays to the left and right outputs of each voice. This can make each voice appear to be coming from a different direction, but only when played through headphones. If the audio is meant to be played through speakers, this option should be turned off.

In addition, when you add binaural cues, the volume of the right channel for a voice panned all the way to the left is still significant. If no cues are added, no output will be sent to the right channel. This is why greater separation can be heard when listening through speakers if binaural cues aren’t used.


Add Files...

This button brings up Cool Edit Pro’s “Please choose the source files” dialog, allowing you to add files or folders to the batch for processing. To add multiple files or folders to the list, hold down on the SHIFT key for contiguous selections, or the CTRL key for noncontiguous selections.


Add Snap to Zero Crossings

Choose this option to have the waveform snap to the nearest place where the waveform crosses the center line (in other words, the zero amplitude point).


Add to Collection

Pressing this button will add the script you’ve just created to the currently open script collection. Keep in mind that if you wish to supply a description for the script, do so in the description text area below before pushing this button.


Add to Cue List

Add Selection To Cue List button Add to Cue List

This command adds the current cursor position to Cool Edit Pro’s Cue List. More about the Cue List can be found in the View Menu – Edit View Reference section.

Tip icon

You may also press F8 to add a Basic cue, Shift+F8 to add a Track cue, or Ctrl+F8 to add an Index cue to the Cue List.


Add to Impulse

Add Sel.

This setting adds the currently highlighted selection to the impulse at the delay and left/right volumes specified. You can add as many selections of actual audio as you like.

Note icon

You can make any audio data part of an impulse by first highlighting the audio and then using the Add Sel. >> button. Ordinarily, you should first scale down any such selection to a lower volume; otherwise the convolution will come out extremely loud.

Add Echo

Pressing this button will add the bandpassed echo to the impulse at the delay and left/right volumes specified. You can add as many echoes as you like.

Note icon

To add a tick at any volume, enter the volume percentages after the Left and Right settings, and the Delay at which the tick should appear. This will cause an echo of the specified volume to occur at the given delay after convolution. Besides just echoes, you can add filtered versions of echoes by entering the minimum and maximum frequencies to echo.

To echo all frequencies outside the range, add a full spectrum echo (e.g. from 0Hz to 22050Hz) at a specific delay, then add another echo at the same delay, but with different minimum and maximum values, and the opposite Left and Right percentages (e.g. at -100% instead of 100%).

Delay

This parameter sets the amount (in milliseconds) by which samples are delayed. For pre-echoes, place at least one echo that is full spectrum (Minimum=0Hz, Maximum=22050Hz) at a larger delay (like 1000ms). Then any echo placed before 1000ms will be a pre-echo.

Left

This setting specifies the left volume (in percent) at which to make the echo or selection being added to the impulse.

Right

This setting specifies the right volume (in percent) at which to make the echo or selection being added to the impulse.


Adjust ALL Blocks referencing same waveform

Check this box to globally change the settings for all blocks that reference the same waveform. That is, if you have drums.wav inserted into the Multitrack View four times, and you modify the loop properties on one of its blocks, the other three instances of drum.wav in the session will be adjusted as well.


Adjust Boundaries

Adjust Boundaries button Adjust Boundaries

This function will adjust the boundaries of the selected waveform block either inwardly or outwardly. After highlighting to define an area to adjust to, any material in the waveform block that lies within this highlight will be retained or exposed, removing that which is outside of the highlight (or including material inside the selection that is not currently revealed).

For example, with a 5 second waveform block, highlighting the middle second and choosing Adjust Boundaries will trim off the surrounding material (the first two seconds and the last two seconds), leaving just the middle second. If you decide you’ve trimmed off too much, you can highlight the middle second plus a little to the right, for example, and again choose Adjust Boundaries to bring back that little bit to the right, thereby lengthening the waveform block.

Note icon

To fine tune your adjustments in the preceding example, you could also have double-clicked on the trimmed block to bring up the Edit View, double-clicked to highlight the displayed area, then zoomed out to adjust the highlight boundaries to your satisfaction. When finished, switch back to Multitrack View (the highlight will be retained) and choose Adjust Boundaries to have the waveform block readjust to match your highlight.

Path (Breadcrumbs) Multitrack View: Edit > Adjust Boundaries


Adjust Sample Rate...

Use this command to bring up the Adjust Sample Rate window. It lets you play an audio file at any sample rate that is supported by your sound card. Keep in mind that this command doesn’t let you actually convert the audio file – you’ll need to go to Edit > Convert Sample Type for that. However, it does let you hear what the current waveform would sound like at a different sample rate.

Adjust Sample Rate Dialog

Adjust Sample Rate Dialog

Choosing a higher sample rate results in Cool Edit Pro playing back the file at higher pitch (think “chipmunks”), while selecting a lower sample rate results in a lower-pitched sound (think “drunk Darth Vader”).

Sample Rate

Channels

Resolution

Path (Breadcrumbs) Edit View: Edit > Adjust Sample Rate...

More About...

Convert Sample Type


Adjust to zero-DC when recording

Check this box to have Cool Edit Pro automatically remove any detected DC bias when recording.


Adjust Volume based on Direction

Check this box to have the volume of the effect automatically adjusted based up the virtual direction values you’ve entered.


Adjust Volume based on Distance

With this box checked, the volume of the effect is automatically adjusted based upon the virtual distance values that have been specified.


Adjust Wave Pan... (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. Click it to display a horizontal slider used to adjust the wave block’s volume, which is measured in percentage.

Moving the slider to the left (or clicking on the arrow at the left of the slider) reduces the volume of the right channel, while dragging it to the right (or clicking on the arrow to the right of the slider) decreases the left channel’s volume.

You can also set the wave block’s panning parameter by directly entering the desired percentage in the text box to the right of the Panning Slider. Negative numbers (such as -100) denote a left pan, while positive numbers (like 100) mean a right pan.

Path (Breadcrumbs) Multitrack View: Edit > Adjust Wave Pan...(Wave Block Only)


Adjust Wave Volume... (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. Click it to display a vertical slider used to adjust the wave block’s volume, which is measured in dB.

Dragging the slider up (or clicking on the arrow at the top of the slider) increases the wave block’s volume, while moving it downward (or clicking on the arrow underneath the slider) reduces the volume accordingly.

You may also specify the wave block’s volume by directly entering the desired dB value in the text box above the Volume Slider.

Path (Breadcrumbs) Multitrack View: Edit > Adjust Wave Volume… (Wave Block Only)


ADPCM

ADPCM (Adaptive Differential Pulse Code Modulation) is an audio compression scheme which compresses sound files from 16-bits to 4-bits, yielding a 4:1 compression ratio. There are many varieties of ADPCM, such as the IMA (Interactive Multimedia Association) DVI standard, and versions from Microsoft, Dialogic, etc.


Advanced

Press the Advanced button to see additional options.


Advanced 2

Advanced

Here’s where you can modify the Statistics RMS Width, which is measured in milliseconds. The default is 50 ms.


Advanced 3

Advanced

Clicking on this button takes you to the Advanced Session Properties dialog, which is documented elsewhere in this section.


Advanced Session Properties...

Advanced Session Properties... Ctrl+P

This command brings up the Advanced Session Properties window, a tabbed dialog that lets you adjust several parameters of your multitrack session, as well as store additional session-based information within your session file.

Tip icon

Use the keyboard shortcut of Ctrl+P to quickly display the Advanced Session Properties window.

General Tab

Mixing Tab

Tempo Tab

Metronome Tab

Notes Tab

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...


Advanced/Simple

More advanced options can be viewed by clicking the “Advanced” button. Just click “Simple” to go back to the simpler view.


Advertiser

Place the name of the sponsor in the field. Examples include “First National Bank” or “In House Promo”.


Affect Level

This sets the amount of processed (vocoded) signal that ends up in the resulting waveform. Set this value to 100% for full vocoding, while 50% keeps more of the original waveform.

Tip icon

A value of 15% will produce a subliminal effect, as it will just barely affect the process wave with the voice.


Agency

Here’s where you enter the name of the advertising agency or production house.


AIFF

This is Apple’s standard wave file format. Like Windows WAV, AIFF files support mono or stereo, 16-bit or 8-bit, and a wide range of sample rates. Cool Edit Pro only supports the PCM encoded portion of the data, even though this format (like Windows WAV) can contain any one of a number of data formats. The AIFF format is a good choice for PC/Macintosh cross-platform compatibility. Extensions are .aif or .snd.


Album Name

The title of the album is typed into this field. This title can have up to 30 characters.


Alert when complete

If this option is checked, a dialog will signal the completion of the script.


Aliasing

Noise that occurs from sampling a high frequency sound at a sample rate that is less than what is required to represent that frequency. A certain sampling rate can represent a frequency equal to half its rate (the Nyquist Frequency).


Align Left 2

Align Left

The Align Left command (which is only accessible if two or more blocks are highlighted) to make the left-hand edges of all highlighted blocks the same as the left-hand edge of the last highlighted block.


Align Right 2

Align Right

Click the Align Right command (which is only visible when two or more blocks are highlighted) to make the right-hand edges of all highlighted blocks the same as the right-hand edge of the last block you highlighted.


Align Left

The Align Left command (which is only accessible if two or more blocks are highlighted) to make the left-hand edges of all highlighted blocks the same as the left-hand edge of the last highlighted block.

Path (Breadcrumbs) Multitrack View: Edit > Align Left


Align Right

Click the Align Right command (which is only visible when two or more blocks are highlighted) to make the right-hand edges of all highlighted blocks the same as the right-hand edge of the last block you highlighted.

Path (Breadcrumbs) Multitrack View: Edit > Align Left


All Waves

Selecting this option will mix all unmuted waveforms in the session and place the resulting stereo waveform in the Edit View.


All Waves (Mono)

Selecting this option will mix all unmuted waveforms in the session to a mono waveform, which will be placed in the Edit View.


All Waves (Bounce)

All Waves

Selecting this option will mix all unmuted waveforms in the session and place the resulting stereo waveform into the selected track.


All Waves (Bounce) 2

All Waves

Selecting this option will mix all unmuted waveforms in the session and place the resulting stereo waveform in the current track.


All Waves (Mono) 2

All Waves (Mono)

Selecting this option will mix all unmuted waveforms in the session to a mono waveform, which will be placed into the selected track.


All Waves (Mono) 3

All Waves (Mono)

Selecting this option will mix all unmuted waveforms in the session to a mono waveform, which will be placed in the current track.


Allow for partially processed data after canceling effect

This option decides what happens after you hit the Cancel button while in the middle of applying an effect to a waveform.

  • If the box is checked, Cool Edit Pro will leave the effect applied to all data processed up until the point you pressed Cancel.

  • Uncheck this box to have Cool Edit Pro automatically remove the effect on already processed data when Cancel is pushed.


Allow Intensity Joint Stereo (for low bitrates)

Check this box to allow combining of the left and right channels for files encoded at low bitrates. Some frequencies are saved as mono and placed in the stereo field based on the intensity of the sound.

Note icon

This option shouldn’t be used if the stereo audio contains surround encoded material.


Allow Mid-Side Joint Stereo (for mid bitrates)

If this box is checked, the left and right channels will be combined using a Mid-Side method when encoding middle quality bitrates and below. This preserves surround-sound information by saving the common audio in one channel while the difference between the channels is saved in the other.


Allow Multiple Takes 2

Allow Multiple Takes

With this option enabled, a Take History is preserved for the selected waveform in the event that it’s recorded over. Material is not overwritten when recording into an existing waveform block. Instead, a new instance, or “take”, of the block is created and recorded into, preserving the previous waveform.

With Allow Multiple Takes disabled, recording is done into the same spot each time.

Note icon

The Punch In function will automatically enable Allow Multiple Takes for the selected Punch area.


Allow Multiple Takes (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. When you enable this option by clicking on its menu command (causing a check mark to appear next to its name), a Take History is preserved for the selected waveform in the event that it’s recorded over. Material is not overwritten when recording into an existing waveform block. Instead, a new instance, or “take”, of the block is created and recorded into, preserving the previous waveform.

With Allow Multiple Takes disabled, recording is done into the same spot each time.

Note icon

The Punch In function will automatically enable Allow Multiple Takes for the selected Punch area.

Path (Breadcrumbs) Multitrack View: Edit > Allow Multiple Takes (Wave Block Only)


Allow Narrowing of Stereo Image

Allow Narrowing of Stereo Image: It takes more data to represent a wider stereo image, so when this box is checked it means you will allow the encoder to narrow the image in some parts in order to make the overall audio quality better.


Amiga IFF-8SVX (.IFF, .SVX)

The Amiga 8SVX format is an 8-bit mono format from the Commodore Amiga computer. A variety of sample rates are supported.

Options...

Data Formatted As 8-bit Signed

Data Formatted As 4-bit Fibonacci Delta Encoded

Dithering from 16-bit

More about...

Dithering


Amplification 2

Amplification

The value in the Amplification field specifies where the top of the graph is, measured in percentage. Then, when you draw your envelope curve, the top of the graph is whatever percentage you specify and the bottom is 0%. The default valuce of 100% means there will be no change in volume.


Amplification

You can set an amplification amount in dB to adjust the final waveform by. Usually this can be zero, but if the results are too quiet or loud, raise or lower this to compensate.

Tip icon

For ease of use, try selecting Window Width and set it to about 90%, use 3 or 4 overlays, a resynthesis window of 1 or 2, and FFT sizes from 2048 to 6400.


Amplification (Constant Amplification Tab)

Amplify Dialog – Constant Amplification Tab

Amplify Dialog – Constant Amplification Tab

Move the slider(s) for the amount of volume change you wish to apply to the selection. Any figure over an amplification value of 100% or 0dB makes the selection louder; a figure below 100% or 0dB reduces the volume.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Amplify...

More about...

Amplify...


Amplify...

Amplify button Amplify...

Amplification (Constant Amplification Tab)

Fade Tab

Presets

Cool Edit Pro comes with a nice selection of amplification presets including several fades and pans. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the selected amplification setting before you apply it to the waveform. The selection is played over and over (“looped”) until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear amplification adjustments as the selection is looped.

Check the Bypass box to hear the waveform without any changes in amplification for a quick “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Amplify...

* This function supports Presets.

* This function supports Preview.


Amplitude 2

Amplitude

This setting determines the volume level (in percent) of the tones generated, where 100% means maximum volume without clipping.


Amplitude 3

Amplitude

Amplitude represents the loudness of a signal. A waveform’s amplitude is measured by its distance from the center-line (which represents a 0 amplitude value). There are different standards for measuring amplitude, with decibels (dB) being the most common.


Amplitude

Use the options in this menu to alter the amplitude (volume level) of an audio file or selected range.

Path (Breadcrumbs) Edit View: Effects > Amplitude


Edit Waveform View Effects Amplitude Effects Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Amplify...

Channel Mixer...

Dynamics Processing...

Envelope...

Hard Limiting...

Normalize...

Pan/Expand...

Stereo Field Rotate...

Delay Effects

Filters

Noise Reduction

Special

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Amplitude Ruler

The Amplitude Ruler is found along the right-edge of the Waveform Display. It measures the relative volume of audio data in either Samples, percentage, or as a normalized value. For spectral data, the ruler format is in frequency (Hz).


Amplitude Ruler screen element

Amplitude Ruler

The Amplitude Ruler measures the relative volume of audio data. In Waveform View, the ruler's display format can be set to either Samples (exact sample value of the data), a percentage (from -100% to 100%, where 100% is 0dB) or as a normalized value (-1 to 1). For spectral data, the ruler format is always in frequency (Hz).

Alternate Method icon

Left-click and drag on the Amplitude Ruler to scroll the waveform display vertically. While dragging, move the hand cursor to the very top or bottom of the window for a fast auto-scroll.

Right-click and drag (the mouse pointer becomes a magnifying glass) to zoom the waveform display to show only the specified amplitude scale.

Right-click on the Amplitude Ruler to call up a menu for selecting various Zoom, and Format options.

Double-click on the Amplitude Ruler to cycle through the Vertical Scale Formats (sample, percentage, etc.).


Amplitude Sliders

The three amplitude sliders to the right of the graph correspond to the low shelf, mid band, and high shelf bands, from left to right. A quick way to get a different sounding reverb is to just adjust these sliders up or down.


Amplitude Sliders 2

Amplitude Sliders

The horizontal Lo, Mid, and Hi Amplitude Sliders to are used to increase or attenuate the EQ curve’s low, middle, and high frequencies respectively. Move a slider upwards (or click on the arrow at the top of the slider) to raise the frequency’s amplitude, while bringing it down (or clicking on the arrow to the bottom of the slider) decreases the amplification of the frequency.

You may also specify the slider’s amplitude by directly entering the desired dB value in the text box at the bottom of the amplitude slider.


Analog Recording

This is the recording of the ongoing changes of an audio waveform. The analog recording of audio is a continuous curve, as opposed to digital recording, which is based on discrete samples.


Analysis Wave

Choose the waveform from which to “read” the amplitude envelope. Any waveform in the session window may be selected from this drop-down list.


Open Append...

Use this command to add one or more waveforms to the end of the currently shown waveform in the editing window. If the waveform being added is of a different type, Cool Edit Pro automatically converts it as it’s opened. However, better results are achieved if you only append files of the same sample rate, since no number-crunching is required to change between rates.

Append a Waveform dialog

Append a Waveform Dialog

Note icon

Appended cue points are automatically placed within Cool Edit Pro’s Cue List, making it simple to locate the edit boundaries later.

Path (Breadcrumbs) Edit View: File > Open Append...

More about...

Sample Rates

Resolution


Append to Session...

This command opens an existing session and all of its associated audio files, and begins track placement at the end of the currently open session. For example, if the currently open session has material in tracks 1-4, then using Append to Session… to open another four track session would place the new material into tracks 5-8. The selected session must have the same sample rate and bit resolution as the session to be appended to.

The Append a Multitrack Session dialog is virtually identical to the Open a Multitrack Session dialog.

Note icon | You should note that the appended tracks are loaded into the session at the beginning of the project’s timeline (i.e., all of the tracks will load in at the project from its beginning point.) Once loaded, the appended waveforms can easily be moved into place by actively selecting the desired waveforms and by right-clicking on any one of them and then dragging them into position.
Tip icon | If you'd like to add a previously created session to your current session, this can easily be done using the File > Append to Session command. For example, let’s say that we’d like to insert an existing multitrack composition that’s been saved as a session. Appending the desired session into our current workspace (which will place them at the beginning of the timeline, onto the next available set of open tracks) we can now select and move the appropriate session waveforms into place (often using the Ctrl+Right Click mouse command to select multiple waveforms) – and Voila – you’ve integrated two sessions into a whole new composition.

Path (Breadcrumbs) Multitrack View: File > Append to Session...

More about...

Resolution


Apple AIFF (.AIF, .SND)

This is Apple’s standard wave file format. Like Windows WAV, AIFF files support mono or stereo, 16-bit or 8-bit, and a wide range of sample rates. Cool Edit Pro only supports the PCM encoded portion of the data, even though this format (like Windows WAV) can contain any one of a number of data formats.

The AIFF format is a good choice for PC/Macintosh cross-platform compatibility. Before you open AIFF files in Cool Edit Pro, add the .aif or .snd extension to the file and load it using the Apple AIFF file filter. When transferred to a Mac, you can add the four character code “AIFF” in the file’s resource fork to have it recognized (The Macintosh identifies a file through its “resource”, which is stripped away when a file is opened on a PC. However, many Mac applications that support AIFF can recognize the PCM data without this identifier.)


Artist

Enter the name(s) of the performer(s) here, up to 30 characters.


ASCII Text Data

Audio data can be read to or written from files in a standard text format, with each sample separated by a carriage return, and channels separated by a tab character. The file extension is .txt. An optional header can be placed before the data. If there is no header text, then the data is assumed to be 16-bit signed decimal integers. The header is formatted as KEYWORD: value with the keywords being: SAMPLES, BITSPERSAMPLE, CHANNELS, SAMPLERATE, and NORMALIZED. The values for NORMALIZED are either TRUE or FALSE.


ASCII Text Data (.TXT)

Audio data can be read to or written from files in a standard text format, with each sample separated by a carriage return, and channels separated by a tab character. An optional header can be placed before the data. If there is no header text, then the data is assumed to be 16-bit signed decimal integers.

The header is formatted as KEYWORD: value with the keywords being: SAMPLES, BITSPERSAMPLE, CHANNELS, SAMPLERATE, and NORMALIZED. The values for NORMALIZED are either TRUE or FALSE. For example,

SAMPLES: 1582

BITSPERSAMPLE: 16

CHANNELS: 2

SAMPLERATE: 22050

NORMALIZED: FALSE

164 <tab> -1372

492 <tab> -876

etc...

Options...

Include Format Header

Normalized Data


Assigning Tracks To A Bus

Cool Edit Pro provides several ways of assigning tracks to busses, but here’s the easiest:

  1. Press the Output button in the Track Controls. (The button says “Out 1” by default.) This will display the Playback Devices dialog for the track.

  2. In the bottom part of the Wave tab of the Playback Devices dialog you’ll see a list of existing Busses. If it’s the first time you’ve used busses in Cool Edit Pro, just one bus – “Untitled Bus (A)” – will be listed. (You can press New Bus… to add another bus to the list – up to 26 if you want.)

  3. Click on the name of the bus you wish to add the track to.

  4. Press the Properties… button to display the Bus Properties dialog.

  5. Use the Bus Properties dialog to give the bus a friendly name and change its output device if desired, as well as assign any Real-Time Effects to the bus. Press OK when you’re done.

  6. Press OK to close the Playback Devices dialog. (Notice how the track’s Output button now shows the letter of the bus.)


Attack

The first part of the sound that you hear. Some sounds (like pianos and drums) have a very fast attack; the loudest portion of the sound is reached very quickly. A sound with a slow attack rate (such as a soft string section) slowly increases in volume.


Attack/Release Tab

Dynamics Processing Dialog - Attack/Release Tab

Dynamics Processing Dialog – Attack/Release Tab

Specify gain processing and level detection values using the fields in this area of the Dynamic Range Processing effect.

Gain Processor

Level Detector

Lookahead Time

Path (Breadcrumbs) Edit View: Effects > Amplitude > Dynamics Processing...

More about...

Dynamics Processing...


Attack Time

This is the time, measured in milliseconds, that it takes for the reverb to build to its maximum amplitude. Generally, reverbs tend to build up over a short time span, and then decay at a much slower rate. Interesting effects can be heard with extremely long attack times (like 400 milliseconds or more).


Attack Time 1

Attack Time

The amount of time it takes for the reverb to gain full strength is known as the attack time. For short reverb times, the attack time should be smaller.

In general, a value of about 10% of the total reverb time works well. However, you can create interesting and subtle effects by using longer attack times with shorter reverb lengths, or, conversely, by combining very short attack times with long reverb lengths.


Attenuate

To make smaller, such as to reduce volume or signal strength.


Attributes

The available attributes will depend on the original attributes of the file (sample rate, etc.) and the Filter chosen.


AU

This format is the standard found on NeXT and Sun computers, and has many data types. Cool Edit Pro supports the CCITT mu-Law, A-Law, G.721 ADPCM, and linear PCM data variants. Like Windows WAV and AIFF files, this format can support mono or stereo, 16-bit or 8-bit, and a wide range of sample rates when saved as linear PCM. The most common use for the AU file format is for compressing 16-bit data to 8-bit mu-law data. AU is used quite extensively for distribution on the Internet, and for inclusion in Java applications and applets. AU files can have either an .au or .snd extension.


"Audio" is defined as

Enter the amplitude value (in decibels) you wish Cool Edit Pro to consider as the minimum level for “Audio” in the “Signal is above…” box,

The duration (in milliseconds) of this minimum amplitude value should be entered in the “For more than…” box.

Tip icon

Use higher values for the second box to ignore short periods of undesired audio (like clicks, static, or other noise). However, if the is value is too high (above 200 ms), short words may be skipped.


Audio File Format

The method used for writing audio data to disk for storage is known as a File Format. Cool Edit Pro supports many file formats, which themselves support a variety of properties such as sample rate, compression, etc. Some file formats may not be compatible with other systems. Windows PCM (.wav) is found most often in the Windows environment. File formats can be chosen in File > Save As…


Audio from Video File...

Audio from Video File…

Insert the soundtrack from one or more supported video files to the session window using this command, which displays Cool Edit Pro’s Choose a video file dialog. (This dialog is virtually identical to a normal Windows “Open” dialog.)

Note icon

You’re limited to inserting audio from just one video file at a time, but feel free to re-run this command as often as need to insert addition video soundtracks into your session.

Path (Breadcrumbs) Multitrack View: Insert > Audio from Video File…


Audio will be considered "silence" when

Enter the amplitude value (in decibels) you wish Cool Edit Pro to consider as the maximum level for “Silence” in the “Signal is below…” box.

The duration (in milliseconds) of this maximum amplitude value should be entered in the “For more than…” box.

Note icon

For very quiet, high-quality audio, the dB value will be lower (like –60 dB). For noisier audio, the value may be much higher (such as –30 dB). Use higher values in the seconds box to keep groups of words together, for example.


Audio will be considered as valid when

Enter the amplitude value (in decibels) you wish Cool Edit Pro to consider as the minimum level for Audio in the “Signal is above…” box.

The duration (in milliseconds) of this minimum amplitude value should be entered in the “For more than…” box.

Tip icon

Use higher values for the second box to ignore short periods of undesired audio (like clicks, static, or other noise). However, if the is value is too high (above 200 ms), short words may be skipped.


Auto-convert all data to 32-bit upon opening

If this item is checked, all 8-bit and 16-bit data is automatically converted to 32-bit when a file is loaded, and all subsequent operations will keep the data in the 32-bit realm.


Auto-convert settings for Paste

When pasting different sample formats, Cool Edit Pro uses these settings when auto-converting the clipboard to the current sample format. Valid settings range from 30 to 1000.

Downsampling quality level

Enter a value (30 to 1000) for downsampling quality.

  • Higher values retain more high frequencies while still preventing the aliasing of higher frequencies to lower ones.

  • A lower quality setting requires less processing time, but will result in certain high frequencies being “rolled-off”, leading to muffled-sounding audio.

Because the filter’s cutoff slope is much steeper at higher quality settings, the chance of ringing at high frequencies is greater. Usually values between 80 and 400 do a great job for most conversion needs. The default value is 80.

Pre-Filter

To prevent any chance of aliasing, the pre-filter on downsampling will remove all frequencies above the Nyquist limit, thus keeping them from generating false frequencies at the low end of the spectrum. In general, this box should be checked for best results.

Upsampling quality level

Enter a value (30 to 1000) for upsampling quality.

Higher values retain more high frequencies while still preventing the aliasing of higher frequencies to lower ones.

A lower quality setting requires less processing time, but will result in certain high frequencies being “rolled-off”, leading to muffled-sounding audio.

Because the filter’s cutoff slope is much steeper at higher quality settings, the chance of ringing at high frequencies is greater. Usually values between 100 and 400 do a great job for most conversion needs. The default value is 120.

Tip icon

You should use high quality settings whenever you downsample from a high sample rate to a low rate. When upsampling, a low quality setting will sound almost identical to a high quality setting. The difference lies in the larger phase shift that exists at higher frequencies, but since the phase shift is completely linear, it’s very difficult to notice. Downsampling, at even the lowest quality setting, generally won't introduce any undesired noisy artifacts. Instead, it may just sound slightly muffled because of the increased high end filtering.

Post-Filter

To prevent any chance of aliasing, the post-filter on upsampling will remove all frequencies above the Nyquist limit, thus keeping them from generating false frequencies at the low end of the spectrum. In general, this box should be enabled for best results.


Auto-Play

If the Auto-Play button is depressed, the cue will automatically play whenever the cue is selected in the Cue List. To deactivate the automatic play mode, click on the Auto-Play button to release it.


Auto-play on command-line load

When launching Cool Edit Pro, checking this option will automatically play a file that has been specified on the command line. For example, if you go to the Run dialog in the Windows Start menu and enter “c:\cool\coolpro.exe thisfile.wav” as your command line, then Cool Edit Pro will launch and begin playing thisfile.wav.


Auto-scroll during Play and Record

If enabled, the waveform display will scroll in sync with playback. This only affects when you are zoomed in on a portion of a waveform, and play past the viewed portion (by pressing Shift+Play, for example).


Auto-Cue

The Auto-Cue feature is used to define spoken/music phrases or beats, and automatically add them to the Cue List.

To use Auto-Cue, first highlight the general region in which you wish to find phrases or beats. Then, select Edit > Auto-Cue and the appropriate submenu choice from the following options:

  • Adjust Selection to Phrase: Selects a phrase within the highlighted region by adjusting the highlight inward, ignoring any silence before and after the audio. Nothing is added to the Cue List.

  • Find Phrases and Mark: Scans the highlighted area, marking non-silent regions as Basic cues in the Cue List.

    • Find Beats and Mark: Scans the highlighted area, marking beats as Beat cues in the Cue List.

  • Auto-Cue Settings… : Choose this option to customize the way the Auto-Cue function works.

  • Trim Digital Silence: This command removes pure digital silence from the beginning and ending of a file. However, if you highlight the middle of a waveform, Trim Digital Silence will act as a normal Trim command, trimming out everything else, in addition to any digital silence in the highlighted region at the endpoints.

Path (Breadcrumbs) Edit View: Edit > Auto-Cue


Auto Find All Levels

Using the values input in the Sensitivity and Discrimination fields as guides, the Auto Find All Levels command scans the highlighted area for clicks, and determines values for all of the Threshold, Detect, and Reject values. Five areas of audio are checked, starting at the quietest regions and moving up to the loudest.


Auto Play

If enabled, you can audition any selected file in the Open dialog, provided that its format can be played on your system. You can play individual files even when Auto Play is not checked by selecting them and clicking on the Play button, and you can stop Auto Play for the current file by clicking on the Stop button (which replaces Play when Auto Play is playing).


Auto Play 3

Auto Play

Check this box to have Cool Edit Pro automatically play a sound file when you highlight it in the Open a Waveform window. This handy feature lets you quickly audition files before you load them into an editing window. (Keep in mind that you can only play file types that are supported by your system.)

You can also play individual files when Auto Play is unchecked. Just select a waveform and click on the Play button in the Open a Waveform window. Terminate playback by clicking on the Stop button, which replaces the Play button when a sound is playing.


Auto Play 1

Auto Play

If enabled, you can audition any selected file in the Open dialog, provided that its format can normally be played on your system. You can play individual files even when Auto Play is not checked by selecting them and clicking on the Play button, and you can stop Auto Play for the current file by clicking on the Stop button (which replaces Play when Auto Play is playing).


Auto Play 2

Auto Play

If enabled, you can audition any selected file in the Open dialog, provided that its format can normally be played on your system. You can play individual files even when Auto Play is not checked by selecting them and clicking on the Play button, and you can stop Auto Play for the current file by clicking on the Stop button (which replaces Play when Auto Play is playing).


Auto Zero-Cross Ends

Check this option to have Cool Edit Pro automatically adjust the beginning and end points of all cut/copy/paste-type edits to the nearest place where the waveform crosses the center line (zero amplitude point). If the amplitudes aren’t lined up on both sides of the selection, the endpoints are at different amplitudes. This often results in an audible pop or click at that point.


Autocue

This control plays the currently highlighted item in the Play List (or the first item if nothing is highlighted), and stops on the next item in the Play List. Thus, the next item in the Play List will be played every time Autocue is pressed.


Automation

The process of making pan and volume changes in a mix that will happen every time the file plays back. In many hardware mixers, this is done with “automatic” volume and pan sliders that can be programmed to remember timing information and move themselves appropriately during playback. Automation is handled by Envelopes in Cool Edit Pro.


Average Left & Right

Cool Edit Pro can either average the original left and right channels or keep them separate in order to preserve any stereo image that may already exist.

If you leave the box unchecked, the stereo image will be preserved when processing a stereo source file. (For example, spatial binaural cues such as those that exist in reverberated audio or live stereo recordings will be preserved.)

Note that there is no need to check this box if the sample was originally monophonic, as it will have no result – except that if the box is checked, Cool Edit Pro will process the sample more slowly.


Average RMS Power

This figure represents the average power of the entire selection. This is a good measure of the overall loudness of the waveform selection.


Avg

This is the total average RMS of the entire file. This value isn’t used to normalize with because files can have more interesting dynamics that need to be accounted for.


Background Mixing

This is the process that Cool Edit Pro uses to combine waveforms for monitoring while in the multitrack environment. As its name implies, background mixing occurs behind-the-scenes, and works much of the time to reflect changes to your session, such as a moved or deleted waveform, a volume change, or new material recorded into a track. An update of the background mixing process can be seen in the Mix Gauge.


Band

Use this drop-down list to select the band that’s to be modified with the value entered in the Gain box to the right.


Band Buttons

By default, only the Mid Q in the Track EQ window is active, but by pushing one or both Band buttons, you can activate the Low Q and/or Hi Q settings. This in effect gives you the control of a parametric equalizer.


Band Limiting Tab

The fields in the Band Limiting Tab allow you to specify a frequency range where all dynamics manipulation will occur.

Dynamics Processing Dialog - Band Limiting Tab

Dynamics Processing Dialog – Band Limiting Tab

Low Cutoff

High Cutoff

Create Envelope Only

Path (Breadcrumbs) Edit View: Effects > Amplitude > Dynamics Processing...

More about...

Dynamics Processing...


Band Pass

This mode preserves a range of frequencies (that is, a band) while removing all other frequencies. You must specify two cutoff points to define the edges of the band.


Band Pass Filter

A filter or DSP effect that allows some audio frequencies to pass, but not others.


Band Stop (Notch filter)

Band Stop

Also known as a notch filter, Band Stop is the opposite of Band Pass, and will reject any frequencies within the specified range. You must specify two cutoff points to define the edges of the band.


Bandpassed Echoes

Minimum

When adding bandpassed echoes, this is the lower cutoff frequency of the echo. For example, to echo just the range from 500Hz to 1000Hz, enter 500Hz for the minimum value.

Maximum

When adding bandpassed echoes, this is the upper cutoff frequency of the echo. For example, to echo just the range from 500Hz to 1000Hz, enter 1000Hz for the maximum value.

FIR Size

This parameter sets the size of the FIR filter to use to generate the filtered echo.

Note icon

Cool Edit Pro recommends a minimum delay (below the FIR entry box) when you add this echo. If you use a smaller delay than that suggested, the echo may contain more frequencies than you want. You can ignore this delay for full spectrum echoes, as they are just single sample ticks in the impulse.


Bands

Choose the number of split points here. The original waveform will be copied “this many times” with each copy having a different frequency range, as determined by the Crossovers.


Bars and Beats

This displays time in a musical measures format of bar:beat:ticks per beat. You can adjust the number of ticks per beat, tempo, and other properties in the Edit Tempo… dialog, which is described below.

Path (Breadcrumbs) View > Display Time Format > Bars and Beats


Bars/Beats

This field shows the number of beats-per-bar. You can change this figure by clicking in the field and entering a new number.


Base Frequency

This is where you enter the main frequency to be used for sound generation.


Basic

Basic Cues are used to mark important sections of the waveform for later reference (for example, to remind yourself of an editing point). They’re also used to specify stop and start positions for the Cool Edit Pro’s Play List.


Basic Cue

One of the four types of Cool Edit Pro Cues. Basic Cues are used to mark important sections of the waveform for later reference (such as to remind yourself of an editing point). They’re also used to specify stop and start positions for the Cool Edit Pro’s Play List.


Batch

If one or more Cue List range entries are highlighted, pressing this button brings up the Batch Process Phrases dialog.

The Cue List’s Batch Process Phrases Dialog

The Cue List’s Batch Process Phrases Dialog

Note icon

At least one of the cues must be a cue range in order for the Batch button to be active.

Here are the components of the Batch Process Phrases window:

Set Amount of Silence

Save to Files

Filename Prefix

Destination Folder

Output Format


Batch File Convert...

Cool Edit Pro’s handy Batch File Convert tool allows you to easily change multiple waveforms from one audio format to another (such as from .wav to .mp3) using a four-window process.

1. Files

2. Resample

3. New Format

4. Destination

Path (Breadcrumbs) Edit View: File > Batch File Convert...

More about...

Converting File Formats


Batch Process

Scripts and Batch Processing button Batch Process

Use this part of Cool Edit Pro to run a single script repeatedly over a group (batch) of source files. To open the Batch Process dialog, press the Batch Run button on the Scripts and Batch Processing window.

Batch Process Dialog

Batch Process Dialog

Note icon

In order for a single script to be run on a batch of files, the script must have been recorded in the “Script Works on Current Wave” mode. That is, before the script was recorded, there must have been an open waveform (perhaps blank) and no highlighted selection. The Batch Run button will only be selectable if a script of this type is selected from the scripts list.

Here are the major components of the Batch Process dialog:

Source Files

Add Files...

Remove

Destination Folder

Output Filename Template

Output Format

Change Options

Output Format

Change Options

Scan List

Disable Undo

Overwrite Existing Files

Open Raw PCM As...

Begin

More about...

Batch Processing Files


Beat

Beat Cues are just like Basic Cues, but they’re specifically for marking musical beats. If you use the “Find Beats and Mark” part of the Auto-Cue feature (Edit > Auto-Cue), Cool Edit Pro will mark each beat with a Beat Cue.


Beat Cue

One of the four types of Cool Edit Pro Cues. Beat Cues are just like Basic Cues, but they’re specifically for marking musical beats.


Beat Splice

The Beat Splice option actually tries to cut up the file at the beats to loop the file that way. This only works on loops that have very sharp (short duration) sounds, like drums.

If the waveform already has beat markers, you may elect to use them. Otherwise, the Auto-Find beats option will be selected.

If the default values of 10dB and 9 milliseconds aren’t satisfactory, you can change them in the fields provided.


Beats/Bar

The number of beats per bar goes in this text box.

Press the Add button to place your new custom time signature to the Metronome’s Signature list.


Beats Per Minute (BPM)

The number of steady even pulses that occur in a piece of music every 60 seconds. The BPM value defines the tempo of the musical selection.


Begin

Press this button to begin batch processing all files in the Source Files list.

Tip icon

If you want to convert several files from one format to another (say, from .wav to .mp3), try using File > Batch File Convert instead.


BIOS

Basic Input Output System. It’s the most basic system for controlling a PC. BIOS routines are usually stored on hardware on the motherboard of a computer system (i.e. stored in ROM chip). It’s the BIOS which handles the instructions for starting a computer, initializing the hardware, and launching the operating system.


Bit

Bits are part of the numbering system used in digital equipment, such as computers. A bit makes up a larger number, called a word, which is used to represent the voltage level (amplitude) of an analog signal. The number of bits used to make up a word determines the bit resolution, which in turn determines the number of voltage levels possible in representing amplitude. Therefore, greater bit resolutions make for higher signal-to-noise ratios.


Bit Depth

Here’s where you select whether you want the track to be 16-bit or 32-bit. A Cool Edit Pro session can contain a mix of 16-bit and 32-bit tracks.


Bit Resolution (a.k.a. Bit Depth)

The number of bits used in measuring amplitude for a sample. Choosing 8-bit resolution will provide 256 possible unique “volumes”, while choosing a 16-bit resolution will provide 65,536 possible unique “volumes”, which results in a 96 dB signal-to-noise ratio. Obviously, a much greater dynamic range can be reproduced at 16-bit resolution than at 8-bit resolution, which only has a 48 dB signal-to-noise ratio. Compact disc players have a 16-bit resolution. Some sound cards support resolutions greater than 16-bit. Cool Edit Pro supports up to 32-bit sample rates. It’s best to remain at the 32-bit level while working in Cool Edit, and convert down for output, in order to best represent the audio after transforms have been preformed.


Block

A segment of audio in Cool Edit Pro’s Multitrack View that can be dragged separately. A block can be one of several data types: a wave block, a MIDI block, or a video block.


Block Color...

TThis command invokes Cool Edit Pro’s Block Color dialog, which allows you to change the color of the current block.

Block Color Dialog

Block Color Dialog

Select from one of 32 preset hues by clicking on it. You may also use the slider to find a color, or you can directly enter a hue value from 0 to 255 in the field provided.

Tip icon

Use the Ctrl+K keyboard shortcut to call up the Block Color dialog without having to access a context menu.

Path (Breadcrumbs) Multitrack View: Edit > Block Color...


Mute Blocks

Mute Block button Mute Blocks

This command mutes or unmutes the selected block(s). This command is separate from Track Muting (pressing the Mute button in the Track Console area) which disables all blocks within a track. Muted blocks are ignored during playback and mixdowns, and are displayed as “grayed-out”.

Path (Breadcrumbs) Multitrack View: Edit > Mute Blocks


Wave Block Properties...

This command displays Cool Edit Pro’s Wave Block Properties screen, which can be used to adjust several of the wave block’s parameters. This command only appears on the Block Context menu when you’ve right-clicked on a waveform.

Wave Block Properties Dialog

Wave Block Properties Dialog

Volume

Pan

Filename/Path

Time Offset

Hue

Mute

Lock in Time

Lock for Play Only


Block Context Menu

Right-clicking on a block in the Multitrack View session window will invoke the Block Context menu. The items that appear on the Block Context menu will vary depending upon the type of block (waveform, video, or MIDI) selected.

The Block Context Menu for a Wave Block

Edit Waveform...

Loop Properties...

Allow Multiple Takes

Take History

Adjust Wave Volume...

Adjust Wave Pan...

Wave Block Properties...

Transpose (MIDI Block Only)

Set Tempo (MIDI Block Only)

Zoom in/out (MIDI Block Only)

Active Track (MIDI Block Only)

Set Controller 7 (MIDI Block Only)

Save mixdown to video (Video Block Only)

Mix Down to File

Mix Down to File (Mono)

Group Blocks

Group Color...

Block Color...

Punch In

Crossfade

Loop Duplicate...

Convert to Unique Copy

Mute Block

Lock in Time

Lock for Play Only

Split

Merge/Rejoin Split

Align Left

Align Right

Adjust Boundaries

Trim

Cut

Full

Remove Block

Destroy Block (remove & close)

Envelopes

More about...

Navigating the Multitrack View Screen


Block Size

Three types of block sizes are available, each with a different compression ratio and quality level.

Large (Default Quality): This option offers a compression ratio of 3.98:1.

Medium (Good Quality): The quality level increases with this option, but since the compression ratio is a bit smaller (3.81:1), your files will be slightly larger than with the Large option.

Small (High Quality): Use this option for the best quality ADPCM sound at a trade-off of larger files due to the smaller compression ration (3.25:1).


Boost Input by

Before performing the limiting, the audio may be pre-amplified first. To make a selection louder and ensure that no clipping occurs, you can use this to amplify it and soften the regions that would otherwise clip (similar to what is commonly done with the audio on TV commercials). Enter the desired amplification value, as measured in dB.


Brainwave Synchronizer...

Brainwave Synchronizer button Brainwave Synchronizer...

Cool Edit Pro’s Brainwave Synchronizer can produce files that, when listened to with stereo headphones, will put the listener into any desired state of awareness. For example, by listening to “brainwaved” files, you can achieve states such as deep sleep, theta meditation, or alpha relaxation. Because of the nature of this function, it only works on stereo waveform data, and to be effective, it must be listened to with stereo headphones.

The Brainwave Synchronizer function spatially locates the audio left and right, in a circular pattern over time. In order to spatially encode the signal, either the left or right channel is delayed so that the sounds will appear at each ear at different times, tricking the brain into thinking they are coming from either side. When this is done at frequencies of 3Hz and above, the brain will start synchronizing at the same frequency, increasing its output of Delta, Theta, Alpha, or Beta frequencies.

Brainwave Synchronizer Dialog

Brainwave Synchronizer Dialog

Frequency Graph

Smooth Wave

Spline Curves

Flat

Low/High Settings

Edit View: Effects > Special > Brainwave Synchronizer...

* This function supports Presets.

* This function supports Preview.


Break Time

This is the number of milliseconds of silence between successive tone.


Brown Noise

Brown noise has a spectral frequency of 1/f^2. This means, in English, that there’s much more low-end, and there are many more low-frequency components to the noise. This results in thunder- and waterfall-like sounds. Brown noise is so called because, when viewed, the wave follows a Brownian motion curve. That is, the next sample in the waveform is equal to the previous sample, plus a small random amount. When graphed, this waveform looks like a mountain range.


Burn

Burning is the act of writing to a CD-R or CD-RW disc.


Bus

If you’ve added this track to a bus, the Wet and Dry percentages are shown here. You can left-click and drag on these boxes to adjust these percentages.


Bus 2

Bus

An electrical conductor that makes a common connection between several circuits. In the case of Cool Edit Pro’s Multitrack View, a bus lets you make a common connection between several tracks.


Bus Effects Configuration

This dialog shows tabs for each effect on a given bus. It’s where you actually set the properties for that effect, such as the delay length.


Bus Effects Rack

The Bus Effects Rack dialog is the initial dialog used for deciding which real-time effect(s) you wish to add to or remove from a bus.


Bus Faders

The fader is used to adjust the adjust the bus’ relative volume in the mix. Move the fader up (or click on the arrow above the fader) to increase the volume; move it down (or click on the arrow below the fader) for a volume reduction. You may also directly specify the bus’ volume by entering a dB value in the text box above the fader.


Bus Mixer Tab

Here are the major components of the Bus Mixer:

Out

Config

Pan Controls

Mute/Solo Buttons

Bus Faders

Path (Breadcrumbs) Multitrack View: View > Show Mixers Window

More about...

Show Mixers Window


Bus Properties

Cool Edit Pro gives you the ability to organize multiple tracks into busses, which is especially useful for adding one or more real-time effects to and/or adjusting the gain for a common group of tracks. For example, you might have four tracks of background vocals that you want to apply the same reverb effect to. Instead of adding that effect to each track (which might have a significant drain on your computer’s processing speed), you can add the four tracks to their own bus and then apply the reverb to the bus. Up to 26 buses may be created.

Use the Bus Properties dialog (which looks very similar to Cool Edit Pro’s Effects Rack window) to specify and change a bus’ settings.

Bus Properties Dialog

Bus Properties Dialog

Friendly Name

Output Device

Installed Real-Time Effects

Current Effects Rack

Properties...

Presets

The Bus Properties window supports the saving of favorite settings as presets.

Press the New button to bring up a dialog for naming a new preset. When OK is clicked, a new item is added to the drop-down Presets menu.

To remove the currently visible preset listing, press the Delete button.

* This function supports Presets.


Calculate Normalization Values

When you press the Calculate Now button, Cool Edit Pro scans the selection and automatically adjusts the amplification sliders to the volume level that will normalize the selection to the entered peak level. Click on the OK button to apply these adjustments.


Cancel

A press of this button cancels the current Favorites edit and disables the fields in the Properties area.


Cancel Last Operation

Press this button to stop any action in progress, such as the application of an Effect or any other edit. The becomes useful only if the “Free Some Hard Drive Space” window has been automatically invoked by Cool Edit Pro, indicating that you have run out of storage space.


Cart Tab

Use the Cart tab to enter the “Cart Chunk” information for the file, if needed. The Cart Chunk is used by several popular radio automation packages. For details on how to use Cart Chunk data, see the documentation of your automation system.

Path (Breadcrumbs) View > Wave Properties...


Category

This field is for the category this audio production belongs in. Examples include, “Auto Dealer”, “Financial Institution”, “Promo” and “Stager”.


Category 2

Category

Nearly every aspect of Cool Edit Pro can have a keyboard shortcut assigned to it – we’re talking a lot of shortcuts. That’s why you’ll find the Category drop-down menu handy. It allows you to filter the Keyboard Shortcut list by category, which helps you quickly find the command or function you want to assign a shortcut to.


CBR (Constant Bitrate)

Constant Bitrate (CBR) encoding will use the same bitrate throughout the entire file. This is the most common method and is most predictable for bandwidth and file size.


CBR Bitrate

The number in this field – which is also editable – is the bitrate specified for CBR encoding. The higher the number, the larger the file, but the better the quality. Valid values run from 20 kbps to 320 kbps.


CD-R

A CD-R is a blank, recordable compact disc that can be written to once. They typically hold at least 650 MB of data or 74 minutes of audio. CD-R can also refer to the computer drives that write, or “burn”, CD-R discs.


CD-RW

A rewritable CD-R disc. A CD-RW also typically holds at least 650 MB of data or 74 minutes of audio, but unlike a CD-R, a CD-RW disk can be erased and written to again.


CEL

Cool Edit Loop files are essentially MP3 files with a .cel extension, but with a header that contains two important items. The first is the loop info, just as it’s saved with a .wav file and is set under View > Wave Properties > Loop Info. The .cel file also works to avoid a problem with MP3 files. It’s in the nature of MP3 files that a very small amount of silence is added to the beginning and/or end of an MP3 file when it’s encoded. When working with a loop, though, it’s enough to throw the entire loop off. As it saves a .cel file, Cool Edit Pro calculates how much silence is going to be added to the MP3 file and writes this information into the .cel header. Then, when Cool Edit Pro loads a .cel file, it reads this silence information and automatically removes the silence from the file so that it’ll loop smoothly.

More about...

mp3PRO®

Creating loops and their basic use

Using and optimizing loops in your sessions


Center + LFE, stereo

This option is offered for use with a stereo file – when this option is selected for a stereo file, it will route the left channel signal to the Center channel and the right channel signal to the LFE channel discretely. If this option is selected for a track containing a Mono source file, then the same signal will be sent equally to both the Center and LFE channel.


Center Channel Pan

This graph represents the pan position of the center channel of a stereo waveform over time. The graph’s x-axis (horizontal) represents the length of the waveform or selection, while the y-axis (vertical) represents the percentage of the pan from center.

You can use the graph to position the center channel anywhere from hard left (-100%) or hard right (100%), with the corresponding surround channel moving right to left in the opposite direction. Use this for panning original stereo data more realistically than amplitude panning allows


Center only, FL only, FR only, Ls only, Rs only

These options send the sum of the selected track’s audio to a mono signal and sends it all to the selected channel. This is the same as dragging the Orb directly onto one of the 5 main speakers in the Panning Interface.


Change Cue Type

Use this entry and its submenu to change a Cue from one type to another. A checkmark designates the current Cue type.


Change Options

Press this button to view options (and optionally change them) for each highlighted sample type setting in the Format Options box.

Note icon

You would almost always use the Scan List button (described below) before clicking on Change Options.


Channel

Use this drop-down list to choose the channel(s) you want to apply the phase shift to.

Note icon

Keep in mind that applying any phase shift to both channels simultaneously will result in a file that sounds exactly the same as it did before being processed when you’re listening in stereo, even though it may be phase shifted all over the place. This is because we cannot hear phase directly. So for interesting effects, it’s best to process a single channel.


Channel 2

Channel

Use this drop-down list to decide if you want this track to be Left Only, Right Only, or Stereo.


Channel Mixer...

Channel Mixer button Channel Mixer...

Channel Mixer Dialog

Channel Mixer Dialog

The Channel Mixer enables you to alter the left/right balance of a stereo waveform. This lets you create new stereo mixes using the existing right and left channels as input sources. By recombining and inverting the channels, you can create some interesting stereo imaging effects.

The default values are automatically set so that the waveform’s original gain values will be unchanged. (In other words, the Channel Mixer can’t make the waveform any louder than it already is.)

New Left Channel

New Right Channel

Invert

Tip Icon

Try using the Channel Mixer’s Vocal Cut preset to create your own karaoke backing tracks. It should remove most (if not all) of the lead vocal from many contemporary stereo music recordings.

Presets

Cool Edit Pro comes several Channel Mixer presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the selected Channel Mixer setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear Channel Mixer adjustments as the selection is continuously played.

Check the Bypass box to hear the waveform without any changes in channel mixing for a quick “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Channel Mixer...

* This function supports Presets.

* This function supports Preview.

More about...

Spatially Locating a Sound


Channels

This setting is disabled in Adjust Sample Rate.


Channels 1

Channels

Select Mono if you want to record a waveform with just one channel of audio information (such as a voice-only recording).

The Stereo option allows you to create a two-channel waveform with separate right and left channels. This is usually the best option for a music recording. Because they contain twice as much data, stereo waveforms consume double the storage space of mono waveforms.


Channel Buttons

Several options are provided for use with stereo source audio.

  • Left Only: The delay effect appears only on the left channel of stereo audio.

  • Right Only: The delay effect appears only on the right channel of stereo audio.

  • Discrete Stereo: The delay effect appears on both channels of stereo audio.

  • Stereo Swap: The delay effect for the left channel is mapped to the right channel and vice-versa

  • From Left to Right: The audio from the left channel is delayed and put onto the right channel

  • From Right to Left: The audio from the right channel is delayed and placed onto the left channel.

  • From Center to Surround: The audio from the center channel (the audio common to both left and right channels) is delayed and placed into the surround channel (the left channel inversed with respect to the right channel).

To spread out the effect in the stereo domain, at least one delay unit in the group should be cross-channel or single-channel only.


Channels 2

Channels

Choose whether the new sample type will be Mono or Stereo by pushing the desired button. When you convert to Stereo from Mono or vice-versa, you’re given the option to adjust the mix of the left and right channels.

When converting from Mono to Stereo, you can choose the relative amplitude (measured in percentage) with which the original mono signal will be placed into each side of the new stereo signal. This way, you can place the mono source on the left channel only, the right channel only, or any balance point in between.

If you’re converting from Stereo to Mono, this percentage controls the amount of signal from the respective channel that will be mixed into the final mono waveform. The most common mixing methods are to use 50% of both left and right channels when converting to Mono, and 100% for both values when converting to Stereo.

Tip Icon | To remove all or most of the lead vocals from many stereo music recordings, you can convert a stereo waveform to mono with a Left Mix of 100% and a Right Mix of -100%. Most vocal tracks are positioned in the middle of the stereo field in-phase, so converting the signal so that it’s out-of-phase will often greatly reduce or eliminate the vocal track’s level.
Tip Icon | When converting a stereo recording of monaural material (that is, the exact same contents are on both channels) to a Mono waveform, try setting either the Left Mix or Right Mix to 100% and the opposite channel to 0%. This often results in a cleaner sounding mono recording, especially if the original recording was made or played back on a tape recorder with improperly aligned heads.


Check For Hidden Blocks

Run this command to see if you have any blocks completely hidden by other blocks in your session. If you do, the smaller blocks appear on top of the larger ones.

Tip icon

Use the keyboard shortcut of Shift+F5 to quickly run the Check For Hidden Blocks command.

Path (Breadcrumbs) Multitrack View: Edit > Check for Hidden Blocks


Check for Updates

This option checks Syntrillium’s Web site to see if there’s a newer version of Cool Edit Pro available.*

* This feature requires a connection to the Internet, of course.

Path (Breadcrumbs) Help > Check for Updates


Chord Type

Use the chord selection drop own list to determine the minor or major chord type and voicing you would like to use when entering a chord.

You can choose to make a chord out of 2, 3, or 4 voices, and then choose the chord type from the list. Then, pick up the chord object (the 3 notes on top of each other) from the Notes area and drop it on a note above. The note you drop it on will be the starting note of the chord, and the other notes will automatically appear above it in the right ratios.


Chorus...

Chorus button Chorus...

The Chorus effect adds richness to a sound by making it sound as though several voices or instruments are being played at once. Chorus is a great way to add a degree of “presence” to an existing track. Use it to give a stereo effect to a mono sample (where left and right channels are identical), or to add harmony or “thickness” to a vocal track. You can also use chorusing to create some truly out-of-this-world special effects.

Chorus Dialog

Cool Edit Pro uses a direct-simulation method of achieving the chorus effect, which means that each voice (or layer) is made to sound distinct from the original by slightly varying the timing, intonation, and vibrato. You can use the Feedback setting to add extra detail to the result.

Tip Icon

You’ll get better results if you convert mono files to stereo before applying a Chorus effect.

Chorus Characteristics

These are the characteristics used for each voice (layer) in the chorus. While the properties below apply to each voice, they represent ranges of random values, so each voice will be unique in each of these characteristics.

Thickness

Max Delay

Delay Rate

Feedback

Spread

Vibrato Depth

Vibrato Rate

Stereo Chorus Mode

The Stereo Chorus Mode settings are only active when working with stereo files. They determine where the individual voices will be placed in the stereo field, as well as how the original stereo signal will be interpreted.

Average Left & Right

Add Binaural Cues

Narrow Field/Wide Field Slider

Output

The final output can be a mix between the original input (dry) signal and the chorused (wet) signal. Ordinarily, both settings should be less than 100%; otherwise the overlaying of several voices may cause clipping.

Dry Out

Wet Out

Presets

Cool Edit Pro provides several Chorus presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Highest Quality (but slow)

Check this box to make sure the chorusing effect is the best quality. However, this will slow down processing time both when you preview the effect and when you actually apply it.

Preview

Press the Preview button to audition the current Chorus setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Check the Bypass box to hear the waveform without any applied chorusing effects for a quick “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Chorus...

* This function supports Presets.

* This function supports Preview.


Chorus

A delay effect that simulates several voices. It does this by adding multiple delays with a medium amount of depth and a mild amount of feedback.


Chorus Characteristics

These are the characteristics used for each voice (layer) in the chorus. While the properties below apply to each voice, they represent ranges of random values, so each voice will be unique in each of these characteristics.

Thickness

Max Delay

Delay Rate

Feedback

Spread

Vibrato Depth

Vibrato Rate


Circular Options

Radius

This value, which is measured in meters, sets the circular dimensions of the effect.

Velocity

The value entered here is the virtual speed at which the effect moves, measured in meters per second.

Starting Angle

This value, measured in degrees, specifies the beginning virtual angle of the effect.

Center in front by

Enter the number of meters where you want to the effect to center in front of the listener.

Center on right by

Specify the number of meters where you want the effect to center on the right of the listener’s perspective.


Clear

If you don’t wish to add the script you’ve just recorded to the collection, push the Clear button. This button is only available immediately after pressing Stop.

If you want to remove a script after it’s been added, you’ll need to edit the script by pressing the Edit Script File button.


Clear 2

Clear

Press this button to remove the entry in the Press new shortcut key field.


Click/Pop Eliminator...

Click/Pop Eliminator button Click/Pop Eliminator...

The Click/Pop Eliminator works by searching for anomalies in the audio data that could be construed as clicks or pops (Detection), and then replacing or repairing the damaged location (Correction). If you want to clean up vinyl recordings before transferring them to CDs or another digital medium, Click/Pop Eliminator is the effect to use. It’s more accurate than just cutting out the click, or replacing the data with a straight line. You can correct an entire selection or instantly remove a single click if one is highlighted.

Click/Pop Eliminator Dialog

Click/Pop Eliminator Dialog

Tip Icon | Use a high zoom level to isolate the click.
Tip Icon | To speed up the repairing of single clicks, configure the F3 key to correct them when they are highlighted by first choosing the Click/Pop filter and pressing Fill Single Click Now. The F3 key then repeats the last action without bringing up the dialog box. You can also create a quick key in the Favorites menu for filling in single clicks.
Tip Icon | Use the Spectral View feature with the spectral resolution set to 256 bands and a Window Width of 40% to see the clicks in a waveform. See the Spectral Display area of Options > Settings > Display to adjust these parameters. Clicks will ordinarily be visible as bright vertical bars that go all the way from the top to the bottom of the display.
Tip Icon | To hear all the clicks that were removed, save a copy of the original file somewhere, then Mix Paste it (overlap it) over the corrected audio with a setting of 100% and Invert enabled.

It may take a little trial and error to find the right settings, but the results are well worth it – much better than searching for and replacing each click individually.

The parameters that make the most difference in determining how many clicks are repaired are the Detection and Rejection thresholds (the latter of which requires Second Level Verification). Making adjustments to these will have the greatest effects; you might try settings from 10 for a lot of correction, 50 for very little correction on the detection threshold, or 5 to 40 on the rejection threshold.

The next parameter that affects the output most is the Run Size. A setting of about 25 is best for high-quality work. If you have the time, running at least three passes will improve the output even more. Each successive pass will be faster than the previous one.

Detection Graph

Auto Find All Levels

Sensitivity

Discrimination

Find Threshold Levels Only

Max, Avg, and Min Threshold

Detect

Reject

Second Level Verification

Pulse Train Verification

Link Channels

Smooth Light Crackle

Detect Big Pops

Multiple Pass

Correction

Fill Single Click Now

Previously Corrected/Rejected

Presets

Cool Edit Pro comes with several Click/Pop/Crackle Eliminator presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) Edit View: Effects > Noise Reduction > Pop Eliminator...

* This function supports Presets.


Click Track

An audio track comprised of clicks that occur on the beat, like a metronome. They are often used at the beginning of a session as timing information for musicians, and then removed from the session before production is complete.


Clip Restoration...

Clip Restoration button Clip Restoration...

Cool Edit Pro’s Clip Restoration filter can remove the evil occurrences of clipping from your waveform. It does this by actually “filling in” the clipped segments of the waveform.

Clip Restoration Dialog

Clip Restoration Dialog

Clipping is a phenomenon that occurs in digital audio when the amplitude value of a signal exceeds the maximum level that can be represented by the current bit resolution (i.e., 256 steps in 8-bit audio). This can happen when your source recording levels are simply too high. Clipping causes the signal to distort, and appears in the waveform display as a “chopping-off” of the top or bottom of the waveform. The audible result is a static-like distortion.

Note icon | Don’t use DC Bias Adjust on any audio you wish to run the Clip Restoration filter on, because DC bias adjusted material modifies the clipped area and makes it unrecognizable as being clipped. (You can do a DC adjust after de-clipping, of course.)
Note icon | You can monitor clipping occurrence during recording or playback by watching the level meters under the waveform display. If clipping occurs, the box(es) on the far right of the level meters will light up.

Input Attenutation

Overhead

Minimum Run Size

FFT Size

Clipping Statistics

Gather Statistics Now

A general procedure for restoring clipped audio while also retaining the amplitude would be:

  1. Convert the file to 32-bit for more precise editing.

  2. Run Clip Restoration with no attenuation.

  3. Run Hard Limiter with no Boost, but a Limit of about -0.2dB to bring the clipped audio back into normal range.

  4. Convert back to 16-bit, if needed.

Presets

Cool Edit Pro comes with several Clip Restoration presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) Edit View: Effects > Noise Reduction > Clip Restoration...

* This function supports Presets.


Clipping

When the amplitude of a signal exceeds the maximum level for the available current conditions (i.e. 256 in 8-bit audio), a process known as clipping occurs. Clipping causes the signal to distort, and appears in the display as a “chopping-off” of the top of the waveform. If you experience clipping, try lowering recording input or source output levels.


Clipping Statistics

These fields show the minimum and maximum sample values found in the current selected regions, as well as the percent of samples clipped based on that data.


Clock Drift Correction Time

This specifies how many samples to crossfade when making time corrections to audio played back, so the playback chases the time code. The default value is 200 samples.


Close All (Waves and Session)

Use this command to close all editing windows and the current multitrack session (if any) simultaneously. You’re prompted to save, if necessary.

Path (Breadcrumbs) Edit View: File > Close All (Waves and Session)


Close Only Non-Session Waveforms

Select this function to close all waveforms that aren’t being used in the current session. You’ll be prompted so save any modified (but unsaved) waveforms.

Path (Breadcrumbs) File > Close Only Non-Session Waveforms


close session

Close Session Ctrl+W

Use this function to close the current multitrack session. You’ll be asked if you would like to save the session if you’ve made any modifications since the last save.

Path (Breadcrumbs) Multitrack View: File > Close Session


Close Session and Its Waveforms

This command closes the current multitrack session, and also closes all waveforms used in that session. You’ll be asked if you would like to save the session if modification have been made since the last save, plus you’ll be prompted so save any modified (but unsaved) waveforms.

Path (Breadcrumbs) Multitrack View: File > Close Session and Its Waveforms


closing a waveform

Close Ctrl+W

This closes the currently displayed editing window. If any changes have been made to the waveform since the last time the file was saved to disk, Cool Edit Pro asks you if you wish to save them.

When a waveform is closed, its associated temporary file is automatically deleted as well.

Tip icon

Use the keyboard shortcut of Ctrl+W or Ctrl+F4 to quickly close the active waveform editing window.

Path (Breadcrumbs) Edit View: File > Close


Codec

Three types of codecs may be selected from this drop-down list. Depending on the type of audio, one codec might do a better job than the others. Feel free to experiment to see which one is best for your project.

Fast Codec (High Quality):

The default, Fast Codec (High Quality), is an extremely fast algorithm for encoding, and generally does a very good job at lower bitrates, as well as giving more high frequency detail without unwanted artifacts. Unless you have a specific reason not to, use this setting as your default.

Medium Codec (Average Quality):

This codec uses a different model for encoding and can be more complete at bitrates above 160 kbps.

High Quality Codec (Slowest):

This setting takes longer to encode, but is higher quality than when used at the Medium Quality setting.


CODEC

Stands for Coder/Decoder. It’s an abbreviation used often when speaking of multimedia compression modules, such as ACM modules (often called ACM CODECS), MPEG compressors, QuickTime, AVI, and the combined A-D-D-A modules on some soundcards.


Coding History

This field is used to contain a description of all coding processes applied to the waveform. Cool Edit Pro doesn’t automatically add any information in this field. However, you’re welcome to enter a processing history (or any other text-based information) here manually.


Color

Brown

Brown noise has a spectral frequency of 1/f^2. This means, in layman’s terms, that there’s much more low-end, and there are many more low-frequency components to the noise. This results in thunder- and waterfall-like sounds.

Brown noise is so called because, when viewed, the wave follows a Brownian motion curve. That is, the next sample in the waveform is equal to the previous sample, plus a small random amount. When graphed, this waveform looks like a mountain range.

Pink

Pink noise has a spectral frequency of 1/f and is found mostly in nature. It is the most natural sounding of the noises. By equalizing the sounds, you can generate rainfall, waterfalls, wind, rushing river, and other natural sounds.

Pink noise is exactly between brown and white noise (which is why some people used to call it tan noise, but pink was more appealing). It is neither random nor predictable. It has a fractal-like nature when viewed. When zoomed in, the pattern looks identical to when zoomed out, except at a lower amplitude.

White

White noise has a spectral frequency of 1. In other words, equal proportions of all frequencies are present. Because the human ear is more susceptible to high frequencies, white noise sounds very "hissy". Cool Edit Pro generates white noise by choosing random values for each sample.


Color Scheme Presets

Most color assignments in Cool Edit Pro can be adjusted to your liking and saved as a preset for later recall. This drop-down menu contains all of the presets that come with the program as well as the ones you’ve created yourself. To choose one, simply select it from the list. The currently selected color scheme will be displayed in the Example window.


Coloration Tab

Full Reverb Dialog - Coloration Tab

Full Reverb Dialog – Coloration Tab

Amplitude Sliders

Frequency Sliders (Low Shelf/Mid Band/High Shelf)

Q Box

MS Box

Mixing Section

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Full Reverb...

More about...

Full Reverb...


Column Bar

The column bar runs along the top of the Cue List window. It behaves similarly to the column bar in a Windows Explorer window. Along with telling you the type of data in each column (Label, End, Begin, etc.), you can click on a column header to sort the data in that column. For example, a left-click on the “Length” column header will place all of the items in the Cue List from shortest to longest. You may also select and slide a column header horizontally to rearrange the sequence of column headers.


Comments

This area is for making any comments you wish. Feel free to include any special effects or enhancements you made to any preexisting waves, so that the editing history can be tracked. Don’t use line returns (i.e., don’t hit the “Enter” key after completing a line), but end each sentence with a period. Sample entry: “It took 3 hours to get this recording right. Ted added reverb effects and noise reduction using Cool Edit Pro and it’s ready to be mastered.”


Comments 3

Comments

This area is for making any comments you wish. Feel free to include the name of any music, sound effects, or enhancements you made to any preexisting waves, so that the editing history can be tracked.

Don’t use line returns (i.e., don’t hit the “Enter” key after completing a line), but end each sentence with a period. Sample entry: “Music came from Music Library Disc 17, cut 3, while the doorbell SFX came from Sound Effects Library Disc 3, cut 57. Compression and reverb were added using Cool Edit Pro.”


Comments 2

Comments

Enter any general text about the recording here, up to 30 characters. An example is, “Encoded by CEP on 10/31/01”.


Compact Disc 75 fps

This time format used is the same one utilized by audio compact discs, where each second equals 75 frames.

Path (Breadcrumbs) View > Display Time Format > Compact Disc 75 fps


Dynamics Processing...

Dynamic Processing button Dynamics Processing...

The dynamics processor varies the output level of a waveform, based on its input level. This lets you limit or compress the dynamic range of a sample so that the perceived loudness is kept below a defined limit, or so that the waveform’s overall dynamic range is kept at roughly the same level.

You can also expand or gate the signal so that low-level signals are reduced in level, thereby increasing the perceived dynamic range, or so that signals that fall below a certain threshold (i.e., noise) are eliminated.

Control of the Dynamics Processor is carried out through any of the four tabbed sheets:

Graphic Tab

Traditional Tab

Attack/Release Tab

Band Limiting Tab

Presets

Cool Edit Pro comes with several Dynamic Range presets, including some great-sounding compression and limiting settings. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the selected dynamic range processing setting before you apply it to the waveform. The selection is played over and over (“looped”) until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is looped.

Check the Bypass box to hear the waveform without any changes in dynamic range for a quick “before and after” comparison.

Tip Icon

Use the RadioLimit, Fast Release, Boost preset to simulate the processed sound of a contemporary FM radio station.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Dynamics Processing...

* This function supports Presets.

* This function supports Preview.

More about...

Compressors

Limiters

Expanders

Noise Gates


Compressor

Compressors reduce the dynamic range of an audio signal. In the real world, it’s generally an amplifier with two gain levels: the gain is unity for input signal levels below a certain threshold, and less than unity for signals with levels above the threshold. For example, compressors can be used to eliminate the variations in the peaks of an electric bass signal by clamping them to a constant level, thus providing an even, solid bass line. Compressors can also be useful in compensating for the wide variations in the level of a signal produced by a vocalist who moves frequently or has an erratic dynamic range.


Config

Click on this button to display the configuration window for the selected bus. Along with giving you access to the parameters for each effect you’ve added to the bus, the configuration window’s Mixer pane provides sliders for adjusting the volume of all effects in the bus, as well as the bus’ desired Dry Out level.

Push the Serial button if you want the effects on the bus to run in order (one effect and then the next).

Click on the Parallel button to feed the track into all the effects separately, and then mix the effects back together, so the output of one effect doesn’t change the input of another effect.

Clicking on the Rack Setup button brings up Cool Edit Pro’s Bus Properties dialog.


Conflicting Keys

If a command’s keyboard shortcut is already in use, you’ll be notified here.


Constant Duration

When you check the Constant Duration box, all notes will be the same length as the original sample, regardless of pitch. The operation that does this takes longer to calculate, but high pitched notes will be the same length as lower pitched notes.

If the Constant Duration box isn’t checked, the note is created by directly stretching or compressing the original sample, resulting in higher pitches being shorter than lower pitches.


Constant Stretch/Gliding Stretch Tabs

To perform a constant stretch (no variation in the amount of stretch) on the entire selection, select the Constant Stretch tab.

To vary the stretch from one level to another, choose the Gliding Stretch tab. With Gliding Stretch, you can choose the initial stretching percent (less than 100% will compress the wave), and the final stretching percent. Specifying separate values for start and end stretches the waveform in a linear fashion from one ratio to another.


Constant Width/Constant Q

This parameter describes a frequency band’s width. This can be a Q value (which is a ratio of width to center frequency) or an absolute width value in Hz. Constant Q is the most common setting, but you may want to use Constant Width if, for example, you want the length of ringing to be a constant, no matter which frequency is being boosted.


Contents

Help button Contents

Select this command to open the Help Table of Contents.

Path (Breadcrumbs) Help > Contents


Continue echo beyond selection

When this box is checked, the echo effect continues beyond the right-hand boundary of the waveform’s selected range. Sounds that extend beyond this boundary will not be affected. In other words, the selected range will be echoed, and this echo will naturally decay beyond the selection boundary, while unselected sounds will not be echoed.

If the box isn’t checked, the echo effect will stop at the right-most waveform boundary visible in the waveform window. This means if the window is zoomed in, the echoing will stop before the range or file ends.

Tip Icon

Make sure that there is enough silence at the end of the waveform for the echo trails to complete. If the echo abruptly cuts off before it fully decays, undo the Echo effect, add several seconds of silence using Cool Edit Pro’s Generate > Silence command, and then rerun the Echo effect.


Control Wave

From this drop-down list, choose the waveform (from any that are already active in the session) to act as the control signal. This is usually a vocal of some kind.


Controls Tab

This window lists the Cool Edit Pro control elements which can have their colors changed. Select an item from the list and press the Change Color… button to bring up a dialog for adjusting the element’s color. After the new choice has been made, the example to the right will change to reflect the newly chosen color.

Segmented Progress Bar

Select this option to have Cool Edit Pro’s progress bar (which is seen when you run an effect or open/save large waveforms) appear segmented instead of solid.

White Progress Background

Check this box to make the background of Cool Edit Pro’s progress bar white.

Dockable Windows

Select one of these options to decide how Cool Edit Pro’s dockable windows will look.

Use system 3D color

With this option checked, dockable windows will take on your system’s 3D color (the same color that Windows uses to render most of the other windows on your system).

Used darkened system 3D color

Check this option to have dockable windows use the darkened version of your system’s 3D color.

Use specified 3D color

Enabling this option will cause Cool Edit Pro’s dockable windows to take on the 3D color you specify.

To change the 3D color, make sure Dockable Windows 3D Color is highlighted in the controls list. Then, press the Change Color… button to access the Cool Edit Pro Color dialog to select a new color.


Conversion Presets

Sample Rate Conversion Presets

Choose any saved presets that you’ve created from this drop-down list. Have a sample type that you convert to often? Use the Save As… button to add those settings to the Sample Rate Conversion Presets list.

Press the Delete button to remove highlighted entries from the list.


Convert Sample Type...

Convert Sample Type button Convert Sample Type... F11

This function converts the sample rate, bit rate, and channel format of an audio file that’s currently loaded in Cool Edit Pro into a new format type (such as 44 kHz/16-bit/stereo to 22 kHz/8-bit/mono). Unlike Edit > Adjust Sample Rate, Convert Sample Type directly processes the samples within the file, or re-samples the data, so that the audio retains the same pitch and duration as the original file.

Convert Sample Type Dialog

Convert Sample Type Dialog

You can choose various levels of conversion quality. Changes in overall and relative L/R volume levels may be easily made when converting between mono and stereo formats. The Dither option allows you to reduce granulation noise when converting to lower bit rates. Various other options are available, letting you adjust the conversion process to suit your own particular needs.

Here are the major components of the Convert Sample Type window:

Sample Rate Conversion Presets

Sample Rate

Low/High Quality

Pre/Post Filter

Channels

Resolution

Dither

Enable Dithering

Noise Shaping

Path (Breadcrumbs) Edit View: Edit > Convert Sample Type...

* This function supports Presets.

More about...

Sample Rates

Resolution

Dithering

Adding Ambiance to a Mono Signal

Performing a Mono to Stereo Conversion

Restoring Clipped Audio while Retaining the Amplitude


Convert to Mono

Check this box to convert stereo source material to mono when saving. This is only allowed for Constant Bitrate encoding.


Convolution...

Convolution button Convolution...

Convolution is the effect of multiplying every sample in one wave or impulse by the samples that are contained within another waveform. In a sense, this feature uses one waveform to “model” the sound of another waveform. The result can be that of filtering, echoing, phase shifting, or any combination of these effects. That is, any filtered version of a waveform can be echoed at any delay, any number of times.

Convolution Dialog

For example, “convolving” someone saying “Hey” with a drum track (short full spectrum sounds such as snares work best) will result in the drums saying “Hey” each time they are hit. You can build impulses from scratch by specifying how to filter the audio and the delay at which it should be echoed, or by copying audio directly from a waveform.

With the proper impulses, any reverberant space can be simulated. For example, if you have an impulse of your favorite cathedral, and convolute it with any mono audio (left and right channels the same) then the result would sound as if that audio were played in that cathedral.

You can generate an impulse like this by going to the cathedral in question, standing in the spot where you would like the audio to appear it is coming from, and generating a loud impulsive noise, like a “snap” or loud “click”. You can make a stereo recording of this “click” from any location within the cathedral. If you used this recording as an impulse, then convolution with it will sound as if the listener were in the exact position of the recording equipment, and the audio being convoluted were at the location of the “click”.

Note icon

An “impulse” is the data by which every other sample in your waveform will be multiplied. If the impulse is a single sample of a full volume “tick”, then the convolution of that impulse with any audio data will just be that audio data itself. If that “tick” is at half volume, then the original audio data will be reproduced at half volume.

If there are several ticks, descending in amplitude over time, such as one tick every 100 milliseconds, and half as loud as the previous tick, then the result of convolution with some audio will be that sound echoed with 100ms between each echo, and each echo at half the volume of the previous echo.

Note icon

To send any portion of unprocessed “dry” signal back out, simply add a full spectrum echo at 0 milliseconds. The Left and Right volume percentages will be the resulting volume of the dry signal in the left and right channels.

Tip Icon

Another interesting use for convolution is to generate an infinite sustained sound of anything. For example, one singing “aaaaaah” for one second could be turned into thousands of people singing “aaaaaah” for any length of time by using some dynamically expanded white noise.

Tip Icon

To get a feel for Convolution, load up and play with some of the sample Impulse files (.imp) that come with Cool Edit Pro. You can find them in the /IMPS folder inside of the folder where you have installed Cool Edit Pro, or on the Cool Edit Pro CD.

Create Custom Impulse

Highlighted Selection

Bandpassed Echoes

Add to Impulse

Global Settings

View Settings

Preview

Press the Preview button to audition the current Convolution setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Edit View: Effects > Special > Convolution...

* This function supports Preview.


Cool Edit Loop (.CEL)

Cool Edit Loop files are essentially MP3 files with a .cel extension, but with a header that contains two important items. The first is the loop info, just as it’s saved with a .wav file and is set under View > Wave Properties > Loop Info. This includes number of beats, tempo, key, and stretch method.

The .cel file also works to avoid a problem with MP3 files. It’s in the nature of MP3 files that a very small amount of silence is added to the beginning and/or end of an MP3 file when it’s encoded. This is very short, and often only a few samples long. When working with a loop, though, it’s enough to throw the entire loop off. As it saves a .cel file, Cool Edit Pro calculates how much silence is going to be added to the MP3 file and writes this information into the .cel header. Then, when Cool Edit Pro loads a .cel file, it reads this silence information and automatically removes the silence from the file so that it’ll loop smoothly.

Options...

The file saving options are identical to the ones for MPEG-1 Layer 3 (.mp3) files, which are documented in the MPEG-Layer 3 (.MP3) section.


Cool time delay effects

Cool time delay effects can be created with an existing soundfile using the Loop Duplicate function in the Multitrack View.

Start by placing the source waveform into the Multitrack View. Once entered, shift-right click on the waveform and drag it to make an Image. The Image should be placed onto a new track (as in below the existing track) Next, shift the Image in time, to the right of the original; small amounts to create phase shifts (small time offset), larger amounts to create delays (15-50 ms offsets) or echos (50 ms or greater offsets) Repeat this any number of times, shifting each Image slightly more to the right. You can even create in tempo delays by changing the Display Time Format to Bars and Beats and use the Snapping function to Snap To Ruler locations, placing the delayed Images at every beat, for example.

Try reducing the volume levels slightly for each Image, to soften the echoes (also, the combined waveforms will increase the track's overall level in the mix and could cause clipping). You can also create both Pan and Volume envelopes for each Image for truly dynamic delay effects that change over time. The great thing is this is all completely non-destructive!


.topic 202
Destination Folder This is the folder to which the processed files will be saved after the script has been run on them. Select the destination folder by typing in its path in this field or by pressing the Browse… button.

.topic 171
Transition Curve Select this button to open the Transition Curve window. It displays a graphical representation of the transition from initial to final filter settings.  The top graph shows time along the x axis (with the left representing the start of your sample, and the right side representing the end), and where in the transition you are allowed the y axis (with 0% representing your initial filter, and 100% representing your final filter). All points in between are a combination of your initial and final filter arrangements.  The readout below the graph displays the current x, y position of your mouse. For more information about Cool Edit Pro’s  graph controls  (such as how to add and remove control points), see the  Getting to Know Cool Edit Pro and its Main Screens  section.  Flat   Graph response at point


Copy 3

Copy

This command copies the current waveform, or highlighted part of the waveform, to the active clipboard. Keep in mind that if you want to copy audio to another Windows application, the current clipboard must be set to Windows. Otherwise, use one of Cool Edit Pro’s internal clipboards, which are faster and can handle more data.

Tip icon

Most people will find using the Ctrl+C keyboard shortcut a faster way of accessing the Copy command.


Copy

Copy button Copy Ctrl+C

This command copies the current waveform, or highlighted part of the waveform, to the active clipboard (see “Set Current Clipboard”).

Note icon

Keep in mind that if you want to copy audio to another Windows application, the current clipboard must be set to “Windows’”. Otherwise, use one of Cool Edit Pro’s internal clipboards, which are faster and can handle more data.

Path (Breadcrumbs) Edit View: Edit > Copy


Copy Data to Clipboard

Press this button to copy all information displayed in the General tab to the Windows clipboard. You can then paste this info into a text editor or any other Windows application that supports pasting of text from the clipboard.


Copy from Initial Settings

This button in the Final Settings dialog copies the tone values from the Initial Settings window to the Final Settings window for editing.


Copy from Positive

Press the Copy from Positive button (available in the Negative tab) to copy the positive curve to the Negative window.


Copy to Clipboard

Press this button to send a text-based frequency report of the current waveform to the Windows Clipboard, ready to paste into your favorite Windows-based text editor or word processor.


Copy to New

When this command is run, the current waveform, or highlighted part of the waveform, is copied to the active clipboard and then automatically pasted into a new Wave Display window.

Path (Breadcrumbs) Edit View: Edit > Copy to New


Copy to New 2

Copy to New

When this command is run, the current waveform, or highlighted part of the waveform, is copied to the active clipboard and then automatically pasted into a new Wave Display window.


Copyright

Any copyright information for this file should go here. Example: (c)2002 G. Willikers Corporation. All rights reserved.


Correct for Drift in Recordings

If this box is checked, Cool Edit Pro will look at the sync between the “master” audio playback device (generally, the first “Out” device listed in the session – the one on Track 1) and the record device of the waveform being recorded. If the true sample rates on the cards differ enough that the recording would have drifted out of sync with the original if both were played back at exactly the same sample rate, then the recording is corrected by resampling to make it the proper length. This option only works with new record tracks, not with recording on top of existing waveforms, or punch-ins.

Note icon

On sound cards that support sample accurate devices (i.e., synchronized device starting, and all devices keyed off of the same clock) you don’t need to check this box. This option allows for some measure of near sample-accurate synchronization across different sound cards, or when using with a single sound card that doesn’t use the same clock for playback and recording (such as the Sound Blaster Live! card).


Correct for Start Sync in Recordings

If this box is checked, Cool Edit Pro looks at the exact true time that the record device started and compares that with the time the master playback device started. If different, the recorded block’s position is adjusted so the recording starts in perfect sync with the playback. This option only works with new record tracks, not with recording on top of existing waveforms, or punch-ins.

Note icon | If you have this option enabled, and you do a loopback test (by connecting the audio Out to the audio In and recording some “ticks”) and each recording is still a fixed amount out of sync, then you can adjust for this by entering this amount (in milliseconds) in the Latency field of Options > Device Properties for the recording device being used. To compute milliseconds, look at the difference in samples, multiply by 1000 and then divide by the sample rate. For example, if the recording consistently appears 27 samples ahead of the playback, the latency would be 27 * 1000 / 44100 or 0.61 ms. (The reason for the milliseconds format and not samples is because at various sample rates this latency will be different in terms of samples, but will be the same in terms of milliseconds.)
Note icon | On sound cards that support sample accurate devices (i.e., synchronized device starting, and all devices keyed off of the same clock) you don’t need to check this box. This option allows for some measure of near sample-accurate synchronization across different sound cards, or when using with a single sound card that doesn’t use the same clock for playback and recording (such as the Sound Blaster Live! card).


Correction

FFT Size

This is the size of the FFT (Fast Fourier Transform) that will be used to repair the clicks, pops, and crackle. In general, it’s a good idea to just let the program itself decide on good FFT size choices by checking the Auto box.

However, you may wish to override the automatic setting and give a specific FFT size (from 8 to 512) to use for click repair when processing some types of audio. A good starting point is an FFT Size of 32. If the clicks are still quite audible, try increasing this value to 48, then 64, etc.

The higher the FFT Size, the slower the correction will be, but with potentially better results. However, if the value is too high, there may be some extra unwanted low frequency distortion, which sounds “rumbly”.

If you’re repairing clicks one at a time using the Fill Single Click Now button, then a high FFT size (128 to 256) should work rather nicely.

Pop Oversamples

This value is used to give the clicks a little extra buffer space when being repaired. When a potential click is found, its beginning and end points are marked as closely as possible. The Pop Oversamples value (which can go from 0 to 300) will expand that range, and consider more samples to the left and right of the click as actually being part of the click.

If clicks aren't being corrected fully enough (for example, if clicks become quieter but are still evident), try increasing the Pop Oversamples value. Start with a value of 8, and increase it slowly to as much as 30 or 40. Audio that doesn’t contain a click shouldn’t change very much if it’s corrected, so this buffer area should remain mostly untouched by the replacement algorithm.

Increasing the Pop Oversamples value will also force larger FFT sizes to be used when the Auto box is checked. This setting may remove clicks more cleanly, but if set too high, audio will start to distort where the clicks were removed.

Run Size

Cool Edit Pro’s click repair algorithm may not work well on two consecutive clicks that are extremely close together. The Run Size setting (which can go from 0 to 1000) sets a ceiling on the potential distance between two clicks – that is, any two clicks closer together than the number of samples specified in the Run Size box will be treated as one.

A good starting point would be to set this value somewhere around 25 (or half the FFT size if you don’t have the Auto box next to “FFT Size” checked).

If the Run Size value is too large (over 100 or so) then the corrections may become more noticeable, as very large blocks of data are repaired at once.

If you set the Run Size too small, then clicks that are very close together may not be repaired completely on the first pass.


Covert Sample Rate

Checking this box enables the drop-down menu to the right, which lists many commonly-used sample rates. Chose the sample rate you wish to convert your session files to.

It also enables the Conversion Properties… button. Press it to display Cool Edit Pro’s Waveform Conversion Options dialog, which is essentially identical to the Edit View’s Convert Sample Type control.


Convert to Unique Copy

This command creates a copy of the selected waveform block. Copying a waveform block in the multitrack environment (as opposed to creating an Image) will create a separate audio file on disk, identical to the original in size and disk space consumption.

Creating a copy of a waveform block has the advantage of allowing for separate editing of each occurrence of the waveform (you can add reverb to the one placed in your intro, while the same sound placed in your verse can be dry).

Images have the advantage of not consuming any disk space, and depending on the situation, it may be an advantage to be able to affect all occurrences of a waveform block by editing the original once. (With Images, you can add a Flanger effect to one instance, and all 30 instances, for example would be flanged.).

Tip icon

To quickly add an effect to a waveform block within the Multitrack View, double-click on it (which will open up the waveform in the Edit View window). From there, you can use File > Save As… to create a copy of the file that can be transformed using any Effect function. The newly processed file can then be placed into the multitrack environment.

Tutorial: Here’s how you can add multiple effects to an existing waveform non-destructively in Multitrack View.

  1. Create a copy of the waveform using Edit > Convert to Unique Copy, or by saving the file under a new name using Save As… in the Edit View.

  2. Once a copy of the original file has been made, add any processing or effect you like to it. For effects that have wet/dry balancing, set them to 100%, or close to 100% wet, so the result is primarily effect. (The original waveform that you copied will provide the dry element.)

  3. Insert the processed copy into the multitrack environment, placing it into an adjacent to the original, in a different track. This way it will simultaneously playback both original file and the effected one.

  4. You can then vary the effected waveform’s (and the original’s) volume and pan envelopes to bring the wet/dry in and out, or pan right and left.

Repeat this operation for other effects to have separate control over a number of effects (one for Flange, one for Reverb, etc.).

Path (Breadcrumbs) Multitrack View: Edit > Convert to Unique Copy


Create .DAT header on save

If this box is checked, a header will be written to a separate .dat file to make reloading the file easier.


Create Custom Impulse

Load…

Press this button to load a previously saved impulse (such as the ones that come with Cool Edit Pro.)

The sample rate of an impulse will affect the outcome of convolution. For example, if an impulse was created at 44100Hz, and reloaded and used on a 22050Hz file, then everything will be stretched out 2:1. All filtered echoes will be at half the frequency, and all delays will be twice as long.

Save…

Press this button to save an impulse for later recall.

Clear

This clears the impulse completely.

Mono/Stereo

Mono impulses work with either mono or stereo data (the left and right channels will be convoluted with the same impulse). Stereo impulses convolute the left and right channels separately.


Create Envelope Only

Check this option to apply any dynamics processing, and have the result returned as an amplitude envelope. While it probably won’t be much fun to listen to, this envelope can then be copied and used with Modulate option of Edit > Mix Paste to modulate it with another sound’s amplitude. Of course, it’s also useful for just seeing the amplitude envelope of your audio.

When you press the Preview button with the “Create Envelope Only” box checked, you’ll hear pink noise instead of the audio that’s highlighted in the Wave Display.

Tip icon

You might want to use this feature on a copy of your waveform instead of the original file.


Creating Cues and Ranges

To add a specific point in a waveform (say, three seconds from the beginning of the waveform) to the Cue List, left-click on the waveform at the exact place where you wish the cue to be. Then, do one of the following:

  • Click on the Add button in the Cue List window

  • Press F8 to add a Basic cue, Shift+F8 to add a Track cue, or Ctrl+F8 to add an Index cue.

  • Right-click on the Wave Display and choose “Add to Cue List”.

  • Right-click on the Cursor Handle (the triangle at the top and bottom of the Wave Display directly over and under the play cursor) and choose “Insert in Cue List”, “Insert CD Track Marker”, or “Insert CD Index Marker”.

    • To add a specified range (for example, all the audio from two seconds to five seconds, as measured from the first part of the waveform), just highlight the range in the Wave Display and do one of the following:

  • Click on the Add button in the Cue List window

  • Press F8 to add a Basic cue, Shift+F8 to add a Track cue, or Ctrl+F8 to add an Index cue.

  • Right-click on the Wave Display and choose “Add to Cue List”.

  • Right-click on the Cursor Handle (the triangle at the top and bottom of the Wave Display directly over and under the play cursor) and choose “Insert in Cue List”, “Insert CD Track Marker”, or “Insert CD Index Marker”.

Tip icon

The easiest way to make a range is to highlight a selection in the waveform. Then add a cue, either through the Cue List or by pushing F8 (for a Basic Cue), Shift+F8 (for a Track Cue), or Ctrl+F8 (for an Index Cue).


Creation Date

This field should contain the date that the subject matter was created. The date should be in the format yyyy-mm-dd (year-month-day), using “0” as a place holder in single-digit values. For example, if the date the original recording was made was June 8, 2001, then it needs to be written as: 2001-06-08.


Crossfade

Crossfade button Crossfade

Crossfades are used to create smooth transitions from the end of one audio segment to the beginning of another. They do so by creating a fade out and a fade in over the transition region. Waveforms to crossfade between should be positioned in different tracks (or can be in the same track, in a back-to-back manner), adjacent if possible.

To crossfade, make a selection with your mouse and include in it the beginning and ending sections of any waveforms you wish to include in the crossfade. The highlight should extend a bit beyond the end of the waveform(s) to fade from, and should start a bit before the beginning of the waveform(s) to fade to. Or, if Edit > Snapping > Snap to Blocks is enabled, the highlight will easily adjust itself to the beginnings and endings of the waveforms. (You can also adjust the highlight by holding the Shift key down when doing a left-click near the edge of the selection.)

After establishing a highlighted area, you need to select the waveforms to include in the crossfade by holding down the Ctrl key and left-clicking on the desired wave blocks. Next, choose Edit > Crossfade (or Crossfade from the right-click menu) and the type of crossfade you want to do to crossfade between the selected waveforms.

Three major types of crossfades are available. Choose Linear for an even grade, and Sinusoidal for a curved, sine-like slope to the fade. Logarithmic will fade the amplitude of a signal at a constant rate, producing a steeper slope at one end of the fade, depending on whether you are fading in or out. (Both Logarithmic In and Logarithmic Out options are at your disposal.)

Note icon | The Crossfade toolbar button uses Linear fades by default. Choose the Crossfade command from the Edit menu or right-click menu to specify a different crossfade type.
Tip icon | The fade curves created with Crossfade can be modified by enabling the Show Volume Envelopes and Enable Envelope Editing options in the View menu.

Path (Breadcrumbs) Multitrack View: Edit > Crossfade


Crossfade 2

Crossfade

Crossfades are used to create smooth transitions from the end of one audio segment to the beginning of another. They do so by creating a fade out and a fade in over the transition region. Waveforms to crossfade between should be positioned in different tracks (or can be in the same track, in a back-to-back manner), adjacent if possible.

To crossfade, make a selection with your mouse and include in it the beginning and ending sections of any waveforms you wish to include in the crossfade. The highlight should extend a bit beyond the end of the waveform(s) to fade from, and should start a bit before the beginning of the waveform(s) to fade to. Or, if Edit > Snapping > Snap to Blocks is enabled, the highlight will easily adjust itself to the beginnings and endings of the waveforms. (You can also adjust the highlight by holding the Shift key down when doing a left-click near the edge of the selection.)

After establishing a highlighted area, you need to select the waveforms to include in the crossfade by holding down the Ctrl key and left-clicking on the desired wave blocks. Next, choose Edit > Crossfade (or Crossfade from the right-click menu) and the type of crossfade you want to do to crossfade between the selected waveforms.

Three main types of crossfades are available. Choose Linear for an even grade, and Sinusoidal for a curved, sine-like slope to the fade. Logarithmic will fade the amplitude of a signal at a constant rate, producing a steeper slope at one end of the fade, depending on whether you are fading in or out.

Note icon | The Crossfade toolbar button uses Linear fades by default. Choose Crossfade from the Edit or right-click menu to specify a different crossfade type.
Tip Icon | Modify the fade curves created with Crossfade by enabling the Show Volume Envelopes and Enable Envelope Editing options in the View menu.


Crossfade 3

Crossfade

Fade from one audio track to another.


Crossfade (n milliseconds)

Check the Crossfade box and enter a value (in milliseconds) to apply a fade to the beginning and end of the clipboard data. Cool Edit Pro fades in the first n milliseconds and fades out the last n milliseconds of pasted data.

Tip icon

Use this option for smoother transitions to and from pasted audio.


Crossovers

These are the crossover frequencies that are used for split points. If you don’t want to use Cool Edit Pro’s default values, enter different crossover frequencies in these boxes. The number of active text boxes is based upon the number of Bands chosen.


Crosstalk

Undesired leakage of audio from one track to another, which was common on analog tape. This is impossible in Cool Edit Pro since each track is stored as a separate digital audio file.


Ctrl key allows dockable windows to dock

By default, holding down the Ctrl key when moving one of Cool Edit Pro’s dockable windows prevents the window from docking. Check this box if you’d prefer to disable this behavior.


Cue Handle Context Menu

The Cue Handle Context Menu

The Cue Handle Context Menu

Right click on a Cue Handle (a Cue-named triangle at the top and bottom of the Wave Display) to display the Cue Handle Context Menu, which has these commands:

Go To Cue List

Change Cue Type

Make Range

Make Point

Delete


Show Cue List

Show Cue List button Show Cue List Alt+8

The command opens the Cue List window, which is a dockable window. This means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you can even detach the Play List window and have it float above Cool Edit Pro’s main window.

Cue List Dialog with “Edit Cue Info” Mode Active

An unlimited number of cues may be defined and saved in the Cue List for later recall, or for assembling in Cool Edit Pro’s Play List.

To close the Cue List window when it’s floating, click on the “X” control in its title bar. To get rid of the Cue List window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, you can simply uncheck the “Cue Play List” item on the Edit menu to close it in either docking or floating mode.

What are Cues?

Creating Cues and Ranges

Cue Handle Context Menu

Here are the four cue types:

Basic

Beat

Track

Index

All four Cue types can be ranges as well as points, although it doesn’t really make sense for indexes to be ranges.

Note icon

Cues are preserved in the waveform when the file is saved, but only if the “Save extra non-audio information” box is checked in Cool Edit Pro’s Save Waveform As dialog.

Here are the major components of the Cue List window:

Column Bar

Edit Cue Info Button

Auto-Play

Add

Del

Merge

Batch

Tip icon

Use the keyboard shortcut of Alt+8 to quickly toggle the display status of the Cue List..

Path (Breadcrumbs) View > Show Cue List

More about...

Play List


Cue List

A list of time offsets, or locations defined within an audio file. A cue can be either a point that specifies a cursor position, or a range that specifies a selection. You may define and save an unlimited number of cues in Cool Edit Pro’s Cue List for later recall, or for assembling in Cool Edit Pro’s Play List.


Current Effects Rack

All effects assigned to the bus are listed here. To remove an effect from the Current Effects Rack, select it and press the <-Remove button. Move an effect up in the Current Effects Rack list (as long as it’s not already in the top position) by selecting the effect’s name and pressing the Move Up button; the Move Down button moves the select effect down in the list if it’s not already at the bottom.


Currently Open Waveform List

Entries for up to 10 open waveforms are listed.

Note icon

If you have more than 10 waveforms active in Edit View, only the last 10 opened will appear on the Multitrack View’s Insert menu. Think of this section of the Insert menu as a MRU (“Most Recently Used”) list of open waveforms. If you need to access another open waveform whose name isn’t listed, use the Switch To… command or Cool Edit Pro’s Organizer window.

Path (Breadcrumbs) Multitrack View: Insert > Currently Open Waveform List


Cursor At

This shows the current position of the cursor in bars-and-beats format. You can also enter a new cursor position here and Cool Edit Pro will recalibrate the session, including negative time. This is so you can line up your metronome with a song that’s already been created and you're adding more to. Any point can be at any time, so that you know the metronome beat will be in the right place.


cursor sync

Synchronize Cursor Across Windows

With this command check-marked, the playback cursor bar or currently highlighted selection will retain its position when switching between open waveforms within Cool Edit Pro.

For example, if you are looking at 1.wav and highlight from 0:01:00 to 0:02:00 and then switch to 2.wav using the Window menu or the Organizer window, 2.wav would also have 0:01:00 to 0:02:00 highlighted. This can be useful if you’re switching between different versions of the same waveform during editing.

When unchecked, the positions of each of the waveform’s previous cursor or range areas will be retained and redisplayed. If the waveform that you’re switching to doesn’t contain the currently selected time location (as in a .5 sec waveform, in our example), then switching acts this way as well.

Path (Breadcrumbs) Edit View: Options > Synchronize Cursor Across Windows


Custom

This feature allows you to specify the combinations of frequencies to be used in generating signals. Select this option to enable the frequency entry boxes on the keypad chart below. Click in an entry box to change that frequency.


Custom...

Press this button to bring up the Customize Metronome Time Signature dialog.

Name: Enter the name of the new time signature in this field.

Pattern: Here’s where you specify the pattern of the time signature. Use a 0 for no beat, a 1 for a down beat, a 2 for a secondary beat, and 3 for a regular beat. Spaces between the numbers are optional.

Beats/Bar: The number of beats per bar goes in this text box.

Press the Add button to place your new custom time signature to the Metronome’s Time Sig. list.


Custom...2

Custom...

Press this button to bring up the Customize Metronome Time Signature dialog.

The Custom Metronome Time Signature Dialog

The Custom Metronome Time Signature Dialog

Name

Pattern

Beats/Bar


Custom (XX frames/sec)

This option will default to the time code setting that was last selected in View > Display Time > Define Custom Frames… For example, if a custom time code setting of 15 frames-per-second was chosen in a previous session, this option would show as “Custom (15 frames/sec)”.

Path (Breadcrumbs) View > Display Time Format > Custom (XX frames/sec)


Custom Time Code Display (FPS)

This field is used to define the number of frames per second (FPS) assigned to the Custom time format in the View > Display Time Format menu.


Cut 2

Cut

Use Cut to remove the current waveform, or highlighted part of the waveform, to the active clipboard.

Note icon | While Cool Edit Pro can use the Windows clipboard for cut and paste operations, by default it uses its own internal clipboard which is faster and more suitable for working with large waveforms. (As a matter of fact, it puts five such “super clipboards” at your disposal.)
Tip icon | Using the Ctrl+X keyboard shortcut is usually faster than accessing the popup menu.


Cut 3

Cut

Cut will remove the highlighted portion of a selected waveform. For example, if track 3 contains a waveform that is 5 seconds in length, selecting it, highlighting the middle 1 second, and choosing Cut will remove the middle 1 second, leaving the 2 second portions on both sides. If you want to remove unwanted material around a highlighted region, use Edit > Trim instead.

Note icon

Unlike Cut in Cool Edit Pro’s Edit View, this Cut command does not remove any data from the actual waveform, and places nothing on the clipboard. Using Cut in Multitrack View simply tells Cool Edit Pro to “disregard this material” when playing back. You may return any Cut waveform to its original state at any time by selecting it and choosing Edit > Full.


Cutoff

This parameter defines the frequency serving as a border between passed and rejected frequencies. It is at this point that the filter will switch from passing to attenuating or vice versa. In filters requiring a range (Band Pass and Band Stop), this serves as the lower frequency, while High Cutoff defines the high frequency border.


Cut

Cut button Cut Ctrl+X

Use Cut to remove the current waveform, or highlighted part of the waveform, to the active clipboard.

Path (Breadcrumbs) Edit View: Edit > Cut


DAC

Digital to Analog Converter. The hardware responsible for converting a digital audio or video into an analog signal that can be played back.


Damping Factors

Use damping factors to describe the type of virtual room in which the audio is being played. These factors can simulate wall coverings, floor coverings, and other objects in the room that absorb sound. Granted, in real life, various objects absorb different frequencies, but in this simulation all frequencies are reflected equally.

For example, the fact that cement reflects high frequencies better than low ones isn’t accounted for, but great effects can still be achieved (and they're much more realistic than those of basic Echo functions). The effect of speaker placement enhancing or canceling certain frequencies, though, is still accurate. A damping factor of 1.0 is the highest, simulating total reflectivity, while a factor of 0.0 is the lowest, which represents complete sound absorption (no reflecting surface).

Tip Icon

To give more control over the environment, apply damping factors to any of the four walls, floor, and ceiling. If a wall has a damping factor of 1.0, it is totally reflective (rather like cement). If a wall has a very low damping factor, like 0.05, it will absorb most of the sound (like carpeting, heavy draperies, or sound proofing panels). You can also lower the damping factor of some of the walls to simulate other objects in the room, which effectively absorb some of the audio.


Damping Frequency

The Damping Frequency value lets you specify an upper frequency limit of sound that will be reflected. For example, if you set a damping frequency of 7000Hz, then frequencies above 7000Hz will be cut for each unit of time. Use lower values to get a “warmer” feel.


DAT (Digital Audio Tape)

A standard two-track digital audio tape format. DAT tapes are sampled at 16-bit and 32,000, 44,100, and 48,000 samples per second. (The latter is considered “DAT quality”).


Data Formatted As 4-bit Fibonacci Delta Encoded

With this selection made, the file will be saved using the compressed 4-bit Fibonacci Delta encoded format.


Data Formatted As 8-bit A-Law Compressed

Select this option to save date in 8-bit A-Law compressed format.


Data Formatted As 8-bit mu-Law Compressed

PCM data will be saved in 8-bit mu-Law compressed format when you choose this option.


Data Formatted As 8-bit Signed

Check this option save the audio file in uncompressed 8-bit Signed format, which is the default.


Data Formatted As 16-bit PCM (MSB, LSB)

Data is saved as an uncompressed 16-bit PCM file with the Most Significant Bit first and the Least Significant Bit last. With this option you’ll be able to offset the input data by +1 byte if desired. (32-bit files can have input data offset by +2 or +3 bytes as well.)


Data Formatted As 16-bit PCM (LSB, MSB)

Saved data will be formatted as an uncompressed 16-bit PCM file with the Least Significant Bit first and the Most Significant Bit last. With this option you’ll be able to offset the input data by +1 byte if desired. (The input data of 32-bit files may be offset by +2 or +3 bytes as well.)


dB Volume (-80 dB to 0 dB)

Use the db Volume sliders to select the overall gain for each of the right and left channels from -80db to 0dB. You can control both channels independently when generating stereo tones.


DBL

The 64-bit doubles wave format (.dbl) is 8-byte doubles in binary form – 8 bytes per sample mono, or 16 bytes per sample stereo interleaved. Just as raw PCM has no header and is just audio data, so does 64-bit doubles format.


DC Bias Adjust

Some recording hardware may introduce a DC Bias, which results in the recorded waveform appearing to be above or below the normal center line. Check DC Bias Adjust and set it to 0% to center the waveform on the center (zero voltage) line. To skew the entire selected waveform above or below the center line, enter a positive or negative percentage.


DC Bias Adjust 2

DC Bias Adjust

Some recording hardware may introduce a DC bias, which results in the recorded waveform appearing to be above or below the normal center line in the Wave Display. Many waveform transformations require that the signal be centered, and checking the DC Bias Adjust box ensures new recordings are perfectly centered.

Choose the Absolute option to tell Cool Edit Pro the final DC value you want, as entered as a percentage in the L and R boxes. The main use for the option is to cancel out a DC that’s not constant throughout the waveform. A super-low-cut filter is initiated to achieve this.

Keep in mind that the actual amount adjusted varies with each sample. For example, if you have a significant DC change in one area of the wave, at that boundary where the DC changes, the Absolute option will make all parts the same. (However, there’ll be a dip or peak right at the boundary point.)

Select the Differential option to analyze the entire selected area to get the DC offset, and adjust every sample by the inverse of that exact amount. The Find Zero Now button will be enabled. Press it to scan the waveform and automatically enter the correct L and R percentages.

To introduce a DC Bias by skewing the entire selected waveform above or below the center line, enter a positive or negative percentage. For example, a setting of 50% moves the entire waveform up halfway, and one of -50% moves it down halfway.


DC Offset

The measure of the DC (“Direct Current” or center of the waveform) is shown here, measured in percent. Positive values are above the center line (zero volts) and negative values are below.


DC Offset 2

DC Offset

The DC Offset value entered here adds a constant DC (“Direct Current”) amplitude to the tone, which shifts the entire waveform up or down by the specified percentage.


DC Offset 1

DC Offset

Many sound cards record with a slight DC offset, which means that direct current is introduced into the signal by the card, causing the center of the waveform to be off from the zero point in the waveform display. This is seen as the waveform being “shifted” above or below the center line in the Wave Display, and can cause a click or pop to be played at the beginning and the end of the file. To compensate for DC Offset, you can choose the DC Bias Adjust setting in Effects > Amplitude > Amplify.


Decay

Decay is the falloff ratio of an echo. Each successive echo will trail off at a certain percentage less than the previous one. A decay setting of zero percent results in no echo at all, while a decay of 100 percent produces an echo that never gets quieter.


Decay 2

Decay

The amount of reverberation decay is adjusted with this slider. You may also specify an exact value, measured in milliseconds, in the text box to the right.


Decibel (dB)

In audio, a decibel (dB) is a logarithmic unit of measurement used for amplitude (specifically, to compare sound pressure with a reference pressure). Generally, 0db is the maximum possible amplitude value (as in 256 for 8-bit audio). Many areas of Cool Edit Pro refer to, or can refer to, amplitude in decibels.


Decibels

This display type numerically indicates amplitude using a dB scale value that ranges from -Infinity to Zero.

Note icon

All of the displays can go to greater values for 32-bit audio if the audio goes above 0dB.

Path (Breadcrumbs) View > Vertical Scale Format > Decibels


Decibels Format

With this box selected, the value in the Normalize to box is represented in decibels instead of percentage.


Decimal (mm:ss:ddd)

This display type numerically indicates time in an mm:ss:ddd (minutes, seconds, decimal) format.

Path (Breadcrumbs) View > Display Time Format > Decimal (mm:ss:ddd)


Default Record

These options specify how waveforms are created when recording directly into the Multitrack View; as mono or stereo, and as 16-bit or 32-bit.


Default Selection Range

This setting refers to the amount of waveform data that automatically gets selected (if nothing is already highlighted) when you go to apply an effect.

View

If this option is selected, the area that’s automatically selected is limited to the area you can currently see on screen.

Entire Wave

When you choose this option, the entire waveform is automatically selected, even if you’re only viewing a portion of it.

Tip icon

Double-clicking always selects the current view. Triple-clicking always selects the entire waveform.


Default Session

If you’d like the make the current session the template for future sessions, select Set Current Session as Default from the Default Session submenu. (If the current session contains blocks which may not exit in the future, Cool Edit Pro will ask you if you still want to use the session for the default layout.) The template session will be loaded every time a new session is created. You might want to do this because of specific device assignments or session master volume settings.

Select Clear Default Session from the Default Session submenu to make Cool Edit Pro “forget” the previously saved session template settings.

Path (Breadcrumbs) Multitrack View: File > Default Session


Defaults

Track Record

Check the desired radio buttons to specify how waveforms are created when recording directly into the Multitrack View: as mono or stereo, and as 16-bit or 32-bit.

Pre-Mixing

This is the bit size used for the background mixing process. Best quality is achieved by leaving this at the default 32-bit setting.

However, if using multiple sound cards, it may be advantageous to choose 16-bit for pre-mixing, as less data will be transferred across the hard drive(s), which will speed things up.

For single output device situations, or faster hard driver, 32-bit is better as it provides optimization at mixdown.


Define Custom Frames...

Clicking on this option brings up the Cool Edit Pro Settings screen open to the “General” tab, where you may enter a new value (measured in frames/second) in the “Custom Time Code Display” field.

Path (Breadcrumbs) View > Display Time Format > Define Custom Frames...


Del

This button deletes all of the highlighted items in the Cue List. Just as in a Windows Explorer window, you can depress your Shift key as you click to select and highlight multiple contiguous files, or hold down the Ctrl key as you click to select and highlight multiple non-contiguous files.


Delay

These sliders are used to specify the number of milliseconds that is placed between each echo. For example, a setting of 100 milliseconds results in a 1/10th-second delay between successive echoes.


Delay 2

Delay

A time-shifted signal which can be mixed with the original, non-delayed signal to give it a fuller sound or to create echo effects. Cool Edit Pro offers a variety of Delay Effects such as Reverb, Chorus, and Echo.


Delay 3

Delay

These sliders allow you to adjust the desired delay for both the left and right channels up to plus or minus 500 milliseconds. Entering a negative number means that you can move a channel ahead in time instead of delaying it. For example, if you enter 200 milliseconds for the left channel, the delayed portion of the affected waveform will actually be heard before the original part.


Delay...

Delay button Delay...

Delay can be used to create single echoes, as well as a number of other effects. Delays of 35 milliseconds or more will be perceived as discrete echoes, while those falling within the 15-34 millisecond range can be used to create a simple chorus or flanging effect. (These effects won’t be as effective as the actual chorus or flanging effects within Cool Edit Pro’s Effects menu, as the delay settings will be fixed and won’t change over time.)

Delay Dialog

By reducing the delay times further down into the 1-14 millisecond range, you can spatially locate a mono sound (a sound with the same information for both the left and right channels) so that it appears as though the sound is coming from the left or the right side, even though the actual volume levels for left and right of the wave are identical.

Delay

Mixing

Invert

Presets

Cool Edit Pro provides several Delay presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Delay setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Check the Bypass box to hear the waveform without any applied Delay effects for a quick “before and after” comparison.

Tip Icon

Make sure that there is enough silence at the end of the waveform for the delay trails to complete. If the delay abruptly cuts off before it fully decays, undo the Delay effect, add several seconds of silence using Cool Edit Pro’s Generate > Silence command, and rerun the Delay effect.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Delay...

* This function supports Presets.

* This function supports Preview.


Delay Graph

Use the Delay Graph to specify the amount of delay in the Dynamic Delay effect. The x-axis (horizontal edge) represents the timeline of the selection, while the y-axis (vertical edge) represents the length of delay (measured in milliseconds).

Functionally, the Delay Graph works just like any other Cool Edit Pro graph control. For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Delay Rate

This parameter determines the time taken for the delay to cycle from its zero-to-maximum delay setting. Because the actual delay used varies over time, the pitch of the sample will increase or decrease over time, placing each voice slightly out of tune with the others (which is what gives the effect of a separate voice).

For example, a value of 2Hz means the delay used could vary from no delay to the maximum delay and back twice each second (sort of a pitch vibrato at 2 times a second). Please note that this is only a maximum; if you set it to 2Hz, it may only go part way between zero and the maximum delay, and then start cycling back before reaching the maximum.

  • If this setting is very low, the individual voices won’t vary much in pitch at all.

  • If it is set high, the voices may vary so quickly that “warbling” effects can be heard.


Delay Settings

These are the characteristics used for the delay settings of each delay unit. Click on a different delay unit in the list (or add a new one) to bring up the Delay settings for that particular delay unit.

Offset

This slider adjusts the point in the delay line from which Cool Edit Pro will take the audio. It is then mixed into an earlier point in the delay line, which will cause echoing.

Keep in mind that it’s the relative positions of the offsets of the delay units that make a difference, not their absolute position. For example, if you have two delay units at offsets of 200 and 500, the resulting audio will sound the same if they were at 100 and 400. The difference between the offsets is what is important.

Delay

Cool Edit Pro feeds audio back into the delay line after a certain delay. This slider adjusts that delay, in milliseconds. The result is an echo with a period of the delay given to be generated. With several delay units of varying delays added, the final echo pattern could become very complex.

  • Very short delays give ringing or robotic sounding events.

  • Longer delays give more distinct echoes.

Feedback

This is the percentage of the original signal to feed back into the delay line.

  • If the feedback slider is set too high, definite ringing and true feedback will occur. The audio will get louder and louder until it clips and becomes distorted. However, sometimes you may want this effect, which is similar to the feedback you hear when a live microphone is set too close to a loudspeaker.

  • If the feedback percentage is extremely low, then not very much of the original signal will be fed back into the loop. This results in a very subtle effect.

Allpass Feedback

To help prevent the DC component from getting out of hand (the waveform tending upwards or downwards until it clips), enable the Allpass Feedback option.

When turned on, audio from the destination of the delay loop is mixed back into audio from the originating delay offset. Instead of going one way (from the offset back a certain number of milliseconds), it also goes from the destination up to the source – a sort of forward feedback, or “feedforward”. This setting is handy when designing reverb effects.


Delay Units

This is a numbered list that displays the different Delay Units and their settings in the format: Delay [delay time] at [Offset] ([Feedback percentage]).

Click on a delay unit in the list to adjust the Delay Settings sliders for that particular Delay Unit. The Add button creates a new Delay Unit with the current Delay Settings, and the Remove button deletes the currently highlighted Delay Unit.

You can create a maximum of 10 Delay Units. Each delay unit is represented in the graph above as a back-leading arrow starting at the Offset and going back the number of milliseconds stated under Delay. A single delay unit is much the same as the Echo function, but with a slightly different filtering setup. (It uses two sliding bands with variable cutoff points instead of 8 bands of filtering.)


Delete

This button deletes the highlighted Favorite.


Delete 2

Delete

Clicking this button deletes the currently highlighted color scheme preset.


Delete 3

Delete

This command deletes the Cue, removing it from both the Cue List and the Wave Display.


Delete clipboard files on exit

  • If this option is checked, Cool Edit Pro automatically purges its clipboard files when it’s closed. It’s generally a good idea to leave this option enabled, since nearly all of the time when you’re finished with a Cool Edit Pro session, these clipboard files are no longer needed and would just take up valuable hard disk space.

  • Uncheck this box to retain Cool Edit Pro’s clipboard files on your hard drive after you exit the program.


Delete Selected Time

If this option is chosen, the highlighted area will be removed, with all blocks to the right of the selected region shifted to the left.


Delete Silence...

Use this feature to have Cool Edit Pro automatically detect and remove silence between words or other audio. It’s ideal for cleaning up voice prompts and speeding up narratives without affecting the foreground audio.

Delete Silence Dialog

Delete Silence Dialog

Here are the major components of the Delete Silence window:

"Silence" is defined as

"Audio" is defined as

Find Levels

Mark Deletions in Cue List

Limit Continuous Silence to

Scan for Silence Now

Path (Breadcrumbs) Edit View: Edit > Delete Silence...


Delete This Take

This removes the selected take, deleting it from your hard drive.


Delete Selection

Delete button Delete Selection Delete

This command removes the highlighted portion of the waveform. Keep in mind that deleted data doesn’t go to the clipboard and can only be retrieved using the Undo command, or by Revert to Saved if you haven’t saved the file since deleting.

Path (Breadcrumbs) Edit View: Edit > Delete Selection


Description

Immediately after recording a script, you may enter a description in this text area for the script you’ve just recorded. The description will appear in a non-editable form when you highlight the script to run.

Tip icon

The only time you can enter a description in this box is after recording – not before and not after it’s been added to a script collection file. If you want to edit the description thereafter, press the Edit Script File button to bring up the Windows Notepad applet with the script collection file loaded.


Description 4

Description

Description of the wave file (try to fit main part of description in first 64 characters).


Description 2

Description

Up to 256 characters may be entered in this field to describe the audio file.


Description 3

Description

This is where you enter the name of the production, such as “Joe’s Chevrolet March Madness Sale” or “Kiss-FM Legal ID”.


Destination Folder 2

Destination Folder

This is the folder to which the processed files will be saved after the script has been run on them. Select the destination folder by typing in its path in this field or by pressing the Browse… button.


Destination Folder

This is the folder where Cool Edit Pro will place your new “split” files. Press the Browse... button to open the “Choose Destination Folder” window.


Destroy Blocks (remove and close)

Destroy Blocks (remove and close) Shift+Backspace

This will remove the selected block(s) from the multitrack session, and close the files.

Tip icon

Bypass the Edit menu by using the keyboard shortcut for this function: Shift+Backspace. To destroy blocks without being prompted to save, use Ctrl+Shift+Backspace.

Path (Breadcrumbs) Multitrack View: Edit > Destroy Blocks


Destroy Block (remove & close)

This will remove the selected waveform from the multitrack session, and close the waveform.

Tip icon

Use the Shift+Backspace hotkey to quickly destroy a block. To destroy the waveform without being prompted to save, use Ctrl+Shift+Backspace.


Destructive Editing

Destructive editing means simply that edits (cut, paste, effects, etc.) and changes are applied to the wave file itself, so that the original audio data itself changes, unlike non-destructive editing.

For example, in destructive editing, a change in audio volume would actually alter the amplitude of a wave file. In Cool Edit Pro even “destructive” edits are not applied directly to the wave file in use until you save the file.


Detect

This threshold setting, with possible values of 6 to 60, determines how sensitive the filter is in finding clicks and pops. Lower detection thresholds result in more clicks being found.

Start with a threshold to 35 for high-amplitude audio (above -15dB), 25 for average amplitudes, and 10 for low-amplitude audio (below -50dB). These settings will find most clicks, and often all of the louder clicks.

If there’s a constant crackle in the background of your source audio, try lowering the Min Threshold level more, or increasing the dB level to which the threshold is assigned. This value can be as low as 6, but if the setting is placed any lower, then the filter may remove sounds that are not actually clicks.

The more clicks that are detected, the more repair processing there is, which increases the possibility of distortion. With too much distortion of this type, the audio begins to sound flat and lifeless. If this happens, try setting the detection threshold rather low and clicking the Second Level Verification box, which will re-analyze the detected clicks and throw out (that is, leave unfiltered) the ones that are less likely to be clicks.

Tip icon

If you still hear clicks after filtering your audio, try lowering the detection threshold, but if this distorts the audio too much, try either increasing the threshold or enabling Second Level Verification.


Detect Big Pops (30 to 200)

With some audio, large unwanted events (such as those more than a few hundred samples wide) may not be interpreted as clicks by the normal detection algorithm. Check this box if you want Cool Edit Pro to remove these large clicks as well. Valid values are 30 to 200.

Note that a sharp sound like a loud snare drum hit can have the same characteristic as a very large pop, so you should only enable this option if you know the audio has very large pops (like a recording from a record with a very big scratch in it).

Should you find that obvious, loud pops are not being fixed, then enable the Detect Big Pops option, and use settings from about 30 (which will find pops that are “kind of quiet”) to 70 or so (which will only find the very loudest pops).

If this option is enabled, and drum hits sound softer, then the onset of the drum is being considered a big pop and is being “repaired”. If this happens, try increasing the threshold a bit until the obvious pops are fixed.


Detection Graph

This graph shows the exact threshold levels to be used at each amplitude, with amplitude along the x-axis (left and right) and the threshold level along the y-axis (up and down). Cool Edit Pro will use values on the curve to the right (above -20dB or so) in processing louder audio, and settings towards the left in processing softer sections. There are separate, color-coded curves for detection and rejection.


Device

Devices are used to send data into and out of Cool Edit Pro. This includes both Wave and MIDI devices. Wave devices generally take the shape of sound card Inputs and Outputs, and are used for the recording and playback of audio material, while MIDI devices are used to send performance and sync information to Cool Edit Pro and other MIDI enabled programs or hardware. Devices are selected in Options > Device Properties.


Device 2

Device

If your system has more than one CD-ROM drive, use this drop-down list to select the drive you want to use for extraction.


Device Order...

The Device Ordering Preference window allows you to set the order in which Cool Edit Pro uses your system’s playback, recording, MIDI output, and MIDI input devices. The order of preference chosen determines which tracks get assigned to which devices when loading multitrack sessions on systems with different sound card configurations. Move between the tabs to adjust the parameters for each type of device.

Playback Devices Tab

Recording Devices Tab

MIDI Output Devices Tab

MIDI Input Devices Tab

Path (Breadcrumbs) Options > Device Order...


Device Order MIDI Input Devices Tab

MIDI Input Devices Tab

The MIDI Input Devices tab of the Device Ordering Preference dialog

The MIDI Input Devices tab of the Device Ordering Preference Dialog

Unused Playback Devices

Use>>

<<Remove

Move Up

Move Down

Use in EV

Properties…

Path (Breadcrumbs) Options > Device Order...

More about...

Device Order...


Device Order MIDI Output Devices Tab

MIDI Output Devices Tab

The MIDI Output Devices tab of the Device Ordering Preference dialog

The MIDI Output Devices tab of the Device Ordering Preference Dialog

Unused MIDI Out Devices

Use>>

<<Remove

Move Up

Move Down

Use in EV

Properties…

Path (Breadcrumbs) Options > Device Order...

More about...

Device Order...


Device Order Playback Devices Tab

Playback Devices Tab

The Playback Devices tab of the Device Ordering Preference dialog

The Playback Devices tab of the Device Ordering Preference Dialog

Unused Playback Devices

Use>>

<<Remove

Move Up

Move Down

Use in EV

Properties…

Path (Breadcrumbs) Options > Device Order...

More about...

Assigning Record and Playback Devices to Tracks

Device Order...


Device Order Recording Devices Tab

Recording Devices Tab

The Recording Devices tab of the Device Ordering Preference dialog

The Recording Devices tab of the Device Ordering Preference Dialog

Unused Record Devices

Use>>

<<Remove

Move Up

Move Down

Use in EV

Properties…

Path (Breadcrumbs) Options > Device Order...

More about...

Assigning Record and Playback Devices to Tracks

Device Order...


Device Properties...

The Device Properties dialog is where you tell Cool Edit Pro which devices to use for playback and recording of waveforms, as well as input and output of MIDI signals.

Note icon

Complete documentation on the Device Properties dialog can be found in the Options Menu – Edit View section.

Path (Breadcrumbs) Options > Device Properties...


Device Properties... 2

Device Properties...

The Device Properties dialog is where you tell Cool Edit Pro which devices to use for playback and recording of waveforms, as well as input and output of MIDI signals.

Wave Out Tab

Wave In Tab

MIDI Out Tab

MIDI In Tab

Ext. Controller Tab

Path (Breadcrumbs) Options > Device Properties...

More about...

Setting up MIDI and Wave Devices


Device Properties Ext. Controller Tab

Ext. Controller Tab

If you have any external devices that Cool Edit Pro supports, you can select them here and adjust their Volume Increment value (specified in db).

Path (Breadcrumbs) Options > Device Properties...

More about...

Device Properties...


Device Properties MIDI In Tab

Midi In Tab

If your system is equipped with one or more MIDI devices, this area is where you specify Cool Edit Pro’s parameters for MIDI input. If you have multiple MIDI devices, or a single device that has multiple inputs, they’ll show up as choices in the drop-down list at the top left corner of this window.

The Wave In Tab of the Device Properties Dialog

The Wave In Tab of the Device Properties Dialog

Order

Path (Breadcrumbs) Options > Device Properties...

More about...

Device Properties...


Device Properties MIDI Out Tab

MIDI Out Tab

If your system is equipped with one or more MIDI devices, this area is where you specify Cool Edit Pro’s parameters for MIDI and SMPTE output. If you have multiple MIDI devices, or a single device that has multiple outputs, they’ll show up as choices in the two drop-down lists at the top left corner of this window.

The MIDI Out Tab of the Device Properties Dialog

The MIDI Out Tab of the Device Properties Dialog

Order

Path (Breadcrumbs) Options > Device Properties...

More about...

Device Properties...


Device Properties Wave In Tab

Wave In Tab

This area is where you specify Cool Edit Pro’s parameters for recording waveforms. If you have multiple sound cards, or a single card that has multiple inputs, they’ll show up as choices in the drop-down list at the top left corner of this window.

The capabilities of the selected recording device are shown in the Supported Formats table. A Yes or No is shown for different combinations of sample rate and bit resolution.

The Wave In Tab of the Device Properties Dialog

The Wave In Tab of the Device Properties Dialog

Order

Use this device in Edit View

Get 32-bit Audio using:

Multitrack Latency

Adjust to zero-DC when recording

Path (Breadcrumbs) Options > Device Properties...

More about...

Device Properties...


Device Properties Wave Out Tab

Wave Out Tab

This area is where you specify Cool Edit Pro’s parameters for playback of waveforms. If you have multiple sound cards, or a single card that has multiple outputs, they’ll show up as choices in the drop-down list at the top left corner of this window.

The capabilities of the selected output device are shown in the Supported Formats table. A Yes or No is shown for different combinations of sample rate and bit resolution. This table also shows what (if any) 32-bit formats the output device can handle, and whether it can accept the WDM driver extensible wave format.

The Wave Out Tab of the Device Properties Dialog

The Wave Out Tab of the Device Properties Dialog

Order

Use this device in Edit View

Limit Playback to:

Send 32-bit audio as:

Enable Dithering:

Path (Breadcrumbs) Options > Device Properties...

More about...

Device Properties...


Dial String

This is where you enter the phone number for which you want to generate tones. You may enter other characters such as the “*” and “#” symbols, as well as extra digits “a”, “b”, “c”, and “d”. Entering the pause character (defined in Pause Character below) inserts a pause of a defined length.


Dialogic ADPCM (.VOX)

The Dialogic ADPCM format is commonly found in telephony applications, and has been optimized for low sample rate voice. It will only save mono 16-bit audio, and like other ADPCM formats, it compresses to 4-bits/sample (for a 4:1 ratio). This format has no header, so any file format with the extension .vox will be assumed to be in this format. When opening VOX files, you’ll be prompted for a sample rate unless “Don’t ask for further details” is checked in the Open a Waveform dialog.

Note icon

Take note of the sample rate of your audio before saving as Dialogic VOX, as you’ll need to enter it upon reopening the file.


DiamondWare Digitized (.DWD)

This is the audio format used by DiamondWare’s Sound Toolkit, a programmer's library that lets you quickly and easily add high quality interactive audio to games and multimedia applications. It supports both mono and stereo files at a variety of resolutions and sample rates. See http://www.dw.com for more information.


Diffusion

This setting controls the rate of echo buildup and how diffuse the echoes are.

  • High diffusion values (above 900) give very smooth reverbs, without distinct “echoes” heard in them.

  • Lower values will produce more distinct echoes since the initial echo density will be lighter, but the density will build over the life of the reverb tail.

Tip Icon

Very interesting “bouncy” effects can be obtained by using low Diffusion values and high Perception values. Using low Diffusion values, and somewhat low Perception values with long reverb tails give the effect of a football stadium or similar arena.


Diffusion 2

Diffusion

This setting defines the “texture” of the reverb. Move the slider to the left if you want a reverb with more echo characteristics, while positions right of center will produce a smoother reverberation with fewer echoes. A text box is provided so that you can enter a value directly.


Digital Signal Processing (DSP)

The process of transforming a digital audio signal from one form to another via complex algorithms. Examples include filtering or creating a sound-simulation effect, such as a reverb or echo.


Digitization Source

Enter where the sound was digitized from, such as a cassette deck, a CD, an LP, or a microphone. You might want to describe the sound card used here as well.


Digitizer

Who did the actual digitizing? They should put their name right here.


Dimension

The ratio between the room’s width (left to right) and depth (front to back) can be chosen with this slider. A sonically appropriate height is calculated and reported below after “Actual Room Dimensions”.

Very narrow rooms simulate a person being at the other end of a long hallway. These rooms generally sound louder because of all the echoes reflected off the narrow walls.

Extremely wide rooms are not very deep. If you want to simulate a person being at one end of the hall or the other in a very wide room, use the Location slider.

The wider a room, the easier it is to hear the left/right location of the source. Generally, rooms with width-to-depth ratios between 0.25 and 4 provide the nicest sounding reverbs.


DIMM

Dual Inline Memory Module. A type of RAM.


DirectX 2

DirectX

DirectX (formerly ActiveMovie) is a development platform designed by Microsoft for 32-bit versions of Windows which provides an open standard for audio plug-ins. DSP modules and other audio tools based on this standard can be used by any application that supports the ActiveMovie/DirectX architecture (such as Cool Edit Pro).


Disable Undo

Check this box to disable the saving of undo information for the duration of the batch run.

Unless the script was written expecting the Undo function to be enabled, this is a completely safe thing to do. Plus, it speeds up processing since undo information doesn’t continually need to be saved on your hard drive..


Discrimination

Higher values that are input in this field will fix fewer clicks, but will leave original audio alone more by not repairing clicks when there really aren’t any.

Tip icon

Use values of 20 to 40 if there are relatively few clicks in the audio. Go as low as 4 if there are constant clicks.


Edit Waveform View Effects Delay Effects Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Chorus...

Delay...

Dynamic Delay...

Echo...

Echo Chamber...

Flanger...

Full Reverb...

Multitap Delay...

QuickVerb...

Reverb...

Sweeping Phaser...

Filters

Noise Reduction

Special

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Delay Effects

The options in this menu can be used to introduce a series of “repeats” or delayed echoes of the original input signal at regularly spaced or user-defined intervals. An audio file or selected range can be delayed in any of the following ways… in any of the following ways… in any of the following ways….

Path (Breadcrumbs) Edit View: Effects > Delay Effects


Display Range Bar

The green Display Range Bar found above the waveform indicates which part of the entire waveform or session is currently being viewed in the Waveform Display. When zooming in and out, this bar will get smaller and larger, as the portion being viewed changes with respect to the entire waveform or session. You can drag the Display Range Bar to scroll through the waveform when zoomed in.


Display Time Format

Edit View

The Display Time Format menu lets you choose between several time display readouts, including Decimal, Compact Disc, different versions of SMPTE, Samples, Bars and Beats, and Custom time code frame rates. Cool Edit Pro will then use the format chosen here when referencing time: the Time Window, the x-axis (time) ruler, time status boxes, Status Bar, etc.

Tip icon

Selectively cycle through the available time formats by double left-clicking on the waveform ruler. In addition, right-clicking on the horizontal time waveform ruler or the main time display will pop-up a window that allows you to select between formats.

Multitrack View

The Display Time Format menu lets you choose between several time display readouts, including Decimal, Compact Disc, different versions of SMPTE, Samples, Bars and Beats, and Custom time code frame rates. Cool Edit Pro will then use the format chosen here when referencing time: the Time Window, the x-axis (time) ruler, time status boxes, Status Bar, etc.

Path (Breadcrumbs) View > Display Time Format


Display Title

This should describe the sound, or if there are words in the waveform, the text. This field should be as short as possible, since it will be displayed in OLE objects and the like.


Distortion...

Distortion button Distortion...

Use this function to create effects such as a blown car speaker, a muffled microphone, and an overdriven amp. Have fun making your audio sound really, really BAD! (Of course, it’s great for adding fuzz to guitar licks to get that “authentic” heavy metal sound.)

Distortion Dialog

Positive/Negative Tabs

Copy from Positive

Symmetric

Distortion Graph

Spline Curves

Presets

Cool Edit Pro comes with several Distortion presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Distortion setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Edit View: Effects > Special > Distortion...

* This function supports Presets.

* This function supports Preview.


Distortion Graph

This graph depicts the input sample value in dB along the x-axis (left and right) and the output sample value in dB along the y-axis (up and down). A line that flows directly from the lower-left to the upper-right (which is the default) depicts a signal that’s been left untouched, since every input value goes to the exact matching output value. Adjusting the shape of this line will adjust the input to output assignments. The readout below the graph displays the current input and output sample values that are under your mouse pointer.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points)can be found in the Getting to Know Cool Edit Pro and its Main Screens section..


Dither

Dithering is the process of adding small amounts of noise to a digital signal so that fainter audio (below the noise you add) can be heard that would otherwise be truncated away when converting from a higher bit rate to a lower one (e.g., converting 24-bit to 16-bit).


Dither 2

Dither

Use Dither to reduce noise and distortion to figures below their current levels through the addition of small amounts of white noise. Although a small amount of noise is introduced into the “circuit”, the result is far preferable to the increased distortion that you would otherwise be listening to at low signal levels.

Note icon

When converting to lower resolutions, dithering allows you to hear sounds that would otherwise be masked by the noise and distortion limits of 8-bit audio (or quieter than the 16-bit limit provides when converting from 32-bit).

If Dither isn’t checked, quiet audio passages will just fade in and out of a disruptive, “choppy” sound that resembles falling rain or static. Whether or not dithering is used depends on the audio that's being converted and, of course, your preferences.


Dither amount for saving 32-bit data to 16-bit files

This option enables/disables dithering when pasting 32-bit audio to 16-bit. The default value of 1 (bit) will enable dithering, while a value of 0 will disable dithering. For semi-dithering, choose a value of 0.5.

With dithering, you get almost 24-bit sample performance in only 16-bits, as the dynamic range is increased by another 10dB or so. This allows signals as quiet as -105dB.


Dither Transform Results (increases dynamic range)

Check this option to enable dithering when processing effects such as FFT Filter or Amplify. Most processing done by Cool Edit Pro uses arithmetic greater than 16-bit, with the results converted back to 16-bit when complete. During this conversion, dithering provides a higher dynamic range and cleaner results, with less distortions and negative artifacts.

If this option is disabled, the results are truncated to 16 bits when converting back, thus losing the more subtle information.

When enabled, the addition of dither retains this subtle information. The drawback is that with each operation a small amount of white noise is added at the quietest volume level. However, the trade-off between using dither (thus adding noise) and truncating the data (thus creating artifacts and correlated quantization noise) generally favor using dither, so it’s best to leave this option enabled.

With dithering, you get almost 24-bit sample performance in only 16-bits, as the dynamic range is increased by another 10dB or so, allowing signals as quiet as -105dB.


Dithering from 16-bit

If you’re saving from a 16-bit file, choose the type of dithering you wish: Triangular Dither, Shaped Gaussian Dither, Noise Shaping A, or Noise Shaping B. No Dithering is the default.


DMA

Direct Memory Access. A method of transferring data directly from memory to a device without passing through the CPU. Hardware that uses DMAs can pass data much more quickly. DMA addresses can not be shared between multiple devices.


Dockable Windows

If Cool Edit Pro’s default interface layout doesn’t quite meet the current needs of your project or screen resolution, you’ll be happy to know that many individual parts of the interface are dockable. This means that interface components like the Transport Buttons, the Time Display window, the Level Meters, and Rulers may be detached from their current location to float above Cool Edit Pro’s main window, or they may repositioned and resized within the main window so they better suit your requirements.

How can you tell if a part of the Cool Edit Pro interface is indeed a dockable window? Look for two thin vertical or horizontal lines – these lines are the “handle” (or grab bar) of a dockable window. Move your mouse over a handle, and your mouse cursor looks like a plus sign with arrows at each end.

For quick reference, here’s a list of all Cool Edit Pro dockable windows:

Organizer Window

Cue List

Play List *

Transport Buttons

Zoom Buttons

Time Window

Sel/View Controls

Level Meters

Placekeeper

Session Properties **

Mixers Window **

Track EQ Window **

Track Properties **

Load Meter **

Video Window **

* (Available in Edit View only)

** (Available in Multitrack View only)

Some docked windows may be resized. If resizing is possible, the docked window will have a single, thicker horizontal or vertical bar, known as a resize control. If your mouse moves over a resize control, your mouse cursor takes on the appearance of two lines with two arrows.

Note icon

Even if the resize control is visible, resizing might not be possible due to the other windows that are in the row with the window you’re trying to resize.

To select a docked window, left-click when you’re over a handle. (Notice how the window becomes outlined when selected.)

To move a docked window, select it and drag its hollow shape while holding down the left mouse button. As you move it around the Cool Edit Pro interface, two things will happen. If the outline of a dockable window retains its original dimension, releasing the left-mouse button will cause the window to “materialize” as its own standard floating window. However, if you notice the resize bar of another docked window “light up”, this designates a docking location. If this is where you’d like the dragged window to appear, release the left-mouse button and the window will snap into its new location.

To close a docked window, right-click on its handle to see a pop-up menu with a “Close” option. Check this option and the window will disappear. Don’t worry if you change your mind, since you can bring back any closed dockable window by checking its name on Cool Edit Pro’s View menu.

A docked window’s right-click menu also contains an option called “Force New Row”. If this item is checked, a new, empty row to dock windows is created.

To move a floating window, left-click on its title bar and, while holding down the left mouse button, drag the window to the desired location. Close a floating window by left-clicking on the “X” control in its title bar.

To dock a floating window, left-click and drag it while holding down the left mouse button. As you move it around the Cool Edit Pro interface, potential docking locations will appear; you’ll see the resize bar of dockable windows “light up” wherever docking is possible. If this is where you’d like the floating window to dock, release the left-mouse button and the window will snap into its new home.

Tip icon

Press the Ctrl key while moving a floating window around to force it to not dock. That way you can float it over an area that it would normally try to dock to.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Don't ask for further details

If you check this box, you won’t be prompted for more information about the waveform format after you choose a file to open. For example, if you double-click on a raw, headerless PCM file, Cool Edit Pro won’t ask you for the sample rate, bit resolution, A-law/mu-law compression, or any other details. Instead, the program uses the last settings specified when you opened a headerless file.


Doppler Shifter...

Doppler Shifter button Doppler Shifter...

Use Cool Edit Pro’s Doppler Shifter effect to create the “fly by” sounds that are most familiar from cars racing by or airplanes flying overhead. Let’s use a car for our example.

Doppler Shifter Dialog

Doppler Shifter Dialog

The frequency of the noise from the car starts out at a high pitch and tempo, and lowers as it races past you. When the car is coming towards you, the noise it’s making sounds like it’s a higher frequency because each wave crest as it comes towards you is actually compressed by the car itself moving forward. The first crest leaves the car, and by the time the next one leaves, the car itself has moved forward, reducing the wavelength of the sound and raising its frequency. The opposite happens as it passes by you, and the waves are stretched out, resulting in a lower-pitched sound.

Path Type

Straight Line Options

Circular Options

Adjust Volume based on Distance

Adjust Volume based on Direction

Quality Level

Presets

Cool Edit Pro comes with several Doppler Shifter presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Doppler Shifter setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Time/Pitch > Doppler Shifter...

* This function supports Presets .

* This function supports Preview .


Down

This button moves the selected item down in the list. The order of this list is the same as in the Favorites menu.


Download Loops

Select this option to go straight to Loopology.com , a resource for loops and information about looping. Download any of thousands of free loops in the .cel file format for use in Cool Edit Pro.

Path (Breadcrumbs) Help > Download Loops


Drag Points

Enter the number of drag points (also known as control points) you want Get Noise Floor to add to the Hiss Reduction graph.


Dry

Used to describe an audio signal without any signal processing (such as reverb); the opposite of “Wet”.


Dry Out

This setting determines how much of the unprocessed signal is mixed into the final output. If you set it to zero, Cool Edit Pro adds the original voice to the number of processed voices (which is determined by the Thickness setting).

Tip Icon | Keep the original signal near 100% and reduce the Wet Out to give the singer or instrument a “backup chorus”. Reduce the blend to 30% or so to blend the original signal with the processed chorus.
Tip Icon | Use Cool Edit Pro’s multitrack mixing capabilities to dynamically bring in and fade out the chorus. Add the chorus effect to a copy of the original audio and set this value to zero to create a chorus-only version of the original. In the mixer, insert both the original and the fully chorused versions. Use the volume envelope control to adjust the volume of the chorus over time, or just tweak the final amplitude of the background chorus with the track's volume settings. This technique can be handy for emphasizing certain portions of the singing with a backup chorus.


DSP

Digital Signal Processing. This frequently-used term refers to any processing of a signal that’s completed after analog audio has been converted into digital form.


DTMF Signals

With this option selected, Cool Edit Pro generates DTMF signals (normal push-button telephone type tones) using combinations of the frequencies 697Hz, 770Hz, 852Hz, 941Hz and 1209Hz, 1336Hz, 1477Hz, and 1633Hz.


Repetitions

In this field, enter the number of times you’d like to duplicate the waveform block.


Duration

In this field enter the number of seconds of noise you want to generate.

Tip icon

For very long periods of noise, it’s faster to generate a shorter period (say, about 10 to 20 seconds) and delete excess noise at the beginning and end so that the waves are starting and ending at the midpoint. Then copy and loop (using Edit > Mix Paste) as many times as needed.


Duration 2

Duration

This setting lets you enter the length of the generated tone (in seconds). Feel free to use decimals for partial seconds. For example, entering .25 in the Duration field will generate tones for exactly one-fourth of a second.


DVD

Digital Video (or Versatile) Disc A storage medium similar to Compact Disc (CD), but with much higher bandwidth and storage capabilities. Audio stored on DVD movies is generally 96 kilohertz/24-bit.


DVI/IMA ADPCM (.WAV)

The International Multimedia Association (IMA) flavor of ADPCM compresses 16-bit data to 4-bits/sample (4:1) using a different (faster) method than Microsoft ADPCM, and has different distortion characteristics, which can produce either better or worse results, depending on the sample being compressed. As with Microsoft ADPCM, it’s best to save to this format from 16-bit rather than from 8-bit. This compression scheme can be a good alternative to MPEG; it provides reasonably fast decoding of 4:1 compression, and it degrades sample quality only slightly.

Options...

2 bits/sample, 8:1

3 bits/sample, 5.3:1

4 bits/sample, 4:1

5 bits/sample, 3.2:1


DWD

This is the audio format used by DiamondWare’s Sound Toolkit, a programmer's library that lets you quickly and easily add high quality interactive audio to games and multimedia applications. It supports both mono and stereo files at a variety of resolutions and sample rates.


Dynamic Delay...

Dynamic Delay button Dynamic Delay...

Dynamic Delay allows you to change the amount of delay over the length of the waveform. For example, for the first five seconds of an audio file you can have a 2 millisecond delay, for the next 15 seconds you could have a 20 millisecond delay, for the following 10 seconds the delay could be at 7 milliseconds, and so on.

Dynamic Delay Dialog

Dynamic Delay Dialog

Tip Icon

Dynamic Delay is especially cool when used as a real-time effect in the Multitrack View. If you add the dynamic delay (or Dynamic EQ, which has a similar principle) to the Multitrack View, you get a new envelope that determines the delay.

Original - Delayed Slider

Invert

Delay Graph

Spline Curves

Feedback Graph

Loop Graphs

Stereo Curve Difference

Automated

When using Dynamic Delay as a real-time effect in Multitrack View, it supports parameter automation. Check the "Automated" box in the Delay section of the Multitrack View version of the Dynamic dialog to draw the Delay curve using a purple envelope on waveform blocks.

Note icon

You must have View > Show FX Parameter Envelopes in Multitrack View turned on in order to use parameter automation.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Dynamic Delay...

* This function supports Presets.

* This function supports Preview.


Dynamic EQ...

Dynamic EQ button Dynamic EQ...

Dynamic EQ allows you to change the amount of equalization over the length of the waveform. For example, the first part of an audio file can have a certain EQ profile (a mix of certain frequencies boosted or cut, as well as gain and bandwidth adjustments) while the middle and final portions of the audio file can have a completely different EQ profile.

The Dynamic EQ dialog provides three tabbed areas for adjusting Gain, Frequency, and Q (bandwidth). Each area uses a graph control for adjusting parameters.

Note icon | For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.
Tip icon | Dynamic EQ is especially cool when used as a real-time effect in the Multitrack View. If you add Dynamic EQ (or Dynamic Delay which has a similar principle) to the Multitrack View, you get a new envelope that determines the delay

Frequency Tab

Gain Tab

Q (bandwidth) Tab

Presets

Cool Edit Pro comes with several Dynamic EQ presets. More information on presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Dynamic EQ setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Automated

When using Dynamic EQ as a real-time effect in Multitrack View, it supports parameter automation.

  • Check the "Automated" box in the Gain section of the Multitrack View version of the Dynamic EQ dialog to draw the Gain curve using a yellow envelope on waveform blocks.

  • Check the "Automated" box in the Frequency section of the Multitrack View version of the Dynamic EQ dialog to draw the Frequency curve using a pink envelope on waveform blocks.

Note icon

You must have View > Show FX Parameter Envelopes in Multitrack View turned on in order to use parameter automation.

Path (Breadcrumbs) Edit View: Effects > Filters > Dynamic EQ...

* This function supports Presets.

* This function supports Preview.


Dynamic Range

The range of variance in amplitude for a waveform is said to be its Dynamic Range. Music, with lots of high and low passages, has a wider dynamic range, while speech will tend to have a more narrow dynamic range.


Early Reflections Tab

Full Reverb Dialog - Early Reflections Tab

Full Reverb Dialog – Early Reflections Tab

Room Size

Dimension

Left/Right Location

High Pass Cutoff

Set Reverb Based on Early Reflection Room Size

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Full Reverb...

More about...

Full Reverb...


EBU Extensions Tab

Wave Properties Dialog - EBU Extensions Tab

Wave Properties Dialog – EBU Extensions Tab

Description

Originator

Originator Reference

Origination Date (yyyy-mm-dd)

Origination Time (hh:mm:ss)

Time Reference (since midnight)

Coding History

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


Echo...

Echo button Echo...

This function adds a series of repeated, decaying echoes to a sound. (For a single echo, use the Delay function instead).

Echo Dialog

Achieve effects ranging from a Grand Canyon-type “Hello-ello-llo-lo-o” to “boingy” drain pipe sounds by varying the delay amount. Change a room’s characteristic sound from one with reflective surfaces (yielding echoes that have a bright, shiny high-end) to one that is almost totally absorptive (very little reflected high-end sounds) by equalizing the delays.

Tip Icon

You can create striking stereo echo effects by using different Left and Right channel values for the Decay, Delay, and Initial Echo Volume controls.

Echo Characteristics:

Decay

Delay

Initial echo volume

Lock Left/Right

Echo Bounce

Successive Echo Equalization

Continue echo beyond selection

Presets

Several Echo presets come with Cool Edit Pro. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Echo setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Echo...

* This function supports Presets.

* This function supports Preview.


Echo

A distinct repetition of a sound, due to the sound reflecting off a surface. Cool Edit Pro offers two Echo Effects (Echo and Echo Chamber), each with several settings.


Echo Bounce

Select this option to make the echoes bounce back and forth between the left and right channels.

If you want to create one echo that bounces back and forth, select an initial echo volume of 100% for the one side (left or right), and 0% for the other. Otherwise, the settings for each channel will bounce to the other, creating two sets of echoes on each channel.


Echoes

This is the number of actual echoes to produce. To achieve a nice reverberating ambiance effect, use at least 10,000 echoes. The more echoes that are generated, the “truer” the result will sound, but larger numbers of echoes require more processing time. 25,000 echoes produce a very realistic result.

Tip Icon

In order to reduce wait time when testing out a virtual chamber’s size and overall room sound, you may want to generate only 100 or so echoes. Once you achieve the sound you want, you can undo the test effect and increase the number dramatically for the final production. A very fast system should be able to generate up to 100,000 echoes, depending on the virtual room size and available memory.


Edit Script File

This will open the currently loaded script collection in the Windows Notepad applet for editing.


Edit Cue Info Button

When you press this button, fields used to modify the information in the highlighted cue appear: Begin (the cue’s starting time), End (the cue’s ending time), Length (the cue's length), Label (the cue's name), and Desc (the cue’s description).

Left-click on the desired field to make it active, and then type in the new time or name. You can also use the drop-down list to pick the type of cue: Basic, Beat, Track, or Index.

To hide the cue info fields, press the Edit Cue Info button once more.


Enable Envelope Editing

Enable Envelope Editing button Enable Envelope Editing

With this command checked, Pan, Volume, Wet/Dry, and Effects Envelopes are placed in edit mode, where you may click directly on the envelope line to add control points. Once added, you can simply drag control points up and down to draw the shape of the envelope, or drag a control point off the block to remove it.

Path (Breadcrumbs) Multitrack View: View > Enable Envelope Editing


Edit Favorite

Edit

Pressing this button allows you to modify the properties of a highlighted entry in the Favorites list.


Edit Sample Directly

If you Zoom In far enough in Edit View, you can modify each sample of a waveform directly. To do this, select a small portion of the waveform and use the Zoom to Selection button (one of Cool Edit Pro’s Zoom Controls) to zoom in as far as you can go.

The Wave Display zoomed in to the sample level

The Wave Display zoomed in to the sample level

Instead of looking “wavy,” the waveform is displayed as a sequence of squares strung together by a line. Those squares are samples. Move your mouse cursor over one. You’ll notice the cursor turns into a hand pointer. Left-click on a sample and drag it up or down as desired. Right-click on a sample to display the Edit Sample Directly dialog.

The Edit Sample Directly dialog.

The Edit Sample Directly dialog.

Here are the major components of the Edit Sample Directly dialog:

Sample

Sample Value

Interpret As

More about...

Navigating the Edit View Screen


Edit Tempo...

This command brings up the Edit Tempo window. Use this function to calculate the tempo or BPM (Beats Per Minute) value based on the currently highlighted selection. Cool Edit Pro uses the BPM value in displaying ruler information for the Bars and Beats time format. Also, any settings that follow the base time format will work in Bars and Beats mode as well (like Viewing Range).

Edit Tempo Dialog

Edit Tempo Dialog

Here are the major components of the Edit Tempo window:

Extract from Selection

Extract

Offset

Tempo

Path (Breadcrumbs) View > Display Time Format > Define Custom Frames...

More About...

Display Time Format


Edit Waveform View

Switch to Edit Waveform View Edit Waveform View F12

This command switches to Cool Edit Pro’s Edit View mode, where individual waveforms may be modified.

Tip icon | Pressing the leftmost button in the Multitrack View File toolbar takes you to Edit View mode. The face of the View button represents the target View that the system will “jump to” when pressed. For example, when you’re working in Multitrack View, this button’s appearance changes to let you know that if you push the button, you’ll go to the Edit View.
Tip icon | You can also use the F12 key to quickly switch between Multitrack and Edit View.

Path (Breadcrumbs) Multitrack View: View > Edit View


Edit View2

Edit View

If the Edit View button is depressed, all of Cool Edit Pro’s keyboard shortcuts for the Edit View are displayed. Release the button to hide all Edit View shortcuts.


Edit View Right Clicks

These options let you decide the behavior for a right-click in the Wave Display of the Edit View.

Popup Menu

When right-clicking in the Wave Display, a menu will pop up if this option is selected. You can then use Shift+Left-Click to extend a selection.

Extend Selection

If you check this option, right-clicking in the Edit View’s Wave Display will let you extend the edge of a waveform selection instead of displaying the pop-up menu. To see the pop-up menu, hold down the Ctrl key as you right-click.


Edit Waveform...

This command immediately displays the selected wave block in Cool Edit Pro’s Edit View so that you can edit it.


Edit Waveform (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. Access the command to send the wave block to Cool Edit Pro’s Edit View for modification.

Path (Breadcrumbs) Multitrack View: Edit > Edit Waveform (Wave Block Only)


Edit Waveform View Edit Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Edit Menu displays all of the options that have to do with basic waveform editing in the Edit View mode.

Click on a menu item below:

Undo

Enable Undo/Redo

Repeat Last Command

Set Current Clipboard

Copy

Cut

Paste

Paste to New

Mix Paste...

Copy to New

Insert in Multitrack

Insert Play List Multitrack

Select Entire Wave

Delete Selection

Delete Silence...

Trim

Zero Crossings

Find Beats

Auto-Cue

Snapping

Group Waveform Normalize...

Adjust Sample Rate...

Convert Sample Type...


Edit Waveform View Effects Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Filters

Noise Reduction

Special

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Edit Waveform View File Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

Use the commands on the File Menu to open, save, and close waveforms; import audio from video files; perform batch conversions; access recently used waveforms; and more.

Click on a menu item below:

New...

Open...

Open As...

Open Append...

Extract Audio from Video...

Revert to Saved

Extract Audio from CD…

Close

Close All (Waves and Session)

Close Only Non-Session Waveforms

Save

Save As...

Save Copy As...

Save Selection...

Save All

Batch File Convert...

Flush Virtual File

Free Up Space in Temp Files...

MRU File List

Exit


Edit Waveform View Help Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

Use this menu to access Cool Edit Pro’s built-in and Web-based help.

Click on a menu item below:

Contents

Overview

Search for Help On...

Quick Reference

Technical Support

Online Resources*

Check for Updates*

Download Loops*

Tip of the Day

Buy Now...

About Cool Edit Pro...

* This feature requires a connection to the Internet, of course.


Edit Waveform View Options Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Options menu gives you access to Cool Edit Pro’s configuration options, system settings, batch-processing functions, and more.

Click on a menu item below:

Loop Mode

Timed Record

Monitor Record Level

Show Levels on Play and Record

MIDI Trigger Enable

Syncronize Cursor Across Windows

Window Recording Mixer...

Start Default Windows CD Player

Scripts & Batch Processing...

Settings...

Device Properties…

Device Order...

Shortcuts (Keyboard & MIDI Triggers)...


Edit Waveform View View (Display Time Format) menu

Menu Reference Banner

Click on a menu above for Help.

The View Menu displays options that relate to changing the display or viewable area when you’re in the Edit View Mode. For many of the items, a checkmark is shown next to its menu entry to designate that they’re active.

Click on a menu item below:

Multitrack View

Waveform View

Spectral View

Show Organizer Window

Show Cue List

Show Play List

Show Transport Controls

Show Zoom Controls

Show Time Window

Show Sel/View Controls

Show Level Meters

Show a PlaceKeeper

Display Time Format

Decimal(mm:ss:ddd)

Compact Disc 75 fps

SMPTE 30 fps

SMPTE Drop (29.97 fps)

SMPTE 29.97 fps

SMPTE 25 fps (EBU)

SMPTE 24 fps (Film)

Samples

Bars and Beats

Custom (XX frames/sec)

Edit Tempo...

Define Custom Frames...

Vertical Scale Format

Toolbars

Status Bar

Wave Properties…


Edit Waveform View View Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The View Menu displays options that relate to changing the display or viewable area when you’re in the Edit View Mode. For many of the items, a checkmark is shown next to their menu entries to designate that they’re active.

Click on a menu item below:

Multitrack View

Waveform View

Spectral View

Show Organizer Window

Show Cue List

Show Play List

Show Transport Buttons

Show Zoom Buttons

Show Time Window

Show Sel/View Controls

Show Level Meters

Show a PlaceKeeper

Display Time Format

Vertical Scale Format

Toolbars

Status Bar

Wave Properties…


Editing Sample Values

In the Edit View, you can zoom down to the individual samples that make up a waveform. Samples appear as small squares along the waveform line (the line actually represents the implied analog signal). Double-click on a sample square to bring up a dialog in which you can enter a numeric value for the sample.


Effects

Press the FX button to bring up the Effects Rack for that track.


Effects Pane

The Effects pane lists all of the effects at your disposal. The listing includes all of Cool Edit Pro’s effects as well as all installed DirectX audio plug-ins.

The Effects Pane of the Organizer Window with Group By Category active

The Effects Pane of the Organizer Window with “Group By Category” active

Double-clicking on an Effect in the Organizer brings up the dialog to run that effect on the open waveform in the Edit View. Dragging and dropping an Effect onto a track in the Multitrack View adds that effect to the track.

Group By Category

With this control pushed down, the list is shown as an Explorer-like hierarchical tree-type display. Categories and their entries are shown in the same order as they appear on Cool Edit Pro’s Effects menu.

With the Group By Category button in the up position, all effects are displayed in roughly the same order they appear on the Effects and Generate menus.

Group Real-Time Effects

When this control is pushed down, the list is shown as an Explorer-like hierarchical tree-type display, where all of the Real Time Effects are grouped together, the Off-Line Effects are grouped together, and the Multitrack Effects are grouped together.

Another push of the Group Real-Time Effects button returns the File Pane to its previous view.


Effects Settings...

This command does the same thing as pressing the FX button in the Track Console.

  • If real-time effects have been previously added, you’ll see a tabbed window with panes for effect settings and mixing.

  • If you haven’t applied any real-time effects to the track yet, the Effects Rack dialog is displayed.


Empty Wave

The Insert Empty Wave creates an empty wave block in the currently selected track. The new wave block will be the same length as your current selection, so this option is grayed out when there is no selection.

Path (Breadcrumbs) Multitrack View: Insert > Empty Wave
Multitrack View: Insert > Empty Wave > In Current Track
Multitrack View: Insert > Empty Wave > In Current Track (Mono)
Multitrack View: Insert > Empty Wave > In All Record-Armed Tracks


Enable

Check this box to hear the “ticks” of the metronome whenever you play or record something in Cool Edit Pro’s Multitrack view. (The metronome sound effects won’t be recorded.) Uncheck the box to be Metronome-free.


Enable Block Edge Dragging

Enable Block Edge Dragging button Enable Block Edge Dragging

When Block Edge Dragging is enabled, you’re able to show or hide more or less of a selected wave block by dragging the block’s left or right edge. This non-destructive action has the effect of chopping off (and thereby muting) the first or last part of the block. Note that your mouse cursor changes when it’s over a block’s edge.

Tip icon

Block Edge Dragging can be used for looping a file. If you turn on looping for a block (right-click and select Loop Properties, then check the Enable Looping box in the Wave Block Looping dialog) and drag the edge, the file will loop as you drag. Even if you then turn Block Edge Dragging off, you can still drag loops with the gripper handle that appears in the bottom-right corner of the block.

Path (Breadcrumbs) Multitrack View: View > Enable Block Edge Dragging


Enable DirectX Effects

This choice toggles whether DirectX effects are available or not.

Note icon

After selecting Effects > Direct X Effects, Cool Edit Pro scans your system for DirectX plug-ins. After these plug-ins are activated, the Enable Direct X Effects menu item is removed from the menu.

Path (Breadcrumbs) Edit View: Effects > Enable DirectX Effects


Enable Dithering 2

Enable Dithering

Check this box to activate Dithering; uncheck the box turn Dithering off.

Note icon

If Dithering isn’t enabled, Cool Edit Pro truncates instead. This means that bits that aren’t used are simply chopped off and discarded. This gives a “crackly” effect that fades in and out on very quiet audio passages.

Dither Depth (bits)

This sets the bit amount of Dither to be applied. Generally, values of 0.2 to 0.7 give the best results without adding too much noise. Note, however, that as this value is lowered, other unwanted harmonic distortion noise will appear. (You can usually get away with lower values for the Dither Depth when you use Noise Shaping.)

p.d.f.: The “probability distribution function” controls how the dithered noise is distributed away from the original audio sample value. Five p.d.f. types are available from the drop-down list: Rectangular, Triangular, Gaussian, Shaped Triangular, and Shaped Gaussian.

The Rectangular function means there’s an equal chance that the noise value added will lie anywhere between +1 and -1 (i.e., the likelihood of a value of -0.8 being chosen is the same as that of 0.2, or 0.3, or any value between -1 and +1).

The Triangular function chooses random numbers that are generally closer to 0 than to the edges -1 or +1 (i.e., the chance of 0 being chosen is twice as great as the chance of choosing 0.5 or -0.5). All dithering distribution functions can linearize the quantization noise, meaning that the noise that’s heard doesn’t depend on the frequency of the dithered audio, thus no harmonic distortion appears. The SNR Loss is measured against the undithered case. If modulation is present, the audible noise floor rises and falls depending on the amplitude of the signal, so generally one doesn’t want this either.

p.d.f. | SNR Loss | Modulation
Rectangular | 3dB | Yes
Triangular | 4.8dB | No
Gaussian | 6dB | Negligible
Shaped Triangular | 4.8dB | No
Shaped Gaussian | 6dB | Negligible

Usually a Triangular p.d.f. function is a wise choice, because it gives the best tradeoff between SNR, distortion, and noise modulation.


Enable Dithering

When this option is selected, it will dither 32-bit files when saving to a PCM format (20-bit, 24-bit, or 32-bit). This option is only available if you have a 32-bit file and you select to save it as a non floating-point type format. The dither used is a Triangular dither, depth 1.0, with no noise shaping. If you wish to apply a noise shaped dither, use Edit > Convert Sample Type… to dither the audio first, then save without dither enabled in the file format options.


Enable Dithering:

Check this box to activate dithering during waveform playback. If dithering isn’t enabled, Cool Edit Pro truncates instead. This means that bits that aren’t used are simply chopped off and discarded. This gives a “crackly” effect that fades in and out on very quiet audio passages.

Note icon

Dithering only kicks in if you’re limiting high bit depth audio to a lower bit depth playback.

bits

This drop down list lets you choose the number of bits to dither to. If you have a 20-bit sound card, for example, you will want to dither to 20 bits since any more bits will not be used by the card. Even for 16-bit only sound cards, choosing to dither to 16-bit will improve the quality when playing back 32-bit audio.

p.d.f.

The “probability distribution function” controls how the dithered noise is distributed away from the original audio sample value. Five p.d.f. types are available from the drop-down list: Rectangular, Triangular, Gaussian, Shaped Triangular, and Shaped Gaussian.

The p.d.f. types are arranged from those having highest harmonic distortion, but lowest additional noise (Rectangular) to least harmonic distortion but highest additional noise (Gaussian).

Usually one of the Triangular p.d.f. functions is a wise choice, because it gives the best tradeoff between SNR, distortion, and noise modulation.

Shaping

Select one of the several noise shaping presets (known as “noise shaping curves”) to have Cool Edit Pro determine the placement when moving noise to different frequencies. The same amount of noise overall is present, but you can choose less noise to be placed at one frequency at the expense of placing more noise at another. You can also specify that no noise shaping is used.


Enable Looping

When this box is checked, the wave block can be looped by dragging the right edge of the wave block.


Enable Metronome

Keeping perfect time is a cinch with Cool Edit Pro’s built in Metronome. Check the Enable Metronome box to hear the “ticks” of the metronome whenever you play or record something in Cool Edit Pro’s Multitrack view. (The metronome sound effects won’t be recorded – unless, of course, you’re using a microphone and your computer’s speakers are on.)

Uncheck the box to be Metronome-free.


Enable Undo/Redo

Enable Undo button Enable Undo/Redo

Highlight and click “Enable Undo/Redo” to toggle its status. If a checkmark appears next to this menu item, Cool Edit Pro’s Undo and Redo functions are turned on. If you don’t see a checkmark, Undo and Redo have been disabled.

Path (Breadcrumbs) Edit View: Edit > Enable/Undo

More About...

Undo

Drive space and temporary files


End Date

This is where you enter the date the audio production is supposed to end its run.


Engineers

This field is used to store the name(s) of the engineer(s) who worked on the file, or edited the file. Please separate names by a semicolon and a space. When someone new edits the file, they can add their name to the list.


Envelope...

Envelope button Envelope...

Envelopes give you control over which parts of your wave are amplified, and by how much. The top of the graph represents 100% (normal) amplification; the bottom represents full attenuation (silence). This function is handy when modifying tones that are generated with Cool Edit Pro, so as to create more realistic-sounding instruments and effects.

Envelope Dialog

Graph

Spline Curves

Flat

Amplification

Presets

Cool Edit Pro comes with several Envelope presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the selected envelope adjustment before you apply it to the waveform. The selection is played over and over (“looped”) until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear changes as the selection is looped.

Check the Bypass box to hear the waveform without any changes in envelope processing for a quick “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Envelope...

* This function supports Presets.

* This function supports Preview.


Envelope Follower...

The Envelope Follower varies the output level of one waveform, based on the input level of another. The amplitude map, or envelope of one waveform (the Analysis wave) is applied to the material of a second waveform (the Process wave), which results in the second waveform taking on the amplitude characteristics of the first waveform. This lets you, for example, have a bass guitar line which only sounds when a drum is being hit. In this example you would have the drum waveform as the Analysis wave, and the bass guitar waveform as the Process wave.

Envelope Follower Dialog

Envelope Follower Dialog

In addition to applying an amplitude envelope to a waveform, you can also alter the dynamic properties of the result with a variety of settings to otherwise expand, gate, compress, or limit the resulting signal.

Here’s how to initiate Cool Edit Pro’s Enveloper Follower effect:

  1. Position the wave blocks so that the sections you want to process together are lined up.

  2. Make a selection that covers the part of both wave blocks you want to process.

  3. Ctrl+Left-click each wave block you wish to process to give them focus.

  4. Access the Envelope Follower from the Effects drop-down menu, the Effects toolbar, or the Effects section of the Organizer window.

The following are the major components of the Enveloper Follower dialog:

Analysis Wave

Process Wave

Output To

Gain Processor

Level Detector

Low Cutoff

High Cutoff

Lookahead Time

Graph

Splines

Flat

Invert

Presets

The Envelope Follower effect supports Presets for storing and recalling your favorite settings. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) Multitrack View: Effects > Envelope Follower...

More about...

Dynamic Processing


Envelopes

Cool Edit Pro uses several types of envelopes (Pan, Volume, Wet/Dry, and FX Parameter) for mix automation. The envelopes can be drawn directly on the blocks in the Multitrack view, and represent the pan, volume, wet/dry, and/or FX parameter settings at any point along the track. For example, when the volume envelope is at the top of the wave block, the audio is at full volume, and when it is at the bottom, it’s at zero volume.


Envelopes 2

Envelopes

Use this command’s submenu options to clear the Volume, Pan, or FX Mix envelopes from the highlighted portion of a selected block, as well as uses spline (curved) envelopes instead of Cool Edit Pro’s default envelope style (which has straight lines between the envelope’s control points).

Tip icon

Save some time by using the keyboard shortcuts of Ctrl+Delete to remove volume points and Ctrl+Shift+Delete to get rid of pan points.


EQ

The Low (“L”), Mid (“M”), and High (“H”) equalization values of the track are displayed in these three fields.

You can adjust the EQ level of one of these fields by left-clicking on it and dragging. Dragging to the right increases the number, while dragging to the left reduces it. For more equalization control, go to View > Track EQ.


Eq-Loud

This is the final loudness value with an equal-loudness equalization curve that takes into account frequencies the human hear is more or less sensitive to. If Use Equal Loudness Curve is chosen in the final Normalize step, then this is the value that will be used to determine how much to amplify the audio to normalize it.


EQ / A and EQ / B Buttons

These buttons allow you to quickly switch between two different banks of equalization parameters.

A single-click on the EQ / A button changes it to an EQ / B button, thus bank-switching the EQ settings and allowing you to A/B two sets of equalization parameters. By default, the setting for the EQ / B button is “flat”, so you can A/B against “no equalization” at any time by just clicking that button. However, if you make EQ modifications while the EQ / B button is active, those settings are preserved. This allows you to A/B any two settings you want.

To force both banks to be equal to the current settings, double-click on the EQ / A or EQ / B button.

Right-click on either button to bring up the EQ Presets dialog.


EQ Presets

Press the P in the upper right-hand row of icons to access the EQ Presets dialog, which allows you to save favorite equalization settings, as well as delete EQ presets you no longer want.

Note icon

The EQ Presets dialog is a “go away” dialog that disappears if you click outside it.

To add the current EQ settings as a preset, click on the P, and then click Add New to display the New Preset Name dialog. Enter the name for the new preset, and press OK.

Choose an EQ preset by clicking the “P” and clicking on the preset’s name.

To delete a preset, press the P icon and then click the Delete button. Keep in mind that since clicking on any item chooses it, to delete you must first press Delete, which initiates the delete mode (notice that the button lights up when delete mode is active). Then, you can click on whichever entry you wish to zap.

Note icon

EQ Presets are also accessible from the EQ section of the Track Controls area by right-clicking on the EQ / A or EQ / B button.


Equalization (EQ)

Equalization is the process of increasing or decreasing the amplitude of audio signals at a specific frequency band relative to the signals at other audio frequencies.


Equalization Fields

The H, M, and L fields show the amount (amplitude) of high, mid, and low equalization frequencies applied to the track.

To change the H, M, and L values, select the desired field, hold down your left-mouse button, and drag. Dragging to the right increases the value, while dragging to the left reduces it.


Track Equalizer...

Activate this item to display Cool Edit Pro’s Track Equalizers window, which gives you more control over a track’s equalization than the EQ tab in the Track Controls.

The expanded Track Equalizers window with Track Tabs displayed

The expanded Track Equalizers window with Track Tabs displayed

The Track EQ window is dockable, which means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

Here are the major components of the Track EQ window:

Track Tabs

EQ Presets

Max View

Expand/Collapse

Graph

Q Values

Band Buttons

Frequency Sliders

Amplitude Sliders


Equalizer Bands

Adjust these sliders to increase or decrease the frequency component specified beneath the slider. Amplitude is shown above each slider.


Equalizer Bands 2

Equalizer Bands

Adjust these sliders to increase or decrease the frequency component specified beneath the slider. Amplitude is shown above each slider.


Error Correction

If a CD-ROM drive supports SCSI3 and ReadCD, it’s automatically “CDDA Accurate”. This means that the drive has ripping error correction built in. For those types of drives, no error correction is needed, so you won’t be able to select any options from this part of the Extract Audio From CD dialog. However, if your drive isn’t CDDA Accurate, you have access to No Correction and Jitter Correction options.

No Correction, as you’d expect, means that no error correction will be performed.

The Jitter Correction option compensates for data reading problems that older drives might have.


Evenly Spaced

Choose this option if you would like to define a spacing to place between each block. The entry box to the right will display the spacing in the current Display Time Format. This value defaults to the length of the selected waveform block, which has the effect of functioning identically to the “No gaps – continuous spacing” option until changed. Entering a greater value will put space between each waveform block, while a lesser value will cause them to overlap.


Exact Tune

Check the Exact Tune box to tune your sample so that when played at A (above middle C), the frequency of your sample is at 440Hz.

If the Exact Tune box isn’t checked, your sample’s original frequency will be played at A (above middle C).


Execute Relative to Cursor

When using “Works on Current Wave” types of scripts, check this option to have all script operations performed relative to the original positioning, as opposed to at the original position.

For example, suppose you have a script which was originally recorded with a cursor position at 0:10:00. Check this box to apply the script at the current cursor location, plus 10 seconds. (If your cursor is at 0:05:00, the results would be at 0:15:00.)

With this option unchecked, the script will be performed at the original location (0:10:00 in our example).

Tip icon

To have a script which you’ll likely execute at the current cursor position, record the script at a 0:00:00 position and check this option.


File/Cue List...

File/Cue List…

This command activates Cool Edit Pro’s Insert Into Multitrack dialog. This window lists all of the files that are currently open in Edit View.

If a file has cues in it, a plus sign will appear next to its name to let you expand that file out and see all the cue ranges in it. This allows you to insert either the whole file, or expand it and grab one of the cue ranges directly.

Insert Into Multitrack Dialog

Insert Into Multitrack Dialog

To place an item from the list at the session window’s insertion point, just click on it. If you want to insert an item anywhere in the session window, just drag it off the list and drop it on the desired track. No matter which insertion method you choose, the Insert into Multitrack window automatically closes.

Path (Breadcrumbs) Multitrack View: Insert > File/Cue List...


Exit

Exit Ctrl+Q

Edit View

As you’d expect, this command closes Cool Edit Pro. If there are any modified waveforms that are open that haven’t been saved to disk, you’ll be asked if you want to save them. All temporary files that Cool Edit Pro has created are deleted as well.

Tip icon

Use the keyboard shortcut of Ctrl+Q to quickly exit Cool Edit Pro.

Multitrack View

As you’d expect, this command closes Cool Edit Pro. If the session has been modified, or are any edited audio files that are open that haven’t been saved to disk, you’ll be asked if you want to save them. All temporary files that Cool Edit Pro has created are deleted as well.

Tip icon

Use the keyboard shortcut of Ctrl+Q to exit Cool Edit Pro without having to access the File menu

Path (Breadcrumbs) File > Exit


Expand/Collapse

Use the Expand and Collapse arrows (which point to either the right or the left) to show or hide the equalization frequency and amplitude faders and their associated text entry boxes, as well as the Band buttons.


Expand/Collapse 2

Expand/Collapse

Use the Expand and Collapse arrows (which point to either the right or the left) to show or hide the equalization frequency and amplitude faders and their associated text entry boxes, as well as the Band buttons.


Expander

Expanders are used to expand the dynamic range of an audio signal. (They are basically the opposite of a compressor). An expander can also be considered an amplifier with two gain levels: the gain is unity for input signal levels above a certain threshold, and less than unity for signals with levels below the threshold. An expander boosts the high-level signals and attenuates low-level signals.


Export

Export as six mono wav files

If you want to export to a format that can then be utilized by another audio software program, or by a software or hardware surround encoder to encode your project as Dolby Digital™ or DTS™, then the best option is to export the project as either as one interleaved 6-channel WAV file, or as 6-mono WAV files. The six mono wav files option will create standard Windows PCM .wav mono files that typically can be used by any Windows audio application.

Export as one interleaved 6-channel wav file

The Windows PCM .wav format specification also allows for a single file to contain multiple channels of audio, however, not all Windows audio applications are capable opening or playing back wav files that are not just mono or stereo. This interleaved 6-channel wav file type is commonly used by many hardware and software encoding systems. Choosing this option will render the multichannel session as one 6-channel file following the Microsoft “Wave Format Extensible” (which is also the SMPTE & ITU specification) channel order, which is defined as:

  1. Front Left

  2. Front Right

  3. Center

  4. LFE

  5. Left Surround (Rear Left)

  6. Right Surround (Rear Right)

The above channel order is also the typical order utilized as the desired input for Dolby™ encoders. However, if you are planning on preparing your project for a third party or specific encoding process, it is recommended that you ask the recipient exactly which format they require since channel order requirements can differ for different encoding systems. If a different channel order is desired, then the “Export to 6 Mono WAV files” option would be the preferred method for export.

Encode as WMA 6-Channel

Multichannel WMA files are capable of being played back by anyone that has installed the Windows Media Player version 9 or later, and also has a multichannel output sound card and 5.1 speaker setup. Microsoft also requires that the user is running Windows XP. If the end-user has the Windows Media 9 player on any other Windows version, then the multichannel file will automatically be “folded-down” by the player to play as a stereo file. For more information on the Windows Media 9 technologies, please visit the Microsoft Windows Media website at: http://www.windowsmedia.com

The WMA format utilizes a perceptual compression scheme and allows you to select from several different quality settings, including Constant Bit Rate (CBR), Variable Bit Rate (VBR) and Lossless. Just as with stereo WMA files, the higher quality setting you select, the larger the file size, and vice-versa. The Lossless option will compress to a smaller file size than wav, but results in no fidelity loss whatsoever. To encode your project as WMA, select the WMA option and then the desired quality setting in the Format Options drop-down menu.

The checkbox option “Show codec formats that most closely match the session’s sample rate”, will limit the list of selectable WMA kbps option to those that are only the same (or closest to the) sample and bit rate as the Multitrack session’s files. If you uncheck this box, the complete list of WMA options will be presented.

Fold-Down to Stereo options

Microsoft’s Windows Media Player version 9 offers the ability to play back multichannel WMA 9 files, such as those you create using CEP’s Multichannel Encoder. This means that anyone that has installed the free Windows Media Player 9 can play your exported 6-channel WMA files just as you mixed them in full 5.1 surround. However, to be able to achieve the full 5.1 surround playback on Windows Media Player 9, it is necessary that it is installed on a computer running Windows XP, and that the PC is also equipped with a 5.1-capable sound card and speaker configuration. If the 6-channel WMA file is played back on a non-Windows XP system, Windows Media Player 9 will automatically perform a “fold down” or “down-mix” of the 6-channel playback to a stereo playback. The Windows Media Player 9 does this by accessing channel attenuation instructions that CEP’s WMA encoder writes into the file. These attenuation parameters allow you to control how the levels of the Center, Surround and LFE channels get mixed down with the front stereo channels and played back on a stereo output system.

To access the above Fold down to stereo options dialog, click on the Fold down to stereo settings button within the Multichannel Export Options dialog. The three numerical fields will default to –3, -3 and –12 dB. These settings are typically good settings for most files, however, you can enter any value in any of these 3 fields between 0 and –144 dB as desired.

More about...

Multichannel Encoder...


Extract

Use this button to extract tempo information from the highlighted selection. Make sure you first correctly fill the “Beats per Bar” field below (4 for 4/4 music, 3 for 3/4, etc.), and enter the number of known highlighted bars. A push of the Extract button will then calculate the tempo and fill in the Beats per Minute and the Offset values.


Extract Audio from CD...

Use Cool Edit Pro’s Extract Audio From CD feature to digitally pull out sound from audio compact discs and place it into the Wave Display for editing. This extraction process is commonly known as “ripping”. (Keep in mind that you must have a CD-ROM drive that supports audio extraction in order to use this feature. Luckily, most newer CD-ROM drives do.)

While CD tracks may be ripped using Cool Edit Pro’s File > Open dialog, The Extract Audio From CD function gives you more control over the extraction procedure, such as the abilities to rip partial tracks and specify the ripping process used.

Extract Audio from CD dialog

Extract Audio from CD Dialog

Here are the major components of the Extract Audio From CD dialog:

Device

Source Selection

Interface Options

Error Correction

Presets

The Extract Audio From CD dialog supports Presets, which allow you to save and recall favorite settings. To add the current settings as a preset, press the Add button. A box will pop up to allow you to name the preset. To remove a stored preset, select it and press the Del button.

Preview

Press the Preview button to audition the CD audio that will be extracted. (Your CD-ROM drive doesn’t need to be physically hooked up to your sound card in order to hear the preview, since Cool Edit Pro actually rips the preview audio.) When the audio begins to play, the Preview button turns into a Stop button. Click it to discontinue the preview.

Path (Breadcrumbs) Edit View: File > Extract Audio from CD…

* This function supports Presets.

* This function supports Preview.


Extract from Selection

The number entered in the “Bars Highlighted” field specifies the number of bars highlighted in a selection, according to the Bars and Beats time format. If this number is incorrect (which it probably will be if you haven’t yet defined the tempo), you can enter the correct value here to be used in extracting tempo information.


Fade Tab

Amplify Dialog - Fade Tab

Amplify Dialog – Fade Tab

Initial Amplification

Final Amplification

Linear Fades

Logarithmic Fades

DC Bias Adjust

Calculate Normalization Values

Lock Left/Right

View all Settings in dB

Path (Breadcrumbs) Edit View: Effects > Amplitude > Amplify...

More about...

Amplify...


Fast Fourier Transform

An algorithm based on Fourier Theory that Cool Edit Pro uses to perform its filtering functions, as well as Spectral View and Frequency Analysis functions.


Favorites Pane

The Favorites Pane lists all of the favorites you’ve created. (These are the same items that appear on Cool Edit Pro’s Favorites menu.)

The Favorites Pane of the Organizer Window

The Favorites Pane of the Organizer Window

Edit Favorites…

Press this button to call up the Favorites dialog, where you can create new favorites, or edit or delete existing Favorites.


Feedback

Use this setting to include a certain percentage of processed chorused voices back into the mix. This can give your waveform an extra echo or reverb effect.

Note icon

Be very careful with this setting. Just a little feedback (less than 10%) can give an extra richness to the effect (and even this depends on the delay and vibrato settings). If too much feedback is used, more traditional feedback noise will be heard, like loud ringing or other artifacts. These may get so loud that they will clip and destroy the signal. However, sometimes this can be a desired effect, as in the “Flying Saucers” setting, where it generates sounds that are reminiscent of warbly UFOs whizzing around your head.


Feedback 2

Feedback

The Feedback slider determines what percent of the flanged signal is fed back into the flanger. With no feedback, the effect only uses the original signal. With feedback added, the effect uses a percentage of the effected signal from before the current point of playback.


Feedback Graph

Use the Feedback Graph to specify the amount of feedback in the Dynamic Delay effect. The x-axis (horizontal edge) represents the timeline of the selection, while the y-axis (vertical edge) represents the percentage of feedback.

Functionally, the Feedback Graph works just like any other Cool Edit Pro graph control. For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


FFT Filter...

FFT Filter FFT Filter...

The graphic nature of the FFT (Fast Fourier Transform) Filter makes it easy to draw curves or notches for rejecting or boosting specific frequencies. Use it to create band-pass filters (which keeps only a certain band of frequencies), high-/low-pass filters (for reducing or eliminating the low or high-end frequencies), narrow-band pass filters (to simulate the sound of a telephone call), or notch filters (which eliminate very narrow frequency bands).

FFT Filter Dialog

FFT Filter Dialog

The noise level of the FFT Filter is lower than that of 16-bit samples, so when processing audio at 16-bit resolution or lower, there should effectively be no extra noise induced by the FFT Filter. For example, the stop band noise of a Blackman window will be below the -96dB mark.

Tip Icon

For optimal results, filter using 32-bit samples. If your source audio is 8-bit or 16-bit, try converting to 32-bit to do the filtering, and when done, you can convert back to the lower resolution with dithering. This will produce better results than processing at lower resolutions, especially if more than one transform will be performed on the audio.

Passive/Logarithmic Buttons

View Initial Filter Graph/View Final

Log Scale

Spline Curves

Flat

Min/Max

FFT Size

Windowing Function

Lock to Constant Filter

Morph

Precision Factor

Transition Curve

Presets

Cool Edit Pro comes with several FFT Filter presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current FFT Filter setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > FFT Filter...

* This function supports Presets.

* This function supports Preview.


FFT Size

This drop-down list allows you to select from several FFT (Fast Fourier Transform) sizes. Higher FFT sizes give you more accurate results in terms of frequency (such as the overall frequency estimate), but are also much slower.

Note icon

Using some of the smaller FFT sizes (4096 or below on most computers), the Frequency Analysis window updates in real time while you play your file. (Keep in mind that how well it ultimately updates in real time with these settings is based on your computer’s speed. The higher you set the FFT size, the harder your computer must work to achieve real time updates.)

Alternate Method icon

You can also generate a step-by-step animation by clicking on the main waveform window and then holding down the Right Arrow key. As the cursor scrolls across the display, Cool Edit Pro displays the spectral information in the Analysis window.


FFT Size 2

FFT Size

Select the desired FFT size (measured in points) from this drop-down list. Higher sizes usually lead to more precise results, but take longer to process.


FFT Size 6

FFT Size

  • Lower FFT sizes (2048 and below) will have better time response (less swooshing before cymbal hits for example) but poorer frequency resolution, making things sound hollow or flanged.

  • Higher FFT sizes (12000 and above) may cause swooshing effects, reverb, and long drawn out background tones, but be very accurate in the frequencies processed.

In general, sizes from 3000 to 6000 work best.


FFT Size 4

FFT Size

The FFT Size parameter specifies the size of the FFT to use (represented as a power of two), which can affect processing speed and quality. For cleaner sounding filters, use higher values. Recommend values are between 1024 and 8192.

Tip Icon

Use lower values (512 or so) when tweaking your filter for faster Preview response. When you have the settings the way you want them, switch to a higher FFT size for better quality when processing.


FFT Size 3

FFT Size

Set an FFT (Fast Fourier Transform) Size, measured in samples, if your audio is severely clipped due to, for example, too much bass. In this case, you want to try and estimate the higher frequency signals in the clipped areas.

Using the FFT Size option in other situations may help with some types of clipping. (Try a setting of 40 for normal clipped audio.) However, in general you can leave the FFT Size box unchecked. When FFT Size is disabled, Cool Edit Pro uses spline curve estimation.


FFT Size 5

FFT Size

The FFT Size parameter specifies the size of the FFT to use, which can affect processing speed and quality.

  • Higher values (like the default value of 4096) mean cleaner-sounding filters. Even larger FFT sizes should produce extra smooth results, but will take a bit longer to process.

  • Smaller numbers make for a faster processing time, but the results may sound choppier.


Transition Curve

Select this button to open the Transition Curve window. It displays a graphical representation of the transition from initial to final filter settings.

The top graph shows time along the x axis (with the left representing the start of your sample, and the right side representing the end), and where in the transition you are allowed the y axis (with 0% representing your initial filter, and 100% representing your final filter). All points in between are a combination of your initial and final filter arrangements.

The readout below the graph displays the current x, y position of your mouse.

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.

Flat

Graph response at point


FFT Window Type

This drop-down list lets you choose from six types of FFT windows. Each window type displays a slightly different kind of frequency graph.

The Triangular window gives a more precise frequency estimate, but it’s also the noisiest. This means that other frequencies will be shown as present, even though they may be much lower in volume.

At the other extreme, the Blackmann-Harris window has a broader frequency band which isn’t as precise, but the sidelobes are very low, making it easier to pick out the major frequency components.


Multitrack View Insert Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

Use the Insert Menu to import wave files, MIDI files, video files, and audio from video files into Cool Edit Pro’s Multitrack View. Both active files (those already opened in Edit View) and inactive (not already opened) files may be easily inserted.

Click on a menu item below:

Empty Wave

Wave from File...

Midi from File...

Video from File...

Audio from Video File...

Currently Open Waveform List

File/Cue List...


Edit Waveform View Window Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

When you’re working in Edit View mode, the Window menu gives you a simple way to switch between open files.

Entries for up to 10 open waveforms are listed.

Note icon

If you have more than 10 waveforms active, only the last 10 opened will appear on the Windows menu. Think of this section of the Windows menu as a MRU (“Most Recently Used”) list of open waveforms. If you need to access another open waveform whose name isn’t listed, use the Switch To… command or Cool Edit Pro’s Organizer window.

Click on a menu item below:

Switch To...


Edit Waveform View Favorites Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Favorites menu allows you to create, customize, and save your favorite Cool Edit Pro effects, scripts, and even third-party tools (the latter using command line executables). All of the favorites you create appear on this menu. You can also categorize the menu items into hierarchical submenus for easy organization.

Click on a menu item below:

Edit Favorites...


Edit Waveform View Analyze Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Analyze menu contains functions that give you information about the file or selection being displayed when in the Edit View mode.

Click on a menu item below:

Show Frequency Analysis

Show Phase Analysis

Statistics...


Edit Waveform View Generate Menu

Menu Reference Banner

File | Edit | View | Effects | Generate | Analyze | Favorites | Options | Window | Help

Click on a menu above for Help.

The Generate menu displays all the options that relate to waveform generation when you’re in the Edit View mode.

Click on a menu item below:

Silence...

DTMF Signals...

Noise...

Tones...


File Info Tab

Wave Properties Dialog - File Info Tab

Wave Properties Dialog – File Info Tab

The File Info window displays non-editable file information about the active audio file. You can the see the waveform’s Filename, Folder, File Type, Uncompressed Size, File Format, Size on Disk, Date and Time Last Written, and Length.

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


File Name

Here’s where you may specify the name of the file you desire to open, if it resides in the current folder. Entering *.extension (such as *.wav or *.mp3) displays all files with that extension in the open folder.


File name 5

File name

Here’s where you specify the name of the file.


File Name 2

File Name

Here’s where you specify the name of the file.


File name 3

File name

Here’s where you may specify the name of the file you desire to open, if it resides in the current folder. Entering *.extension (such as *.ses) displays all files with that extension in the open folder.


File name 4

File name

Here’s where you specify the name of session. Cool Edit Pro will automatically add the “.ses” to the filename when you save it.


Filename/Path

The waveform’s filename is displayed in an editable text box. You can change this name to whatever you want, which Cool Edit Pro will use to identify the waveform in Multitrack View. (For example, “lornascratchvocal.wav” could be renamed to the friendlier-looking “Lorna’s Scratch Vocal”.) The waveform’s true filename isn’t changed, and is shown along with its path in the non-editable space below.


Filename/Path 2

Filename/Path

The name of the wave block (which is initially its filename minus the extension) and the path of the wave block are shown in these two fields. The top field is editable, so you can change how the wave block’s name is shown in the session. However, it will actually change the filename when that block is saved back out.


Filename Prefix

Enter the desired Filename Prefix (such as “phrase”) in the field provided. Cool Edit Pro automatically adds numbers after the prefix (phrase02, phrase03, etc.) as well as the correct extension based upon the output format you’ve chosen.


Files of Type

Use this control to filter the display of files in the current folder to a specific type of supported waveform, such as Windows PCM (*.wav) or Next/Sun (*.au;*.snd). As you’d expect, selecting the “All files (*.*)” listing displays all files in the current folder.


Files of type 2

Files of type

Use this control to filter the display of files in the current folder to a specific type of supported session file, such as *.ses. As you’d expect, selecting the “All files (*.*)” listing displays all files in the current folder.


Files of type 3

Files of type

Use this control to filter the display of files in the current folder. The default is *.ses files. As you’d expect, selecting the “All files (*.*)” listing displays all files in the current folder.


Files Pane

The Files Pane of the Organizer Window with Advanced Options displayed

The Files Pane of the Organizer Window with Advanced Options displayed

The Files pane of the Organizer Window displays a list of open waveforms and MIDI files. Here are its components:

Open File

Click on the Open File button to access Cool Edit Pro’s Open a Waveform dialog.

Double-clicking on a waveform in the Organizer opens it for editing in the Edit View. Dragging and dropping a Wave or MIDI file into a track in the Multitrack View drops it in that track.

Close File

Pressing this button closes all of the files that are highlighted in the Files pane.

Insert Into Multitrack

Push this button to insert all highlighted files, each into their own track, in Cool Edit Pro’s Multitrack View.

Note icon

If you highlight a file and press the Insert Into Multitrack button multiple times, that file is inserted the same number of times, each time into a separate track. For example, if no other waveforms are in the Multitrack View, highlighting a file and pressing the Insert Into Multitrack button five times places the same file into tracks 1, 2, 3, 4, and 5.

Display In Edit View

Push this button to show a highlighted file in Cool Edit Pro's Edit View.

Note icon

Should multiple files be highlighted, only the last file you clicked on will appear in Edit View.

Advanced Options

Depressing this button causes additional options to appear near the bottom of the Files pane.

Show File Types

You’re given the option to show or hide the display of Wave and/or MIDI files in the Files pane. Click on the appropriate box to toggle its view status.

Sort By

This control lets you decide how you want to sort the entries in the Files pane: Recent Access, Filename, Recent Type, or Recent Filename.

Auto-Play

When this button is pushed down, clicking a file’s name causes the file to begin playing.

Full Paths

Push this button to display the full path – [drive], [folder(s)], [filename] – of the entries in the File pane. Push it again to show just the filenames.

Note icon

Hold down the Shift key to select multiple contiguous files in the Files pane; holding down the Ctrl key allows you to highlight multiple non-contiguous entries.


Fill * fields automatically

When this box is checked, the current year is automatically entered into the “Year” field.


Fill Fields Automatically

If the “Fill * Fields Automatically” box is checked, the Software Package and Creation Date fields are automatically filled by Cool Edit Pro. If you don’t want this extra information to be tagged with your wave files, simply un-check this box.


Fill Fields Automatically 2

Fill Fields Automatically

If the “Fill * Fields Automatically” box is checked, the Creation Date fields is automatically filled by Cool Edit Pro. If you don’t want this extra information to be tagged with your wave files, simply un-check this box.


Fill Single Click Now

You can correct a single click by highlighting it and pushing the Fill Single Click Now button. This is the “manual override” for click restoration.

If the Auto box is checked next to “FFT Size”, then an appropriate FFT size will be used for the restoration based on the size of the area being restored. Otherwise, settings of 128 to 256 work very well when filling in single clicks.

Once a single click is filled, the F3 (Repeat Last Command key) key will be set to repeat this action. So, to fill in another single click in highlighted audio, just press F3.


Filter Characteristics

Sweep Gain

This slider lets your apply variable amounts of Sweep Gain, which is the gain applied to the phased signal. Take care to avoid clipping when applying higher positive values

Center Frequency

This is the frequency around which the phase will sweep. Frequencies closer to the middle of the dynamic range of the selected audio will produce more dramatic results.

Depth

This setting determines the degree of phasing. The value is given as a Q value, which is a ratio of width to center frequency. Greater Depth settings cause the sweep to extend farther away from the center frequency in both directions (covering a greater frequency range), producing a wider tremolo effect.

Resonance

This is the amount of phase-shift that is applied to the signal. You can think of it as a “strength” setting for the phase. The value is given as a Q value, which is a ratio of width to center frequency.

Sweeping Rate

The Sweeping Rate is the speed at which the filter sweeps around the center frequency, covering the dynamic range specified by the Depth setting. Values are given in Hertz (Hz), or cycles per second, Period (milliseconds), and Tempo (beats per minute).

You can adjust the rate with the slider, or enter a value directly into one of the text boxes. To have the sweep occur in time with a song, for example, enter the BPM of the music, or a fraction of it. (Entering 240 for a song with a tempo of 120 would sweep in eighth notes, for example.)

Stereo Phase Difference

This is the degree which the sweep interval is shifted between the channels of a stereo waveform. Values farther away from 0 or 360 cause the sweep to occur at increasingly distant intervals between the left and right channels. A value of 180 yields a complete difference.

Both positive numbers (from 1 through 359) and negative numbers (from -1 through -359) may be entered in this field. A low negative number (such as -45) is the same as a high positive number (315). In other words, 180 and -180 are the same value, 90 and -270 mean the same thing, and -5 and 355 refer to the same amount of degrees.


Filter Type

With the Band Pass option selected, all variation is done around the frequency designated by the Center Frequency slider.

If you choose the Low Pass option, the Sweeping Phaser effect will keep everything from the specified Center Frequency down.

Note icon

Most folks will want to use the Band Pass option, since it gives you the traditional sound of a sweeping phaser.


Filter Type 2

Filter Type

Three types of filters are offered:

  • Low Pass passes the low frequencies while rejecting (or removing) high frequencies.

  • High Pass passes high frequencies and removes low frequencies.

  • Band Pass: This mode preserves a range of frequencies (that is, a band) while removing all other frequencies.


Edit Waveform View Effects Filters Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Filters

Dynamic EQ...

FFT Filter...

Graphic Equalizer...

Graphic Phase Shifter...

Notch Filter...

Parametric Equalizer...

Quick Filter...

Scientific Filters...

Noise Reduction

Special

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Filters

Use filters to modify a signal’s frequency content. The effects in this menu can be used to alter an audio file or selected range’s frequency content in many different ways.

Path (Breadcrumbs) Edit View: Effects > Filters


Final Amplification (Fade Tab)

Move the slider(s) for the amount of volume change you wish to apply to the end of a selection. Any figure over an amplification value of 100% or 0dB makes the selection louder; a figure below 100% or 0dB reduces the volume.

Tip icon

To achieve a fading out effect, choose a Final Amplification value that’s lower than that of the Initial Amplification value.


Final Mix Delay

This control sets the point in milliseconds at which flanging will end behind the original. It refers to the flange effect’s secondary (or final) delay setting, with the flange being cycled between this and the Initial Mix Delay at a specified rate.


Final Settings

When the Lock to these settings only box is unchecked choose this tab to select the final tone settings. The tone generated will gradually go from the initial state to the final.


Final Settings 2

Final Settings

When the “Lock to these settings only” box isn’t checked, choose this tab to select the initial EQ settings.


Find Beats

Use this function to have Cool Edit Pro locate the boundaries that make up musical beats in an existing music audio file. This lets you easily find the starting and ending loop points when you want to construct drum loops and similar musical phrases.

To use Find Beats:

  1. Place the play cursor in the Wave Display to the left of your targeted loop starting point.

  2. Select Edit > Find Beats > Find Next Beat (Left) to locate the beginning of the current beat.

  3. Press Shift+[ until you arrive at the desired loop starting point.

  4. Choose Edit > Find Beats > Find Next Beat (Right) to select from the current cursor position (now the loop start) to the next beat.

  5. Press Shift+] until you arrive at the desired ending for your loop.

  6. Press the Play Looped button in the Transport Controls to audition your loop.

  7. After any necessary tweaking, you can then save, paste, or add the loop to the Cue List.

Note icon

If the waveform levels don’t match up at the loop point, you may hear audible clicking as the loop repeats. To adjust for this, you can revert to the original source file and use the Zero Crossings feature to match initial and ending levels.

Path (Breadcrumbs) Edit View: Edit > Find Beats

More About...

Using Find Beats to capture a loop


Find Levels

Press this button to scan the waveform (or a highlighted section) to have Cool Edit Pro automatically determine a good staring point for signal levels. After completing the scan, suggested values are automatically placed in the appropriate boxes.

Tip icon

If these values aren’t doing the job – say, words or phrases are being chopped off – try lowering the signal level values. Increase the signal level values if not enough silence is being removed.


Find Levels 2

Find Levels

Press this button to scan the waveform (or a highlighted section) to have Cool Edit Pro automatically determine a good staring point for signal levels. After completing the scan, suggested values are automatically placed in the appropriate boxes.

Tip icon

If these values aren’t doing the job – say, words or phrases are being chopped off – try lowering the signal level values. Increase the signal level values if not enough silence is being removed.


Find Threshold Levels

This function will automatically fill in the Max (Maximum), Avg (Average), and Min (Minimum) Threshold level settings.

Use this button to automatically set the threshold levels, before manually adjusting the Max Threshold and Min Threshold Detect and Reject values. (It’s a good idea to settle on Max and Min settings first, because once they’re in place, they usually don’t need to be adjusted much.)

After the Max Threshold and Min Threshold values have been set, enter a figure for the Avg Threshold level of about three quarters the way up between the Min Threshold and Max Threshold settings – for example, Max Threshold of 30, Min Threshold of 10, and then about 25 for Avg Threshold.

Once you’ve auditioned a small piece of repaired audio, you can go back and adjust the settings accordingly. For example, if a quiet part still has a lot of clicks, lower the Min Thresholds value a bit. If a loud piece still has clicks, lower the Avg or Max Threshold settings. The loud, average, and quiet portions of the audio are handled differently based on the detection and rejection settings.


Find using Analysis

Press this button to have Cool Edit Pro analyze the audio file to automatically determine the Note and Fine Tune values.

  • If a sampler loop is selected in the Sampler Loops list, the frequency at the center of that loop is entered into this field for the Note and Fine Tune fields.

  • If no loops are selected, the center of the entire waveform is used to gain the current note.

Note icon

This value can be off by a few hundredths of a cent, so manual adjustment after finding the note may be necessary. For example, you may get G#4 at 99.99 cents, which would probably really be A4 and 0 cents.


Fine Tune

The actual tone can be entered in this text box in values as precise as 1/100th of a cent. Enter the number of cents above the Note that the tone actually is.


FIR Filter Size

Cool Edit Pro’s Frequency Splitter effect uses an FIR (Finite Impulse Response) filter, which maintains phase errors over the response curve. This is unlike IIR filters, which can have phase error (often audible as a ringing quality). Higher numbers create higher accuracy in the frequency filtering that the effect does.

The default FIR Filter Size of 320 should work most of the time. However, if you get any distortion or ringing in the filtered waves, try increasing this number to get a more accurate filter.


Fix Attenuations to:

  • When this box is checked, all attenuation levels are the same.

  • Uncheck the box to set individual attenuation levels for each of the frequencies.


Fixed Length

If this option is chosen, the file won’t be stretched to match tempo.


FL + FR, stereo

This sends the selected track’s signal as a stereo source directly to only the Front Left and Front Right speakers in a 50/50 balance.


Flanger...

Flanger button Flanger...

Flanging was originally achieved by sending an audio signal to two reel-to-reel tape recorders, and then physically slowing down the reels of one machine. The resulting sound is a phase-shifted, time delay effect, characteristic of some of the psychedelic sounding recordings in of the 1960s and 1970s. (If you’ve ever listened to “Listen To The Music” by the Doobie Brothers, you’ve heard flanging in action.) Use Cool Edit Pro to create the same effect by slightly delaying and phasing a signal at predetermined or random intervals.

Flanger Dialog

Original - Delayed Slider

Initial Mix Delay

Final Mix Delay

Stereo Phasing

Feedback

Mode

Rate

Presets

Cool Edit Pro comes with several Flanger presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Flanger setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Flanger...

* This function supports Presets.

* This function supports Preview.


Flange

An interesting audio effect caused by mixing an approximately even amount of a varying short delay with the original signal. Cool Edit Pro’s Flanger effect can be found in Effects > Delay Effects.


Flat

The Flat button resets the graph to its default state of an unchanged signal, removing all control points.


Flat 11

Flat

This button resets the graph so that a straight horizontal line appears at zero degrees. All control points are removed except for the ones at the end of the line.


Flat 8

Flat

The Flat button resets the graph to its default state of an unchanged signal, removing all control points.


Flat 9

Flat

Press the Flat button – which appears in each of the Gain, Frequency, and Q (bandwidth) tabbed windows – to reset the curve to its default state of an unchanged signal, removing all Control Points.


Flat 10

Flat

The Flat button in the Transition Curve window resets the curve to its default state of an unchanged signal, removing all Control Points.


Flat 1

Flat

The Flat button resets the graph to its default state by removing all control points.


Flat 2

Flat

The Flat button resets the graph to its default state by removing all control points.


Flat 3

Flat

Press the Flat button to reset the curve to its default state of an unchanged signal, removing all Control Points.


Flat 4

Flat

The Flat button in the Transition Curve window resets the curve to its default state of an unchanged signal, removing all Control Points.


Flat 5

Flat

Pressing the Flat button will reset the graph to its default state, removing all control points.


Flat 6

Flat

Press this button to reset the graph, with all points being set to no pitch bending.


Flat 7

Flat

Press this button to remove all control points with the exception of the points at each end of the graph line, thereby straightening out the line.


Flavor

Use this drop-down list to choose the type of waveform to use. Each flavor has a particular sound unique unto itself.

Sine: Fundamental, no harmonics (pure tone)

Triangle: Odd harmonics with amplitude of 1 to itself (squared)

Square: Odd harmonics with amplitude of 1 to itself

Sawtooth: All harmonics with amplitude of 1 to itself


Flush Virtual File

Cool Edit Pro opens waveforms and uses them directly without making a backup in the temp folder.

If a waveform needs to be closed for deleting or for opening in another program, running the “Flush Virtual File” command copies the waveform’s contents to the temp folder and closes the file. Files are automatically flushed if the entire waveform is modified by Cool Edit Pro, since all changes are written to the temp folder.

In other words, this command lets an audio file that’s currently being used by Cool Edit Pro to be simultaneously used by another program or resource application.

Path (Breadcrumbs) Edit View: File > Flush Virtual File


Flushing

The process Cool Edit Pro performs when it copies the audio data from a waveform file to Cool Edit Pro’s temp folder so that the original file can be closed. This allows the file to be renamed, deleted, or opened exclusively by another application. Flushing sometimes occurs when a modified waveform is saved on top of its original file.


Format

This is the ACM format you wish to save in. Note that this list will display only those formats that are compatible with the current waveform’s properties (stereo/mono, resolution, etc.).


Fourier Theory

Fourier theory states that any waveform can be made up of an infinite sum of sin and cos functions. By using Fourier theory, waveforms can be quickly analyzed for their frequency and amplitude content.


Free Up Space in Temp Files...

Edit View

Use this command to bring up the Free Up Space in Temp Files window for managing Cool Edit Pro’s use of the space on your hard drive(s), including the instances of Undo for each waveform.

The window also automatically appears when available hard drive space nears zero kilobytes. If your system has lots of available free hard drive space, Cool Edit Pro’s undo levels are cleared regularly, so you may not see this window unless you manually call it from the File menu.

The Free Up Space In Temp Files Dialog

The Free Up Space In Temp Files Dialog

Waveform

Undo History

Lower Hard Drive Reserves

Total Available Space

Cancel Last Operation

Multitrack View

Use this command to bring up the Free Up Space in Temp Files window for managing Cool Edit Pro’s use of the space on your hard drive(s), including the instances of Undo for each waveform.

The window also automatically appears when available hard drive space nears zero kilobytes. If your system has lots of available free hard drive space, Cool Edit Pro’s undo levels are cleared regularly, so you may not see this window unless you manually call it from the File menu.

Path (Breadcrumbs) File > Free Up Space in Temp Files…

More about...

Drive Space

The way Cool Edit Pro works


Frequency

Measured in Hertz (Hz), a sound’s Frequency is the rate at which it vibrates, or its cycles per second. A cycle consists of movement from a starting point (0) through both positive and negative amplitudes, eventually returning to the starting point. A sound’s frequency determines its pitch.


Show Frequency Analysis

Show Frequency Analysis button Show Frequency Analysis Alt+Z

This command displays Cool Edit Pro’s Frequency Analysis window. It contains a graph of the frequencies at the cursor position or at the center of a selection. The x-axis (left to right) represents frequency (measured in Hz), while the y-axis (bottom to top) corresponds to the amplitude of the corresponding frequency (measured in dB) on the x-axis.

Frequency Analysis Window

Frequency Analysis Window

The Frequency Analysis window can float above Cool Edit Pro’s main interface, or dock at any one of several places within it.

Tip Icon

To quickly turn on and off the display of the Frequency Analysis window, use the Alt+Z hotkey.

Linear View

Hold

Status Areas

Options

Scan

Advanced

FFT Size

FFT Window Type

Reference

Copy to Clipboard

Zooming (Frequency Ruler)

Zooming (Amplitude Ruler)

Path (Breadcrumbs) Edit View: Analyze > Show Frequency Analysis


Frequency Band Splitter...

Use the Frequency Band Splitter to take a selected waveform block (or a highlighted portion thereof) and make up to 8 copies of it, with each copy assuming a different frequency range of the original. Split points are determined by the crossover frequencies specified. Each copy of the waveform is placed in its own track in the session window.

Frequency Band Splitter Dialog

Frequency Band Splitter Dialog

For example, using the default setting of 3 bands with crossover values of 800 and 3200, three copies of the selected waveform are made: one that has the frequencies of the selected wave from 0 to 800Hz, one from 800 to 3200Hz, and one from 3200 to 22050Hz (or whatever the maximum frequency present is, based on the sample rate).

Here’s how to initiate the Frequency Band Splitter dialog:

  1. Make a selection that covers the part of the wave block you want to process.

  2. Ctrl+Left-click the wave block you wish to process to give it focus.

  3. Access the Frequency Splitter from the Effects drop-down menu, the Effects toolbar, or the Effects section of the Organizer window.

Note icon

If you have more than one wave block selected, the Frequency Band Splitter effect will be unavailable.

The following are the major components of the Frequency Band Splitter dialog:

Bands

Crossovers

Output Waves

FIR Filter Size

Presets

The Frequency Splitter effect supports Presets for storing and recalling your favorite settings. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) Multitrack View: Effects > Frequency Band Splitter...


Frequency Components (Overtones)

Use the Frequency Components controls to add up to five overtones to the fundamental frequency (Base Frequency).

Enter the multiplier for each overtone below the Frequency Components slider(s). (The actual frequency will be this many times the fundamental.) Then, use the sliders to mix each of the individual components (0 to 100%) in proportion to one another. The overall gain (signal level) may be adjusted with the dB Volume sliders.

If the Lock to these settings only box isn’t checked, all of the values can change over the duration of the audio file, so that they morph from the initial to final settings.

Tip icon

You can generate several cool effects with just these five overtones. Just experiment and have fun!


Frequency Graph

Time is represented along the x-axis (horizontal edge), and frequency along the y-axis (vertical edge). As you go to the right of the graph, you are setting the frequency characteristics of the highlighted sample later and later in time. The settings chosen will vary between the low and high settings depending on where the graph dictates the signals should be. Choose the highest and lowest frequencies that are represented on the graph with the scroll bars located in Low/High Settings, below. The readout below the graph displays the current x, y position of your mouse.

Tip Icon | Cycling between 4 to 5 Hz over a 2 minute span works nicely. If large variations are done in short time spans, the effects are not as pronounced. For example, after 5 minutes of listening to Theta waves, the listener will become slightly awake, if 30 seconds of alpha waves are generated, and then returned back to theta. The effect is sort of like shifting gears into different levels of awareness.
Note icon | For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Frequency Sliders (Low/Mid/High)

These are the frequency sliders directly beneath the graph. The cornering frequency for the shelves, or the center frequency for the mid band, can all be set to any frequency desired. For example, to “warm up” the reverb, you might want to lower the High Shelf frequency while also reducing its amplitude.


Frequency Tab

The graph control in the Frequency window is used to set the EQ frequency. The x-axis (horizontal) ruler represents the length of the selection, while the y-axis (vertical) ruler represents the frequency that’s boosted or cut.

The Frequency tab of the Dynamic EQ dialog

The Frequency tab of the Dynamic EQ Dialog

Path (Breadcrumbs) Edit View: Effects > Filters > Dynamic EQ...

More about...

Dynamic EQ...


Frequency Sliders

Use the vertical Lo, Mid, and Hi Frequency Sliders to adjust the EQ curve’s low, middle, and high frequencies respectively. Drag a slider to the right (or click on the arrow on the right of the slider) to increase the slider’s frequency, while moving it to the left (or clicking on the arrow to the left of the slider) reduces the frequency.

You may also specify the slider’s frequency by directly entering the desired Hz value in the text box to the right of the frequency slider.


Friendly Name

By default, Cool Edit Pro names its busses after a letter of the alphabet – such as Bus (A) – but you can easily rename a bus by highlighting the text in the Friendly Name field and typing over it.


From Clipboard n

Select “From Clipboard n” to paste audio directly from the active internal clipboard.


From File

Select this option and press the Select File… button to browse for an audio file to paste into the active waveform. The “Please Choose a Wave File” window appears, which is similar to Cool Edit Pro’s “Open” dialog.


From Windows Clipboard

Choose this option if you want to paste audio from the Windows clipboard. If there’s no audio data in the Windows clipboard, this selection is disabled.


Full

This option returns any selected block to its original state. Any material removed using Trim or Cut (while in Multitrack View) will be replaced.

Note icon

Selecting Full for a block when its segments have been moved will return any missing material at that location, so this may result in having more than one instance of the same block portion throughout a session.

Path (Breadcrumbs) Multitrack View: Edit > Full


Full 2

Full

This option returns any selected waveform block that has been modified with the Adjust Boundaries, Trim, or Cut commands to its original, full state. Any material removed using Adjust Boundaries, Trim, or Cut (while in Multitrack View) will be replaced.

Note icon

Selecting Full for a waveform block when its segments have been moved will return any missing material at that location, so this may result in having more than one instance of the same waveform block portion throughout a session.


Full re-sync when shuttling

If selected, a full re-sync will be performed if the sync is off by the Slack amount.


Full Reverb...

Full Reverb button Full Reverb...

Full Reverb, like Cool Edit Pro’s standard Reverb effect, is used to simulate acoustic space. It’s also convolution-impulse-based (like the standard Reverb), which means there are no ringing, metallic, or other artificial sounding artifacts. However, specific resonating can be achieved if desired (see Coloration).

Full Reverb has some unique features not found in other reverbs, like Perception to simulate room irregularities, and source location to place the “singer” off-center, and have the early reflections realistically model their position within rooms that have acoustically desirable dimensions that you can customize. Practically any wall surface material or other sound-affecting factors can be simulated by changing the reverb’s frequency absorption using a 3 band “parametric EQ” style interface (in the Coloration tab).

Note icon | Whenever any of the reverb characteristics are modified, a new impulse is computed (which can be several megabytes in size) to simulate the environment you’re specifying. This means it takes more CPU power to perform the reverberations, but they are much more natural sounding and easier to tailor.
Note icon | Because every parameter change (other than a mix level change) requires a new reverb “impulse” to be built, you may have to wait a few seconds after pressing “Preview” for the reverb generation process. Once built, the preview should generally run in real time, and subsequent previews or pressing OK won’t require rebuilding the impulse, nor will adjusting any of the mix level controls or the “Include Direct” checkbox.

General Reverb Tab

Early Reflections Tab

Coloration Tab

Presets

Cool Edit Pro comes with several Full Reverb presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Full Reverb setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Tip icon

Make sure that there is enough silence at the end of the waveform for the reverb trails to complete. If the reverb abruptly cuts off before it fully decays, undo the Full Reverb effect, add several seconds of silence using Cool Edit Pro’s Generate > Silence command, and then rerun the Full Reverb effect.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Full Reverb...

* This function supports Presets.

* This function supports Preview.


Function Tab

Cool Edit Effect

All of the items on Cool Edit Pro’s Effects and Generate menus appear on this drop-down list. Just select the desired item. The last used settings for the item chosen appears in a window just below the Cool Edit Effect list.

Edit Settings…

Click on this button to call up the settings window that corresponds to the particular Effects or Generate function. You can then change the settings to be used when this item is chosen from the Favorites menu.

Copy From Last

Press this button to copy all the settings from the last Effects or Generate function that was started successfully.

Use Current Settings

Check this option to apply to the Favorite the settings last used for that particular Effects or Generate function.

Show Dialog

Check this box to bring up the settings dialog for the particular Effects or Generate function when you call the Favorite. The settings dialog will show the settings you chose in Edit Settings…. Uncheck the Show Dialog box to automatically use the chosen settings to run the function.

Path (Breadcrumbs) Edit View: Favorites > Edit Favorites...


FX

An abbreviation for the word “effects”.


FX Button

Click on the FX button to bring up the track’s Effects Rack (if no effect is currently set for the track) or it will bring up the track’s Effects Settings if some are assigned to the track already

After effects have been applied to the track, the button is renamed to whatever you’ve typed as a “friendly name” for the effects rack. If you haven’t given a friendly name to the effects rack, a number is added on to the button’s label. For example, “FX” will become “FX 2” when effects have been applied to Track 2. Press the Lock Button to the left to lock in the effect(s), which disables the FX button.

Note icon

The FX Button is found in the Vol, EQ, and Bus areas.


FX Mixer

The FX Mixer gives you control over the routing options for the signal as it travels through the effects in your current effects rack.

FX Mixer

The fader labeled Dry Out determines how much of the unaffected signal is sent to the output of the FX Mixer. Each effect in the effects rack also has a fader which can send its signal directly to the output, bypassing any effects later in the chain.

When more than one effect is in the current effects rack, you may choose whether the later effects get their signal only from the dry source, from the output of the previous effect, or from a combination of both. All but the first effect will have an input to determine these values. You can select how much you want to come from the dry, unprocessed signal, labeled Src, and how much you want to come from the output of the previous effect, labeled Prv. Different percentages of either source or previous can be entered to determine how much of a processed signal and how much of a dry signal go to the input of that effect.

Each effect fader has a bypass switch, allowing you to temporarily take that effect out of the signal path.

Shortcuts are available to set the FX Mixer to Serial or Parallel.

In a typical serial configuration, the signal travels from the output of one effect directly to the input of the next. In a serial setup, all of the faders will be set to zero except for the final fader, which will be set to 100%. All of the source selection inputs will be set 100% from the previous effect, 0% from the dry source.

In a typical parallel configuration, the signal for each of the effects is dry (100% source, 0% previous), and the outputs of the effects are mixed in equal parts to the output of the FX Mixer. If there are three effects in the current effects rack, each fader will default to 33%. If there are four effects, each fader will default to 25%, etc. This allows effects to be used that are not chained.

This is a flowchart illustrating how the signal travels through the mixer. The values shown on the faders and the source selection inputs reflect a typical serial configuration with three effects.

FX Mixer signal path

FX Mixer signal path


FX/No FX Buttons

If a track doesn’t yet have an effect assigned to it (regardless of what effects may be assigned if the track is part of a bus), pressing the No FX button brings up the Effects Rack for that track.

A typical Effects Rack window

A typical Effects Rack window

Should an effect already be assigned to a track, clicking on the FX button shows the effects properties dialog.


G.721 ADPCM 4-bit

The CCITT G.721 (ADPCM at 32 kbits/second) is used to compress the file when this option is selected.


Gain

This is where you enter the exact value for the gain (measured in dB) being used in the chosen band.


Gain Processor

Output Gain

This is the gain (measured in dB) applied to the output signal. It’s the last step performed on the audio.

Attack Time

This is the attack time (measured in milliseconds) applied just before output.

Attack Time determines the time in milliseconds that it takes for the processed output signal to reach its specified output volume. If there’s suddenly a quiet portion that drops 30dB, it will take the amount of time specified in this field before the output actually drops to its corresponding volume level.

If the sum of the Attack and Release times is too short (less than 20 milliseconds total), audible effects (such as a “vibrating” sound) can be heard at around 1000 Hz/ms total. For example, if the Attack and Release times are each set to 5 milliseconds (making 10 milliseconds total), then a vibrating sound at 100Hz will be heard. Thus, a total value of about 30 milliseconds is about as low as you can go without introducing these effects.

Release Time

This is the release time (measured in milliseconds) applied just before output.

Release Time is the time it takes the end of a previous output level to reach the specified output volume. For example, where the Attack is the time it takes for the start of a pulse to reach the desired output volume, the Release is the time it takes for the end of the pulse to reach the desired level.

Joint Channels

With stereo audio files, each channel can be compressed independently, sometimes causing the surrounding background noise to get louder on one channel at a time – which can sound strange. For example, a loud drumbeat in the left channel will make the background noise sound louder in the right than in the left.

If Joint Channels is checked, both channels are used to find a single input dB value, and both channels will be amplified to by the same amount, thus preserving the stereo center-channel image. This means a loud drumbeat on the left channel will also cause the right channel to be reduced in level by an equal amount.


Gain Tab

Use the graph control in the Gain window to adjust the amount of amplitude or attenuation the Dynamic EQ effect uses. The x-axis (horizontal) ruler represents the length of the selection, while the y-axis (vertical) ruler represents the dB level that’s boosted or cut.

The Gain tab of the Dynamic EQ dialog

The Gain tab of the Dynamic EQ Dialog

Path (Breadcrumbs) Edit View: Effects > Filters > Dynamic EQ...

More about...

Dynamic EQ...


Gather Statistics Now

Press this button to update the Clipping Statistics display. The Clipping Statistics fields show what percentage of the audio would clip if limiting were not performed. If you change any of the input parameters, you’ll probably want to click this button.


Gather Statistics Now 2

Gather Statistics Now

Pressing this button will fill in the Clipping Statistics fields with information for the current selection or file.


General Reverb Tab

Full Reverb Dialog – General Reverb Tab

Full Reverb Dialog – General Reverb Tab

Total Length

Attack Time

Diffusion

Perception

Set Reverb based on Early Reflection Room Size

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Full Reverb...

More about...

Full Reverb...


General Tab

Advanced Session Properties Dialog - General Tab

Advanced Session Properties Dialog - General Tab

Session Start Time Offset

Key for Voiced Loops

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...

More about...

Advanced Session Properties...


General Tab - Waveform Statistics Dialog

General Tab

You can jump to the exact location in the waveform for certain values by clicking on the appropriate arrow button to the right of that value.

Waveform Statistics Dialog - General Tab

Waveform Statistics Dialog – General Tab

Minimum Sample Value

Maximum Sample Value

Peak Amplitude

Possibly Clipped Samples

DC Offset

Minimum RMS Power

Maximum RMS Power

Average RMS Power

Total RMS Power

Actual Bit Depth

Copy Data to Clipboard

RMS Settings

Account for DC

Window Width

Recalculate RMS

Path (Breadcrumbs) Edit View: Analyze > Statistics...

More about...

Statistics...


DTMF Signals...

Generate DTMF Tones button DTMF Signals...

This function generates Dual Tone Multi-Frequency (DTMF) signals (a.k.a. “touch tones”) used for dialing telephone numbers over phone lines that are capable of responding to touch tone signals. These signals are recommended internationally by the International Telegraph and Telephone Consultative Committee as the signals for pushbutton telephones.

Generate DTMF Signals Dialog

Generate DTMF Signals Dialog

Keep in mind that the DTMF signals generated by telephone pushbutton keypads are different from the Multi-Frequency (MF) tones generated by the telephone network to transmit information. Cool Edit Pro’s DTMF Signals function can generate MF tones as well.

Dial String

Tone Time

Break Time

Pause Time

Pause Character

DTMF Signals

MF Signals (CCITT R1)

Custom

Amplitude

Twist

Reset to DTMF

Presets

This section allows you to recall and manage DTMF Signals presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Tip Icon

The presets in this function save everything, including the dial string. To see how effective these tones are, try entering your favorite phone number to generate the tones for it. Then hold the receiver of your phone next to the speaker and play the wave. Your phone will dial the number you entered.

Preview

Press this button to audition the current DTMF Signals settings before you apply them to the active waveform.

Path (Breadcrumbs) Edit View: Generate > DTMF Signals...


Generate Silence

Generate Silence button Silence...

This function generates a specified amount of silence (entered in seconds) from the current playbar cursor position. Any following audio is pushed back in time, thereby lengthening the waveform’s duration. Silence will replace any selected area.

Generate Silence dialog

Generate Silence Dialog

To use, just enter the desired amount of silence you wish to generate (measured in seconds) and press the OK button. Feel free to use decimals for partial seconds. For example, entering .3 in the Silence Time field will generate exactly three-tenths of a second of silence.

Tip Icon

To “silence out” a highlighted selection, use Effects > Silence instead.

Path (Breadcrumbs) Edit View: Generate > Silence...


Tones...

Generate Tones button Tones...

Use this function to create a simple waveform, with control over numerous amplitude- and frequency-related settings. Generating tones is a great way to provide base audio to create impressive sound effects.

Generate Tones Dialog

Generate Tones Dialog

Initial Settings

Final Settings

Lock to these settings only

Copy from Initial Settings

Base Frequency

Modulate By

Modulation Frequency

Frequency Components

dB Volume

Phasing

DC Offset

Flavor

Duration

Source Modulation

Presets

This section allows you to recall and manage Generate Tones presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press this button to audition the current Generate Tones settings before you apply them to the active waveform.

Path (Breadcrumbs) Edit View: Generate > Tones...


Genre

Specify the musical classification of the sound. For example, you could put in Country, Rock, New Age, Voice, or Jazz.


Genre 2

Genre

Select the musical category from the drop-down list of dozens of alphabetically-sorted choices.


Get 32-bit Audio using:

Depending on if your recording device supports it, you can send 32-bit audio as 3-byte Packed PCM, 4-byte PCM, or 4-byte IEEE float.


Get Noise Floor

This is the most powerful feature of Hiss Reduction. If a good estimate of what the noise floor looks like (i.e., how it’s shaped) is graphed, Cool Edit Pro’s Hiss Reduction algorithm can more effectively remove just hiss while leaving regular audio untouched.

Optimally, you should click on Get Noise Floor with a section of just hiss highlighted in your waveform. This will design a graph that most accurately reflects the noise floor. If no such area can be found in the waveform, select an area with the least amount of music or other desired audio.

For best results, choose an area of audio that has the least amount of high frequency information. (If viewing in spectral view, the area will not have any activity in the top 3/4ths of the display.)

After the noise floor has been identified, you may need to skew the graph on the left-hand side (representing the lower frequencies) downward some, so as to make the graph as flat as possible.

If music was present at any frequency, the dots on the graph around that frequency will be higher than they should be, and should be moved down.


Get Profile from Selection

Press this button to extract a noise profile from the highlighted selection.

Try to select a portion of the waveform that has no important signal in it (i.e., it only has background noise), and then press Get Profile from Selection. Cool Edit Pro will gather the statistical information about the background noise, after which you can remove all noise of this type from your waveform.

Note icon | If the selection used for gathering the noise level is too small, then the Get Profile from Selection button won’t be enabled. Reduce the FFT Size or select a larger section of noise to sample.
Tip icon | If you can’t find a longer noise section, use Copy and Paste to create one. Highlight and copy the short noise sample. Then, paste this new instance at the end of original highlighted sample. Repeat this process until the sample has been extended long enough for the Get Profile from Selection button to be enabled. You can then perform as many Undos as necessary to remove the extra samples you’ve pasted.


Global Settings

These settings effect how the given impulse will be used during convolution.

Volume

If the convoluted audio comes out too soft or too loud, enter an appropriate value to amplify or attenuate the audio.

Shift

This value is generally set to one-half the FIR Size when building impulses from scratch, to compensate for the delay incurred when the minimum delay used was only one-half the FIR size. Adjust this shift setting if you find that the convoluted audio is migrating too far to the right with respect to the original audio.


Glossary Definition

Glossary definition example


Go To Cue List

Accessing this command displays the Cue List, or if the Cue List is already displayed, makes it the active window.


Graph

The graph depicts input level along the x-axis (left and right) and the new output level along the y-axis (up and down). A line that flows directly from the lower-left to the upper-right (default) depicts a signal that has been left untouched, since every input value goes to the exact matching output value. Adjusting the shape of this line will adjust the input or output assignments, thereby altering the dynamic range.

For example, you can boost all input that has a level of around -20dB, leaving everything else unchanged. You can also draw an inverse line (a line from upper-left to lower-right) that will dramatically boost low amplitudes while dramatically suppressing high amplitudes (that is, all quiet sounds will be loud, and all loud sounds will be quiet).

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Graph 3

Graph

The graph shows the track’s current equalization curve. The graph’s x-axis (horizontal) ruler measures frequency, while the y-axis (vertical) ruler represents amplitude.

You can drag the three control points (which look like balls) around the graph to adjust the EQ curve. If the Track EQ window is in expanded view, you’ll notice that the two sets of sliders move accordingly when the graph’s control points are manipulated.

The left-most control point initially represents the EQ curve’s low frequency, while the middle and right-most control points correspond to the EQ curves’ middle and high frequencies respectively.


Graph 6

Graph

The graph shows the track’s current equalization curve. The graph’s x-axis (horizontal) ruler measures frequency, while the y-axis (vertical) ruler represents amplitude.

You can drag the three control points (which look like balls) around the graph to adjust the EQ curve. If the Track EQ window is in expanded view, you’ll notice that the two sets of sliders move accordingly when the graph’s control points are manipulated.

The left-most control point initially represents the EQ curve’s low frequency, while the middle and right-most control points correspond to the EQ curves’ middle and high frequencies respectively.


Graph 2

Graph

The graph depicts time along the x-axis (left and right) and the new output level along the y-axis (up and down), with the blue line representing amplitude change.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Graph 4

Graph

The graph depicts frequency along the x-axis (left and right) and amplitude along the y-axis (up and down), with the curve representing the amplitude change at specific frequencies. Frequencies in the graph range from lowest to highest in a logarithmic fashion (evenly spaced by octaves).


Graph 5

Graph

The graph depicts input levels along the x-axis (left and right) and the new output level along the y-axis (up and down). A line that flows directly from the lower-left to the upper right (which is the default) depicts a signal that’s been left untouched, since every input value goes to the exact matching output value.

Adjusting the shape of the line will adjust the input or output assignments, thereby altering the dynamic range. For example, you can boost all input that has a level of around -20dB, leaving everything else unchanged.

You can also draw an inverse line (a line from upper-left to lower-right) that will dramatically boost low amplitudes while dramatically surpassing high amplitudes. (In other words, all quiet sounds will be loud, and loud sounds will be quiet.)

Note icon

More information on Cool Edit Pro’s graph controls can be found in Getting to Know Cool Edit Pro and its Main Screens section.


Graph Actual Response

Because this is an FIR filter, the response may not actually match the desired equalization curve at lower accuracy levels. Press this button to see the actual response of the equalizer rendered in the window above the band sliders.


Graph Area

The Hiss Reduction graph area depicts what the noise floor looks like, with frequency along the x-axis (left and right) and amplitude, or noise floor, along the y-axis (up and down). Thus, the line on the graph represents where the estimated noise floor exists for each frequency in the source audio. This information will be used to determine if audio is hiss or desirable audio data.

The actual value used when performing hiss reduction will be a combination of the graph and the Noise Floor Adjust slider, which is used to shift the estimate noise floor reading up or down for fine tuning.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Graph Controls

Many of Cool Edit Pro’s effects use graph controls for adjusting parameters. By adding and moving control points on the graph, you can tailor the effect to precisely meet your needs.

The Graph Control portion of the Dynamics Processing Dialog

The Graph Control portion of the Dynamics Processing Dialog

Here are the instructions for working with a Cool Edit Pro graph control.

  • To add a control point to the graph, click in the grid at the location where you want to place the point.

  • To enter the values for a control point numerically, right click on the point to bring up the edit box, or double-click on the graph’s curve.

  • To move a point on the graph, click and hold on the point and drag to a new location.

  • To remove a point from the graph, click and hold on the point and drag it off the graph.

Note icon

When the mouse cursor is located over a control point, you’ll see it change from an arrow to a hand

More about...

Getting To Know Cool Edit Pro and its Main Screens


Graph response at point

Check this option to have the bottom graph update in response to your mouse position in the top graph.

The bottom graph shows the filter at any given point in the transition (provided the Graph response option is checked), and corresponds directly to the position of the mouse in the top graph (click, or click and drag to update the view). Watch how the filter settings change as you move your mouse up and down in the top graph. Depending on the position you select, you can decide whether you want a morphing transition, or a linear transition. Each type of transition will give different filter settings for the points between your initial and final filter settings.

Morphing is generally any technique used to transform one object into another. In the case of filter settings, it is a way to smoothly transform one setting (represented by a graph) to another by estimating all the possible combinations of the two settings. Over time, the first setting becomes the second. At some point, the setting will stop looking like the initial configuration, and start looking like the final configuration. In the filtering world, this means that frequencies between the ones selected to be filtered will also be filtered.

In migrating from the initial to the final filter configuration, the points in the “in-between” settings are just the average between the two settings. For example, a filter setting exactly between the initial and final would be the exact average of the initial and final filter settings.


Graph response at point 2

Graph response at point

Check this option to have the bottom graph update in response to your mouse position in the top graph.

The bottom graph shows the filter at any given point in the transition (provided the Graph response option is checked), and corresponds directly to the position of the mouse in the top graph (click, or click and drag to update the view). Watch how the filter settings change as you move your mouse up and down in the top graph. Depending on the position you select, you can decide whether you want a morphing transition, or a linear transition. Each type of transition will give different filter settings for the points between your initial and final filter settings.

Morphing is generally any technique used to transform one object into another. In the case of filter settings, it is a way to smoothly transform one setting (represented by a graph) to another by estimating all the possible combinations of the two settings. Over time, the first setting becomes the second. At some point, the setting will stop looking like the initial configuration, and start looking like the final configuration. In the filtering world, this means that frequencies between the ones selected to be filtered will also be filtered.

In migrating from the initial to the final filter configuration, the points in the “in-between” settings are just the average between the two settings. For example, a filter setting exactly between the initial and final would be the exact average of the initial and final filter settings.


Graphic Equalizer...

Graphic Equalizer button Graphic Equalizer...

With the Graphic Equalizer, you can boost or cut the signal at particular frequency bands, and have a visual representation of the overall EQ curve. Unlike the Parametric Equalizer, the Graphic Equalizer uses preset frequency band controls for quick and easy frequency equalization.

Graphic Equalizer Dialog (30 Bands Tab)

Graphic Equalizer Dialog (30 Bands Tab)

Cool Edit Pro’s Graphic Equalizer is implemented as an FIR (Finite Impulse Response) filter, which maintains phase errors over the response curve, unlike IIR filters which can have phase error (often audible as a ringing quality). This means that to gain higher accuracy in the lower frequencies, a higher accuracy (the size of the FIR filter) must be used. The bands can be spaced at either one octave, one-half octave, or one-third octave intervals, with the appropriate Q setting such that if adjacent bands are boosted, the result has no drop outs at intermediate frequencies.

Bands

The Graphic Equalizer bands are spaced at either one octave (10 band), one-half octave (20 band), or one-third octave (30 band) intervals. Select the appropriate tab to access the number of EQ bands you need. As you might expect, the 10-bands mode offers more general equalizing, while choosing 20 or 30 bands will let you zoom in on specific frequency ranges more precisely. Other than the number of bands, the controls in each tabbed Graphic Equalizer window are identical.

Reset All to Zero

Band

Gain

Graph Actual Response

Accuracy

Range

Master Gain

Presets

Cool Edit Pro comes with several Graphic Equalizer presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Graphic Equalizer setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > Graphic Equalizer...

* This function supports Presets.

* This function supports Preview.


Graphic Phase Shifter...

Graphic Phase Shifter button Graphic Phase Shifter...

The Graphic Phase Shifter lets you adjust the phase of a waveform by adding control points to a graph. The x-axis (horizontal edge) of the graph measures the waveform’s frequency content, while the graph’s y-axis (vertical edge) displays the degrees of phase to shift, with zero degrees representing no phase shift.

Graphic Phase Shifter Dialog

Graphic Phase Shifter Dialog

Note icon | For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.
Tip Icon | Most surround sound stereo decoders do different things with audio depending on the phase relationship. If you’re trying to take advantage of surround sound, try making just one channel 90 degrees out of phase. This would play the audio on all channels when surround-sound decoded. If you make the left channel 180 degrees out of phase (this is the same as just inverting one channel), it’ll play on the rear speakers when decoded.

You can create simulated stereo by creating a zigzag pattern that gets “zigzaggier” at the high end on one channel. Put two channels together that have been processed in this matter (using a different zigzag patterns for each) and the stereo simulation is more dramatic. (This would have the same effect as making a single channel twice as “zigzaggy”.)

Tip Icon

If you adjust the phase of one channel in just a small frequency band first, then use Flange or another Cool Edit Pro effect that depends on phase, you’ll get different results than with non-pre-phase-shifted audio.

Splines

+/-360º Range

Log Frequency Scale

FFT Size

Channel

Flat

Preview

Press the Preview button to audition the current phase shift settings before you apply them. Check the Bypass box below to bypass the effect so that you can do a “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Filters > Graphic Phase Shifter...

* This function supports Preview.


Graphic Tab

Dynamics Processing Dialog - Graphic Tab

Dynamics Processing Dialog – Graphic Tab

Graph

Splines

Flat

Invert

Path (Breadcrumbs) Edit View: Effects > Amplitude > Dynamics Processing...

More about...

Dynamics Processing...


Group Blocks 2

Group Blocks

This option will group any selected blocks together. Grouped blocks are designated by a different color than ungrouped blocks, as well as a special circular symbol overlaid each block. This feature is fully documented in the Edit Menu – Multitrack View section.

Tip icon

Use the keyboard shortcut of Ctrl+G to quickly group selected blocks together without having to access a menu.


Group Color...

This command invokes Cool Edit Pro’s Group Color dialog, which allows you to change the color of the current group of blocks.

Group Color Dialog

Group Color Dialog

Select from one of 32 preset hues by clicking on it. You may also use the slider to find a color, or you can directly enter a hue value from 0 to 255 in the field provided.

Note icon

The Block Context menu’s Group Color… command is only displayed when you have blocks that have been grouped together.

Path (Breadcrumbs) Multitrack View: Edit > Group Color...


Group Waveform Normalize...

Group Waveform Normalize allows you to normalize the volume of multiple open waveforms using a three-screen batch process. (When you normalize a waveform, the loudest part of the waveform is set to a specified amplitude, thereby raising or lowering all other parts of the same waveform by the same amount.) If the volume is raised as part of the normalization process, Cool Edit Pro can apply limiting to prevent clipping.

If you’re getting ready to master an audio CD, using Group Waveform Normalize is a great way to make sure that all tracks on the CD have a consistent volume.

1. Choose Files Tab

2. Analyze Loudness Tab

3. Normalize Tab

Path (Breadcrumbs) Edit > Group Waveform Normalize...


Group Waveform Normalize...2

Group Waveform Normalize...

Group Waveform Normalize allows you to normalize the volume of multiple open waveforms using a three-screen batch process. (When you normalize a waveform, the loudest part of the waveform is set to a specified amplitude, thereby raising or lowering all other parts of the same waveform by the same amount.) If the volume is raised as part of the normalization process, Cool Edit Pro can apply limiting to prevent clipping.

Note icon

Complete documentation on the Group Format Normalize function can be found in the Options Menu – Edit View section.

Path (Breadcrumbs) Edit > Group Waveform Normalize...


Group Blocks

Group Waves button Group Blocks Ctrl+G

This option will group any selected blocks together. Grouping can help with organizing the many blocks in your session. For example, you can have all of your guitar elements grouped together to easily identify and move them. Grouped blocks are designated by a different color than ungrouped blocks, as well as a special circular symbol overlaid each block.

  • To group blocks together, select the members of the group by holding your Ctrl key down and left-clicking each desired block. Then, choose Group Blocks from the Edit menu, or from the right-click menu.

  • To ungroup blocks, click on any member of that group to select it, and again choose Group Blocks from the Edit menu, or from the right-click menu. This will remove the checkmark from the menu item.

Grouped blocks will move together when selected and repositioned. Other wave operations such as Mute or Lock in Time will also affect all blocks in a group.

To select the color to use for a particular block group, right-click on any member of the group and choose Group Color.

Tip icon

Use the keyboard shortcut of Ctrl+G to quickly group selected blocks together without having to access the Edit menu.

Path (Breadcrumbs) Multitrack View: Edit > Group Blocks


Hard Limiting...

Hard Limiter button Hard Limiting...

Cool Edit Pro’s Hard Limiter enables you to drastically attenuate audio above a certain threshold, while leaving all audio samples below that threshold alone.

For example, you can amplify a piece of audio well beyond where it would normally clip, and the Hard Limiter will soften the regions that would otherwise be clipping, ensuring that the maximum sample amplitude does not go above the given limit.

This can be extremely handy if, for example, you did a Mixdown to a 32-bit audio file, and only have a few places where the audio is clipping, but do not want to Normalize down the entire waveform (which would reduce the volume of it). Hard Limiting will bring down only those portions that are clipping (or would be clipping if converting to 16-bit).

Hard Limiter dialog box

Hard Limiter Dialog

Here are the major components of the Hard Limiter window:

Limit Max Amplitude to

Boost Input by

Look Ahead Time

Release Time

Link Left & Right

Gather Statistics Now

Preview

Press the Preview button to audition the selected hard limiting adjustment before you apply it to the waveform. The selection is played over and over (“looped”) until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear changes as the selection is looped.

Check the Bypass box to hear the waveform without any changes in hard limiting for a quick “before and after” comparison.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Hard Limiting...

* This function supports Presets.

* This function supports Preview.


Hertz (Hz)

This is a unit of measurement used to measure the frequency of a sound. Hertz are equal to cycles per second.


Hide/Show

Click Hide button to hide the Navigation pane.

Help window without Navigation pane

Click Show button to display the Navigation pane.

Help window with Navigation pane


High Cutoff

This is the highest frequency that dynamics processing will affect. The High Cutoff point is the top boundary in defining this band.

For example, with values of 1000 for Low Cutoff and 5000 for High Cutoff, dynamics processing only affects audio in the frequency range of 1kHz to 5kHz. To use the entire frequency range of the source material, leave this setting at 0.

Tip icon

To use the entire frequency range of the source material, this setting should be at 1/2 the current sample rate (24000 for 48kHz, 11025 for 22kHz, etc.).


High Cutoff 1

High Cutoff

In filters requiring a range (Band Pass and Band Stop), this serves as the higher frequency, while Cutoff defines the lower frequency border.


High Cutoff 2

High Cutoff

This is the highest frequency that dynamics processing will affect. You can define a band, or range, to which compression or expansion is applied, within the current frequency range. The Low Cutoff point is the bottom boundary in defining this band. For example, with values of 2000 for Low Cutoff and 9000 for High Cutoff, dynamics processing only affects audio in the frequency range of 2kHz to 9kHz. To use the entire frequency range of the source material, this setting should be a one-half of the current sample rate (24000 for 48kHz, 11025 for 22kHz, etc.).


High Cutoff Frequency

This slider specifies the uppermost audio frequency at which the reverb effect can occur. You can enter the exact frequency in the text box to the right.


High Frequency Absorption Time

In acoustic environments, higher frequencies tend to attenuate faster than lower frequencies. Use this slider to simulate this natural absorption so that the high frequencies are reduced in level during the reverb’s decay time.

  • Faster absorption times simulate rooms that are occupied and have furniture and carpeting, like night clubs or theaters.

  • Slower times (especially over 1000 milliseconds) simulate rooms that are emptier, like gymnasiums or auditoriums, where higher frequency reflections are more prevalent.


High Pass

This setting passes high frequencies and removes low frequencies. You must specify a cutoff point in order to determine the starting point at which the frequencies will be passed or rejected.


High Pass Cutoff

Very low frequency (less than 100Hz) instruments (such as bass or drums) can get phased out for small rooms when the early reflections mix with the original signal. To prevent the loss of low frequency sounds, use this slider to specify a frequency above that of the sound you wish to keep.

  • If the cutoff setting is too high, you may not get a realistic image of the room size.

  • If the cutoff setting is too low, bass frequency sound may disappear when using small room sizes.

Good settings are generally between 80Hz and 150Hz.


High Shelf

The slider directly to the right of the graph determines the High Shelf amplitude in dB. To increase or decrease the highs (treble) at any time, just adjust the slider, or enter a dB level in the box at the bottom of the slider.


High Shelf Cutoff

High and low pass filters cut the extreme high- or low-end of the audio spectrum. The high pass (so named because it allows the high frequencies to pass, while reducing the lows) is often used to reduce low-end rumble, hum, or other unwanted low-frequency sounds.

To fine-tune the range of frequencies being boosted or cut, adjust the High Shelf Cutoff slider located directly below the graph, or enter a specific frequency in the box to the right of the slider.


High Width

In filters requiring a range (Band Pass and Band Stop), this serves as the higher frequency transition, while Transition Bandwidth defines the lower frequency transition.


Highlight after Paste

When performing a Paste operation (including Mix Paste), you can elect to have the inserted selection automatically highlighted, or to have the cursor placed at the end of the pasted selection. Check this box to enable highlighting.

Tip icon

Leave this option unchecked for easier multiple pastes, one after the other.


Highlighted Selection

Any audio can be added to an impulse directly. The scaling factor to use when adding a highlighted selection to an impulse determines its volume. By default, Cool Edit Pro automatically estimates a good starting value for you. Lower this value to increase the amplitude of the impulse.


Hiss Reduction...

Hiss Reduction button Hiss Reduction...

Use Hiss Reduction to literally carve out annoying hiss from cassette recordings, record albums (after using Click/Pop Removal), or microphone recordings. It removes all audio in all frequencies that are below a certain threshold (which is generally the noise floor or hiss level). If audio has a constant background hiss, then that hiss can be “noise gated” or removed completely. Any audio in any frequency band louder than the cutoff level will remain untouched.

Hiss Reduction Dialog

Hiss Reduction Dialog

Tip Icon

To get rid of other types of noise, try Cool Edit Pro’s Noise Reduction effect.

Here’s how to use Cool Edit Pro’s Hiss Reduction:

  1. To use, choose an FFT (Fast Fourier Transform) Size first.

  2. Then either reset the noise floor graph to Hi (High), Med (Medium), or Low, depending on the estimated noise level of the recording. Or, find a section relatively free of audio that contains mostly hiss and click Get Noise Floor.

  3. Finally, choose how much to reduce hiss by, and try a few times reducing hiss from a short sample with different noise floor modifier settings.

When you’re satisfied with the results, process the entire area you want to remove hiss from.

Graph Area

Viewing Left/Right

Get Noise Floor

Drag Points

Reset (Hi, Med, Low)

Noise Floor Adjust

FFT Size

Precision Factor

Transition Width

Spectral Decay Rate

Reduce Hiss By

Remove Hiss/Keep Only Hiss

Presets

Cool Edit Pro comes with several Hiss Reduction presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Hiss Reduction setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Noise Reduction > Hiss Reduction...

* This function supports Presets.

* This function supports Preview.


Histogram Tab - Waveform Statistics Dialog

Histogram Tab

This section displays a histogram of the RMS amplitude values in the highlighted audio selection. (A histogram is a bar chart that shows the distribution of frequencies, with heights of the bars representing observed frequencies.) This can be useful for determining future amplification amounts, dynamics compression amounts, and more.

The graph shows which amplitudes are most common. The x-axis (horizontal) ruler measures the amplitude in dB, while the y-axis (vertical) ruler measures percentage. The more audio there is at a particular amplitude, the more the graph will show for that amplitude.

Waveform Statistics Dialog - Histogram Tab

Waveform Statistics Dialog – Histogram Tab

Left/Right Buttons

RMS Settings

Account for DC

Window Width

Recalculate RMS

Path (Breadcrumbs) Edit View: Analyze > Statistics...

More about...

Statistics...


Hold

Press one of the four Hold buttons (which are numbered 1, 2, 3, and 4) as a waveform is playing to take a “snapshot” of the waveform’s frequency at that moment in time. The frequency outline (which is rendered in the same color as the button pushed) is frozen on the graph and overlaid on the other frequency line(s). Up to four frozen frequency outlines may be shown at once.

To clear a frozen frequency outline, press its corresponding Hold button again.


Horizontal Portion Bar

Use the Horizontal Portion Bar – which, by default, is at the top of the Wave Display – to scroll forwards and backwards in time throughout a waveform. It can also be used to zoom in and out horizontally in the Wave Display.

Horizontal Portion Bar

Horizontal Portion Bar

Left-click and drag the little hand over the Horizontal Portion Bar’s “handle” to scroll time-wise through the waveform.

Left-click and drag the magnifying glass (which appears when your mouse passes over the edge of the Horizontal Portion Bar’s “handle”) to change the viewable range of the Wave Display. Moving the magnifying glass to the left zooms in, while moving it to the right zooms out.

Right-click anywhere on the Horizontal Portion Bar to call up a menu with three zooming options: Zoom In, Zoom Out, and Zoom Full. The menu also has options for moving the Horizontal Portion Bar to the bottom of the Wave Display, as well as returning it to its default position at the top of the Wave Display.

More about...

Navigating the Edit View Screen


Horizontal Portion Bar 2

Horizontal Portion Bar

Use the Horizontal Portion Bar – which, by default, is at the top of the Session Display – to scroll forwards and backwards in time throughout a session. It can also be used to zoom in and out horizontally in the Session Display.

Left-click and drag the little hand over the Horizontal Portion Bar’s “handle” to scroll time-wise through the session.

Left-click and drag the magnifying glass (which appears when your mouse passes over the edge of the Horizontal Portion Bar’s “handle”) to change the viewable range of the Session Display. Moving the magnifying glass to the left zooms in, while moving it to the right zooms out.

Right-click anywhere on the Horizontal Portion Bar to call up a menu with three zooming options: Zoom In, Zoom Out, and Zoom Full. The menu also has options for moving the Horizontal Portion Bar to the bottom of the Session Display, as well as returning it to its default position at the top of the Session Display.


Horizontal Ruler

The Horizontal Ruler runs along the bottom of the Wave Display and acts as a timeline. It measures time in the same format specified in View > Display Time Format menu (which is hours, minutes, and seconds by default).

Horizontal Ruler

Left-click on the Horizontal Ruler and drag the little hand over the ruler to scroll time-wise through the session.

Right-click on the Horizontal Ruler and drag to select an area to zoom in on. The zoom in occurs when the right mouse button is released.

Right-click anywhere on the Horizontal Ruler to call up a menu with several options.

Display Time Format

This submenu allows you to choose the time format the Horizontal Ruler uses. For more information on the various display time formats Cool Edit Pro utilizes, see the View Menu – Edit View Menu Reference section.

Snapping

Snapping allows the edges of any block to “snap” to certain time locations when being dragged. Check the snapping behavior(s) desired. More information on snapping can be found in the Edit Menu – Edit View Menu Reference. section.

Zooming

Six zoom commands are provided here: Zoom In, Zoom Out, Zoom Full, Zoom to Selection, Zoom In to Left Edge of Selection, and Zoom In to Right Edge of Selection.

Tip icon

Some of the Zoom commands already have keyboard shortcuts assigned to them. Use these shortcuts instead of the menu commands to speed up your editing sessions.

More about...

Navigating the Edit View Screen


Horizontal Ruler 2

Horizontal Ruler

The Horizontal Ruler runs along the bottom of the Session Display and acts as a timeline. It measures time in the same format specified in View > Display Time Format menu (which is hours, minutes, and seconds by default).

Left-click on the Horizontal Ruler and drag the little hand over the ruler to scroll time-wise through the session.

Right-click on the Horizontal Ruler and drag to select an area to zoom in on. The zoom in occurs when you the right mouse button is released.

Right-click anywhere on the Horizontal Ruler to call up a menu with several options.

Display Time Format

This submenu allows you to choose the time format the Horizontal Ruler uses. For more information on the various display time formats Cool Edit Pro uses, see the View Menu – Multitrack View Menu Reference section.

Snapping

Snapping allows the edges of any block to “snap” to certain time locations when being dragged. Check the snapping behavior(s) desired. More information on snapping can be found in the Edit Menu – Multitrack View Menu Reference section.

Zooming

Six zoom commands are provided here: Zoom In, Zoom Out, Zoom Full, Zoom to Selection, Zoom In to Left Edge of Selection, and Zoom In to Right Edge of Selection.

Tip icon

Several of the zoom commands already have keyboard shortcuts assigned to them, which are shown on the Zooming menu. Regularly using these shortcuts will result in faster editing sessions.


Hue

This sets the color of the waveform block. Use the slider or enter the hue value directly in the field provided. Any value of 0 to 255 is valid.

Roughly, 0 is red, 25 is brown, 42 is yellow, 90 is green, 120 is aqua, 140 is blue, 185 is violet, 205 is purple, and 220 is fuscia.


Hue 2

Hue

Adjust this slider to change the color of the wave block. You can also enter a hue value from 0 to 255 directly in the field over the Hue slider.


I already purchased Cool Edit Pro 2

Did you purchase a CD version, or did you purchase a downloaded version?

CD Version

Download version


I downloaded the software

If you purchased Cool Edit Pro using our online purchase method, here are the steps to get up and running with the full version of Cool Edit Pro.

  1. First, download Cool Edit Pro from our Web site.

    • Now that you have the file downloaded, you need to locate it. This file will most likely be called cepsetup.exe. Double-click on it to begin the installation.

    • Follow all the instructions during setup and let the program complete its installation process.

Note icon

By default, the downloaded version functions as a limited demonstration copy. This is normal behavior. All of the program's features will be available once you register the program with the registration key.

  2. Next, obtain the registration code and registration key/software.

    3. When you first purchased Cool Edit Pro from Syntrillium Software, you received an email which had your registration name and code.

Note icon

This is a unique code that is generated just for you. Keep in mind that your name must be entered using the same spelling you specified when you purchased the program. For instance, if the name with which you purchased has a middle initial, the name you enter to register must include that middle initial. The code is exact, and requires the same name each time.

You were also given a link to download a registration key or you received an attachment with the registration e-mail that contained the registration key. This file is called "cep21reg.exe". This is a small program that has one purpose, and that is to allow you to enter your name and serial number.

  3. Run the registration key program (cep2reg.exe).

    4. Please follow these instructions to register your software.

    • First, locate the registration software (cep2reg.exe) file that you just downloaded to your hard drive and double click on it to begin the installation.

    • Follow the instructions and proceed to the dialog box that asks for your name and registration code.

    • Next, enter or copy and paste the exact registration name and registration code into the spaces provided and continue.

    • As long as this information is entered exactly as it was given to you in your email from our Sales Department, the registration information will be accepted and Cool Edit Pro will now be registered correctly.

Note icon

Remember to save the registration key program along with your registration name and code for later use by copying it to a floppy disk, a recordable CD, or any other removable media. Any time you install Cool Edit Pro, you'll need all of these items to unlock the full version of the software.

Run the registration key and enter your serial number in the key. The full version of Cool Edit Pro will be unlocked.

If you have any difficulty registering Cool Edit Pro, make absolutely sure that you have turned off your virus protection program before registering. Virus protection programs may block or otherwise impede the registration process.

Still having problems after trying everything listed here? Feel free to contact our support department for assistance.


I own the CD

If you purchased the boxed (CD) version of Cool Edit Pro, and you’re having difficulty with the registration of your program, please don't install the downloadable version of Cool Edit Pro. The CD’s registration process functions differently than the downloaded version’s registration method. If you’ve installed the downloadable version, please uninstall it and reinstall Cool Edit Pro from the CD you purchased.

Installing Cool Edit Pro 2 from CD is very simple. Just place the CD into your CD-ROM drive and the setup screen should start up automatically. If this does not start the setup program, do the following:

  1. Go to your desktop, and double-click your My Computer icon to see its contents of all your drives.

  2. Now go to the CD-ROM drive that contains the Cool Edit Pro CD, right-click on it and select Open. You should now be able to view the files and folders on this CD.

  3. Next, open the Setup folder by double-clicking on it.

  4. Inside this folder is the main Cool Edit Pro installer (setup) file which is named cepsetup.exe. Simply double-click on this executable to begin the installation.

  5. Once you begin the install, you will be asked for the registration code which can be found on the back of your Cool Edit Pro jewel case. Insert the serial number exactly as it appears. Then continue with the rest of the installation process.

If you’re still having difficulty installing from your CD, try one of our support options.


IDE

Integrated Drive Electronics. A type of hard drive and CD-ROM interface that’s the most common interface (as opposed to SCSI) in PCs.


IFF

The Amiga 8SVX format (which can have an extension of .iff or .svx) is an 8-bit mono format from the Commodore Amiga computer. A variety of sample rates are supported.


IMA ADCPM

The International Multimedia Association (IMA) flavor of ADPCM compresses 16-bit data to 4-bits/sample (4:1) using a different (faster) method than Microsoft ADPCM, and has different distortion characteristics, which can give better, or worse results depending on the sample being compressed. As with Microsoft ADPCM, it’s best to save to this format from 16-bit rather than 8-bit. This compression scheme can be a good alternative to MPEG; it provides reasonably fast decoding of 4:1 compression, and it degrades sample quality only slightly. The files produced using this format have an extension of .wav.


Image

An Image is a block in the multitrack environment that does not singly represent a sound file, but rather acts as a “shortcut”. Images are simply pointers which, when encountered in a session, direct Cool Edit Pro to the same sound file on disk. For example, you may have a drum hit which occurs 30 times within a session. If these 30 instances are entered in the session as Images, the disk space required for the drum hits amount to the same as for one instance. Keep in mind that because Images represent the same file, any alteration to one Image (like a cut, or transform) will affect all instances of the Image in the session. As an alternative, a copy of a block will create a separate sound file on disk; this consumes disk space, but will allow for separate editing.


Extract Audio from Video...

The command lets you extract the soundtrack from any type of video file that Cool Edit Pro supports. The Choose a Video File window (similar to a standard Windows File > Open window) appears, allowing you to select one or more video files. The video’s audio is placed in an editing window, where it can be modified just like any supported sound file.

Choose a Video File Dialog

Choose a Video File Dialog

Path (Breadcrumbs) Edit View: File > Extract Audio from Video...


Impulse

An impulse is the data by which every other sample in your waveform will be multiplied when using the Convolution effect (Effects > Special > Convolution). Impulses are like “amplitude maps”. For example, if the impulse is a single sample of a full volume “tick”, then the convolution of that impulse with any audio data would just be that audio data itself. Should the “tick” be at half volume, then the original audio data will be reproduced at half volume. If there are several ticks (such as one tick every 100 milliseconds), descending in amplitude over time, with each being half as loud as the previous tick, then the result of convolution with some audio will be that sound echoed with 100ms between each echo, and each echo at half the volume of the previous one.


Include Format Header

Check this box to place a header before the data...


Index

Index Cues are also just used for CD burning. Indexes are markers within a CD track. (Some CD players offer controls for cueing indexes.) Also, the time between the track marker that begins a track and the first index in that track will show up on the player as “negative time”.


Index Cue

One of the four types of Cool Edit Pro Cues. Index Cues are only used for CD burning. Indexes are markers within a CD track. (Some CD players offer controls for cueing indexes.) Also, the time between the track marker that begins a track and the first index in that track will show up on the player as “negative time”.


Initial Amplification (Fade Tab)

Move the slider(s) for the amount of volume change you wish to apply to the beginning of the selection. Any figure over an amplification value of 100% or 0dB makes the selection louder; a figure below 100% or 0dB reduces the volume.

Tip icon

To achieve a fading in effect, choose an Initial Amplification value that’s lower than that of the Final Amplification value.


Initial echo volume

Adjust these sliders to set the percentage of echoed (wet) signal to be mixed with the original (dry) signal in the final output.


Initial/Final Sliders

Adjust the desired slider to set the amount of stretch to be applied to the waveform. If you’re using Gliding Stretch, sliders for both initial and final settings will be available. Changes in the sliders are reflected in each of the Ratio and Length boxes.


Initial Mix Delay

This slider sets the point in milliseconds at which flanging will start behind the original. The flanging effect occurs by cycling over time from an initial delay setting to a second (or final) delay setting.


Initial Settings

When the Lock to these settings only box is unchecked, choose this tab to select the initial tone settings. The tone generated will gradually go from the initial state to the final.


Initial Settings 2

Initial Settings

When the “Lock to these settings only” box isn’t checked, choose this tab to select the initial EQ settings.


Input Attenuation

This parameter, measured in dB, specifies the amount to amplify the signal by before processing.


Input Button

Pressing the Input Button (which is labeled “Rec 1” by default) brings up Cool Edit Pro’s Record Devices dialog, which allows you to specify the device that you’re recording from. The text on the button changes to reflect the input device chosen.

Note icon

The Input Button is found in both the Vol and Bus areas.


Insert

Choose this radio button if you wish to insert waveform data from the active clipboard at the current location or selection, replacing any selected data.

If no selection has been made, Cool Edit Pro inserts clipboard audio at the cursor location, moving any existing data to the end of the inserted material.


Insert 2

Insert

Use the Insert Menu to import waveforms, MIDI files, video files, and audio from video files into Cool Edit Pro’s Multitrack View. Both active files (those already in Edit View) and inactive files (not already opened) may be easily inserted.

Wave from File…

This command activates Cool Edit Pro’s “Open a Waveform” dialog. It allows you to choose one or more supported waveforms to be placed at the insertion point in the session window.

You can open several waveforms at once by selecting them with the Shift (for contiguous selection) or Ctrl (for non-contiguous selection) keys pressed. Multiple waveforms are placed at the insertion point, each on its own track.

MIDI from File…

Use this command to place a MIDI file (*.mid or *.rmi) at the session window’s insertion point.

Only one MIDI file may be inserted at a time, but you’re welcome to re-run this command as many times as desired to insert multiple MIDI files in a session.

Video from File…

This command allows you to insert one video file into Cool Edit Pro’s session window. A filmstrip graphic that represents the video appears on one track, while the audio from the video is placed in the track below. If you want to actually see the video’s visual data, make sure Cool Edit Pro’s Video Window is open (View > Show Video Window).

Just one video file may be open in Cool Edit Pro at a time. If you try to insert another one, you’ll be prompted to close the currently open video file.

Audio from Video File…

Insert the soundtrack from one or more supported video files to the session window using this command.

You’re limited to inserting audio from just one video file at a time, but feel free to re-run this command as often as need to insert addition video soundtracks into your session.

Open Waveform List

Up to 10 open waveforms will be listed here for your convenience. If you have more than 10 waveforms active, filenames of just the last 10 opened are shown.

File Cue List

This command activates Cool Edit Pro’s “Insert into Multitrack” window. This window lists all of the files that are currently open in Edit View. If a file has cues in it, a plus sign will appear next to its name to let you expand that file out and see all the cue ranges in it. This allows you to insert either the whole file, or expand it and grab one of the cue ranges directly.

To place an item from the list at the session window’s insertion point, just click on it. If you want to insert an item anywhere in the session window, just drag it off the list and drop it on the desired track. No matter which insertion method you choose, the “Insert into Multitrack” window automatically closes.


Insert 3

Insert

This option will shift all material (blocks or parts of blocks) to the right of the cursor position to a location after the time amount specified in the editable text field. Blocks will be split if necessary, and the specified amount of silence inserted.


Insert Cue(s)

Press this button to add the currently highlighted selection(s) from the Cue List to the Play List. The selection is inserted before the currently highlighted Play List item, or at the end, if nothing is selected.

Note icon

The cues must be cue ranges, not just cue points, for this to work.


Insert/Delete Time...

Insert/Delete Time…

Use Insert/Delete Time to introduce an amount of silence into the session (Insert) at the cursor location, or to cut the selected area out of the session (Delete).

Insert/Delete Time Dialog

Insert/Delete Time Dialog

Insert will shift all material (wave blocks or parts of wave blocks) right of the cursor position to a location after the time amount. Wave blocks will be split if necessary, and the silence inserted.

If Delete is chosen, the highlighted area will be removed, with all wave blocks to the right of the selected region shifted to the left.


Insert in Multitrack

Insert in Multitrack Ctrl+M

This command takes the currently highlighted portion of a waveform and inserts it as a waveform block in Cool Edit Pro’s Multitrack View. If there isn’t a highlighted segment, the entire current waveform is inserted. Either way, the inserted audio is placed in the next available track at the beginning of the window’s timeline.

Path (Breadcrumbs) Edit View: Edit > Insert in Multitrack


Insert into Multitrack

This command takes the currently highlighted portion of a waveform and inserts it as a waveform block in the Multitrack View window. If there isn’t a highlighted segment, the entire current waveform is inserted. Either way, the inserted audio is placed in the next available track at the beginning of the window’s timeline.

Tip icon

Try using the Ctrl+M keyboard shortcut instead.


Insert Play List in Multitrack

Use this command to take all the entries in the Cool Edit Pro Play List and insert them into the Multitrack View as its own item.

Tip icon

Use this command if you use the Play List to assemble long montages that come out of a single file. Once you’re done, you can insert the montage into the Multitrack View, make any desired changes, and then render the montage to a new single file.

Path (Breadcrumbs) Edit View: Edit > Insert Play List in Multitrack


Inserting Existing Audio Into Your Session

Unless you’re recording a multitrack session from scratch, the first thing that you’ll probably want to do when starting a session is to begin loading existing audio files into the Multitrack View’s session window. Cool Edit Pro provides several ways to do this (including dragging files from the Organizer window), but for many people, the most straight-ahead method is through the Insert menu.

The Insert Menu

The Insert Menu

The Insert menu provides commands for inserting Wave, MIDI, Video, and Video Soundtracks from any drive attached to your system, as well as the ability to insert files and cues that are already open in Cool Edit Pro’s Edit View. You may also right-click on a track and select from a similar Insert item.

More about...

Navigating the Multitrack View Screen


Installed Real-Time Effects

All installed Cool Edit Pro and DirectX effects are listed in hierarchical format. To add an effect to a bus, select it and press the Add -> button. The effect will then appear in the Current Effects List pane.


Installing and Uninstalling Cool Edit Pro

To install Cool Edit Pro, simply insert the Cool Edit Pro CD into your CD-ROM drive. If the Setup program doesn’t start up automatically, double-click on the My Computer icon on your desktop, double-click on your CD drive icon, and double-click on Setup.

If for any reason you need to re-install Cool Edit Pro (to change file format associations, for example), just repeat the above steps. Setup will automatically detect your existing installation.

If you need to remove Cool Edit Pro from your system for some reason, we have provided an easy “Uninstall” procedure. Just click on the Windows Start button and select Settings > Control Panel. Click on the Control Panel’s Add/Remove Programs icon, choose Cool Edit Pro 2 in the list of installed software, and click on the Add/Remove button.


Intensity

This determines the percentage of amplitude of the direct (original) signal. Because echoes (picked up by the virtual microphone) add to the signal’s overall amplitude, you should always set Intensity to under 100% to avoid clipping.

In fact, the more echoes there are, the lower the Intensity value should be set. For example, a setting of about 30% would be appropriate for 100 echoes, whereas 15% would be better for 1,000 echoes.


Intensity (2 to 40)

Adjust this slider to specify the noise’s intensity, using a scale from 2 to 40. Or, you can key in the value numerically in the entry box to the right of the slider.

With higher intensities, the noise becomes more erratic, and sounds harsher and louder.


Interface Options

Two main options are provided: Generic Win32 and ASPI / SPTI. Under normal circumstances, ASPI / SPTI should be selected. (ASPI, developed by Adaptec, stands for Advance SCSI Programming Interface. SPTI is an acronym for SCSI Pass Through Interface, and was implemented by Microsoft as an Operating System-supported way of sending SCSI commands; at this writing it’s only available on Windows 2000 and Windows XP.)

Generic Win32 should only be used if the ASPI / SPTI setting doesn’t produce satisfactory results. (The Generic Win32 option causes the Extract Audio From CD feature to use Input/Output control codes instead of SCSI commands.)

When the ASPI / SPTI button is pushed, several additional options are available:

Read Method

This drop-down menu lets you choose the way Cool Edit Pro reads CD audio. Several methods are provided, many of them developed before the SCSI 3 specifications were published. (The SCSI 2 specs made no accommodations for CD ripping.)

MMC – Read CD: This is the SCSI 3 specific command, and it’s the command that most all recent drives will work with. If you have a newer CD-ROM drive, try this setting first.

SBC – Read10: This is a standard SCSI read command that uses a 10-byte SRB (SCSI Request Block). All SCSI devices are required to support this command.

SBC – Read6: This is a standard SCSI read command that uses a 6-byte SRB (SCSI Request Block). Many SCSI devices support this command, but since it’s optional, not all do.

Plextor (D8): Use this setting with older Plextor CD-ROM drives. It sends the D8 SCSI Op Code to the CD-ROM drive.

D5: This command sends the D5 SCSI Op Code to the CD-ROM drive.

NEC: Use this setting with older NEC CD-ROM drives.

CD Speed

This drop-down control lists all extraction speeds that your selected CD-ROM drive supports, and lets you choose the speed you want to use. Many people will find satisfactory results with the Max (Maximum) Speed option. However, if extraction at maximum speed produces errors, try choosing a slower speed.

Buffer Size

The figure in the Buffer Size box specifies the amount of data Cool Edit Pro calls into the CD Extraction module to fetch, which therefore determines how much data is pulled from the CD in each call to the read command. The default is 16 KB, but you’re welcome to experiment with the other sizes (which range all the way to the highest buffer size your CD-ROM drive supports). While higher sizes mean faster ripping, they could introduce errors into the ripped file.

Swap Byte Order

Some CD-ROM drives designed to work only with other types of computers (like DEC and Macintosh systems) report data using the Little Endian byte order, while PCs need data reported using the Big Endian method. Checking this box changes the byte order from Little Endian to Big Endian or vice-versa. You would normally leave this box unchecked; check it only if the extraction process seems to work fine but the audio results are “garbage”.

Swap Channels

When this box is checked, the left channel of the CD’s audio is placed in the right channel of Cool Edit Pro’s Wave Display, while the CD’s right channel audio is placed in the Wave Display’s left channel.

Spin Up Before Extraction

Some CD-ROM drives have better accuracy when they first read the CD if the drive is already spinning. If your drive is like this, check the Spin Up Before Extraction box. Otherwise, having this box checked doesn’t really provide any advantages.


Intermediate Bands

You can place up to five intermediate bands into the EQ circuit. This gives you very fine control over the shape of the equalization curve. Check the box next to a slider to activate the band and its corresponding volume slider.

The vertical sliders in the upper right of the Parametric Equalizer window control the amount of boost or cut. You can also enter boost/cut amount (dB) in the entry box below each slider.

The horizontal sliders located below the Cutoff sliders control the center frequency at which the boost or cut will occur. A frequency may also be entered in the box to the right of the slider.


Interpolate

To estimate the values of data points between known data points. Interpolation is used in functions where new data must be generated from known data to fill in areas where values are unknown, such as the final error correction stage in the playing of CD audio.


Interpret 32-bit PCM .wav files as 16.8 float (compatibility with old Cool Edit format)

Checking this option causes this version of Cool Edit Pro to be compatible with previous versions when it comes to handling 32-bit PCM .wav files.


Interval Size

This sets the time interval (measured in milliseconds) per FFT taken.

Values between 10 and 30 milliseconds usually work best, but higher overlay settings may require you to vary the interval size used.

Note icon

Smaller values can produce a hum, while large values can be too blocky sounding.


Intro Time (ms/begin)

The production piece’s introduction time, measured in milliseconds from the beginning of the audio file, goes here.


Invert 5

Invert

Check the Invert box for either channel to invert that channel’s phase polarity (i.e., the peaks will become valleys, and valleys will become peaks). Whenever both channels are inverted, there will be no perceived difference in sound. However, inverting only one channel places the channels out-of-phase and greatly changes the sound when played back (whereby the previously in-phase information is canceled out).


Invert 6

Invert

The Invert button changes the graph to one that will function as the exact opposite. For example, if an effect function with a compressor characteristic is being displayed, pressing Invert changes the graph to one with the corresponding expander characteristic.

Note icon

For a graph to be invertible, it must have points in the two default corners (-100,-100 and 0,0) and its output level must always increase from left to right (i.e., each control point must be higher than the one to its left).


Invert 3

Invert

If this box is checked, the positive values of the selected waveform become negative. This means that cancellation will occur when you mix the inverted and original waveform. Inverting the delayed signal can be used for special effects, such as creating a quick-and-dirty comb filter.


Invert 2

Invert

Check this box to invert the delayed signal. This causes the waves to cancel out periodically, instead of reinforcing the signal.


Invert 7

Invert

Check the desired Invert box to physically turn that channel of the waveform upside-down. (Any samples above the center line will be placed below the line, and those below will come out above the line.)

Tip icon

This function comes in handy when you want to take the difference (or subtract one signal from another) between two samples.


Invert 4

Invert button Invert

The Invert button changes the graph to one that will function as the exact opposite. For example, if an effect function with a compressor characteristic is being displayed, pressing Invert changes the graph to one with the corresponding expander characteristic.

Note icon

For a graph to be invertible, it must have points in the two default corners (-100, -100 and 0, 0) and its output level must always increase from left to right (i.e., each control point must be higher than the one to its left).


Invert

Invert button Invert

This function simply inverts the waveform’s samples, so that all positive offsets are negative and all negative offsets are positive.

Inverting doesn’t produce an audible effect, but it can be useful in lining up amplitude curves when creating loops or pasting. If applied on a stereo waveform, both channels are inverted.

Path (Breadcrumbs) Edit View: Effects > Invert

* This function supports Presets.

* This function supports Preview.


Invert Left/Right

Check this option to reverse the way the graph goes, so an upward line spins the field clockwise instead of counter-clockwise.

Tip Icon

If you have Cool Edit Pro’s Phase Analysis window (Analyze > Phase Analysis) open, you can actually watch the stereo field rotate. So, if your graph is drawn to rotate more and more to the right, you’ll see the phase rotating clockwise (to the left). But, if you have Invert checked, that same graph will now rotate the phase image to the right. However, you’ll actually hear the audio start panning to the right if your graph started at 0.


Key

Choose a key for your song from the Key drop-down list. Only standard major key signatures are listed, so for a minor key simply choose the relative major (B flat for C# minor, for example). The key of C is the default.


Key 3

Key

The session’s key is shown here. Select a new key by using the drop-down list, which will automatically update the beats/bar field.


Key 2

Key

Use this drop-down menu to enter the waveform’s key. This will cause the waveform to match pitch with a session that has a key specified when inserted into Cool Edit Pro’s Multitrack View.

Don’t know the key? Press the Find Nearest button and Cool Edit Pro will scan the waveform to locate the closest match.


Key for Voiced Loops

This specifies the session’s key. Any loops that have a key specified will be pitch-shifted to match the session’s key.


Key Words

If you plan to organize waveforms in software that supports searching off the Key Words field, then you’ll want to include key words here. Key words should be separated by a semicolon followed by a space. For example: Guitar; Concert; Classic Rock; Eric Clapton...


Keyboard

F1 | Help Quick Reference
F4 | Settings
F6 | Enable MIDI Triggering
F7 | SMPTE slave enable
F10 | Monitor Record Level(s)
F12 | Edit View/Multitrack View toggle
P | MIDI Panic Button
Alt+2 | Show/Hide Mixers Window
Alt+3 | Show/Hide Session Properties
Alt+4 | Show/Hide Track Properties
Alt+5 | Show/Hide Track EQ Window
Alt+9 | Show/Hide Organizer Window
Ctrl+A | Select All Blocks
Ctrl+P | Advanced Session Properties
Ctrl+Z | Undo

Mouse

Right-click on a block to display a menu with options for that block.

Right-click on an empty track area to display a menu with options for that track.

Double-click on a waveform block to jump into Edit View mode for that waveform.

Click on any block to select it.

Ctrl+Click on blocks for multiple selection.

Right-click and drag on a block to reposition it

Ctrl+Right-click and drag on a block to create a copy of it.

Shift+Right-click and drag on a block to create an Image of it.


Keyboard Shortcuts List

All of Cool Edit Pro’s commands and functions that can be assigned a keyboard shortcut are displayed in this list, along with any currently assigned shortcuts and MIDI triggers. Click on a command to highlight it, and then give it a shortcut (or edit its existing one) using the Shortcut Key and/or MIDI Trigger area of the Keyboard Shortcuts dialog.


Lag Time

This setting, measured in samples, fine tunes the relationship between time code coming in and audio data coming out. It can be used to make up for any discrepancies introduced by your sound card buffers. The default value is 10 samples.


Lead Time

This sets is the amount of time (measured in milliseconds) that Cool Edit Pro has to establish sync with the incoming time code. Lower settings (200ms) will result in faster response (when pressing Play), but at the risk of true sync not being established. 500ms to 1000ms should provide plenty of Lead Time to establish lock-up. The default value is 200ms.


Left/Right Buttons

  • Select the Left option to see the waveform’s left channel visualized as a histogram.

  • Pressing the Right option displays the right channel of the waveform in histogram form.

Different colors are used to represent each of the two channels.


Left/Right Location

The source can be placed off-center to produce a different set of incoming early reflection echoes. Checking the Include Direct box in the Mixing section below will also adjust the Original Signal to sound as if it is coming from the same location by delaying one of the channels. Very nice effects are possible with singers being very slightly off center, say, between 5% and 10% left or right.


Length Report

At the bottom of the Pitch Bender dialog is a report of what the new length of the file will be. Keep in mind that when going down in pitch, it’s easy to make very long files depending on how large a Range is selected.


Level (or VU) Meters

Cool Edit Pro’s Level Meters are found by default along the bottom of the main window, and are used to monitor the volumes of incoming and outgoing signals. The clip indicator to the right of the meters will light up, and remain lit, when levels exceed the maximum of 0dB. Clicking on the clipping indicator at any time will reset it. When displaying stereo audio or in a multitrack session, the top meter represents the left channel, and the bottom, the right.


Level Detector

Input Gain

This is the gain (measured in dB) added to the signal before it goes into the Level Detector (the section that detects the current level). This essentially “pushes” the graph up or down by the gain given.

Attack Time

This is the attack time (measured in milliseconds) applied when retrieving the current amplitude information.

Attack Time determines the time in milliseconds that it takes for the processed output signal to reach its specified output volume. If there’s suddenly a quiet portion that drops 30dB, it will take the amount of time specified in this field before the output actually drops to its corresponding volume level.

If the sum of the Attack and Release times is too short (less than 20 milliseconds total), audible effects (such as a “vibrating” sound) can be heard at around 1000 Hz/ms total. For example, if the Attack and Release times are each set to 5 milliseconds (making 10 milliseconds total), then a vibrating sound at 100Hz will be heard. Thus, a total value of about 30 milliseconds is about as low as you can go without introducing these effects.

Release Time

This is the release time (measured in milliseconds) applied when retrieving the current amplitude information.

Release Time is the time it takes the end of a previous output level to reach the specified output volume. For example, where the Attack is the time it takes for the start of a pulse to reach the desired output volume, the Release is the time it takes for the end of the pulse to reach the desired level.

Peak/RMS

Two methods of graph interpretation are provided for this effect: Peak and RMS.

  • Peak Mode is a little more difficult to use than RMS, and is considered by many to be outdated. It equates to the RMS value times two. That is, if the RM value is -20dB, then the equivalent peak value will be -40dB. This occurs because the RMS value calculated was mapped to a peak sample value for output. This method is basically here for backward compatibility.

  • RMS is the graph interpretation method that more closely matches the way people hear volume. This mode causes the output to be exactly the RMS amplitude that’s specified in the graph. For instance, a limiter (flat horizontal line) at -10dB causes the RMS amplitude of the result to average -10dB (where 0dB is a maximum amplitude sine wave without clipping).


Level Meters screen element

Level Meters

The Level Meters (which by default are near the bottom of both Cool Edit Pro’s Edit View and Multitrack View windows) display both record and playback levels. The Level Meters are in a dockable window, allowing you to reposition it at one of several places in the Cool Edit Pro interface. Or, you can even detach the Level Meters window and have it float above Cool Edit Pro’s main window.

Level Meters

The incoming signal from your selected sound card(s) is represented as the peak amplitude in decibels, where a level of 0dB is the absolute maximum before clipping occurs. If clipping does occur, the clip indicator to the right of the meter will light up, and remain lit. Clicking on the clipping indicator at any time resets it. Yellow peak indicators will “stick” for 1.5 seconds before resetting to allow for reading of the peak amplitude.

When displaying stereo audio, the top meter represents the left channel, and the bottom, the right.

To close the Level Meters window when it’s floating, click on the “X” control in its title bar. To get rid of the Level Meters window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, you can simply uncheck the “Show Level Meters” item on the View menu to close it in either docking or floating mode.

Right-click on the Level Meters to call up a menu with metering options:

Monitor Record Level

This option activates the Level Meters and starts monitoring the recording source. This is useful for setting input levels before recording. To stop monitoring, press the Stop control or tap your spacebar. You can also start and stop monitoring by double-clicking on the Level Meters.

Show on Play and Record

Selecting this option causes the Level Meters to operate during the playback or recording of audio.

Clear Clip Indicators

If clipping occurs (i.e., incoming audio is greater than 0dB), then the Level Meter’s red lights come on and stay on until cleared. Choose this option to reset the red lights. You may also click on the Clip Indicators (at the right edge of the Level Meter) to clear them.

Note icon

The clip indicators will always light if clipping occurs, but if Adjust for DC is enabled, the indicators may light up when the audio has a DC offset.

Adjust for DC

Many sound cards record audio with a slight DC offset, which means that the center of the waveform being recorded is not at the exact center of the waveform display, but a little above or below it. This can dramatically throw the level meters off since the amount the waveform is displaced could be interpreted as a constant sound that loud. To compensate, make sure this menu item is checked. The recording meters will dynamically adjust to the DC offset, and display the true amplitude of the signal in decibels.

Show Valleys

Just as the yellow indicators show peak levels, if Show Valleys is chosen, valley levels (minimum amplitudes) will be marked as well. This gives a good indication of the dynamic range of the audio.

If the valley indicators are close to the peak indicators, the dynamic range – the difference between the quietest and loudest sounds – is low. If they’re spread far apart, the dynamic range is high.

120dB Range

With this option checked, the range of the Level Meters is 120 decibels.

90dB Range

Select this option to have the Level Meters display a range of 90 decibels.

75dB Range

Click on this entry to display a range of 75 decibels in the Level Meters.

60dB Range

This option causes the Level Meters to have a range of 60 decibels.

45dB Range

When you choose this option, the Level Meters have a range of 45 decibels.

30dB Range

Checking this item gives the Level Meters a range of 30 decibels.

Dynamic Peaks

Choosing Dynamic Peaks causes the yellow peak level indicators to reset to a new peak level after 1.5 seconds. This lets you easily see the peak amplitude “right now”. As audio gets quieter, the peak indicators start backing off.

Static Peaks

With this option selected, the peak levels never reset. This lets you retain the maximum amplitude of the signal since monitoring, playing, or recording began. The peak can still be reset manually at any time by clearing the clip indicators (clicking on the clip indicator at the right).

Tip icon

Having Static Peaks selected is great for finding out how loud a song will get before recording it. Just start the meters and start playing the song. When the song is over, the peak indicators will show how loud the loudest part of the song was.

More about...

Getting To Know Cool Edit Pro and its Main Screens


LFE only

This sends the entire track signal to the LFE channel. Your monitoring system will determine the proper crossover frequency cutoff for reproducing the audio sent to the LFE channel. Typically most LFE components in 5.1 surround systems are set to a cutoff of < 80 Hz or < 120 Hz.


Limit Continuous Silence to

Enter a value (in milliseconds) in this box to set a minimum amount of silence to keep at all times.

  • If a silent region of less that this length is found, it’s not removed.

  • If a silent region of more than this length is detected, enough silence is removed so that there’s exactly this length of silence left.

Setting this value to zero will remove as much silence as possible.

Tip icon

When shortening speech segments, a setting of 150 ms or so will leave a more realistic, natural-sounding pause where the larger region of silence was found. Removal of too much silence leads to an artificial sound.


Limit Max Amplitude to

This is the maximum sample amplitude that will be allowed.

Tip icon

To avoid clipping when working with 16-bit audio, set this value to no more than -0.1dB; if you set it to -0.5dB, you’ll have a little more headroom for any future edits.


Limit Playback To:

Use this option to compensate for limitations imposed by your hardware. For eaxmple, if your sound card doesn’t handle 32-bit audio correctly, you can have Cool Edit Pro limit the playback of 32-bit files to either 16-bit or 8-bit and/or mono.


Limiter

Limiters reduce or “limit” input signals that exceed a specified threshold level so that the output does not increase in gain beyond that point. In other words, a limiter only allows the dynamic range at its input to increase up to a certain point, which is determined by the threshold setting. Beyond this level, as the input continues to increase in gain, the output level remains relatively constant and does not increase in volume.


Linear Fades (Fade Tab)

Select this radio button if you want the waveform’s sample values to be faded in an even, linear fashion, which will produce a smooth slope from beginning to end.


Linear PCM

Choose this option to save the file as uncompressed linear PCM.


Linear View

  • Check the Linear View box to display the graph’s plot with a linear horizontal frequency scale.

  • Uncheck it to display the plot on a logarithmic scale.


Link Channels

If checked, audio from both channels is simultaneously analyzed for possible clicks. If a click is found in one channel, the likelihood that a click will be detected in the other channel is increased.


Link Left & Right

If checked, both channels vary in loudness together. This preserves the stereo image of the source. To have the left and right channels vary independently, uncheck this option.


Listen

If you have MIDI playback capabilities, you can listen to a preview of your sequence before actually applying it. Play begins at the leftmost note visible on the staff (which means play begins at the position you are scrolled to), and continues on to the end of the song. The music is played through channels 1 and 13 for Extended and Base level compatibility. Choose the desired instrument by typing its MIDI instrument number in the box to the right.


Live Update

  • When you check this option, the noise profile plot updates as control points are moved around on the graph.

  • With Live Update unchecked, the profile plot is only updated when a control point is placed in its new location.


Live update during record

This enables live waveform drawing while recording. On faster machines, you can have the waveform displayed in real-time as audio is being recorded. However, if you find the recorded audio becoming choppy, leave this option disabled.

Tip icon

In the Edit View’s Spectral View mode, and at lower spectral resolutions (around 256) a nice scrolling spectral plot can be performed while recording with this option on.


Load Profile

Press this button to load any previously saved noise profile. You can load any .fft file that Cool Edit Pro has saved.

Note icon

A noise profile can only be used on a sample of the same type as when saved. In other words, a 44K stereo 8-bit sample is not compatible with a 22 kHz mono 16-bit profile. Bear in mind, however, that because noise profiles are so specific to the recording environment of the waveform in question, even if the sample types are compatible, a profile for one type of noise is likely to not produce good results when used for another type of noise. Even if the audio samples were recorded with the same microphone, if the recording environment is different, the type of background noise could be different.


Lock

If the track has one or more real-time effects applied to it, this button locks the track.


Lock Button

When real-time effects are applied to the track using the FX button, the Lock button is enabled. Pressing it tells Cool Edit Pro to lock in the effect(s) and disables the FX button. Release the button to unlock the effect(s) and re-enable the FX button.

Note icon | The Lock button is found in both the Vol and Bus areas.
Note icon | When a track is locked, what actually happens is that the effect is mixed into the background mix, thus removing the real-time effect from the CPU load. Keep in mind that when a track is locked, you can’t do anything to the audio in it, such as moving a block or changing effects parameters.


Lock Button 2

Lock Button

If the Lock button is in a disabled (“grayed-out”) state, it’s because there are no effects on that track. If the Lock button is up but not lit, the track isn’t locked. If the Lock button is down and lit, the track is locked.


Lock for Play Only 4

Lock for Play Only

This command marks the selected block(s) as play only. Lock for Play Only disables the ability of a block to be recorded into, so while the track it resides in may be record enabled (have the red R button on the Track Console depressed), the marked block will not be recorded over. This is signified by the block not turning red when the track is record-enabled.

Path (Breadcrumbs) Multitrack View: Edit > Lock for Play Only


Lock for Play Only

Checking this box will set put the waveform block into “safe mode” so that it won’t be recorded into. A locked-for-play-only waveform won’t become red when position in a record-enabled track.

To re-enable recording for the waveform block, uncheck this box, or to Edit > Lock for Play Only and remove its checkmark by clicking on it.


Lock for Play Only 2

Lock for Play Only

This command disables the ability of a waveform block to be recorded into. Even though the track that the playback-locked block resides in may be record-enabled (it has the red R button on the Track Console depressed), the marked waveform will not be recorded over. This is signified by the waveform block not turning red when the track is record-enabled.


Lock for Play Only 3

Lock for Play Only

This option prevents the wave block from being recorded over.


Lock in Time 4

Lock in Time

If this box is checked, the waveform block is locked to its current time location in the multitrack session. Locking a waveform is useful when you’ve decided upon its position in time, and don’t want to accidentally move the waveform when right-clicking on it. While a waveform which has been locked can’t be moved in time (left or right), it may be vertically repositioned, allowing you to move it between tracks.

To unlock a waveform, uncheck the “Lock in Time” box and it will be freed for horizontal movement.

Note icon

Locked waveforms are identified by an overlaid graphic that looks like a padlock in a circle.


Lock in Time 2

Lock in Time

Lock In Time “locks” selected waveforms to their current time location in the multitrack session. Locking a waveform is useful when you’ve decided upon its position in time, and don’t want to accidentally move the waveform when right-clicking on it. Locked waveforms are identified by an overlaid graphic of a circled padlock.

While a waveform which has been locked can’t be moved in time (left or right), it may be vertically repositioned, allowing you to move it between tracks.

To unlock a waveform, simply select it and choose Lock in Time to free it for horizontal movement.


Lock in Time 3

Lock in Time

Check this box to prevent the wave block from being moved forward or backwards through the track.


Lock L/R:

  • With Lock L/R checked, the scroll bars for the left and right channels will move together, maintaining the same settings for each channel.

  • Uncheck Lock to adjust the channels separately.


Lock Left/Right

When this box is checked, both volume sliders are locked so that when one is moved to a certain level, the other moves simultaneously to that same level.


Lock Left/Right 3

Lock Left/Right

With a stereo waveform loaded, the volume of the left and right channels may be individually adjusted. This lets you tweak the stereo balance or create cool panning effects. However, there are times when you want the amplitude of the left and right channels to be simultaneously lowered or raised.

Check the Lock Left/Right box to make the scroll bars for the left and right channels to work in tandem and move together. Uncheck the Lock Left/Right box to adjust the channels separately.


Lock Left/Right 2

Lock Left/Right

With stereo waveforms, the left and right channels may be processed separately. When the Lock Left/Right box is checked, the Decay, Delay, and Initial Echo Volume scroll bars for the left and right channels move together, maintaining the same settings for each channel. Uncheck this box to adjust the channels separately.


Lock to Constant Filter

Check this option to apply a constant filter to the waveform. Uncheck it to choose both an initial and a final filter setting. The rate at which the filter migrates from the initial to final settings depends on the Transition Curve settings.


Lock to these settings only

  • If checked, the overtones, base frequency, modulation, modulation frequency, frequency multipliers, and overtone intensities are constant; they do not vary over time.

  • Uncheck this box to dynamically change the proportion of any overtone over time by choosing the initial and final proportions. You may also dynamically change the frequency multipliers, base frequency, modulation, and modulation frequency for interesting effects. Click on the appropriate tab to change Initial and Final settings.


Lock to these settings only 2

Lock to these settings only

  • Check this box to equalize the entire selected range with the setting shown.

  • Uncheck this box to select separate initial and final equalization settings, so that the selection can smoothly glide from the initial equalization setting to the final setting over the selected range. Click on the appropriate tab to change Initial and Final Settings.


Log Frequency Scale

Check this option to represent the values of the graph’s x-axis (horizontal) ruler logarithmically. You would use this mode to work at finer detail in the lower frequencies. Log scale is how the ear hears, so evenly spaced locations on the log scale represent what we hear as evenly spaced frequencies. Each octave occupies a fixed width on the display.

If this option is unchecked, the values of the graph’s x-axis ruler are shown linearly from 0Hz to the Nyquist. Octaves on the left take up much less width on the display than do octaves on the right.


Log Scale

Choose this option to display the x axis (frequency scale) logarithmically rather than in linear fashion. When Log Scale is checked, the graph represents the frequency curve more closely to the way the ear hears sound.

  • To do finer editing in low frequencies, leave Log Scale checked.

  • For detailed high frequency work, or work with evenly spaced intervals in frequency, uncheck this option.


Log Scale 2

Log Scale

You can view the chart of the noise profile in either linear or logarithmic fashion.

  • Check Log Scale to divide the graph evenly into 10 octaves.

  • Uncheck Log Scale to divide the graph linearly, with each 1000kHz (for example) taking up the same amount of horizontal width.


Logarithmic Fades (Fade Tab)

This option tells Cool Edit Pro to use a logarithmic-style fade (also known as a “power fade"). This fades the amplitude of a signal at a constant rate, producing a steeper slope at one end of the fade (depending on whether you are fading in or out).


Look Ahead Time

This is the amount of time (measured in milliseconds) that it will generally take to attenuate the audio before the loudest peak will be hit.

Note icon

If this value is too small, audible distortion effects may be heard. Make sure the value is at least 5 ms.


Look In

Use this control to navigate through all available drives and folders.


Look in 3

Look in

Use this drop-down list to navigate through all available drives and folders.


Look in 2

Look in

Use this drop-down list to navigate through all available drives and folders.


Lookahead Time

Lookahead Time is used to handle sharp spikes that may occur at the onset of a louder signal. At times, and for brief instances, these onsets can go beyond the limits of your compressor settings, which may be desirable in certain compression scenarios since it can enhance the impact of, say, a drum hit. However, this is obviously not desirable if you are using limiting in order to reduce the maximum amplitude of the audio.

Note icon

The spikes occur because it takes a little time to determine (the Level Detector’s attack value) and react (the Gain Processor’s attack value) to the current signal level, so Lookahead Time will actually cause the attacks to start before the audio gets loud, instead of right on top of the transient. Otherwise, with a Lookahead Time of 0, a spike will stay loud until all of the attack times have elapsed.


Lookahead Time 1

Lookahead Time

Lookahead Time is used to handle sharp spikes that might occur at the onset of a louder signal. At times, and for brief instances, these onsets can go beyond the limits of your compressor settings, which may be desirable in certain compression scenarios since it can enhance the impact of, say, a drum hit. However, this is obviously not desirable if you’re using limiting in order to reduce the maximum amplitude of the audio.

Note icon

The spikes occur because it takes a little time to determine (the Level Detector’s attack value) and react (the Gain Processor’s attack value) to the current signal level, so Lookahead Time will actually cause the attacks to start before the audio gets loud, instead of right on top of the transient. Otherwise, with a Lookahead Time of 0, a spike will stay loud until all of the attack times have elapsed.


Loop

With regard to waveform material, a Loop is simply the repeating of a certain range, either indefinitely or for a certain number of repetitions. There are many looping functions in Cool Edit Pro, such as Loop Duplicate or loop “painting” in the multitrack environment for looping waveform blocks. If you insert a file that has loop information in its header, just grab the bottom right corner of the block and drag to loop it over time.


Loop 2

Loop

Select this option to tell Cool Edit Pro that the file is a loop. If the file is inserted into Cool Edit Pro’s Multitrack view, it will automatically have looping turned on for that block.


Loop Duplicate...

Loop Duplicate will create a specified number of consecutive Images of the selected waveform block creating, in effect, a loop of the waveform. Decide if you want no gaps between each duplicated wave form block, or if you wish them to be even spaced by a certain amount.

Loop Duplicate Dialog

Loop Duplicate Dialog

Note icon

For waveform blocks, a more efficient and flexible method of looping is to adjust the block’s Loop Properties. You’ll find this command on the menu that appears when you right-click on the wave block.

Repetitions

Spacing

Note icon | You can use the Loop Duplicate function to create interesting time delay effects. Here's how.
Note icon | Find your loop points with Find Beats, Snapping, and Zero Crossings. Using these functions you can make a selection (highlight) that starts/ends on zero crossings, which make musical sense. After doing so, choose /Edit/Insert in Multitrack and switch back to the to the Multitrack View. You can now select the loop's waveform block and choose Loop Duplicate to create your loop.

Path (Breadcrumbs) Multitrack View: Edit > Loop Duplicate...

More about...

Using Loop Delicate to Create Time Delay Effects


Loop Duplicate...2

Loop Duplicate...

Loop Duplicate will create a specified number of consecutive Images of the selected waveform block creating, in effect, a loop of the waveform.

Loop Duplicate Dialog

Loop Duplicate Dialog

Repetitions

In this field, enter the number of times you’d like to create an Image of the waveform block.

Spacing

Two options are provided here. Decide if you want no gaps between each duplicated waveform block, or if you wish them to be evenly spaced by a certain amount, which can be specified in the field provided.

Tutorial: You can use the Loop Duplicate function to create interesting time delay effects. Here’s how:

  1. Start by placing the source waveform into the Multitrack View.

  2. Once entered, hold down the Shift key and right-click on the waveform and drag it to make an Image. The Image should be placed onto a new track (such as below the existing track).

  3. Next, shift the Image in time, to the right of the original; small amounts to create phase shifts (small time offset), larger amounts to create delays (15-50 ms offsets) or echoes (50 ms or greater offsets).

  4. Repeat this any number of times, shifting each Image slightly more to the right. You can even create in tempo delays by changing the Display Time Format to Bars and Beats and use the Snapping function to Snap To Ruler locations, placing the delayed Images at every beat, for example.

Try reducing the volume levels slightly for each Image, to soften the echoes (also, the combined waveforms will increase the track's overall level in the mix and could cause clipping). You can also create both Pan and Volume envelopes for each Image for truly dynamic delay effects that change over time.

More about...

Using Loop Delicate to Create Time Delay Effects


Loop Graph

When this box is unchecked, the graphs are the same length as your selection, so the dynamic changes to your delay are graphed across the whole selection. If you check Loop Graphs, the graphs are only as long as specified, so they loop repeatedly over the course of the selection.

Checking Loop Graphs also enables the drop-down control that lets you specify Period, Frequency, Tempo, or Total Cycles. You can either specify how long the graphs should be (Period), the how fast the cycle should move (Frequency), how many beats per minute the loop will have (Tempo), or how many times you want the graph to loop in the given selection (Total Cycles).


Loop Graphs

When this box is unchecked, the graphs are the same length as your selection, so the dynamic changes to your delay are graphed across the whole selection. If you check Loop Graphs, the graphs are only as long as specified, so they loop repeatedly over the course of the selection.

Checking Loop Graphs also enables the Frequency, Period, Total Cycles, and Stereo Phasing fields. Frequency, Period, and Total Cycles are all ways of determining the length of the looped section. You can either specify the how fast the cycle should move (Frequency), how long the graphs should be (Period), or how many times you want the graph to loop in the given selection (Total Cycles). If you change one of these values, the other two reflect the change.


Loop Graphs 2

Loop Graphs

When this box is unchecked, the graphs are the same length as your selection, so the dynamic changes to your equalization are graphed across the whole selection.

If you check “Loop Graphs”, the graphs are only as long as specified in the Graph Duration field (which is enabled when “Loop Graphs” is checked), so they loop repeatedly over the course of the selection.


Loop Info Tab

Wave Properties Dialog - Loop Info Tab

Wave Properties Dialog – Loop Info Tab

Source Waveform Information

Loop

One Shot

Number of Beats

Tempo

Key

Tempo Matching Stretch Method

Tempo matching determines how (if at all) the loop will stretch to match the session's tempo. Four options are provided.

Fixed Length

Time-Scale Stretch

Resample

Beat Splice

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


Loop Mode

Edit View

The Loop Mode option toggles Cool Edit Pro’s Play control between Loop and Play states.

  • When Loop Mode is checked, pressing the Play control will continuously loop the current selection (or the entire session, if nothing is selected).

  • When there is no checkmark, the Play control plays the selection (or session) once and then stops playback.

Multritrack View

The Loop Mode option toggles Cool Edit Pro’s Play control between Loop and Play states. When Loop Mode is checked, pressing the Play control will continuously loop the current selection (or the entire session, if nothing is selected). When there is no checkmark, the Play control plays the selection (or session) once and then stops playback.

Path (Breadcrumbs) Options > Loop Mode


Loop Paste

When this box is checked, the audio data in the clipboard is pasted the number of times entered. Should the clipboard audio be longer than the current selection, the current selection is automatically lengthened accordingly.


Loop Properties...

Select this command (which is only available on the Block Context menu when you right-click on a wave block) to see Cool Edit Pro’s Wave Block Looping dialog.

Wave Block Looping Dialog

Wave Block Looping Dialog

Enable Looping

Looping

Source Waveform Information

Tempo Matching

Transpose Pitch

Adjust ALL Blocks referencing same waveform

More about...

Creating loops and their basic use

Using and optimizing loops in your sessions


Loop Properties... (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. Access this command to bring up Cool Edit Pro’s Wave Block Looping dialog so that you can adjust the wave block’s loop properties.

More information about the Loop Properties dialog can be found in the Navigating the Multitrack View Screen section.

Path (Breadcrumbs) Multitrack View: Edit > Loop Properties… (Wave Block Only)

More about...

Creating loops and their basic use

Using and optimizing loops in your sessions


Looping

Use these options to determine the looping method.

Simple Looping (no gaps)

With this option chosen, the wave block will loop will loop continuously, with no spaces between looping instances.

Repeat every X seconds

If the wave block already has loop info entered, the proper values in the “Repeat every X seconds” and “Repeat every X beats” fields will be entered automatically so that the wave block will loop continuously at the proper tempo.

If you change the number in the “Repeat every X seconds” field, Cool Edit Pro ignores the tempo of the file and stretches the file to force it to finish its loop every X seconds.

Normally you’d want to have this option selected and enter the number of beats in the Source Waveform Information area below.

Repeat every X beats

If the wave block already has loop info entered, the proper values in the “Repeat every X seconds” and “Repeat every X beats” fields will be entered automatically so that the wave block will loop continuously at the proper tempo.

If you change the number in the “Every X beats” field, Cool Edit Pro will stretch the file to force a loop to complete in the specified number beats.

However, you’d normally want to have “Repeat every X beats” selected and enter the number of beats in the Source Waveform Information area below.

Follow session tempo

When this is checked, the file plays at the session’s tempo no matter what its own tempo was. For example, if you play a 100 bpm loop in a 120 bpm session, the loop will be stretched to match. This disables the “bpm” field above.

If you don’t have this checked, then the file will play at the bpm specified in the blank above regardless of the session’s tempo.

Lock position to tempo

Checking this box locks the left edge of the block to the bar/beat. So if you change tempo, the block is moved so that it starts at the same beat.

Normally if you’re stretching to tempo, you’ll always want to lock position to tempo. But you may have a one-shot type wave that’s not a loop (like a thunder clap or a gong) and want it to start in time with other music that’s aligned to the session’s tempo.

More about...

Creating loops and their basic use

Using and optimizing loops in your sessions


Loops

In this field, enter the number of times you wish the selected Play List item to loop (play again). Each item in the Play List can loop a different number of times.


Loud

This is the final loudness value without equal-loudness equalization. This value will be used to determine how much to amplify the audio to normalize it if the Use Equal Loudness Curve is not checked in the final step.


Low-Cut and High-Cut Filters

Audio being fed back into the delay line can also be filtered before going back in.

  • With a low-cut filter, the low frequencies are reduced (or boosted) depending on the Cutoff and Boost settings.

  • The High-Cut filter can also cut or even boost the high frequencies. This will make each successive echo filtered slightly differently, for interesting effects.

Tip Icon

When designing a reverb, it helps to cut some of the high frequencies to simulate absorption of the high frequencies by the surrounding walls.

Cutoff

Frequencies below this setting are affected by the Low-Cut filter. Frequencies above this setting are affected by the High-Cut filter. Changes in the cutoff value affect the tone of the echoes, as more or less of the frequencies are affected by the filter.

Boost

This is the amount of filtering to perform. Boost settings are usually negative, which means the audio is being cut or reduced in the affected frequency range.

  • Lower negative values result in more audio being cut.

  • Positive values result in boosted frequencies.

Tip icon

When echoing, frequencies are generally not boosted. However, you can create interesting effects by entering positive values. Boosting a low-cut filter while reducing the feedback setting is identical to reducing a high cut filter and increasing the feedback setting.


Low Complexity Stereo

Low Complexity

(mp3PRO only) This option tells the encoder to store the audio as mono, with information on how to reconstruct the stereo signal at playback. A non-pro decoder will just play mono, but a pro decoder will play back stereo. The stereo image is different than the original audio, but it most often sounds better than its mono counterpart.


Low Cutoff

This is the lowest frequency that dynamics processing will affect. You can define a band, or range, to which compression or expansion is applied, within the current frequency range. The Low Cutoff point is the bottom boundary in defining this band.

For example, with values of 1000 for Low Cutoff and 5000 for High Cutoff, dynamics processing only affects audio in the frequency range of 1kHz to 5kHz.

Tip icon

To use the entire frequency range of the source material, leave this setting at 0.


Low Cutoff 2

Low Cutoff

This is the lowest frequency that dynamics processing will affect. You can define a band, or range, to which compression or expansion is applied, within the current frequency range.

The Low Cutoff point is the bottom boundary in defining this band. For example, with values of 1000 for Low Cutoff and 5000 for High Cutoff, dynamics processing only affects audio in the frequency range of 1kHz to 5kHz.

To use the entire frequency range of the source material, leave this setting at 0.


Low Cutoff Frequency

The lowermost audio frequency at which the reverb effect can occur is set with this control. The exact frequency may be entered directly in the text box to the right.


Low/High Quality

Use this slider to adjust the quality of the sampling conversion.

Higher values retain more high frequencies while still preventing aliasing of higher frequencies to lower ones, but the conversion process takes longer. A lower quality setting requires less processing time, but results in certain high frequencies being “rolled-off”, leading to muffled-sounding audio.

Usually values between 100 and 400 do a fine job for most conversion needs.

Tip Icon

You should use high-quality settings whenever you downsample from a high sample rate to a low rate. When upsampling, a low-quality setting will sound almost identical to a high-quality setting.


Low/High Settings

There are two sets of settings for control of brainwave frequencies. Low Settings all correspond to the lower part of the graph (points dragged near the bottom), and High Settings affect the top.

Frequency

This is the brainwave frequency that will be encoded into the final process. Different brainwave frequencies stimulate the brain into synching to different levels of consciousness (e.g. sleep, meditation, awakeness, etc.).

Tip icon

For special spatial panning effects, choose wave frequencies of 1Hz or less. A mono source (left and right the same) will appear to move from left to right and back at period of 1/frequency. For example, a frequency of 0.1Hz will pan the audio in a "full circle" over the period of 10 seconds.

Intensity

This controls the intensity of the brainwave encoding. Higher intensities work well with lower brainwave frequencies. Beta waves should have intensities below 25 or so, while Delta waves work better with intensities above 60.

Centering

You may choose to have your brain think the synchronization frequencies are coming from the left or right. This may affect the left or right hemispheres more intensely, but that’s only a guess.

Tip icon

Mixing a file that has been brainwaved to the left with one that has been brainwaved to the right (in the same frequency range within 2 Hz) has interesting effects.


Low Pass

This setting passes the low frequencies while rejecting (or removing) high frequencies. You must specify a cutoff point in order to determine the starting point at which the frequencies will be passed or rejected.


Low Shelf

The slider directly to the left of the graph determines the Low Shelf amplitude in dB. To increase or decrease the lows (bass) at any time, just adjust the slider, or enter a dB level in the box at the bottom of the slider.


Low Shelf Cutoff

High and low pass filters cut the extreme high- or low-end of the audio spectrum. The low pass (so named because it allows the low frequencies to pass, while reducing the highs) is often used to reduce hiss, amplifier noise, and the like.

To fine-tune the range of frequencies being boosted or cut, adjust the Low Shelf Cutoff slider located directly below the graph, or enter a specific frequency in the box to the right of the slider.


Lower Hard Drive Reserves

Cool Edit Pro creates temporary files for use when performing audio edits. The Primary and Secondary drives listed are those that have been set in the System tab of the Options > Settings window, and are used to store these temporary files.

You can temporarily change that reserved space by entering a different amount in MB that you wish to keep free on those drives. In case that free space gets low, Cool Edit Pro won’t make use of it. Press the Set New Reserves button to save the new values you’ve entered as the program’s defaults.


Ls + Rs, stereo

This sends the selected track’s signal as a stereo source to the rear Left Surround and Right Surround speakers only in a 50/50 balance.


M-S Button

When the M-S (Mid-Side) button is pushed, the display is essentially rotated to the left by 45 degrees. The x-axis (horizontal) ruler plots the side channel [(right - left)/2] while the y-axis (vertical) ruler plots the mid channel [(right + left)/2].


Make Point

If the Cue is a range cue, this command turns it into a point Cue. The two parts of the range Cue Handles are merged into a point Cue Handle, with the start time of the range becoming the time for the point Cue.


Make Range

If the Cue is already a point cue, this command turns it into a range cue. The Cue Handle is split into two handles, one yellow and one blue. Drag either or both to set the beginning and ending times of the range.

Note icon

Cool Edit Pro automatically makes the second point of a cue range the end, even if you move the ranges around.


Mark Deletions in Cue List

Check this box to have each location where silence is removed added to Cool Edit Pro’s Cue List.


Master Gain

This value adjusts the overall volume output. You can compensate for loss, or excessive gain, introduced by the effect by entering an overall master gain (measured in dB) to be applied to the resulting audio. The default value of 0dB represents no master gain adjustment.


Master Gain 2

Master Gain

After the EQ settings have been adjusted, the overall volume level might be too loud or too soft. This can be compensated for by entering an overall master gain (measured in dB) to be applied to the resultant audio.


Master Gain 3

Master Gain

This control adjusts the equalizer’s overall level. Sliders are provided for both the left and right channels of stereo waveforms.

Tip Icon

Many times when you increase the EQ frequencies of a waveform, the waveform’s volume is increased as well, which could lead to clipping. Use the Master Gain sliders to reduce the level before applying the effect.


Master Gain 5

Master Gain

After the EQ settings have been adjusted, the overall volume level might be too loud or too soft. You can compensate for this by entering an overall master gain to be applied to the resulting audio. The default value of 0dB represents no master gain adjustment.


Master Gain 4

Master Gain

After the filter settings have been adjusted, the overall volume level might be too loud or too soft. You can compensate for this by entering an overall master gain (measured in dB) for both the left and the right channels to be applied to the resulting audio.


Master Vol

This option allows you to switch the position of the Multitrack's Master Volume fader within the signal routing chain. This offers greater signal routing capability by allowing you to place the Master Volume fader a the position before the Bus-assigned track output is fed to the Bus and any Bus effects ("Pre-Bus FX"), versus after the Bus-assigned track output has run through any Bus and Bus effects ("Post-Bus FX”). The default setting is Pre-Bus FX, and this was the fixed routing position within CEP version 2.0.

It may be desirable to switch this setting to Post-Bus FX when you have an input-level sensitive effect on a Bus, such as CEP's Dynamics Processing or Hard Limiting effects. For example, if you have a drum track assigned to Bus A, and you have placed the Dynamics Processing effect on Bus A with a Compression setting, you would adjust the Threshold parameter of the Dynamics Processing effect according to the level of the Drum signal that is being fed into the Bus effect. If the Master Volume fader is set "Pre-Bus FX", then any time you adjust the Master Volume it would require you to re-adjust the Bus A effect's Threshold parameter since the effect input level would be altered. By switching this option to "Post-Bus FX" in this scenario it would place the Master Volume fader after the Dynamics Processing effect, thus acting upon the Drum signal after it has already run through the effect. With this Post-Bus FX setting it would therefore not affect the effect's input and no adjustments to the Threshold parameter would be necessary.


Max

This is the maximum RMS amplitude found. This value is based on a full-scale sine-wave being 0dB, and uses the window width given in the Advanced section of the Normalize tab.


Max, Avg, and Min Threshold

There are three definable levels (Max, Avg, Min; given in dB) for which you can specify unique detection and rejection threshold settings. These levels are ordinarily set to the maximum amplitude, average amplitude, and minimum amplitude of the audio.

For example, if your audio has a maximum RMS amplitude of -10dB, then you’d normally set the Max Threshold to -10dB. If the minimum RMS amplitude was -55dB then Min Threshold would be set to -55.

Press the Find Threshold Levels Only button to fill in these levels automatically with the maximum, average, and minimum levels. Generally, less correction is required for louder audio, as the audio itself will mask many of the clicks so that their repair is not necessary. Clicks are very noticeable in very quiet audio, so quiet audio will tend to require lower detection and rejection threshold levels.

Once the threshold levels are in place, assign appropriate Detect and Reject values to be used at each of the levels.


Max Delay

An important component of chorusing is the introduction of short delays (often in the 15-35 millisecond range) that vary in duration over time. Use this setting to limit the maximum amount of delay that will ever occur.

  • If the setting is very small, all the voices will start merging into the original, and an unnatural flanging effect may be noticed.

  • If it is set high, everything will start to sound “warbly”, rather like a tape that is being eaten by a cassette deck.


Max View

When you press this control – which looks like a small arrow pointing upward – you switch to Max View. All of the tabs disappear and the controls for the selected track expand to fill the Track Equalizers window.

To return to the Track Tabs view, press the Restore control – the small arrow pointing downward.


Max View 2

Max View

When you press this control – which looks like a small arrow pointing upward – you switch to Max View. All of the tabs disappear and the controls for the selected track expand to fill the Track Properties window.

To return to the Track Tabs view, press the Restore control – the small arrow pointing downward.


Max View 3

Max View

When you press this control – which looks like a small arrow pointing upward – you switch to Max View. All of the tabs disappear and the controls for the selected track expand to fill the Track Equalizers window.

To return to the Track Tabs view, press the Restore control – the small arrow pointing downward.


Maximum Bandwidth

This is the highest frequency that will be encoded. Lower bandwidths help eliminate “tinkly” and “phasey” effects but at the expense of reducing the higher frequencies. Change the value in this field by highlighting it and typing over it.

Note icon

Standard MP3 only.


Maximum Recording Time

No Time Limit

Select No Time Limit and Cool Edit Pro will record until you tell it to stop (or when it runs out of free hard disk space).

Recording Length

If the Recording Length option is selected, Cool Edit Pro will record for the period of time entered in the Recording Length text box. When that time period is up, the recording is automatically stopped.

Upon pressing OK, Cool Edit Pro will be placed into record mode, either until the Stop control is pressed, or the time length has expired.


Maximum Sample Value

This field shows the maximum sample values in the waveform or highlighted range.

Press the [->] button to place the playbar cursor at that location. The Waveform Statistics dialog is automatically closed.


Maximum RMS Power

This value is the maximum Root Mean Squared (closer to what the ear hears) amplitude of the waveform that is scanned using a window of the size given below as the RMS Window Width.

Press the [->] button to have the playback cursor jump to the average loudest section of the waveform. The Waveform Statistics dialog is automatically closed.


Menus

The Multitrack View's drop-down Menus provide access to Cool Edit Pro's functions for multitrack editing and session handling.

Alternate Method icon

You'll also find most of Cool Edit Pro's menu items are accessible from the Toolbar, or from Shortcut keys.

See Also...

For detailed information on each menu item, see the Multitrack View menus topic.


Merge

Click on the Merge button to combine highlighted entries in the Cue List into a single, combined cue that spans the earliest and latest locations in the two cues. Keep in mind that you’re limited to merging just two ranges, but there are no limitations on the number of cue points you can measure.

Hold down your Shift key as you click to select and highlight multiple contiguous files, or depress the Ctrl key as you click to select and highlight multiple non-contiguous files.

Note icon

The new merged item inherits the name from the earliest item chosen. You lose the information entered in the “Label” and “Desc” fields for the subsequent merged items.


Merge/Rejoin Split

Merge/Rejoin Split will recombine a split segment of a block with the original surrounding material, provided that the split segment sits at the same relative location as where it was split from, and in the same track as the original segment(s). The boundaries of the segments are joined together using a 30 millisecond crossfade.

The Merge/Rejoin Split command can also be used to rejoin a take created using Punch In to the rest of the waveform.

Note icon

This merge operation is destructive in that it does alter your sound file. For example, when rejoining a Punch In segment, the file is rewritten with the new material.

Path (Breadcrumbs) Multitrack View: Edit > Merge/Rejoin Split


Merge/Rejoin Split 2

Merge/Rejoin Split

Merge/Rejoin Split recombines a split segment of a waveform block with the original surrounding material, provided that the split segment sits at the same relative location as where it was split from, and in the same track as the original segment(s). The boundaries of the segments are joined together using a 30 millisecond crossfade.

The Merge/Rejoin Split command can also be used to rejoin a take created using Punch In to the rest of the waveform.

Note icon

This merge operation is destructive in that it does alter your sound file (when rejoining a Punch In segment, the file is rewritten with the new material, for example).


Merge This Take

Choose this command to merge a take completed with Punch In back into the surrounding material.


Meters

A set of six meters displays the output of each of the channels during Preview. These levels are what the actual levels will be for your Exported wav or wma files from the session. The overall 6-channel level can be adjusted with the Master Level slider beneath the meters.


Metronome

Press this button to toggle the on/off status of Cool Edit Pro’s built-in metronome.


Metronome...

Keeping perfect time is a cinch with Cool Edit Pro’s built in Metronome. Clicking on this menu item brings up the Metronome dialog.

Metronome Dialog

Here are the major components of the Metronome dialog:

Enable

Sound Set

Volume

Time Sig.

Custom…

Tempo

Cursor At

Set 1:1 at Cursor

Path (Breadcrumbs) Multitrack View: Insert > Metronome...


Metronome...2

Metronome...

This command brings up the Metronome tab of Cool Edit Pro’s Sessions Properties window.

Note icon

The Metronome function is fully documented in the View – Multitrack View section.

Path (Breadcrumbs) Multitrack View: Options > Metronome...


Metronome Tab

Advanced Session Properties Dialog - Metronome Tab

Advanced Session Properties Dialog - Metronome Tab

Enable Metronome

Sound Set

Volume

Signature

Custom…

Pattern

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...

More about...

Advanced Session Properties...


MF Signals (CCITT R1)

Choose this option to have Cool Edit Pro generate MF signals (tones that are internal to telephone networks) using paired combinations of the frequencies 700Hz, 900Hz, 1100Hz, 1300Hz, 1500Hz, and 1700Hz.


Microsoft ADPCM

The Microsoft ADPCM format consists of 4-bit per channel compressed data, which provides 4:1 compression). Files saved in this format will automatically be expanded to 16-bits when loaded, regardless of their original resolution. For this reason, it’s best to save to this format from a 16-bit waveform rather than 8-bit, as the quality will be much greater. The file extension is .wav.


Microsoft ADPCM (.WAV)

The Microsoft ADPCM format consists of 4-bit per channel compressed data, which provides 4:1 compression). Files saved in this format will automatically be expanded to 16-bits when loaded, regardless of their original resolution. For this reason, it’s best to save to this format from a 16-bit waveform rather than 8-bit, as the quality will be much greater.

Options...

Single Pass

Multiple Pass

Block Size


MIDI

MIDI stands for Musical Instrument Digital Interface, and is a way of communicating performance information from one piece of software or hardware to another. This performance information can take the simple shape of a note instruction, or it can transmit detailed information on things such as timing or sound patch data. Windows provides a way of transmitting MIDI information internally between programs, plus you can transmit MIDI information into and out of your computer to and from external devices (such as a MIDI Keyboard) through the MIDI Port of a sound card, or other MIDI Interface device.


Midi from File...

Use this command to initiate the “Choose a MIDI file” dialog (which is very similar to a standard Windows “Open” dialog) which can be used to pick a MIDI file (files with a .mid or .rmi extension). Once you press the dialog’s Open button, the MIDI file is placed at the Session Display’s insertion point

You can open several wave files at once by selecting them with the Shift key pressed (for contiguous selection) or Ctrl key pressed (for non-contiguous selection). Multiple waveforms are placed at the insertion point, each on its own track.

Note icon

More information on the Open a Waveform dialog can be found in the File Menu – Edit View section.

Path (Breadcrumbs) Multitrack View: Insert > Midi from File...


Midi Panic Button

Midi Panic Button P

Sometimes MIDI devices get out of sync and get “stuck notes” where a note won't stop playing. Select MIDI Panic Button to send an "All Notes Off" command to every MIDI device that Cool Edit Pro knows about.

Path (Breadcrumbs) Multitrack View: Options > Midi Panic Button


MIDI Tab

Playback Devices Windows - MIDI Tab

Playback Devices Windows – MIDI Tab

A list of all your system’s MIDI output devices is shown here.

Same for All Tracks

Check this box to use the selected Wave device, bus, or MIDI device as the default for tracks in your session.

Properties…

The button brings up the property dialog for the selected Wave device, bus, or MIDI device.

Path (Breadcrumbs) Multitrack View: View > Show Mixers Window


MIDI Time Code (MTC)

MIDI Time Code (MTC) is a method of sending timing information between MIDI-capable devices. For example, SMPTE, which is an audio signal, can be converted to MTC to sync to and control Cool Edit Pro’s transport from a device such as a VCR or tape deck.


MIDI Trigger

Use this section if you want to be able to execute the currently highlighted command as a MIDI event.

With your text cursor in the Press new MIDI note or adjust new controller/value field, press the desired MIDI note adjust the new controller/value. Use the Clear button to remove an entry from the field.

You also may select the MIDI channel to receive the trigger from the drop-down Channel list to the right. (The default channel is 1.)


MIDI Trigger 1

MIDI Trigger

A MIDI Trigger is simply a shortcut which can be called via a MIDI event (such as a Note On or Pitch Wheel). MIDI events can be sent from a MIDI keyboard, a sequencer, or any other device capable of issuing a MIDI command.


MIDI Trigger Enable

MIDI Trigger Enable F6

By checking MIDI Trigger Enable, any of Cool Edit Pro’s shortcuts that have been assigned to MIDI events can be called from a MIDI keyboard, a sequencer, or any other device capable of issuing a MIDI command.

Disable this option if you don’t wish to have shortcuts respond to MIDI events.

Note icon | Before attempting to enable MIDI triggering, you’ll need to choose a device for MIDI In that’s recognized by Windows, such as a soundcard’s built-in MIDI interface or a MIDI interface card. To do this, go to Options > Device Properties and click on the MIDI In tab. Use the drop-down list to select the device to be used for triggering.
Tip icon | Use the keyboard shortcut of F6 to quickly toggle the status of the MIDI Trigger Enable function.

Path (Breadcrumbs) Options > Midi Trigger Enable


Millisecond (ms)

One thousandth of a second. (There are 1000 milliseconds in a second.)


Min/Max

These boxes allow you to enter a maximum and minimum value for the graph’s y axis. Cool Edit Pro displays the values in the ruler to the right of the graph. These settings affect the maximum boost or cut that the frequency curve represents.


Minimum RMS Power

This value is the minimum Root Mean Squared amplitude (closer to what the ear hears) of the waveform that is scanned using a window of the size given below as the RMS Window Width.

Press the [->] button to have the playback cursor jump to the average quietest section of the waveform. The Waveform Statistics dialog is automatically closed.


Preview Buffer

This is the minimum buffer size to be used when sending data to your sound card for the real-time Preview feature found in many effect dialogs. The default value is 1000 milliseconds.

Different sound card drives can require different memory buffer settings. If you hear “choppiness” (skips or dropouts) when you use the Preview feature, you can try to remedy it by adjusting the buffer size used. (Choppiness can be caused by insufficient processing power as well.) Keep in mind that a larger Minimum Preview Buffer Size will require more of your computer’s memory.


Minimum Run Size

This value specifies the length of the shortest run of clipped samples to fix.

A value of 1 will fix all samples that seem to be clipped, while a value of 2 won’t fix a clipped sample if it’s not followed or preceded by another clipped sample.


Minimum Sample Value

This field shows the minimum sample values in the waveform or highlighted range.

Press the [->] button to place the playbar cursor at that location. The Waveform Statistics dialog is automatically closed.


Miniplug

A common name for 1/8 inch plugs and jacks, sometimes known as minijacks. Miniplug jacks are the most common interface for a sound card’s analog inputs and outputs.


Misc Tab

Wave Properties Dialog - Misc Tab

Wave Properties Dialog – Misc Tab

Press the Bitmap button in this window to browse your system for a .bmp or .dib file that can be used to represent the audio file when it’s displayed in OLE-compatible applications and in Explorer. For best results, choose a 32x32 pixel image.

If the “Use default wave color” box is checked, then the same wave color used for your current color scheme (the color of an unselected waveform in the Edit View wave display) is used.

Want to use another color? Uncheck the “Use default wave color" box and the Waveform Foreground Color dialog appears to let you select another color. (This box works similarly to the standard Windows color selector dialog.)

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


Mix Down to File 2

Mix Down to File

Running this command (which is only visible when two or more blocks are selected) will mix the selected blocks into a new stereo waveform. This new waveform is automatically placed in the Edit View’s Wave Display.


Mix Down to File (Mono)

Run this command (which is only show when multiple blocks are selected) to combine the selected blocks into a new mono waveform, which is automatically placed in the Edit View’s Wave Display.


Mix Down to Track N

Mix Down to Track N (Bounce)

This command creates a two-track stereo or mono mix of all or selected tracks and places the resulting waveform into whatever your currently selected track is (the last one you clicked on, most of the time). Use the Mix Down to Track N (Bounce) function to “bounce down” multiple tracks to a single track to speed up background mixing and clear up your work area.

The contents of all or selected enabled (unmuted) tracks are combined, with track and waveform properties (such as volume and pan) affecting the way the final mix sounds. Session elements such as looping, images, and envelopes are all reflected in the mixed waveform.

All Waves

Selected Waves

All Waves (Mono)

Selected Waves (Mono)

Path (Breadcrumbs) Multitrack View: Edit > Mix Down to Track N


Mix Down to Track (Bounce)

This functions performs a mixdown as the Edit > Mix Down command does, and places the result – a mono or stereo file that exactly replicates the sound of your complete session – in the selected track. (This process is commonly known as “bouncing”.)

Session elements such as looping, images, effects and envelopes are all reflected in the mixed waveform. You’ll find the Mix Down to Track (Bounce) command handy for creating small sub-mixes in the Multitrack View.

All Waves

Selected Waves

All Waves (Mono)

Selected Waves (Mono)

Note icon

Cool Edit Pro treats your mixed track like any other open waveform. You’ll see its name in the Files tab of the Preferences menu as well as in the Insert > Existing File/Cue… pop-up window. It can also be sent to Cool Edit Pro’s Edit View for modification.


Mix Gauge 2

Mix Gauge

The Mix Gauge is found beneath the Track Console in the Multitrack View. It’s an indicator of the amount of background mixing that Cool Edit Pro has completed. Each time something changes in a session that alters the way it will play back, this bar will “empty” and fill back up as the mix is re-processed. The further this bar progresses to the right, the more complete the mix of your session. The bar becomes a bright color when fully mixed. You do not need to wait for the Mix Gauge to completely fill up before playing the session.


Mix Gauge

The Mix Gauge (which is located underneath the Track Controls of the bottommost viewable track) indicates how much background processing Cool Edit Pro has completed. It can be thought of as a fuel tank gauge, except that instead of fuel, it measures how much processing needs to be carried out by Cool Edit Pro “behind the scenes”. The further that the Mix Gauge’s green bar progresses to the right, the more processing has been done to complete the current mixing tasks. Once the processing has been completed, the bar lights up to a bright shade of green, which means that the entire session has been fully mixed.

The Mix Gauge

The Mix Gauge

Some notes about the background mixing process: Mixing involves combining all of the placed waveforms into two (or more) channels for output. Because you can edit, add, and subtract waveforms in the multitrack environment, Cool Edit Pro must constantly watch for changes to the multitrack session, such as a moved or deleted waveform, a volume change, or new material recorded into a track. When something is altered, Cool Edit Pro has to immediately work that change into the mixed output, and it does so through background mixing.

Background mixing occurs behind the scenes much of the time that you’re in the multitrack environment, and is generally very fast. The faster your system – especially your CPU and hard drive(s) – the faster Cool Edit Pro can mix in the background. The mix progress meter constantly shows how far along Cool Edit Pro in the process of mixing your session.

However, you need not wait for the meter to reach completion entirely before beginning playback. As stated above, Cool Edit Pro continuously mixes, and will continue to do so while playing, so you can safely begin playback when the mix progress meter is about halfway full. In general, if the background mix isn’t sufficiently completed, you’ll hear a break-up or skipping when playing back the mix. If that happens, just wait a few seconds; Cool Edit Pro will usually “catch up” very quickly, and you can commence playback again.

Of course, Cool Edit Pro gives you some control over the background mixing process. You can temporarily disable background mixing by selecting Pause Background Mixing from the Options menu. If you’re finding that background mixing isn’t fast enough, you can increase its priority by going to Options > Settings, clicking on the Multitrack tab, and adjusting the Background Mixing Priority Level.


Mix Left/Right Into Single Source

When working with stereo audio, there are actually two source signals (left and right) that can be placed independently. In most instances, the stereo effect will be dramatically enhanced and sound fuller and often richer when this box is unchecked. This does, however, require twice as many calculations as a single audio source. If faster processing is desired, check this option, which will sum the left and right channels of a stereo waveform before routing it to the effects processor.


Mix Paste...

Mix Paste button Mix Paste... Ctrl+Shift+V

Use Mix Paste to mix any audio data from the active clipboard with the currently shown waveform. (You might think of it as a “quick and dirty” alternative to Cool Edit Pro ’s more powerful and flexible multitrack functions.)

Mix Paste Dialog

Mix Paste Dialog

Clipboard data is inserted or overlapped beginning at the current insertion point or selection. Should the format of the waveform data on the clipboard differ from the format of the file it’s being pasted into, Cool Edit Pro automatically converts it before pasting.

Here are the major components of the Mix Paste window:.

Volume

Invert

Lock Left/Right

Insert

Overlap

Replace

Modulate

Crossfade

From Clipboard n

From Windows Clipboard

From File

Loop Paste

Path (Breadcrumbs) Edit View: Edit > Mix Paste...

More About...

Paste

Performing a Mono to Stereo Conversion


Mix Paste

Use Mix Paste to mix any audio data from the active clipboard with the currently shown waveform. (You might think of it as a “quick and dirty” alternative to Cool Edit Pro’s more powerful and flexible multitrack functions.)

Clipboard data is inserted or overlapped beginning at the current insertion point or selection. Should the format of the waveform data on the clipboard differ from the format of the file it’s being pasted into, Cool Edit Pro automatically converts it before pasting.

More information about the Mix Paste command can be found in Edit Menu – Edit View Menu Reference.

Tip icon

Try pressing Ctrl+Shift+V to quickly bring up the Mix Paste dialog.


Mix Down to File

Mix Down button Mix Down to File

This function creates a two-track stereo mix (unless a mono option is selected) of all or selected tracks and places the resulting waveform into Cool Edit Pro’s Edit View. The contents of all or selected enabled (unmuted) tracks are combined, with track and waveform properties (such as volume and pan) affecting the way the final mix sounds. Session elements such as looping, images, and envelopes are all reflected in the mixed waveform.

All Waves

Selected Waves

All Waves(Mono)

Selected Waves(Mono)

Tip icon | Use the Mix Down function to “bounce down” multiple tracks to a single track, or tracks, to speed up background mixing and clear up your work area.
Tip icon | Insert a submix back into your session using the File/Cue List in the Multitrack View’s Insert menu. The original tracks that were submixed can then be muted or removed from the session.

Path (Breadcrumbs) Multitrack View: Edit > Mix Down to File


Mixdown 2

Mixdown

Mixdown is the process of combining the output of all enabled tracks (or selected tracks) in Multitrack View into a new stereo waveform. When doing a Mixdown, track properties such as Volume and Pan are reflected in the resulting waveform. Mixdown is generally the final operation, which is done when you’re happy with the way your session sounds. A Mixdown can also be used to create submixes, which are mixes of selected tracks (such as all of the drums). Submixes are useful for cleaning up your workspace.


Mixdowns

When performing a mixdown, this is the bit-resolution that will be used. Regardless of the session format (16-bit or 32-bit), mixdowns can be generated at either 16-bit or 32-bit quality with this option. The default is 16-bit.

Press the Dithering Options… button to bring up a dialog that lets you specify how you want the 16-bit mixdown to be dithered.


Mixing 3

Mixing

Move the Mixing sliders to set the percentage of Delayed (wet) signal and unprocessed Original (dry) signal to be mixed into the final output. A value of 50 will mix the two evenly.


Mixing

Original Signal (dry)

This setting determines how much of the unprocessed (dry) signal is mixed into the final output. In general, the more reverb you add, the lower the original signal volume should be. In most cases, a value of 90% or so should work well.

Tip icon | To add spaciousness to an instrument, keep the dry signal higher, or at 100%.
Tip icon | If you're trying to achieve a special effect with reverb, you might want to reduce the volume of the original signal.
Tip icon | If the reverb is so great that audio begins to clip, try reducing both the dry and the reverberated signal strength.

Reverb (wet)

This setting determines how much of the reverberated (wet) signal is mixed into the final effect output.

In modern production, the wet amount should ordinarily be lower than the dry signal to add spaciousness to a track. However, you may want to increase this amount to simulate physical distance from the audio source (where reverb is heard in greater proportions to the original signal).

Combine Source Left and Right

When working with stereo audio, there are actually two source signals (left and right), that can be placed independently. This does, however, require twice as many calculations as a single audio source, so you can check this option for faster processing.

  • When this box is checked, Cool Edit Pro sums the left and right channels of a stereo source file before routing to the effects processor.

  • When unchecked, the original signal and its respective reverberated signal remain in its own channel.

Tip icon

If you know that both channels are identical (that is, if they originated from a monophonic sample), you should definitely check this option to minimize processing time.


Mixing 4

Mixing

The controls in this section determine the amount of reverb to mix in with the original audio source.

  • Set the percentage of source audio to leave in the effect using the Original Signal (dry) slider, or type in the percentage directly in the text box to the right.

  • Set the percentage of reverb to place in the effect using the Reverb (wet) slider, or type in the percentage directly in the text box to the right.


Mixing 2

Mixing

Mixing is the process of combining multiple audio sources (or tracks) together for output as a single source. Output is generally in the form of a stereo pair of channels (a right and a left), though mixes may be directed to more than two-channels for output (as in drums to one set of outputs, and everything else to another pair of outputs). These types of mixes are often referred to as submixes.


Mixing Section

Original Signal (dry)

This slider adjusts the amount of Original Signal with respect to the other levels to give the feeling of distance between the listener and the source.

  • Use a low signal level to sound far away.

  • Use a high level (near 100%) along with low levels for the other sliders to give the feeling of being close to the source.

Early Reflections

Since these are the echoes that first reach the ear, they give the listener a feeling for the overall room size and dimension.

  • If the mixing for this is set too high though, the result will sound somewhat artificial.

  • If the mixing for this is set too low the audio cues for room size will be lost.

Generally about half the volume of the original signal is a good starting point.

Reverb (wet)

This controls the volume of the dense layer of sound usually associated with reverb. Like the Early Reflections volume, this slider should be fine-tuned to give a pleasing mix that gives the impression you are after. If it’s too loud, the reverb sounds very unnatural.

The balance between the reverb and the original signal gives the impression of distance, so increase the reverb volume with respect to the original signal to make the source sound further away.

Include Direct

With a stereo waveform, checking this box will cause the original signal’s left and right channels to be phase shifted (delayed) slightly to match the direction of the incoming early reflections. The Left/Right Location slider in Early Reflections determines the direction the audio will sound like it’s coming from when listened to with stereo headphones.

Combine Source Left and Right

When working with stereo audio, there are actually two source signals (left and right), that can be placed independently. However, this requires twice as many calculations as a single audio source.

If you’re after faster processing time, check the Combine Source Left and Right box. Cool Edit Pro then sums the left and right channels of a stereo source file before routing it to the effects processor.

When unchecked, the original signal and its respective reverberated signal remain in its own channel.

Tip icon

If you know that both channels are identical (that is, if they originated from a monophonic sample), you should definitely check this option to minimize processing time.


Mixing Tab

Advanced Session Properties Dialog - Mixing Tab

Advanced Session Properties Dialog - Mixing Tab

Pre-Mixing

Panning

Master Vol

Set As Default

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...

More about...

Advanced Session Properties...


Mode

Inverted

Check this box to invert the delayed signal when flanging. This causes the waves to cancel out periodically, instead of reinforcing the signal. If the Original - Expanded mix settings are set at 50/50, the waves will cancel out to silence whenever the delay is at zero.

Special EFX

Selecting this box mixes both the normal and inverted flanging effects. The delayed signal is summed while the leading signal is subtracted out.

Sinusoidal

If this option is chosen, the transition from initial delay to final delay and back will follow a sine curve. Otherwise, the transition is linear, and the delays from the initial setting to the final setting are at a constant rate. With Sinusoidal checked, the signal is at the initial and final delays more often than it is between delays.

Tip icon

The Invert, Special EFX, and Sinusoidal options give you a lot of control over the flanging effect, so try experimenting with them to achieve the effect you want.


Modulate

Select this option to modulate the clipboard audio with the current waveform for an interesting effect. This is similar to overlapping, except that the values of the two waveforms are multiplied by each other, sample by sample, instead of added.


Source Modulation

Modulate

With this option checked, instead of generating new tones, the currently highlighted wave data is be “ring modulated”, or multiplied, by the current tone settings. This is great for adding really weird special effects.

Note icon

If you check the Modulate option, make sure that a section of the active waveform is highlighted.

Demodulate

Like Modulate, Demodulate requires a highlighted selection. Demodulate can be used on a previously modulated source with interesting effects.

Overlap (mix)

Checking this option will mix the generated tones on top of the selected audio.


Modulate By

This setting modulates the Base Frequency in pitch over a user-defined range. For example, a 100Hz setting modulates the original frequency by +- 100Hz. In other words, a 1000Hz tone would modulate between 950Hz and 1050Hz.


Modulation Frequency

This is the rate (times per second) at which the frequency modulates. Entering a value of 10, for example, generates tones that seem to warble in amplitude at the rate of 10 times per second. The tones actually warble in pitch (frequency) as they should, but because of the variance in the perceived energy levels of different frequencies to the human ear, they seem to warble in amplitude.


Monitor Record Level(s)

Monitor Levels button Monitor Record Level(s) F10

Checking this option will activate the Level Meters and start monitoring the recording source, which is useful for setting levels before recording.

To quit monitoring, press the Stop control or uncheck Monitor Record Level on the Options menu.

Tip icon

Use the keyboard shortcut of F10 to quickly toggle the status of the Monitor Record Level function.

Path (Breadcrumbs) Options > Monitor Record Level(s)

More about...

Level Meters


Mono

Mono (derived from “Monophonic”) means that there’s only a single sound source, or the signal came from a single sound source.


Morph

If Morph is checked, the transition from the initial filter settings to the final filter settings will actually “morph”” from one to the other. If this is not checked, the settings simply change in linear fashion over time.

For example, if you leave Morph unchecked and have a spike at 10kHz for the initial filter and a spike at 1kHz for the final filter, the spike at 10kHz will gradually decrease, and the spike at 1K will gradually increase over time. However, frequencies between 1kHz and 10kHz won’t be affected. If morphing is on, the spike itself will “ooze” from 10kHz down to 1kHz, passing many of the frequencies in between.

Tip Icon

For a cool example of morphing, try choosing Passive mode, and set an initial curve with the first half at 100%, and the second half at zero. For the final curve, set the right 1/10th or so at 100% with the rest at zero. This selects high frequencies for the initial configuration, and low frequencies for the final configuration.

To get a nice blending from high to low, choose Morph to include all the frequency combinations between the two filters. To see exactly what’s happening as the filtering changes from the initial configuration to the final, push the Transition Curve button to view the actual settings that will be used over the duration of your selection.


Most recently-used file list

Edit View

The Most Recently Used list displays the last nine audio files opened in Cool Edit Pro. You can quickly open any of these files (providing they haven’t been deleted or moved) by selecting it from the list with your mouse. Or, type the number that’s associated with the desired file.

Multitrack View

The Most Recently Used list displays the last nine session files opened in Cool Edit Pro. You can quickly open any of these files (providing they haven’t been deleted or moved) by selecting it from the list with your mouse. Or, type the number that’s associated with the desired Session.

Path (Breadcrumbs) File > 1..9 filename path


Mouse Wheel

Zoom Factor

This is the amount to zoom in when rotating the mouse wheel found on Intellipoint-compatible pointing devices. Values from 10% to 80% work well. The higher the value, the further you’ll zoom in when you roll the mouse wheel.


Mouse Cursor Over Display

Choose whether you want your mouse pointer to appear as an arrow or as an I-beam when it’s over the waveform display.


Mousing Around The Session Display

The following list describes the mouse movements that are crucial to navigating around the Multitrack View’s Session Display window.

Defining a Range

Left-click on one side of the range portion that you want to select and drag the mouse to the left or right. You also select any block that is within the dotted-line rectangle you draw with the mouse.

Editing a Wave Block

Double-click on a wave block to send it to Cool Edit Pro’s Edit View for modification.

Moving a Block

Right-click a block and drag it horizontally to adjust its position within a track. To move the block between tracks, right-click it and drag it vertically.

Displaying Context Menus

Two types of context menus can be shown in the Session Display.

  • Right-click on a block to view the Block Context menu.

  • To see the Track Context menu, right-click on a track anywhere there isn’t a block.

More about...

Navigating the Multitrack View Screen


Mousing Around The Wave Display

The following list describes the mouse movements that are crucial to navigating around the Wave Display window.

Defining a Range

Left-click on one side of the range portion that you want to select and drag the mouse to the left or right.

Changing Range Boundaries

Hold down the Shift key and left-click on the range boundary that you want to move, and drag the boundary to its new location.

Select All

Double-click in the Wave Display to select all the waveform you currently see. Triple-click in the Wave Display to select the entire waveform, whether you can see it all or not.

Selecting Only the Left Channel

Click near the top of the left (upper) channel to select the left channel only. The mouse cursor will acquire a boxed “L” when you do this.

Selecting Only the Right Channel

Click near the bottom of the right (lower) channel to select the right channel only. The mouse cursor will acquire a boxed “R” when you do this.

More about...

Navigating the Edit View Screen


Move Down

Click on this button to move the highlighted item in the Play List down one position.


Move Down 2

Move Down

Pressing this button moves the highlighted item down in the Device Preference Order list.


Move Down 3

Move Down

Pressing this button moves the highlighted item down in the Device Preference Order list.


Move Up

Push this button to move the highlighted item in the Play List up one position.


Move Up 2

Move Up

Pushing this button moves the selected item up in the Device Preference Order list.


Move Up 3

Move Up

Pushing this button moves the selected item up in the Device Preference Order list.


MP3

MPEG Layer 3. A subset of the MPEG standard invented by the Fraunhofer institute that has become very popular due to the very high compression ratios (10 to 1 or better) with little audible loss. Cool Edit Pro has MP3 support built in, so there’s no need to purchase an MP3 plug-in.


MP3 2

MP3

Select this option to encode your file to a normal, non-PRO mp3 file. The advanced options will change to reflect this selection.


mp3PRO®

Select this option to encode your file to an mp3PRO file. The advanced options will change to reflect this selection.


MPEG

A set of audio and video compression schemes created by the Motion Picture Experts Group.


mp3PRO® (.MP3)

The mp3PRO filter enables Cool Edit Pro to directly encode (save) and decode (open) .mp3 files, which can include files with PRO information or just standard .mp3 files. When a file is saved as MP3, it’s encoded and compressed as specified by the MP3 settings. As an .mp3 file is opened, it’s decompressed into Cool Edit Pro’s uncompressed internal format. This allows you to save the .mp3 file back to disk as any file format (including as a standard .wav file).

The PRO data that mp3PRO adds helps re-create high frequencies in the compressed file, especially at low bitrates. An mp3PRO file can still be played back by an mp3 player that does not support the PRO extensions, but it will sound slightly worse than a normal mp3 file of that bitrate. For example, a 64Kbps mp3PRO file will sound more like a 112 or 128Kbps normal mp3 file when played by a player that supports mp3PRO, but will sound like a 64Kbps or worse mp3 file if the player does not support mp3PRO.

MP3/mp3PRO Encoder Options Dialog

Note icon | Note that opening and re-saving an .mp3 file will cause it to be compressed again, causing the artifacts that are part of the compressing process to become more pronounced. Avoid compressing the same audio to MP3 more than once.
Note icon | You can set the information for the .mp3 file’s ID3 tag by going to View > Wave Properties, clicking on the Text Fields tab, and then selecting MP3 (ID3 Tag) from the Text Field Names drop-down menu.

Options...

VBR (Variable Bitrate)

CBR (Constant Bitrate)

MP3

mp3PRO

Convert to Mono

Advanced/Simple

Maximum Bandwidth

CBR Bitrate

Sample Rate

Low Complexity Stereo

Codec

Allow Mid-Side Joint Stereo (for mid bitrates)

Allow Intensity Joint Stereo (for low bitrates)

Allow Narrowing of Stereo Image

Set ‘Private’ Bit

Set ‘Copyright’ Bit

Set ‘Original’ Bit

Padding

Write CRC Checksums

Presets

A drop-down list of several presets comes with the MPEG-1 Layer 3 Encoder. Use the Add button to name, describe, and place additional presets in the list. Press the Delete button to remove the active preset.

* This function supports Presets .

Supply of this product does not convey a license nor imply any right to distribute content created with this product in revenue-generating broadcast systems (terrestrial, satellite, cable and/or other distribution channels), streaming applications (via Internet, intranets and/or other networks), other content distribution systems (pay-audio or audio-on-demand applications and the like) or on physical media (compact discs, digital versatile discs, semiconductor chips, hard drives, memory cards and the like). An independent license for such use is required. For details, please visit http://mp3licensing.com


MS Box

This is the time, specified in milliseconds, that it will take for the reverb to decay at each frequency following the coloration curve. For more colored reverbs, use lower settings (like 100 to 250). Values up to 700 work fine. Basically, the lower the value, the more the graph affects the resultant reverberation.


mu-Law

mu-Law (or CCITT standard G.711) is an audio compression scheme and international standard in telephony applications. mu-Law is very similar to A-Law, a variation of mu-Law found in European systems. This encoding format compresses original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits. Thus, mu-Law encoded waveforms have a higher s/n ratio than 8-bit PCM, but at the price of a bit more distortion than the original 16-bit audio. The quality is higher than you would get with 4-bit ADPCM formats. Encoding and decoding is rather fast and generally widely supported.


mu-Law 8-bit

This is the international standard telecommunications encoding format, and is the default option.


mu-Law 8-bit 2

mu-Law 8-bit

Select this option to compress the file using the mu-Law 8-bit format. (This is the default.)


Multichannel Encoder...

Multichannel Encoder... Ctrl+E

Multichannel Encoder

In the Multichannel Encoder dialog, you can individually pan each track in your Multichannel setup, preview the current mix, and then export the session as an encoded WMA Pro version 9 Multichannel file. It is also possible to export your session as 6 Mono Wave files or as one interleaved 6 channel WAV file for use with an external Multichannel Encoder such as one for DVD production.

Multichannel Encoder Requirements

To use the Multichannel Encoder, first open an existing Cool Edit Pro session or create a new session in the Multitrack view. Once all your tracks are added, you next want to achieve a basic “stereo mix” balance with your desired track volume, stereo pan and FX settings. Then launch the Multichannel Encoder from the View menu.

Track List

Surround Panner

Track Options

Pan Envelopes

Export

Waveform Display

Preview

Meters

Path (Breadcrumbs) Multitrack View: View > Multichannel Encoder...


Multichannel Encoder Requirements

To achieve proper 5.1 Surround preview and playback from the Multichannel Encoder, your system must meet the following requirements:

  1. A sound card installed and selected that offers at least 6-channel analog output, as well as a special interleaved device driver that is compatible with the Microsoft Windows multichannel format.

  2. Microsoft Direct X 8.0 or later installed

If your PC does not meet these requirements then you may receive a warning dialog, and your Play Track and Play All buttons will not be accessible.

To be able to Export and Encode your project to a 6-channel Windows Media 9 file, you must have the Windows Media 9 runtime installed. If you have an early Windows 98™ or earlier, the Encode to WMA9 option may not be available.

The latest Direct X and Windows Media Updates are available on the Microsoft website. http://www.windowsmedia.com/

New System Requirements

The new Multichannel Encoder and WMA 9 features have some additional system requirements.

  • Windows 98 Second Edition or later to encode or decode stereo WMA 9 files

  • Windows XP to import multichannel WMA files (opened as stereo on other Windows versions)

  • Windows 98SE or later to encode multichannel WMA files

  • DirectX 8.0 or later and a sound card with a multichannel DirectSound driver to preview in the Multichannel Encoder

More about...

Multichannel Encoder...


Multiple Pass

Files are compressed using multiple passes, which provides better quality. This is the default setting.


Multiple Pass (2 to 32)

Some clicks may be too close together to be repaired effectively, so going over the audio with another pass will often catch those clicks that weren’t found the first time around. If this option is checked, then any number of passes (up to 32) will automatically be performed.

Cool Edit Pro will perform fewer passes if no more clicks are found and all detected clicks have been repaired. Generally, about half as many or fewer clicks are repaired on each successive pass.

When using multiple pass mode, a higher detection threshold may lead to fewer interventions in repairing, and increase the quality of the result somewhat while still removing all clicks. In the same vein, higher rejection thresholds may lead to better results.


Allow Multiple Takes

With this option enabled, a Take History is preserved for the selected waveform in the event that it’s recorded over. Material is not overwritten when recording into an existing waveform block. Instead, a new instance, or “take”, of the block is created and recorded into, preserving the previous waveform.

With Allow Multiple Takes disabled, recording is done into the same spot each time.

Note icon

The Punch In function will automatically enable Allow Multiple Takes for the selected Punch area.

Path (Breadcrumbs) Multitrack View: Edit > Allow Multiple Takes

More About...

Punch In

Take History


Multitap Delay...

Multitap Delay button Multitap Delay...

Multitap Delay can be described as a combination of Delay, Echo, Filter, and Reverb effects. Up to 10 delay units can be created, each with their own delay, feedback, and filtering settings.

Multitap Delay Dialog

Multitap Delay Dialog

If one delay unit is placed inside another (as viewed in the chart above the controls) then the echo will occur more often than just once.

As audio travels down the delay line (represented in the chart by the bottom horizontal arrow pointing to the right) portions at any point can be fed back into the delay line anywhere behind the given offset and at any feedback amount, with any high or low cut filter.

With experimentation, you can achieve some very interesting effects.

Delay Units

Delay Settings

Low-Cut/High-Cut Filters

Channel Buttons

Presets

Cool Edit Pro comes with several Multitap Delay presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Multitap Delay setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Multitap Delay...

* This function supports Presets.

* This function supports Preview.


Multitrack

If the Multitrack button is depressed, you’ll see all of Cool Edit Pro’s keyboard shortcuts for the Multitrack View. Release the button to hide all Multitrack View shortcuts.


Multitrack Cut

Delete Wave(s) button Cut

Cut will remove the highlighted portion of a selected block. For example, if track 3 contains a wave block that is five seconds in length, selecting it, highlighting the third second, and choosing Cut will remove the third second, leaving the two-second portions on either side. If you want to remove unwanted material around a highlighted region, use Edit > Trim instead.

Note icon

Unlike Cut in the Edit Waveform View, this Cut command does not remove any data from the actual sound file, and places nothing on the clipboard. Using Cut in Multitrack View simply tells Cool Edit Pro to “disregard this material” when playing back. You may return any Cut block to its original state at any time by selecting it and choosing Edit > Full.

Path (Breadcrumbs) Multitrack View: Edit > Cut


Multitrack Editing

This item takes you to the Multitrack Editing section of the Help file, where you can familiarize yourself with Cool Edit Pro’s multitrack recording techniques and multitrack-specific interface elements.

Path (Breadcrumbs) Multitrack View: Help > Multitrack Editing


Multitrack Insert/Delete Time...

Insert/Delete Time...

Use Insert/Delete Time to introduce an amount of silence into the session at the cursor location, or to cut the selected area out of the session.

Insert/Delete Time Dialog

Insert/Delete Time Dialog

Insert

Delete Selected Time

Path (Breadcrumbs) Multitrack View: Edit > Insert/Delete Time...


Multitrack Latency

Some sound cards introduce a latency of several milliseconds when they record. For example, if you record on Track 1, and then record Track 2 while listening to Track 1 and find that the two tracks are out of sync by 7 milliseconds, it’s probably because of this latency problem. This is a constant number, though, so through trial and error you can figure out how out of sync a particular device gets, and then enter the number of milliseconds here (in our example, it would be 7) to force sync. (The default value is 0.)


SMPTE Start Offset...

This command brings up the General tab of Cool Edit Pro’s Session Properties window, where you can enter a time offset to use when syncing to SMPTE time code.

Advanced Session Properties Dialog - General Tab

Advanced Session Properties Dialog - General Tab

This is the time location that Cool Edit Pro will wait for before playback begins. Locations can be entered in either of the two formats listed to the right of the SMPTE Start Time Offset text box.

Note Icon

Before attempting to enable SMPTE sync, you’ll need to choose a device for MIDI In that is recognized by Windows (such as a soundcard’s built-in MIDI interface, a MIDI interface card, or other hardware device options.) To do this, go to Options > Device Properties... to bring up the devices window. Set MIDI In (Sync/Trigger) to the input to be used for SMPTE sync (commonly YourDevice: Sync).

Path (Breadcrumbs) Multitrack View: Options > SMPTE Start Offset…

More about...

Using SMPTE drop format

Display Time Formats


Multitrack Trim

Trim button Trim

This Trim command works in the same fashion as Trim in the Edit View. All material will be removed from the selected waveform block except the portion within the highlight. Use Trim to remove unwanted material around a selection.

You may also trim an area using the Adjust Boundaries command. Trim differs from Adjust Boundaries in that Trim won’t reveal any material within a highlighted region. Trim will only remove that which is outside of the highlight for the selected waveform block.

Note icon

Unlike the Trim command in Cool Edit Pro’s Edit View, this version does not remove any data from the actual sound file. Trimming in Multitrack View simply tells Cool Edit Pro to “disregard this material” when playing back. You may return any trimmed block to its original state at any time by selecting it and choosing Edit > Full.

Path (Breadcrumbs) Multitrack View: Edit > Trim


Multitrack Undo

Undo button Undo Ctrl+Z

As in Cool Edit Pro’s Edit View, Undo allows you to back up through previous edits. In the multitrack environment, this includes anything you might do in the way of editing or arranging waveform blocks, such as moving, splicing, and copying. Unlike Undo in the Edit View, there isn’t an Enable Undo function governing the ability to undo actions in Multitrack. Edits done in the multitrack environment are non-destructive, and therefore don’t create temporary files on disk.

Note icon

Multitrack Edits done with real-time effects don’t go into the Undo list. However, they’re totally reversible by simply removing the effect from the track’s rack.

Path (Breadcrumbs) Edit > Undo


Multitrack View

Switch to Multitrack View button Multitrack View F12

Access this command to go to Cool Edit Pro’s Multitrack View, where you can digitally mix up to 128 tracks to one or more sound cards.

Tip Icon | Pressing the leftmost button in the Edit View’s File toolbar takes you to Multitrack View mode. The face of the View button represents the target View that the system will “jump to” when pressed. For example, when you’re working in Edit View, this button’s appearance changes to let you know that if you push the button, you’ll go to the Multitrack View.
Tip icon | You can also use the F12 key to quickly switch between Multitrack and Edit View.

Path (Breadcrumbs) Edit View: View > Multitrack View

More about...

Multitrack Editing

Navigating in Cool Edit Pro


Multitrack View Edit Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

The Edit Menu contains the options for editing waveform blocks in Cool Edit Pro’s Multitrack View.

Click on a menu item below:

Undo

Edit Waveform… (Wave Block Only)

Loop Properties… (Wave Block Only)

Allow Multiple Takes (Wave Block Only)

Take History (Wave Block Only)

Adjust Wave Volume… (Wave Block Only)

Adjust Wave Pan… (Wave Block Only)

Wave Block Properties… (Wave Block Only)

Transpose (MIDI Block Only)

Set Tempo (MIDI Block Only)

Zoom in/ Zoom out (MIDI Block Only)

Active Track (MIDI Block Only)

Set Controller 7 (MIDI Block Only)

Mixdown to File

Mix Down to Track N (Bounce)

Group Blocks

Group Color...

Block Color...

Punch In

Crossfade

Loop Duplicate...

Convert to Unique Copy

Mute Blocks

LockIn Time

Lock for Play Only

Split

Merge/Rejoin Split

Align Left

Align Right

Adjust Boundaries

Trim

Cut

Full

Remove Blocks

Destroy Blocks (remove and close)

Select All Blocks

Select All Blocks in Track N

Insert /Delete Time...

Group Waveform Normalize...

Snapping

Refresh Now

Check For Hidden Blocks


Multitrack View File Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

The File menu in the Multitrack View offers functions relating to opening, saving, and otherwise manipulating session files.

What's a session

Click on a menu item below:

New Session...

Open Session...

Append to Session...

Close Session

Close Session and Its Waveforms

Close Only Non-Session Waveforms

Open Waveform…

Save Session

Save Session As...

Save Mixdown As...

Save Mixdown To Video As...

Save All

Default Session

Free Up Space in Temp Files...

MRU List

Exit


Multitrack View Help Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

Use this menu to access Cool Edit Pro’s built-in and Web-based help.

Click on a menu item below:

Contents

Search for Help On...

Quick Reference

Multitrack Editing

Technical Support

Online Resources*

Check for Updates*

Download Loops*

Tip of the Day

Buy Now...

About Cool Edit Pro

* This feature requires a connection to the Internet, of course.


Multitrack View Insert Empty Wave Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

Use the Insert Menu to import wave files, MIDI files, video files, and audio from video files into Cool Edit Pro’s Multitrack View. Both active files (those already opened in Edit View) and inactive (not already opened) files may be easily inserted.

Click on a menu item below:

Empty Wave

In Current Track

In Current Track (Mono)

In all Record-Armed Tracks

Wave from File...

Midi from File...

Video from File...

Audio from Video File...

Currently Open Waveform List

File/Cue List...


Multitrack View Options Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

The Options menu contains commands for customizing Cool Edit Pro’s settings for the Multitrack View.

Click on a menu item below:

Loop Mode

Monitor Record Level(s)

Show Levels on Play and Record

MIDI Trigger Enable

Midi Panic Button

Synchronize Blocks with Edit View

SMPTE Slave Enable

SMPTE Master Enable

SMPTE Start Offset...

Sample Accurate Sync

Pause Background Mixing

Metronome...

Windows Recording Mixer...

Settings...

Device Properties...

Device Order...

Shortcuts (Keyboard & MIDI Triggers)...


Snapping

Enable this function to have the edges of any block “snap” to certain time locations when being dragged. Snapping is used to align perfectly with time ruler locations when highlighting a region.

The Snap to locations (which vary depending on the Snapping option you have selected) act as magnets for any blocks dragged in their proximity, and have the effect of pulling the waveform toward them.

For example, if your Time Ruler’s format is hours:minutes:seconds, with seconds showing as the division at your current zoom level (1.0, 2.0, etc.), then dragging a block which starts at 1.6 seconds to the right will result in it snapping to the 2.0 location as it nears it. You can, of course, keep dragging beyond 2.0 in this case, if you wish.

Six snapping options are available from the pullout menu, and up to five of them may be checkmarked at one time. [“Snap to Ruler (Fine)” and “Snap to Ruler (Coarse)” can’t both be checked simultaneously.]

Snap to Cues

Snap to Ruler (Fine)

Snap to Ruler (Coarse)

Snap to Blocks

Snap to Loop Endpoints

Snap to Frames Always

Note icon | While dragging a block in Multitrack View, a white line will appear over the length of the tracks when Snapping points meet. For example, if Snap to Blocks is selected, the white line will signal snapping as you drag a waveform block pass the beginning or end of other waveforms.
Tip icon | You can also right-click on the horizontal time ruler to access any of the Snapping options quickly.

Path (Breadcrumbs) Edit > Snapping


Multitrack View Effects Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

This menu contains all of Cool Edit Pro’s “exclusively multitrack” effects.

Click on a menu item below:

Envelope Follower...

Frequency Band Splitter...

Vocoder...


Multitrack View View Menu

Menu Reference Banner

File | Edit | View | Insert | Effects | Options | Help

Click on a menu above for Help.

The View Menu displays options that relate to change the display or viewable area when in the Multitrack View mode.

Click on a menu item below:

Edit Waveform View

Show Pan Envelopes

Show Volume Envelopes

Show Wet/Dry Mix Envelopes

Show FX Parameter Envelopes

Show Tempo Envelopes

Enable Envelope Editing

Enable Block Edge Dragging

Show Session Properties

Show Mixers Window

Show Track EQ Window

Show Track Properties

Show Organizer Window

Show Cue List

Show Transport Buttons

Show Zoom Buttons

Show Time Window

Show Sel/View Controls

Show Level Meters

Show Load Meter

Show Video Window

Show a Placekeeper

Display Time Format

Toolbars

Status Bar

Advanced Session Properties...

Multichannel Encoder...


Multitrack View View Menu Display Time Format

Menu Reference Banner

Click on a menu above for Help.

The View Menu displays options that relate to change the display or viewable area when in the Multitrack View mode.

Click on a menu item below:

Edit Waveform View

Show Pan Envelopes

Show Volume Envelopes

Show Wet/Dry Mix Envelopes

Show FX Parameter Envelopes

Show Tempo Envelopes

Enable Envelope Editing

Enable Block Edge Dragging

Session Properties

Show Mixers Window

Show Track EQ Window

Show Track Properties

Show Organizer Window

Show Cue List

Show Transport Buttons

Show Zoom Buttons

Show Time Window

Show Sel/View Controls

Show Level Meters

Show Load Meter

Show Video Window

Show a Placekeeper

Display Time Format

Edit Tempo...

Define Custom Frames...

Toolbars

Status Bar

Advanced Session Properties...

Multichannel Encoder...


Music...

Music button Music...

Cool Edit Pro’s Music function can use any highlighted selection as a “voice” to synthesize music or harmonize a wave using a particular chord. While this function is far from a complete MIDI authoring studio, it provides a quick and simple way to put a sample to music.

Music Dialog

Before bring up the Music dialog, you must first highlight the range of the current waveform you wish to use as a quarter note. If no range is selected, Cool Edit Pro will use the data on the clipboard. Keep in mind that the clipboard data will be filled with your sample automatically once music is generated. Thus, selecting music a second time will automatically use your last sample.

Song Title

New Song

Notes

Chord Type

Staff

Listen

Tempo

Key

Octave

Constant Duration

Exact Tune

Edit View: Effects > Special > Music...

* This function supports Presets.

* This function supports Preview.


Mute

Check this box to mute, or disable, the selected waveform block. The wave block will become gray in color, indicating that it won’t play until unmuted. Remove this check to unmute.

Note icon

This Mute setting is independent of the track’s overall mute state. Track Mute is sent in the Track Info dialog, or by pressing the green M button in the track’s console area.


Mute Track

Checkmark this command to mute the track. All blocks within the track are ignored during playback and mixdowns, and are displayed as “grayed-out”. This command does the same thing as pressing the M button on the track console.


Mute 3

Mute

The Mute button silences the output of this track. More than one track in a Cool Edit Pro session can be muted at one time.


Mute 4

Mute

When this box is checked, the block’s sound is turned off. Non-muted blocks in that track will play as normal.


Mute Button

Clicking on the button with the M on it mutes the track, which means that the track will no longer be heard in the mix. Multiple tracks may be muted by pushing their M buttons.

Note icon

The Mute button is available in the Vol, EQ, and Bus areas.


Mute/Solo Buttons

The M (Mute) button turns off the output of the track. You can mute as many tracks as you want by clicking on their M buttons.

Press the S (Solo) button to solo the track. To solo multiple tracks, hold down the Ctrl key as you click on their S buttons.


Mute/Solo Buttons 2

Mute/Solo Buttons

The M (Mute) button turns off the output of the bus. You can mute as many busses as you want by clicking on their M buttons.

Press the S (Solo) button to solo the bus. To solo multiple buses, hold down the Ctrl key as you click on their S buttons.


Mute Block 2

Mute Block

This command mutes or unmutes the selected blocks. This command is different than Track Muting (which occurs when you press the Mute button in the Track Console area), which disables all waveforms within a track.

Muted blocks are ignored during playback and mixdowns, and are displayed as “grayed-out”.


Name

Enter the name of a created Favorite in this field.

You may create hierarchical menus by using a backslash. For example “My Delays\Hall Reverb” places the item under “Hall Reverb” in the “My Delays” submenu.

To place a separator bar into the Favorites list to separate one function type from the others, entering a series of dashes (e.g., “------”) into the Name box. If you want more than one separator, enter a different number of dashes, or change the text so that it doesn't match something already in the list. For example, “------2” is considered a valid separator; the 2 after the dashes will be ignored.

To create a separator bar for a submenu, enter the submenu path first (e.g., “My Effects\------”). You can also enter any text you would like the Favorites menu to display. The text will be nonfunctional, of course.


Name 3

Name

Enter the name of the new time signature in this field.


Name 4

Name

The title of the waveform goes here.


Name 2

Name

This displays the name of any saved format presets. Three are provided initially: CD, Radio, and Telephone Quality.


New Favorite

New

Press this button to enable the fields in the Properties area of the Favorites dialog so that you can create a new Favorite.


New Left Channel

Adjust the slide bars to determine the percentage of the current left and right channels that will be mixed into the new left channel.

For example, choose an L value of 50 and a R value of 50 to sum equally the current L and R channels to the new left channel after mixing. Enter an L value of 0 and a R value of 100 to make the new left channel contain the material of the original right channel..


New Right Channel

Adjust the slide bars to determine the percentage of the current left and right channels that will be mixed into the new right channel.

For example, select an L value of 50 and an R value of 50 to sum equally the current L and R channels to the new right channel after mixing. Enter an L value of 100 and a R value of 0 to make the new right channel contain the material of the original left channel..


New Session...

New Session button New Session... Ctrl+N

This command creates a new, empty session, where you record or insert audio into multiple tracks. When creating a new session, you’ll be prompted to specify its sample rate and bit resolution. Any audio files to be used in a session must share these properties, or be converted upon inserting them.

New Multitrack Session Dialog

New Multitrack Session Dialog

Note icon

The 8-bit and Mono/Stereo options in the New Multitrack Session dialog are disabled, as they don’t apply to session recording in Cool Edit Pro.

Here are the components of the New Session window:

Sample Rate

Path (Breadcrumbs) Multitrack View: File > New Session...

__________________

More about...

Sample Rates

Resolution


New Song

Press this button to clear the current song/note sequence.


New Style

This option allows you to save to the newer .voc format that supports both 8-bit and 16-bit audio.


New...

New button New... Ctrl+N

Select File > New… to create a new, empty waveform. The New Waveform window appears so that you can choose the new file’s properties. Options are provided for Sample Rate, Channels, and Resolution.

New Waveform Dialog

New Waveform Dialog

Tip icon | You’ll normally get better-quality sound when you choose a higher sampling rate and bit resolution, but you’ll use more hard disk space.
Tip icon | Use the keyboard shortcut of Ctrl+N to quickly open a new waveform window.

Sample Rate

Channels

Resolution

Path (Breadcrumbs) Edit View: File > New...

More about...

Sample Rates

Resolution


Next/Sun (.AU, .SND)

This format is the standard found on NeXT and Sun computers, and has many data types. Cool Edit Pro supports the CCITT mu-Law, A-Law, G.721 ADPCM, and linear PCM data variants. Like Windows WAV and AIFF files, this format can support mono or stereo, 16-bit or 8-bit, and a wide range of sample rates when saved as linear PCM.

The most common use for the AU file format is for compressing 16-bit data to 8-bit mu-law data. AU is used quite extensively for distribution on the Internet, and for inclusion in Java applications and applets.

Options...

mu-Law 8-bit

A-Law 8-bit

G.721 ADPCM 4-bit

Linear PCM


No gaps – continuous looping

This option places each subsequent duplicate directly after the preceding block, for a continuous loop.


Noise Floor Adjust

Use this slider to specify the level of the noise floor.

  • The more the slider moves to the left, the lower the noise floor will be (up to -40 db).

  • The more the slider moves to the right, the higher the noise floor will be (up to 40 db).


Noise Gate

A Noise Gate is a special type of expander that can be used to reduce or eliminate noise below a threshold level. It does this by heavily attenuating signals with levels that fall below the threshold. A noise gate is often used to totally cut off the signal level during a musical pause so as not to pass background noise. It can also be used to silence the pauses in speech.


Noise...

Generate Noise button Noise...

This function generates random noise in a variety of colors. Traditionally, color is used to describe the spectral composition of noise. Each color has its own characteristics.

Generate Noise Dialog

Generate Noise Dialog

Cool Edit Pro inserts noise from the current playbar cursor position, pushing any following audio back in time, and thereby lengthening the duration of the waveform. Selecting an area and generating noise replaces the selection, deleting existing audio.

Tip icon

Use noise as the basis for creating weird sound effects, for creating soothing sounds like waterfalls (perfect for use with Cool Edit Pro’s Brainwave Synchronizer function), or for generating signals that can be used to check out the frequency response of a speaker, microphone, or other audio system component.

Color

Style

Intensity

Duration

Path (Breadcrumbs) Edit View: Generate > Noise...


Noise Profile Plot

The yellow points in the profile plot represent the amount of noise reduction that will be performed at any particular frequency. Move the Noise Reduction Level slider up or down to move the entire yellow region up or down.


Noise Reduction Level

Use this slider to manually adjust the amount of noise reduction (measured in percent) to be applied to the waveform or selection. You may also enter the desired amount directly in the text box to the right of the slider.

Note icon

Depending on the original waveform and the type of noise removed, high noise reduction levels can sometimes cause the remaining audio to have a “flange-y” or “phase-y” quality. If this happens undo the effect and try a lower setting.


Noise Reduction...

Noise Reduction button Noise Reduction...

Cool Edit Pro’s Noise Reduction function can dramatically reduce background and general broadband noise with a minimal reduction in signal quality. It can also remove tape hiss, microphone background noise, 60 cycle hum, or any noise that is constant throughout the duration of your waveform.

Noise Reduction Dialog

Noise Reduction Dialog

The amount of reduction required depends upon the type of background noise, and the allowable loss in the quality of the signal that is to be kept. In general, you should be able to attain increases in Signal to Noise ratios of 5dB to 20dB. (Noise is reduced 21dB and signal 1dB for example).

Before you can perform noise reduction, you must load or get a noise profile first. This is done by pressing the Load Profile or Get Profile from Selection buttons.

Note icon

If hiss is what you want to remove, try Cool Edit Pro’s Hiss Reduction effect instead.

View Left/Right

Noise Profile Plot

Load Profile

Save Profile

Get Profile from Selection

Snapshots in profile

Reduction Graph

Log Scale

Live Update

Noise Reducion Level

Noise Reduction Settings

Here’s the most common way to use Cool Edit Pro’s Noise Reduction function:

  1. Record or a piece of music that has tape hiss or other background noise.

  2. Select a short range (at least one half second) that contains only the noise that you'd like to reduce.

  3. Choose the Effects > Noise Reduction > Noise Reduction option and click on Get Profile from Selection to sample the noise.

  4. Click on Close.

  5. Select the entire file (or the portion you want to noise-reduce).

  6. Go to Effects > Noise Reduction >Noise Reduction again.

  7. Click on OK to perform the noise reduction.

Preview

Press the Preview button to audition the current Noise Reduction setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Tip Icon | You can reduce the noise incurred by the sound board's circuitry during recording--just record a second of silence before whatever you want to record and tell the noise reducer to remove the sound of that silence in order to further reduce the noise level by up to 10dB.
Note icon | Noise reduction works best on 16-bit and 32-bit samples. Although it will work with 8-bit audio, it’s impossible to get the noise level to less than about -45dB – if even that. Noise at -45dB is very audible, as owners of 8-bit sound cards can attest. You can get much better results by converting to 16 bits first, reducing the noise, and downsampling back to 8 bits, than by reducing noise in 8-bit samples directly.
Tip Icon | You’ll get better results with Noise Reduction if the original signal is centered. To center a signal, highlight it and choose the “Center Wave” preset from the Effects > Amplitude > Amplify function. Centering the wave adjusts the DC offset to zero. If the wave isn’t centered, you may hear audible clicking in quiet parts after processing. Because centering takes out all frequencies below about 16Hz, it’s completely safe to do without any ill side effects.
Tip Icon | You can generate interesting effects by choosing valid “foreground” audio as your profile “footprint” rather than background noise or hiss. For example, within a vocal line, you can select the vowel “O” to be used as the profile. Processing this vocal file (remember, it’s best to process a copy of the original file) will then reduce or eliminate the “O” sounds, thereby creating a rather wild effect.
Tip Icon | Great effects can be generated by setting the noise level to some valid signal component in the waveform, and not the background noise. Whatever frequencies are present in the highlighted selection when Set Noise Level is chosen will be removed when the reduction level is set to 100.

Path (Breadcrumbs) Edit View: Effects > Noise Reduction > Noise Reduction...

* This function supports Preview .

See Also...

Some notes on Noise Reduction

Using Noise Reduction


Noise Reduction

The effects in the Noise Reduction menu can be used to reduce background noise and general broadband noise without having an adverse effect on the overall quality of the originally-recorded signal.

Path (Breadcrumbs) Edit View: Effects > Noise Reduction


Edit Waveform View Effects Noise Reduction Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Filters

Noise Reduction

Click/Pop Eliminator...

Clip Restoration...

Hiss Reduction...

Noise Reduction...

Special

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Noise Reduction Settings

FFT Size

The FFT Size parameter causes the most drastic changes in quality. It determines the number of individual frequency bands that are analyzed. The noise in each frequency band is treated separately, so the more bands you have, the finer frequency detail you get in removing noise.

For example, if there’s a 120Hz hum, but not many frequency bands, frequencies from 80Hz on up to 160Hz may be affected. With more bands, there’s less spacing between bands, so the actual noise can be detected and removed with more precision.

However, with too many bands, time slurring occurs, which can make the result sound reverberant or “echoey” (with pre- and post-echoes). So the tradeoff is frequency resolution vs. time resolution, with lower FFT sizes giving better time resolution and higher FFT sizes giving better frequency resolution.

Good settings for FFT Size range from 4096 to 12000.

Remove Noise/Keep Only Noise:

For normal operation, choose Remove Noise.

If for some reason you want to extract the noise for other purposes, choose Keep Only Noise. All the audio will be removed, leaving only noise.

Reduce by

Lowering this value (measured in dB) may help reduce some bubbly background effects. Settings between 5dB and 100dB are recommended.

Precision Factor

This value affects distortions in amplitude.

With values of 3 or less, the FFT is performed in giant blocks that aren’t very continuous between the blocks. This means that after each block is processed, there can be a drop or spike in volume at the interval between blocks.

Values of 5 and up work best. Beyond 10 or so, there is no noticeable change in quality-only in the time it takes to compute. Try using 5 or 7, as odd numbers are best for symmetric properties.

Smoothing Amount

Smoothing Amount takes into account the standard deviation, or variance, of the noise signal at each band. Bands that vary greatly when analyzed (such as white noise) will be smoothed differently than constant bands (like a 60 cycle hum).

Generally, increasing the smoothing amount (up to 2 or so) will reduce the “burbly” background artifacts at the expense of raising the overall background broadband noise level.

Transition Width

This setting determines how sharp the division is between what is considered noise and what should be kept. For example, with a Transition Width of zero, a sharp, noise gate-type curve is applied to each frequency band. If the audio in the band is just above the threshold, it stays; if it’s just below, it’s truncated to silence.

Conversely, you can specify a range over which the audio will fade to silence based upon the input level. For example, with a transition width of 10dB, and a cutoff point (scanned noise level for the particular band) of -60dB, then audio at -60dB would stay the same, at -62dB it would be reduced some (to about -64dB), and so on until audio at -70dB would be removed entirely.

Again, if the width is zero, then audio just below -60dB is entirely removed, while audio just above it would remain untouched. Negative widths simply go about the other side, so in the above example, a -10dB width would have ranged from -60dB to -50dB.

Spectral Decay Rate

When audio above the noise floor is encountered, more audio in the same frequency band is assumed to follow. With low Spectral Decay Rates (measured in percent), less audio is assumed to follow, and the carving function will cut more closely in time to the frequencies being kept.

  • With Spectral Decay Rates too low, background bubbly effects might be heard, and music may start to sound artificial.

  • With Spectral Decay Rates too high (above 90%), unnaturally long tails and reverbs might be added.

Values of 40% to 75% work best.


Noise Shaping

Select one of the several noise shaping presets (known as “noise shaping curves”) to have Cool Edit Pro determine the placement when moving noise to different frequencies. The same amount of noise overall is present, but you can choose less noise to be placed at one frequency at the expense of placing more noise at another. You may also specify that no noise shaping is used.

Note icon

Different curves result in different types of background noise. The type of curve to use depends on the source audio, final sample rate, and bit resolution. By introducing noise shaping, you may be able to get away with lower Dither depths to reduce the overall background noise level, without introducing a lot of unwanted harmonic noise.

Curve | Sample Rate
Noise Shaping A | 44.1 kHz or 48 kHz
Noise Shaping B | 44.1 kHz or 48 kHz
Noise Shaping C1 | 44.1 kHz or 48 kHz
Noise Shaping C2 | 44.1 kHz or 48 kHz
Noise Shaping C3 | 44.1 kHz or 48 kHz
Noise Shaping D | 44.1 kHz or 48 kHz
Noise Shaping E | 44.1 kHz or 48 kHz
Noise Shaping E2 | 44.1 kHz or 48 kHz
44.1KHZ | 44.1 kHz
48KHZ | 48 kHz
96KHZ | 96 kHz

Note icon

In general, there are no really good noise shaping curves for audio at 32kHz or lower. With audio at those sampling frequencies, feel free to try the different curves to see if they help at all, and just choose the one that sounds the best.


Noise Shaping 2

Noise Shaping

This technique is used to shift the frequency of quantization noise to minimize its audibility in the wave file.


Non-Destructive Editing

Non-destructive edits and changes are those which don’t alter the sound file on disk in any way. For example, in non-destructive editing, a volume change would not actually alter the amplitude of the waveform, but would be an instruction to “get louder at this point’, which is then acted out upon playback. The Cool Edit Pro any Multitrack View is a non-destructive editing environment.


Normalization

Normalize to Average Level of Source Files

With this option chosen, Cool Edit Pro will normalize each file using the average level of all of them.

Normalize to a Level of

Select this option to specify the normalization level (which is entered in decibels) for the whole batch of waveforms.

Note icon

Unlike Effects > Amplitude > Normalize, percentages aren’t used with the Group Waveform Normalization function because it’s not peak-based, but RMS-based. The peaks may not go above 25%, or may go over 150% and be the same loudness.


Normalize...

Normalize button Normalize...

This command brings up the Normalize dialog, which enables you to set a desired peak level to which you want a file or selection raised. When set to 100% or 0db, normalization allows you to achieve the greatest amount of amplification that will not result in clipping (distortion). All parts of the wave are amplified at equal levels.

For example, if the loudest peak of a waveform is at 80% and the quietest peak is at 20%, normalizing the file to 100% results in the waveform’s new loudest peak being 100%, and its new quietest peak being 40%.

Normalize Dialog

Normalize to

Decibels Format

Normalize L/R Equally

DC Bias Adjust

Tip icon

If you’re planning to put normalized audio on CD, you might want to normalize the waveforms to no more than 96% as some audio compact disc players have problems accurately reproducing bits that have been processed to 100% (maximum) amplitude.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Normalize...

* This function supports Presets.

* This function supports Preview.


Normalize 2

Normalize

Press this button to make the phase analysis visualization as large as possible so the largest of its edges reaches the graphing window’s boundary.


Normalize

Normalization adjusts the highest peak of the waveform to a certain percentage, thereby raising or lowering all other peaks accordingly. In most cases, this is 100%, but Cool Edit Pro allows you to normalize a waveform to any percentage.


Normalize L/R Equally

Check this box to use both channels of a stereo waveform in calculating the amplification amount. When it’s unchecked, Cool Edit Pro computes the left and right values in a stereo waveform separately, potentially amplifying one channel considerably more than the other. This could degrade the waveform’s stereo image.


Normalize to

Enter the percentage of maximum to which you want to normalize. For example, choose 50% to compute values needed to amplify the selection no more than 50% of maximum (resulting in a 3dB attenuation from maximum output). Choose 100% (default) to apply the most amount of amplification possible without clipping.


Normalized Data

This option normalizes the data between -1.0 and 1.0.


Normalized Values

This display type numerically indicates amplitude on a normalized scale value that ranges from -1 to 1.

Path (Breadcrumbs) View > Vertical Scale Format > Normalized Values


Notch Filter...

Notch Filter button Notch Filter...

This filter removes up to six user defined frequencies, in addition to standard telephone DTMF tones. Use this filter when you wish to remove very narrow band frequencies. For example, you can remove a 60Hz hum while leaving all 59Hz and 61Hz audio untouched.

Notch Filter Dialog

Notch Filter Dialog

Tones to Notch

Fix Attenuations to:

Notch Width

Presets

Cool Edit Pro comes with several Notch Filter presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Notch Filter setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > Notch Filter...

* This function supports Presets.

* This function supports Preview.


Notch Width

This drop-down control lets you select from three notch width presets. They range from Narrow for a second order notch filter, which can remove some side frequencies, to Super Narrow for a sixth order notch filter, which is very specific.

Tip Icon

It’s recommended that you use no larger than 30dB attenuations for a Narrow setting, no more than 60dB for Very Narrow, and no more than 90dB for Super Narrow. Any more attenuation for the given notch width will result in a wide range of neighboring frequencies being removed as well.


Note

Use this control to select this “base” or “root” note on a sampler that the current audio file is to be assigned to. The audio file’s original pitch will be preserved whenever this key is played on a sampler.


Note 1: Drive space

When a file is opened using Cool Edit Pro, a temporary file (CEPx*.tmp) in your temporary folder is created. This is where the actual wave data is going to be played from, recorded to, or edited. This means that the largest file that Cool Edit Pro will work with is limited to the amount of free space on the hard drive containing the temporary folder (pointed to by Cool Edit Pro’s Temp environment variable as specified in Options > Settings > System). If you wish to save the file, you must have enough free space on the drive you are saving to.

Remember that the temporary file for Cool Edit Pro is taking up space on the Temp drive, which means you can’t save a file onto your Temp drive that is larger than one-half the amount of free space you had on your Temp drive before you started. If Cool Edit Pro crashes, there may be a temp file (CEPx*.tmp) in your temporary folder that you should delete.

One advantage to using this method is virtually unlimited waveform sizes, since it depends only on the size of your hard drive. If you have a 500 meg hard drive, you can record one hour of CD-quality music. The drawback, of course, is that the temporary file can get extremely large, which may not allow you to save your masterpiece on the same drive. Of course, if you have a second hard drive with enough space, there will be no problem saving the wave.


Note 2: Temporary files

All temporary files Cool Edit Pro uses begin with CEP and have the .tmp extension. The rest of the filename is chosen at random when the file is created. If there are no copies of Cool Edit Pro running, none of these files should be present, since Cool Edit Pro will normally delete temporary files when it exits.

However, these files can be left behind in extreme circumstances if Cool Edit Pro crashes, or when Windows unexpectedly quits while Cool Edit Pro is active. As long as Cool Edit Pro isn’t running, these files can be safely deleted.


Note 3: The background mixing process

Mixing involves combining all of the placed waveforms into two (or more) channels for output. Because you can edit, add, and subtract waveforms in the multitrack environment in real-time, Cool Edit Pro must constantly watch for changes to the multitrack session, such as a moved or deleted waveform, a volume change, or new material recorded into a track. When something is altered, Cool Edit Pro must immediately work that change into the mixed output, and it does so through background mixing.

Background mixing occurs behind the scenes much of the time that you are in the multitrack environment, and is generally very fast. The faster your system—especially your CPU and hard drive(s)—the faster Cool Edit Pro can mix in the background.

The Mix Gauge constantly shows how far along Cool Edit Pro in the process of mixing your session. However, you need not wait for the meter to reach completion entirely before beginning playback. As stated above, Cool Edit Pro continuously mixes, and will continue to do so while playing, so you can safely begin playback when the mix progress meter is about half-way up.

In general, if the background mix is not sufficiently completed, you will hear a break-up or skipping when playing back the mix. If this happens, wait a few seconds; Cool Edit Pro will usually “catch up” very quickly, and you can begin playing again. You may also pause the background mixing process by double-clicking on the Mix Gauge, which is useful if you plan on making multiple edits in the multitrack environment before playing back.


Note 4: Optimizing multitrack performance

Background mixing, which is the process Cool Edit Pro uses to enable you to have so many tracks playable at one time even on slow computer systems, offloads some of the CPU and hard drive speed requirement for mixing during playback by mixing what it can ahead of time. However, with larger and more complex sessions, your computer may become so occupied with mixing and/or real-time effects that you experience drop-outs during multitrack playback.

Below are the common reasons for drop-outs and what to do about them.

Too many tracks playing at once and not enough hard drive bandwidth to handle them.

If you’re only playing back to one or two output devices, but have lots and lots of tracks, drop-outs may occur because of limitations on how much data can be transferred to and from your hard drive(s). This is the specific case that background mixing was meant to address.

You should let the background mixing feature mix ahead some before hitting Play. Try increasing the Mix Priority (right-click on the Mix Gauge) to let Cool Edit Pro mix ahead faster so you can hit Play sooner without any drop-outs.

To help prevent drop-outs when the Mix Gauge approaches zero during playback, try increasing the Playback Buffer Size in Options > Settings > System. Anything above about 4 seconds is overkill though. You can also try increasing the Mix Ahead amount. If you set Mix Ahead to Entire Session, and wait for the Mix Gauge to go bright green, the entire session will be pre-mixed, and you should never get drop-outs.

Too many real-time track effects or bus effects and not enough CPU power to handle them.

To offload some of the CPU usage requirements during playback, you can lock CPU intensive effects on their track. When you press Lock on a track containing effects, the entire track is pre-effected at that time. You could also help buffer the data requirements for the effects by increasing the Playback Buffer Size (in Options > Settings > Multitrack) up to 2 seconds. Note however that increasing this time increases the lag time between the changes you make live and hearing those changes. You can also try lowering the Mix Priority (right-click on the Mix Gauge) to prevent Cool Edit Pro from using more CPU cycles trying to mix ahead more than is necessary.

Alternately, you could increase the Mix Priority to Highest and set Mix Ahead to Entire Session, and wait for the entire background mix to complete before hitting Play.

As a last resort, if you don’t wish to wait for the Mix Gauge to reach full and mix the entire session, you could disable background mixing entirely to free up a marginal amount of the CPU and hard drive bandwidth. But this only makes sense if nearly all tracks have real time effects on them, or are routed to busses.

Outputting to too many devices at once and not enough hard drive bandwidth to handle them.

When outputting to multiple devices, there isn’t much to be done about the raw amount of data streaming over the bus from the hard drive(s), and the amount of data being sent to the sound card. If you’re outputting to the sound card as 16-bit audio, you can reduce this amount of data by setting Pre-Mixing to 16-bit in Options > Settings > Multitrack, and limiting playback to 16-bit in Options > Device Properties > Wave Out for each of the multitrack devices you’re using.

You can also reduce some CPU overhead by disabling dithering in the same dialog. Increasing the Playback Buffer Size to no more than 4 seconds may help as well if your system is right at its limits. You could also direct everything to a single output device to speed things up while monitoring.


Note 5: Multitrack recording and full-duplex

A full-duplex sound card is required to record while in the multitrack environment. In this environment, the presence of multiple tracks (even if they are empty) requires that Cool Edit Pro “open” both an Input and an Output when recording.

If you have only a single sound card which does not support full-duplex capability, you’ll need to switch to Edit View to record, then place your waveforms into Multitrack View afterwards.

Multiple sound cards (full-duplex or not) solve this problem as well, since there will be separate Inputs and Outputs available to Cool Edit Pro. You’ll need to assign the Input to the track you wish to record into in this case - see Assigning record and playback devices for more information.


Note 6: Working at the 32-bit level

Work at the 32-bit level for best quality and accuracy when processing your audio. When done, you can convert down to 16- or 8-bit for output using dither and achieve better results then if staying in the 8- or 16-bit domain.


Note 7: File Formats

PCM formats are the only kind that save the entire wave completely with no data loss. ADPCM formats lose some of the original waveform information and the waves sound a little distorted. Mu-Law and A-Law formats also lose some information, however it may not be as noticeable as ADPCM; it depends on the type of audio that is being saved. Play with the available Options for each format if present to arrive at the best compromise between fidelity and file size.


Note 8: Some notes on Noise Reduction

Two steps are required to remove noise. First, the noise level must be set so the effect knows what type of noise to remove. To do this, highlight a section of the waveform that has no important signal in it, and only has background noise, then press Get Profile from Selection. The statistical information about the background noise is then gathered, and you are ready to remove all noise of this type from your waveform.

Once the statistical data is gathered, the second step is to highlight the section you want to remove the noise from, and choose the level of reduction you desire. A Noise Reduction Level of zero will remove the least amount of noise, and nearly no signal loss will occur. Typically the noise will be reduced about 3dB at this level. A level of 100 will remove the maximum amount of noise, lowering the noise level by about 20dB. If the signal you are trying to keep gets too distorted at this level, use lower values until a balance is reached between noise reduction and allowable signal distortion. Values any higher than 100 will guarantee loss of the signal that you want to retain, but this may be desired if reducing noise is more important than retaining original signal.

Distortion effects may manifest themselves a “hollow” or “underwater/burbley” sounding signal, dull sounding impacts, “rolly” high end, or a “computerish” mechanical sound. These effects, if heard at all, will fall off if the noise reduction level is reduced. The amount and type distortion depends on the type of noise that is being filtered.

Besides reducing the noise level, the type of noise that is present after reduction is entirely different than the type of noise beforehand. For example, if you are trying to get rid of some “tape hiss” from a waveform, the tape hiss sound will completely disappear, and in its place, about 15dB quieter, will be a completely different type of noise. This noise will contain all frequencies in different combinations, and thus it cannot be reduced much further without noticeable signal loss. The new noise has a “burbley” or “bubbly” quality to it, and if amplified, sounds very harmonic – like those talking computers in old science fiction films and TV shows. Since this is so much quieter than the original noise though, it is very acceptable.


Note 9: Using SMPTE drop format

Drop frame SMPTE time code, or SMPTE drop, is used to achieve a frame rate of 29.97 fps, to match that used in American video. This frame rate is accomplished by skipping frame numbers 0 and 1 at the beginning of every minute that is NOT a multiple of 10.

If you’re using SMPTE drop, to get your offset to occur on the “top of the minute” (1:00:00), you must enter 1:00:02. Otherwise 1:00:01 is equivalent to 0:59:29; hence 1:00:00 is equivalent to 0:59:28. This is because, as mentioned above, every minute two frames are dropped, except for every 10 minutes (when the two frames aren’t dropped).


Note 10: Video Card Driver Compatibility

Some video cards don’t release the PCI bus when in acceleration mode. When this happens, it can cause your audio card to jitter, drop out, skip, or otherwise behave badly. This is most noticeable if Cool Edit Pro is scrolling while in a very large window in a high resolution video mode.

If you notice choppy audio during playback, and adjusting buffer settings does nothing to help, try using a lower video resolution, lower color resolution, and/or turning off graphics hardware acceleration in Windows. If this makes a difference, then you need to advise your video card manufacturer of the problem and obtain updated video drivers from them.

Another solution may be to change DMA or interrupt numbers between your audio and video cards so the audio card has higher priority.


Notes

Simply drag the notes and rests you desire to the staff.

To sharpen or flatten a note, drag the sharp or flat symbol on top of the note you wish to transpose.

If you want to clear a sharp, flat, or chord from a note, use the faded looking quarter-note object, and drop it on the note you wish to bring back to normal.

You can move notes up or down after they have been placed, or pick them up to insert in a new position.

To remove a note, pick it up and drop it off away from the bar.

Use the horizontal scroll bar to work on individual portions of the song at a time. You can scroll to write a piece as long as 256 notes.


Notes Tab

Advanced Session Properties Dialog - Notes Tab

Advanced Session Properties Dialog - Notes Tab

You can enter any freeform text about the session here. For example, the names of the musicians, who played what instrument, and notes about settings.

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...

More about...

Advanced Session Properties...


Number of Beats

Enter the waveform’s number of beats in this field. When you do so, the BPM (Beats Per Minute) is automatically calculated and entered into the “Tempo” box below.


Nyquist Frequency

The Nyquist Frequency (also called “Nyquist Rate”) is one-half of the current sampling rate. For example, the Nyquist Frequency for 44,100 Hz audio is 22,050 Hz. This frequency designates the highest reproducible frequency for that sample rate. Thus, in order to reproduce a signal with an 11 kHz frequency range, you would need to select a sample rate of at least 22 kHz. Frequencies recorded which exceed the Nyquist limit will produce an aliasing effect. It’s best to record at higher sample rates and convert down if needed.


Octave

This drop-down list lets you transpose the sequence by octaves. Choosing C plays the notes at normal transposition.


Offset

Cursor At

This shows the current position of the cursor in bars-and-beats format. You can also enter a new cursor position here and Cool Edit Pro will recalibrate the session, including negative time. This is so you can line up your metronome with a song that’s already been created and you're adding more to. Any point can be at any time, so that you know the metronome beat will be in the right place.

Reset 1:1 to Cursor

Press this button to set the cursor to the first beat of the first measure.

Song Start

The exact position (stated in milliseconds) of the beginning of the song is shown here.


Offset 2

Offset

The information in the “Current Beat At” field is the bar/beat information for the left edge of the selection (or the current cursor point, if no selection is made). When extracting from a selection, Cool Edit Pro assumes that this is a downbeat. You can change the actual bar and beat number for the left edge of the selection (or the current cursor point). Modifying the “Current Beat At” figure updates the Song Start value based on the current tempo settings.

Press the Reset 1:1 to Cursor button to change the value in the “Current Beat At” field to 1:1.00

“Song Start” is the number of milliseconds into the file before the measure 1:1.00 begins. You cannot edit this value.


Old Style

Chose this option to save your audio as an 8-bit .voc file that can be played on any Sound Blaster card.


One Shot

Choose this option if the file isn’t a loop.


Online Resources

Select this option to go to Syntrillium's web site for the latest Cool Edit Pro updates, tips, tricks, how-tos, loop downloads, and more.

Path (Breadcrumbs) Help > Online Resources


Open...

Open button Open... Ctrl+O

Use this command to load an existing waveform or CD track into a Cool Edit Pro editing window. The Open a Waveform dialog appears, allowing you to select one or more audio files for listening or modification. This dialog looks and works similarly to a standard Windows Explorer “Open” window (including allowing you to use the Ctrl and Shift keys to select multiple non-contiguous and contiguous files respectively), but adds useful Cool Edit Pro-specific features.

Open a Waveform dialog

Open a Waveform Dialog

No matter which of the wide variety of supported waveform types you load, Cool Edit Pro automatically converts the audio file into an internal temporary waveform for quicker editing and better handling of large files.

Here are the components of the Open a Waveform dialog:

Recent Folders

Look In

File Name

Files of Type

Don't ask for further details

Show File Information

Auto Play

Note icon | When multiple files are open in the Edit View, you can easily select between them holding down the Ctrl+Tab keys simultaneously, which shifts between open files in the forward direction. Use the Ctrl+Shift+Tab key combination to move between open waveforms in the in the reverse direction.
Tip icon | Use the keyboard shortcut of Ctrl+O to quickly access Cool Edit Pro’s Open dialog.

Path (Breadcrumbs) Edit View: File > Open...

More about...

File Formats

Forcing Cool Edit Pro to open a file as a specified format

Opening/appending several files at once


Open Waveform...

Open Waveform button Open Waveform... Ctrl+O

Use this command to load an existing waveform or CD track into a Cool Edit Pro editing window. The Open a Waveform dialog appears, allowing you to select one or more audio files for listening or modification. It looks and works similar to a standard Windows Explorer “Open” window (including allowing you to use the Ctrl and Shift keys to select multiple non-contiguous and contiguous files respectively), but adds useful Cool Edit Pro-specific features.

Open a Waveform dialog

Open a Waveform Dialog

Note icon

More information on the Open a Waveform dialog can be found in the File Menu – Edit View Menu Reference section.

Path (Breadcrumbs) Multitrack View: File > Open Waveform...

More about...

File Formats

Forcing Cool Edit Pro to open a file as a specified format

Opening/appending several files at once


Open As...

The File > Open As… command is similar to File > Open, except that it lets you specify the sample format before opening a file. Think of it as a quick way to make changes to one or more existing waveforms’ sample rate, bit rate, and/or channel type.

Open a Waveform As dialog

Open a Waveform As Dialog

Tip icon

Since this function doesn’t pre-filter or post-filter the samples, you’ll get better-sounding results when changing sample rates by opening the file(s) normally and using the Edit > Convert Sample Type function.

Path (Breadcrumbs) Edit View: File > Open As...

More about...

File Formats

Sample Rates

Resolution


Open/New Collection

Pressing this button brings up a standard Open dialog with which you can browse your system’s folders for script (*.scp) files. Double-click an existing .scp file to open that script collection.

To create a new script collection, navigate through the dialog to the folder that you would like to save the .scp file, and enter a name for it in the File Name: field. Next, press Open to save the script file. It will then be ready for use in a new script collection.

To name a script collection, press the Edit Script File button. The Windows Notepad applet will be launched with the script file loaded. Look for the Collection: entry (it’s on the first line of the script file) and overwrite “New Collection” with your new title. Then, save the file.

Note icon

The text in the Script Collections field will not reflect the name change until you reload the script.


Open Raw PCM As...

If a source file is unreadable, or in a raw format without any header information, then Cool Edit Pro’s Batch Processor needs to know what file type to assume for the data. Pressing the Open Raw PCM As… button allows you to define a global file type for interpretation in such cases; you will need to set the sample rate, channels, resolution, and formatting. This ensures that the batch process will run continuously without interruption by dialogs asking for input data formats on headerless files.


Open Session...

Open Session Button Open Session... Ctrl+O

This function launches the Open a Multitrack Session dialog, allowing you to load an existing session (.ses) file, along with all audio files used in the session.

Open Session Dialog

Open Session Dialog

Here are the components of the Open a Multitrack Session dialog:

Recent Folders

Look in

File name

Files of type

Show File Information

Path (Breadcrumbs) Multitrack View: File > Open Session...


Options

Most audio file formats support various options. (See the Waveform File Formats section for more information.) Press the Options… button to bring up a window to select the desired settings.

If the format doesn’t have any options, the Options button is disabled (“grayed out”).


Options 2

Options

Use this drop-down list to select one of five graphing display options.

Lines

The waveform’s left and right channels appear as simple lines, with each channel displayed in a different color.

Area (Left on top)

The Area modes are similar to the Lines option, but the area beneath the lines is rendered as a solid color. The lines that represent the frequencies are smoothed out, and the left channel appears in front of the right channel.

Area (Right on top)

Choose this option to have the right channel appear in front of the left channel in Area mode.

Bars (Left on top)

While the Area modes smooth out the lines that represent the frequencies, the Bars modes show the actual limitations on analysis resolution by splitting the display into rectangular segments. The higher the FFT size, the greater the analysis resolution, and the narrower the bar. Select this option to have the left channel appear in front of the right channel.

Bars (Right on top)

Choose this option to have the right channel appear in front of the left channel in Bars mode.


Options 3

Options

Most audio file formats support various options. (See the Waveform File Formats section for more information.) Press the Options… button to bring up a window to select the desired settings.

If the format doesn’t have any options, the Options… button is disabled (“grayed out”).


Options 4

Options

When the Save copies of all associated files box is checked, the Options button is enabled. Pressing it brings up the Session ‘Save Copies of all files’ Options dialog.


Order

The higher the order, the more precise the filter (with steeper slopes at the cutoff points, etc.). However, very high orders can also have high levels of phase distortion.


Order 2

Order

The Order field displays the device preference order for the highlighted recording device. To change this order, press the Change button to bring up Cool Edit Pro’s Device Ordering Preference dialog.


Order 3

Order

The Order field displays the device preference order for the highlighted MIDI Output device. To change this order, press the Change button to bring up Cool Edit Pro’s Device Ordering Preference dialog.


Order 4

Order

The Order field displays the device preference order for the highlighted MIDI Input device. To change this order, press the Change button to bring up Cool Edit Pro’s Device Ordering Preference dialog.


Organizer Window

Cool Edit Pro’s Organizer Window is a handy, tabbed window that allows you to easily open and close files, see a list of all open waveforms and MIDI files, choose effects with ease, and more.

The Organizer Window is hidden by default. To display it, check “Show Organizer Window” from Cool Edit Pro’s View menu, or press the Alt+9 keyboard shortcut. The Organizer Window initially appears to the left of the Wave Display in Edit View or to the left of the Session Display in Multitrack View. However, it’s dockable so you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

To close the Organizer Window when it’s floating, click on the X control in its title bar. To get rid of the Organizer Window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, you can simply uncheck the “Show Organizer Window” item on the View menu to close it in either docking or floating mode, or press the the Alt+9 hotkey.

Files Pane

Effects Pane

Favorites Pane

More about...

Getting To Know Cool Edit Pro and its Main Screens


Organizer Window 2

Organizer Window

The part of the Cool Edit Pro interface that lets you see a tabbed list of open files, effects, and favorites. The Organizer Window isn’t shown by default. Activate it by pressing the Alt+9 key or by selecting View > Show Organizer Window.


Original - Delayed Slider 2

Original - Delayed Slider

Use this control to mix in the desired amounts of original and delayed audio. The more of the original signal you have in the mix, the less delay you’d have – and vice-versa.


Original - Expanded Slider

Original - Delayed Slider

Use this control to adjust the mix between the amount of original (dry) and flanged (wet) signal. If the Original value is at 100%, the result is no flanging at all. If the Delayed signal is set to 100%, the result is a wavering sound, rather like a bad tape player. Portions of both signals must be present if you want to achieve the characteristic cancellation and reinforcement that occurs during flanging.


Original Artist

Enter the name of the one who created the sound initially. Examples are: The Rolling Stones, George Jetson, or even your name!


Original Medium

Describe where did the sound come from originally. Examples: Live Band, Trumpet, Keyboard, Vocal…


Origination Date (yyyy-mm-dd)

This field should contain the date that the subject matter was created. The date should be in the year-month-day format, using “0” as a place holder in single-digit values. For example, if the date the original recording was made was June 8, 2001, then it needs to be written as: 2001-06-08.


Origination Time (hh:mm:ss)

The time the audio file was produced goes in this field. The format is hour:minutes:seconds, with the hour represented in 24-hour (0 to 23) “military time” format (i.e., 10 P.M. is 22).


Originator

Enter the name of the audio file’s producer (up to 32 characters) in this field.


Originator Reference

A non-ambiguous reference allocated by the origination organization (limited to 32 characters).


Originator Reference 2

Originator Reference

You can enter up to 32 characters of reference information here about the producer.


Out

Pressing this button shows the Bus Properties dialog.


Out 1 Button

Pressing this button brings up Cool Edit Pro’s Playback Devices window, which lets you assign the output properties for the selected track. The button’s text changes to reflect the output device. For example, if it were set to device #2, it would say “Device 2”. Or, if it were set to Bus C, it would say “Bus C”.

Playback Devices Window - Wave Tab

Playback Devices Window – Wave Tab


Out of Band Peaks

These settings determine how Cool Edit Pro handles out of band peaks. When amplifying audio, the audio samples may go beyond clipping. If this happens, you can choose to just let it clip (and cause distortion) – or you can apply limiting to those areas so the audio doesn't actually clip (which is what’s commonly done for the audio of TV commercials so they sound louder).

No Limiting (Clip)

If this option is chosen, no limiting will be performed, which means you could end up with clipped (distorted) audio.

Use Limiting

Choose this option to have Cool Edit Pro’s Hard Limiter spring into action, if needed, to keep out of band peaks from clipping.

Look Ahead Time

This is the amount of time (measured in milliseconds) that it will generally take to attenuate the audio before the loudest peak will be hit.

Note icon

If this value is too small, audible distortion effects may be heard. Make sure the value is at least 5 ms. (The default is 12 ms.)

Release Time

This is the time (measured in milliseconds) that it takes for the attenuation to rebound back 12dB (or roughly the time it would take audio to resume normal volume if an extremely loud peak was encountered). Generally around 100 ms (the default) works very well, and will preserve very low bass frequencies.

Note icon

If this value is too long, audio may just stay very quiet, and not resume normal levels for a while. (The default is 200 ms.)


Outcut

A description of the ending (such as the last few words) of the production piece goes here. It might be “member FDIC”, “sale starts tomorrow”, or “(music up and cold)”.


Output

The item shows where the track will be output to, such as a sound card or bus. If you have more than one output device in your system, you can select it from the drop-down list.


Output Button

Pressing the Output Button (which is labeled “Out 1” by default) brings up Cool Edit Pro’s Playback Devices dialog, which allows you to specify the track’s output device or bus. The text on the button changes to reflect the output device or bus chosen.

Note icon

The Output Button is found in both the Vol and Bus areas.


Output Device

This drop-down list is used to select the desired output device for the bus.


Output Filename Template

The names of files in your batch can be modified before being saved to the Destination folder. When running a batch, the processed file’s extension will automatically change to that of the format chosen using the Output Format control (for example, *.aif for Apple AIFF). You can, however, force another extension or alter the first part of the filename by using the Output Filename Template. There are two characters to use when altering the Output Filename Template:

  • A question mark (“?”) will signify that a character doesn’t change.

  • An asterisk (“*”) will denote the entire original file name or entire original file extension.

Here are some examples of how filenames will be saved given the original file name and the filename template:

zippy.aif | * .wav | zippy.wav
toads.pcm | q*.voc | qtoads.voc
funny.mp3 | b???????.* | bunny.mp3
biglong.au | ????.au | bigl.au
bart.wav | * x.wav | bartx.wav


Output Format

Use this drop-down control to select the desired output format. If the selected format has options, the Options… button will be enabled, allowing you to select them.


Output To

Choose the track to output the resulting waveform to. This entry defaults to the next available track.


Output To 2

Output To

Choose the track to output the resulting waveform to. This entry defaults to the next available track.


Output Waves

Cool Edit Pro automatically assigns each copy of the original waveform block a new name. This is usually the original name of the waveform plus its frequency range. The names of the copies are listed in this column.


Overhead

This is the amount of play there is, measured in percentage, for detecting clipped regions.

A value of zero will consider only perfectly horizontal line-type clipping to be “clipped.” A value of 1% will allow the horizontal line to vary up to 1% away from maximum amplitude.

Tip icon

Values of about 1% work best since they catch almost everything, which leads to a more thorough repair.


Overlap

When “Overlap” is selected, the clipboard audio is mixed at the selected volume level with the current waveform.

If the clipboard audio is longer than the current waveform, the current waveform is automatically lengthened to accommodate the pasted audio.


Overlays

This is the number of FFTs that are overlapped in processing the vocoder.

More overlays can produce smoother results, but will take longer to process.

Tip icon

Values of 3 to 12 work well.


Overview

Choose this option to see a general description of Cool Edit Pro and its features.

Path (Breadcrumbs) Edit View: Help > Overview


Overwrite Existing Files

With this option checked, files will always be saved to the Destination folder after performing the script, regardless of whether a file of the same name already exists at this location.

If this box is unchecked, and the destination filename already exists, the batch will not even attempt to run the script on the file in question, but skip it instead.


Padding

ISO Padding is chosen by default. If for some reason the decoder being used needs no padding, or always needs padding, then change this option using the drop-down list.


Pan

Adjust the Pan slider or enter a pan amount (-100 is hard left, 100 is hard right) in the box to the right to set a pan level for the waveform block.

Note icon

This pan setting is independent of the track’s overall pan. Track pan is set in the Track Info dialog.


Track Pan...

Use this command to display a small floating window which includes a slider for adjusting the track’s overall pan.

Track Pan Dialog

Track Pan Dialog

Dragging the slider’s scroll control to the right pans the track to the right, while moving the scroll control to the left pans the track to left. You may also adjust the track’s pan by entering a value from –100 (hard left) to 100 (hard right) in the box to the right of the slider.

Note icon

Each track has a global pan setting, while each block within the track has an individual pan setting.


Pan 3

Pan

This horizontal slider is used to pan the wave block to the left or right channels of your stereo mix. You may also directly designate the block’s pan value by entering it into the box to the right of the slider. A value of -100 is a hard left pan, while 100 means the block is panned all the way to the right channel.


Adjust Wave Pan...

Use this command to display a small floating window which includes a slider for adjusting the block’s overall pan. Dragging the slider’s scroll control to the right pans the block to the right, while moving the scroll control to the left pans the block to left. You may also adjust the block’s pan by entering a value from –100 (hard left) to 100 (hard right) in the box to the right of the slider.

Pan Control

Note icon

Each track has a global pan setting, while each block within the track has an individual pan setting.


Pan Controls

Two types of pan controls for adjusting the balance of each track are included.

The control that looks like a small ball is used to quickly pan the track hard left or hard right, or return the track to a centered state. Use your mouse to switch the ball to three possible positions: hard left, zero pan, and hard right.

The other pan control shows the current pan value and provides a more precise way of adjusting pan. To change the pan value for the track, select the pan field, hold down your left-mouse button, and drag. Dragging to the right pans the track to the right channel, while dragging to the left pans the track to the left channel.


Pan Controls 2

Pan Controls

Two types of pan controls for adjusting the balance of each track are included.

The control that looks like a small ball is used to quickly pan the track hard left or hard right, or return the track to a centered state. Use your mouse to switch the ball to three possible positions: hard left, zero pan, and hard right.

The other pan control shows the current pan value and provides a more precise way of adjusting pan. To change the pan value for the track, select the pan field, hold down your left-mouse button, and drag. Dragging to the right pans the track to the right channel, while dragging to the left pans the track to the left channel.


Show Pan Envelopes

View Pan Envelopes button Show Pan Envelopes

Checkmark this option to show the Pan Envelopes for each block in the session display. Pan envelopes appear as a vertical blue line through the center of the block and represent the sound file’s left/right stereo placement – the top of the block is hard left, and the bottom is hard right.

A wave block with its Pan Envelope set to pan hard left, then hard right, and then back to center

A wave block with its Pan Envelope set to pan hard left, then hard right, and then back to center

Note icon | To change a pan envelope, there must be a checkmark next to “Enable Envelope Editing” (further down the View menu).
Note icon | Pan Envelopes are nondestructive, meaning they don’t affect the original audio file in any way. Therefore, if you return to the Edit View or go to another application and play a sound file that you’ve applied an envelope to, you won’t hear the envelope panning. The only time this envelope is applied is within Cool Edit Pro’s Multitrack View.

Path (Breadcrumbs) Multitrack View: View > Show Pan Envelopes


Pan Envelopes

When the Pan Envelopes checkbox is selected, two envelope lines are provided within the waveform display window. These envelopes are interactive with the positioning of the sound source orb in the Multichannel panner interface. One envelope controls the front-rear position, and the other controls the left-right position. It is possible to create dynamic panning over time by using these envelopes.

To create a dynamic pan on a track, follow these steps:

  1. Select and check the box for one of your tracks in the Track List.

  2. In the Panning Assignment menu, make sure one of the Surround Panner options is selected.

  3. At the top right of the Waveform display section, select the Pan Envelopes checkbox. You will then see two envelope lines appear in the Waveform display.

  4. Left click in the waveform display at the desired time location where you would like to set a pan destination for the sound source. This moves the vertical Preview cursor to this time location.

  5. Move the white sound source Orb to the desired position in the 5 channel sound field –

    6. Note icon

    As soon as you move the Orb that two “handle” points are created on the Envelope lines within the Waveform display. These handles now move with your positioning of the Orb.

    Alternate Method icon

    You can also left click directly on either of the envelope lines to create additional adjustable “handles” for shaping the envelope lines.

  6. These Envelope points are now also able to be edited by left-click dragging them to any other desired position. If you wish to delete any single handle, simply drag it out of the waveform display area.

  7. To clear all envelope handle points and reset the track to flat envelopes, click on the Clear All button at the top right of the waveform display area.

  8. Select the Splines checkbox if you prefer the envelope to use rounded Spline curves for smoother transitions between points.

  9. Place the Preview cursor back to the start of the track and select one of the Preview buttons. Watch the Orb position and listen to see and hear the dynamic pan setting you just created.

If you prefer to keep your track panned to a fixed point, then simply de-select the Pan Envelopes checkbox. This removes the Envelopes from the waveform display and allows you to set the Orb to a static position. You can toggle the Pan Envelopes setting on/off and any envelope points you might have created for this track will be retained.

Note icon

If the Pan Envelopes checkbox is not selected, you can drag the panning Orb during Preview and hear your static pan positioning in real-time.

More about...

Multichannel Encoder...


Pan Expand...

Pan/Expand button Pan/Expand...

The Pan/Expand effect is used to pan, or shift, the center channel of a stereo waveform. It also lets you expand or narrow the stereo separation of the left and right channels.

Pan/Expand Dialog

Center Channel Panning makes use of the “surround” and “center” channels of a stereo recording, where the “surround” channel is the difference (L-R) of the two original channels, and “center” is the sum (L+R) of them. In this case, you can think of a stereo recording as having 4 channels (left, right, middle, surround), and this effect will pan these channels around.

For example, you can pan hard left to get the old “center” channel coming out the left speaker, and the old “surround” channel coming out the right. This type of panning can provide realism to original stereo recordings.

Expanding works by subtracting out or adding differing amounts of left and right channel signal, so things occurring on the right or left are boosted or cut.

Both of these elements can be altered dynamically over time by using the respective graph.

Center Channel Pan

Stereo Expand

Spline Curves

Flat

Presets

Cool Edit Pro provides several Pan/Expand presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Pan/Expand setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Check the Bypass box to hear the waveform without any changes in panning or expanding for a quick “before and after” comparison.

Automated

When using Pan/Expand as a real-time effect in Multitrack View, it supports parameter automation.

  • Check the "Automated" box in the Center Channel Pan section of the Multitrack View version of the Pan/Expand dialog to draw the Center Channel Pan curve using a yellow envelope on waveform blocks.

  • Check the "Automated" box in the Stereo Expand section of the Multitrack View version of the Pan/Expand dialog to draw the Stereo Expand curve using a pink envelope on waveform blocks.

Note icon

You must have View > Show FX Parameter Envelopes in Multitrack View turned on in order to use parameter automation.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Pan/Expand...

* This function supports Presets.

* This function supports Preview.


Panning Mode

This section sets the method used for panning waveforms in a multitrack session.

L/R Cut (log)

If this option is chosen, left-panning is achieved by reducing the volume of the right channel, and right-panning is performed by reducing the left channel volume. The channel being panned to doesn’t increase in volume as panning gets closer to 100%.

Equal-power Sine

Choose this option to pan left and right channels with equal power, so a hard pan left will contain the same loudness as both channels together. This results in an increase of 6dB RMS on the channel being panned to when at 100%.

Note icon

Because panning can actually make one channel louder than the original waveform, audible clipping can occur in 16-bit sessions. To avoid this, work in the 32-bit realm if you’re using this panning method.


Panning

This section sets the method used for panning waveforms in a multitrack session.

L/R Cut Logarithmic

If this option is chosen, left-panning is achieved by reducing the volume of the right channel, and right-panning is performed by reducing the left channel volume. The channel being panned to doesn’t increase in volume as panning gets closer to 100%.

Equal-power Sinusoidal

Choose this option to pan left and right channels with equal power, so a hard pan left will contain the same loudness as both channels together. This results in an increase of 3dB RMS on the channel being panned to when at 100%.

Note icon

Because panning can actually make one channel louder than the original waveform, audible clipping can occur in 16-bit sessions. To avoid this, work in the 32-bit realm if you’re using the Equal-power Sinusoidal panning method.


Panning Slider

This horizontal slider adjusts the track’s pan, measured in percentage. Moving the slider to the left (or clicking on the arrow at the left of the slider) reduces the volume of the right channel, while dragging it to the right (or clicking on the arrow to the right of the slider) decreases the left channel’s volume.

You can also set the track’s panning parameter by directly entering the desired percentage in the text box to the right of the Panning Slider. Negative numbers (such as -100) denote a left pan, while positive numbers (like 100) mean a right pan.


Parametric Equalizer...

Parametric Equalizer button Parametric Equalizer...

Parametric equalizers are used for fine editing of frequencies within a sound. They differ from equalizers that offer a specific number of frequencies and Q bandwidths (which determines how many overall frequencies will be effected by a single, selected frequency control) in that they give you continuous control over the frequency, Q, and gain settings.

Parametric Equalizer Dialog

Parametric Equalizer Dialog

For example, with the parametric equalizer, you can boost a broad range of frequencies that are centered around 1000 Hertz (1kHz), or you can boost the low frequencies while simultaneously inserting a 60 Hz notch filter.

Cool Edit Pro’s Parametric Equalizer uses IIR filters (second order), which are very fast and can give very precise resolution, even at the lower frequencies. For example, it’s easy to boost just the bass at 40Hz to 45Hz.

Graph

Low Shelf

Low Shelf Cutoff

High Shelf

High Shelf Cutoff

Intermediate Bands

Width

Constant Width/Constant Q

Master Gain

Presets

Cool Edit Pro comes with several Parametric Equalizer presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Parametric Equalizer setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > Parametric Equalizer...

* This function supports Presets.

* This function supports Preview.


Pass Ripple/Actual Ripple

Some high-order filter types give you the ability to choose the maximum allowable amount of ripple. Ripple is the effect of unwanted boosting and cutting of frequencies near the cutoff point.


Passive/Logarithmic Buttons

Select Passive mode to express frequency changes (boosts or cuts) in terms of percentages, where a setting of 100% represents no change.

Select Logarithmic mode when you want to express changes in terms of dB, where 0dB represents no change.


Paste 2

Paste

Paste inserts data from the active clipboard at the insertion point, or it replaces the currently highlighted data.

One nice touch: if the format of the waveform data on the clipboard is different from the format of the file it’s being pasted into, Cool Edit Pro automatically converts it before pasting.

Tip icon

The Ctrl+V keyboard shortcut offers a quick way of pasting in clipboard data.


Paste to New

Paste to New Ctrl+Shift+N

This command creates a new file and inserts waveform data from the active clipboard. The new file automatically inherits the properties (sample rate, sample frequency, etc.) from the original clipboard material.

Path (Breadcrumbs) Edit View: Edit > Paste to New

More About...

Paste


Paste

Paste button Paste Ctrl+V

Paste inserts data from the active clipboard at the insertion point, or it replaces the currently highlighted data.

One nice touch: If the format of the waveform data on the clipboard is different from the format of the file it’s being pasted into, Cool Edit Pro automatically converts it before pasting.

Path (Breadcrumbs) Edit View: Edit > Paste


Path Type

  • Choose the Straight Line option to have effect’s path visualized as a straight line on the graph in the right section of the Doppler Shifter window.

  • Select the Circular option to visualize the effect’s path as a circle on the graph in the right section of the Doppler Shifter window.

Depending on the path type you chose, you’ll get a different set of options.

Note icon

Unlike many of the graphs in Cool Edit Pro’s effects, the Doppler Shifter graph is non-interactive; you can’t directly manipulate the items on the graph using your mouse. Instead, the graph simply displays what the Doppler effect will “look like” as you make adjustments to the effect’s parameters.


Pattern

Here’s where you specify the pattern of the time signature. Use a 0 for no beat, a 1 for a down beat, a 2 for a secondary beat, and 3 for a regular beat. Spaces between the numbers are optional.


Pattern 2

Pattern

The current metronome pattern is shown in this non-editable text box.


Pause at Dialogs

Check this option to have the script stop at each dialog, allowing you to modify the values of that function.

Pressing Cancel in any dialog will stop the script. Pressing OK will continue it.


Pause Background Mixing

Enable this option to halt Cool Edit Pro’s background mixing process.

Background mixing pre-mixes audio before the audio is played. This can relieve some of your computer’s processing load at playback time if some audio can be mixed before you even hit the Play button. Cool Edit Pro will function with background mixing turned off, but in most cases you’d be better off with it enabled.

However, you may want to pause background mixing if you are making lots and lots of edits, and don't want the hard drive trying to keep up with the background mixing only to have you make more edits which invalidate the previous mixing.

Path (Breadcrumbs) Multitrack View: Options > Pause Background Mixing

More about...

Background Mixing


Pause Character

When you enter this character in the Dial String field, Cool Edit Pro interprets it as a pause, and will insert silence for the duration specified in the Pause Time field.


Pause Time

When the pause character is used in the Dial String field, this is where you enter the length of the pause, measured in milliseconds.


PCM

Pulse Code Modulation. PCM is the standard method of digitally encoding audio. It’s the basic uncompressed data format used in file types such as Windows .wav and Apple AIFF.


PCM Raw Data (.PCM) (*.*)

This format is simply the PCM dump of all data for the wave. No header information is contained in the file. For this reason, you’re asked to select the sample rate, resolution, and number of channels upon opening.

By opening audio data as PCM, you can interpret almost any audio file format – but make sure you have some idea about the sample rate, number of channels, etc. You can also interpret the data as A-Law or mu-Law compressed. When guessing at these parameters upon opening, the waveform may sound incorrect (in different ways, depending on which parameters you have mixed up). Once the waveform is loaded and sounds fine, you may hear clicks at the start, end, or sometimes throughout. These clicks are various header information being interpreted as waveform material. Just cut these out, and Voilà! – you’ve read in a wave in an unknown format.

Options...

Data Formatted As 16-bit PCM (LSB, MSB)

Data Formatted As 16-bit PCM (MSB, LSB)

Data Formatted As 8-bit mu-Law Compressed

Data Formatted As 8-bit A-Law Compressed

Create .DAT header on save


Peak Amplitude

The waveform’s peak amplitude is shown here. Peak amplitude is the absolute maximum sample value given in decibel form.

Press the [->] button to have the playbar cursor jump to the peak amplitude in the waveform. The Waveform Statistics dialog is automatically closed.


Peak Files

Cool Edit Pro’s peak (.pk) files store information about how to display .wav files, and can make file loading almost instantaneous by greatly reducing the time it takes to draw the waveform (especially with larger files).

Peaks Cache

This value determines the number of samples per block to be used when storing peak files. Larger values will reduce the RAM requirement for large files at the expense of slightly slower drawing at some zoom levels.

If RAM is an issue on your system, and you’re working with very large files (several hundred megabytes or more in size), you should consider increasing the Peaks Cache to 1024 or even 1536 or 2048.

Save Peak Cache Files

If this option is enabled, all .wav files will have peak files saved with them (in the same folder) with the extension .pk following the original audio filename. Uncheck this box if you don’t want Cool Edit Pro to save peak files on your hard drive.

Rebuild Wave Display Now

Press this button to have Cool Edit Pro rescan the current file for sample amplitudes and redraw the waveform.

Note icon

Peak files are 16-bit, so when working with 32-bit audio, any audio quieter than 1 sample amplitude will show as 0 and samples louder than 32768 will show as only 32768.


Percentage

This display type numerically indicates amplitude on a percentage scale value that ranges from -100% to 100%.

Path (Breadcrumbs) View > Vertical Scale Format > Percentage


Perception

This value models irregularities in the environment (objects, walls, connecting rooms, etc.).

  • Low values will do a smoothly decaying reverb without any frills.

  • Larger values will give more distinct echoes (coming from different locations).

Tip icon

If a reverb is too smooth, it may not sound natural. Values up to about 40 will give just enough variation to the reverb to simulate small room variations


Perception 2

Perception

This parameter gives subtle qualities to the environment by enabling you to change the characteristics of the reflections that occur within a room.

  • With lower values, the reverb is “smoother” and doesn’t have as many distinct echoes. In general, lower values (down to 0%) simulate smaller rooms.

  • Higher values cause more variation in the reverb amplitudes and add more spaciousness by creating distinct reflections over time. Generally speaking, higher values (up to 60%) simulate large rooms.

Tip Icon

A setting of 100 and a reverb length of 2000 milliseconds or more creates interesting canyon effects.


Phase

As a wave vibrates, it cycles through from its maximum to minimum amplitude, and then back to its maximum. The phase is the position of the wave on this cycle. When you hear two sounds simultaneously, their amplitudes are summed together to form the total sound we hear. Two sounds will cancel each other out when one’s high points coincide with the other’s low points. These two waves are said to be out of phase.


Pink Noise

Pink noise has a spectral frequency of 1/f and is found mostly in nature. It’s the most natural sounding of the noises. By equalizing pink noise, you can simulate rainfall, waterfalls, wind, a rushing river, and other natural sounds. Pink noise falls exactly between brown and white noise (which is why some people used to call it tan noise, but pink was more appealing). Pink noise has a fractal-like nature when viewed. When zoomed in, the pattern looks identical to the way it appears when zoomed out, except at a lower amplitude.


Pitch and Time settings

Splicing Frequency

This setting determines the size of the chunk of audio data used when preserving pitch or tempo while elongating or truncating a waveform. The higher the value, the more precise the placement of stretched audio is over time. However, artifacts are more noticeable as rates go up. At higher precision, lower splicing frequencies may add stutter or echo. If the frequency is too high, it may sound “tinny” or like talking through a tunnel.

Tip Icon

If the low precision mode is used, you can improve the quality of stretched mono-tonal (pure tone) samples by choosing a Splicing Frequency that’s evenly divisible into the frequency of the sample. Use the Frequency Analysis window to find the sample’s base frequency, then divide by an integer to get the Splicing Frequency. For example, if the tone was reported to be 438Hz, dividing by 20 gives 21.9Hz. Thus, using 21.9Hz as the Splicing Frequency will greatly improve the quality by reducing phase artifacts.

For non-tonal or noisy samples, the Splicing Frequency doesn’t matter as much.

Overlapping

When stretching or compressing, “chunks” of audio are overlapped with previously transformed chunks. This setting determines how much the current chunk will overlap with the previous and next ones.

If you find you’re getting a chorus effect when stretching, you can lower the overlapping percentage. However, doing so may produce a “choppy” sound. If so, adjust the overlapping value to strike a balance between choppiness and chorusing.

Overlapping can be as high as about 400%, but you should only go this high for really high speed increases (like 200% or more).

Choose Appropriate Defaults

When preserving pitch or tempo, check this box to have Cool Edit Pro automatically select good default values for the Splicing Frequency and Overlapping settings.


Pitch Bender...

Pitch Bender button Pitch Bender...

This effect varies the pitch of the source audio over time. Use the graph to “draw” your tempo to create smooth tempo changes or effects, such as that of a record or a tape speeding up or slowing down.

Pitch Bender Dialog

Pitch Bender Dialog

Pitch Graph

Spline

Flat

Zero Ends

Quality Level

Range

Length Report

Presets

Cool Edit Pro comes with several Pitch Bender presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Pitch Bender setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Edit View: Effects > Time/Pitch > Pitch Bender...

* This function supports Presets.

* This function supports Preview.


Pitch Graph

Use the graph to draw your tempo change over time. The x-axis (lower horizontal border) of the graph represents the sound file or highlighted section’s time duration, while the y-axis (right vertical border) represents pitch, measured in semitones or beats-per-minute, depending on the Range button pushed. Higher points on the curve speed up the sound, while lower points slow it down.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Placekeepers

Select Show a Placekeeper from Cool Edit Pro’s View menu to create a blank, dockable window called a “placekeeper”. Use it to more accurately define where you want a dockable window to be, especially for windows that are only useful when viewed in a certain aspect ratio.

Undocked Placekeeper Window with the CEP Logo Option Turned On

Undocked Placekeeper Window with the CEP Logo Option Turned On

For example, if you try docking the Track EQ controls above the Transport Buttons, they end up going underneath the WHOLE session display, which creates a view which isn’t that useful (or aesthetically pleasing). You can use a placekeeper, though, on either side of the Track EQ window in order to force the EQ into a certain aspect ratio. Placekeepers can also be used just for appearance’s sake, just because you like the way they let you customize Cool Edit Pro’s look.

Placekeepers may be inserted at any point in the Cool Edit Pro interface where docking is possible, and they automatically resize to fit their docked area. Their initial default appearance is blank, but you can right-click on a placeholder window to select other appearance options, such as the CEP (Cool Edit Pro) logo or Squares. Check the “Make Default” item to make future placekeepers automatically adopt the current appearance.

You can have up to four placekeeper windows, each created with a click of the “Show a Placekeeper” command. To delete a docked placekeeper, right-click on its grab bar and select “Close” from the pop-up menu.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Play

Pressing this button plays the cue ranges in the order listed, looping selections if specified. Play begins at the currently highlighted item in the Play List and goes to [End]. During playback the Play button turns into a Stop button.

During playback the Play button turns into a Stop button.


Show Play List

Show Play List buttons Show Play List

Select this item to display Cool Edit Pro’s Play List window. The Play List is an arrangement of Cue List entries that you can play back in any order and loop a specified number of times. The Play List can include an unlimited number of entries.

Play List Dialog

Play List Dialog

The Play List window is a dockable window, allowing you to reposition it at one of several places in the Cool Edit Pro interface. Or, you can detach the Play List window and have it float above Cool Edit Pro’s main window.

To close the Play List window when it’s floating, click on the “X” control in its title bar. To get rid of the Play List window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, you can simply uncheck the “Show Play List” item on the Edit menu to close it in either docking or floating mode.

Here are the major components of the Play List window:

Show Cue List

Insert Cue(s)

Remove

Loops

Play

Autocue

Move Up

Move Down

Path (Breadcrumbs) Edit View: View > Show Play List

More about...

Cue List

Non-destructive editing

Create Non-destructive Arrangements using the Play List


Play List

The Play List is an arrangement of Cue List entries that you can play back in any order and loop a specified number of times in non-destructive fashion. Cool Edit Pro saves the Play List in the .wav file format header.


Play/Record

Playback Buffer Size

This is the buffer size (measured in seconds) to be used when sending data to your sound card when playing back a multitrack session. Different sound card drivers can require different memory buffer size settings. Cool Edit Pro’s default settings should work fine for most sound cards.

If you hear “choppiness” (skips or dropouts) in multitrack playback, you can try to remedy it by adjusting the buffer size used. (Choppiness in multitrack playback can also be attributed to the background mixing process not being far enough ahead). A greater buffer size will require more of your computer’s memory. The default setting is 1.5 seconds.

Playback Buffers

This field is used to adjust the number of buffers Cool Edit Pro uses for playback in the multitrack environment. If you experience break-up in your audio, try reducing the number of buffers. Increasing the number of buffers may also help for some configurations. The default setting is 10.

Recording Buffer Size

Use this field to reserve memory for recording in a multitrack session by entering a buffer size (in seconds). Different sound card drivers can require different memory buffer size settings. Cool Edit Pro’s default settings should work fine for most sound cards.

If you experience dropouts while recording in multitrack (especially when playback seems fine), try increasing this setting. (First, be sure the background mixing process is sufficiently complete when you go to record as this may cause the same symptom.) A greater buffer size will require more of your computer’s memory. The default setting is 2 seconds.

Recording Buffers

This field is used to adjust the number of buffers used for recording in the multitrack environment. If you do experience break-ups in your audio, try reducing the number of buffers. Increasing the number of buffers may also help for some configurations. The default setting is 10.

Background Mixing Priority Level

Here is where you can adjust the priority level of the background mixing process done in a multitrack session. Lower values indicate a higher level of priority above other system events. Fractional numbers (such as 0.8) may be used. The default setting is 2.

Open Order

This setting determines the order that the sound card device drive will be opened for use in the multitrack environment. Because the multitrack environment requires full-duplex capability, it will “open”, or ready, both playback (out) and record (in) on the card. Some cards require this order to specific, but most don’t.

Note icon

Owners of the Digital Audio Labs CardD should set this option to Rec, Play. Owner of Sound Blaster cards should set this option to Rec, Play.

Start Order

After opening each device driver (see Open Order), this setting determines the order that the sound card device drive will be started in the multitrack environment. Because the multitrack environment requires full-duplex capability, it will start both playback (out) and record (in) on the card. Some cards require this order to specific, but most don’t.

Note icon

Owners of the Digital Audio Labs CardD should set this option to Play, Rec. Owner of Sound Blaster cards should set this option to Rec, Play.


Play/Record Buffer

Different sound card drives can require different memory buffer settings. Cool Edit Pro’s default settings should work find for most sound cards, but if you hear “choppiness” (skips or dropouts) in recording or playback, you may need to adjust the buffer size or number of buffers used.

Use the two fields in the Play/Record Buffer area to reserve more memory for recording and playback by entering a higher buffer size, both in seconds and a number of buffers.

Keep in mind that while a greater buffer size will allow for increased multitasking when audio is being played, it does so at the expense of taking more of your computer’s memory.

Tip icon

If you experience breakups in your audio, or you can’t stop a recording in progress, increase the buffer size or switch to a faster, non-compressed hard drive.


Playback Device

This command brings up Cool Edit Pro’s Playback Devices window, which lets you assign the output properties for the selected track.

Wave Tab

The Wave Tab of the Playback Devices Dialog

The Wave Tab of the Playback Devices Dialog

Devices

All of your system’s devices that are capable of playing waveforms are listed here.

Busses

A list of all Cool Edit Pro busses you’ve created is shown here.

New…

Click on this button to add a new bus to the Busses list. A properties dialog for the new bus appears.

By default, busses are automatically named with a letter of the alphabet, but you can give a bus a “friendly name” by filling out the appropriate field in the Bus Properties dialog.

MIDI Tab

The MIDI Tab of the Playback Devices Dialog

The MIDI Tab of the Playback Devices Dialog

A list of all your system’s MIDI output devices is shown here.

Same for All Tracks

Check this box to use the selected Wave device, bus, or MIDI device for all tracks in your session.

Properties…

The button brings up the property dialog for the selected Wave device, bus, or MIDI device.


Playing and recording

Play and record, as well as other transport functions like Stop and Rewind, function in Cool Edit Pro as they do on “real-world” tape machines. Transport controls can be found at the bottom left of each of the main viewing windows. Click on Play to play the portion of the waveform that is currently being viewed, or the portion that is highlighted. With Options > Loop Mode enabled, the waveform or selection will playback in a continual loop.

  • Click on Pause to temporarily pause the playback or recording of audio. The button turns a bright yellow when audio is paused.

  • Click on Record to start recording at the current insertion point. Any waveform data after that will be recorded over. The button will light up bright red when recording.

  • Click on Stop to end waveform playback or recording.

  • When a waveform is being played, a vertical yellow bar shows the current playing position.

  • You will also find buttons for Fast Forward, Rewind, Go to Beginning/End, and Play to End and Play Looped. Click here for details on the Transport controls.

Note icon

In Multitrack View, the track(s) recorded into when the record button is pressed is determined by the record enable button. This is the red button in the Track Console area of each track. The button will light up bright red when depressed to indicate the track is record-enabled.

More about...

Navigating the Edit Waveform View Screen

Navigating the Multitrack View Screen


Plot Style

Logarithmic Energy Plot

In this mode, colors change with the decibel value of the energy at any particular time and frequency. More details in the very quiet ranges can be seen in this mode, especially if the Range is quite high (above 150dB).

Use the Range value to adjust the sensitivity in plotting frequencies.

Linear Energy Plot

If this option is selected, colors are chosen based on percentage of maximum amplitude instead of decibel amplitude. Liner Energy Plot can be useful for viewing the general overview of a signal without getting bogged down by detail at much quieter levels.

The Scaling factor can be adjusted to highlight audio of different intensities, and can be thought of as a sensitivity value.


Plug-in

A plug-in is a software component that can be added to another piece of software to increase its functionality. For example, Cool Edit Pro supports third-party DirectX audio plug-ins, which seamlessly integrate into Cool Edit Pro’s interface.


Portion Bar

Vertical and horizontal bars that are used for zooming and scrolling in both Edit and Multitrack Views. Their name comes from their ability to allow you to see just a portion of the current waveform or session.


Portion Bar 2

Portion Bar

Unless you have a really, really large monitor, you won’t be able to see all of Cool Edit Pro’s available 128 tracks on screen at once. Use the portion bar to scroll from tracks 1 to 128 and any point in between.


Positive/Negative Tabs

You can specify separate distortion curves for positive and negative sample values. Select the tab corresponding to the distortion curve you want to display.

If the Symmetric box is checked, these tabs become inactive (and are marked “Symmetric”).


Possibly Clipped Samples

This field displays the number of samples which may be clipping (those that reach -32768 or 32767 for 16-bit waveforms, for example).

Press the [->] button to have the playbar cursor jump to the first clipped sample. The Waveform Statistics dialog is automatically closed.


Pre-Mixing

This is the bit depth used for the background mixing process. Best quality is achieved by choosing the 32-bit setting, especially for single output device situations or if you have a fast hard drive.

However, if you’re using multiple sound cards, it may be advantageous to pick 16-bit for pre-mixing, as less data will be transferred across the hard drive(s), which will speed things up.

Note icon

Even if you do 16-bit pre-mixing, no data is lost, and a final mixdown can still be 32-bit.


Pre/Post Filter

In general, you should enable this option for best results. During downsampling and upsampling, the appropriate filter will help keep false frequencies from being generated at the low end of the audio spectrum.


Precision

Three options for precision (overall faithfulness to the sound’s quality) are provided: Low Precision, Medium Precision, and High Precision.

When preserving pitch or tempo, the degree of precision that an audio file should be processed with is often balanced against the time that it takes to process that file. As you might expect, the tradeoff to having a precision factor that’s set too high is that it uses up a great deal of processing power (and thus time).

8-bit or low-quality audio files can be processed in a short amount of time using the Low Precision setting, whereas a professionally-recorded audio file may require stretching using the High Precision algorithm. This will take longer, but the results can be worth it.

Tip Icon

A quick way to determine the quality factor to use is to process a small portion at the lowest setting and the move up the scale until you’ve achieved the best balance of quality vs. processing time.


Precision Factor

This value determines how accurately you want to filter over time when separate initial and final settings are used. A larger number (low factor) means the filter settings will change roughly, or in chunks, from initial to final, while smaller numbers (higher factor) will make the transition much smoother. In any case, the higher the precision factor, the longer it will take to filter your selection, but the nicer it will sound.

Since the FFT function takes a large group of samples, and filters them all at once, the precision factor determines how many samples from the entire group will actually be saved. A factor of 2 means that half of the samples are saved, while a factor of 10 means that 1/10 of the samples are saved. Since there can be only one filter setting for the entire group of samples, you may want a more accurate (or smaller) setting if the EQ curve varies wildly over short periods of time.


Precision Factor 2

Precision Factor

This value determines the accuracy of hiss reduction in the time domain and affects how quickly spectral components below the previous hiss level decay. (See Spectral Decay Rate.)

  • Larger values generally produce better results, but at slower processing speeds. Values higher than 20 or so will not ordinarily improve quality any further.

  • With lower precision factors, you may get a few milliseconds of hiss before and after the louder parts of audio; with higher values, this is reduced.

Usual settings range from 7 to 14.


Preset

Most functions in Cool Edit Pro supports presets. A Preset is a group of function settings saved under a particular name for later recall. Functions that support Presets will have a list where you can click on a Preset name to recall the settings, as well as an area for creating and naming new Presets, as well as a way for removing unwanted ones.


Presets

Many of Cool Edit Pro’s effects and other functions have presets that are available for easily storing and recalling your favorite settings. New presets can be added at any time.

The Presets portion of the Amplify Effect’s Dialog

The Presets portion of the Amplify Effect’s Dialog

Double-clicking on any preset will instantly set all controls in the dialog box to that preset.

Whenever you have settings you would like to keep, you may enter a name for your settings, and press the Add button. A dialog pops up, prompting you to name your new preset. Your new preset is added to the list of other presets, which is automatically sorted alphabetically.

Note icon

Cool Edit Pro allows you to add two or more presets with the same name. Normally you wouldn’t want to do this as this can be confusing if the presets are different.

To remove a preset from the list, choose the preset, and press Del.

To modify an existing preset, double-click on the preset name, make your modifications, then press Del immediately followed by Add. This will delete the old preset and add your current settings in under the same name.

Note icon

Presets are stored in the cool.ini file, which can be found in your system’s users folder under Application Data\Syntrillium, or in the Cool Edit Pro program folder.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Press new shortcut key

You may assign a key or combination of keys to act as a shortcut to any of your Favorites. Cool Edit Pro gladly accepts most single key shortcuts. (The most notable exceptions are the Print Scrn, Scroll Lock, Num Lock, Caps Lock, Tab, and Enter keys.) However, you can use the Ctrl, Shift, and Alt keys (or any combination of the three) to act as the first part of a multiple key shortcut.

With your text cursor in the Press new shortcut key field, press the desired key(s) to use for the Favorite’s shortcut key.

Note icon | If the shortcut key you choose is already in use elsewhere in Cool Edit Pro, you’ll be alerted with a dialog box and given the opportunity to overwrite the current shortcut key assignment.
Tip icon | Many Cool Edit Pro users find single key shortcuts (such as “R” for Reverb) faster to use and easier to remember.


Preview

DSP effects that support realtime preview allow you to monitor the processed signal before applying the effect to the waveform. The preview feature works from within the effect dialog by looping the selected region while updating in realtime to reflect the dialog settings, meaning that changes to the effect parameters while in the dialog become audible immediately, while the audio is playing. Keep in mind, however, that this system performance affects the preview feature. On slower systems, some effects may tend to break or skip during preview.

Tip icon | Some Preview buttons also have a Bypass checkbox next to them. Check this box while previewing to return to the unaffected signal. You can use this to switch between your effect settings and the original audio.
Tip icon | For best results with preview, try selecting a smaller region of the waveform to use when monitoring while tweaking effect parameters. When you have the settings you want, exit the effect dialog, reselect the entire waveform and apply the effect.


Preview 2

Preview

Many functions in Cool Edit Pro support real-time Preview, which means that changes to the function settings may be monitored while they’re being made, from within the function dialog. Those that offer Preview will have a Preview button in the function’s dialog. The Preview quality is dependent upon your system’s performance.


Preview 3

Preview

Area that controls the volume of the preview playback. The preview slider should be used to adjust your playback volume, but does not affect the amplitude of the exported files.


Process Wave

Select the waveform containing the material to apply the amplitude to. Any waveform in the session window may be chosen from this drop-down list.


Process Wave 2

Process Wave

Use this drop-down list to select the waveform (from any currently open in the session window) to act as the process signal. This is normally some kind of synthesized sound to use to replace the vocal chords.


Producer

Who produced this piece of audio? Their name goes here.


Properties...

Pressing this button brings up a tabbed dialog used to adjust the properties of each effect in the Current Effects Rack.


Properties...3

Properties...

A press of this button brings up the highlighted item’s properties in Cool Edit Pro’s Device Properties dialog.


Properties...2

Properties...

A press of this button brings up the highlighted item’s properties in Cool Edit Pro’s Device Properties dialog.


Drop-down Menus

The Multitrack View’s Options Drop-down Menu

The Multitrack View’s Options Drop-down Menu

Cool Edit Pro’s drop-down menus offer quick and easy access to all session and audio file handling, editing, and signal processing functions, as well as options, viewing properties, and help. Complete details about the commands found in both the Edit View and Multitrack View’s drop-down can be found later in this manual.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Pulse Train Verification

Use this option if too many clicks were detected because of a periodic waveform (like trumpet waveform peaks being considered clicks).

If this option is used, some valid clicks may not be repaired. Try cleaning up audio without using this option first, and only use it if the clicks are very stubborn.


Punch In

Punch In button Punch In

Punch In is a recording technique used to replace a section (perhaps a mistake of some kind) in an existing track segment. Replacing this segment usually entails starting and stopping record at exact moments in order to retain the surrounding audio, while material in-between these points is replaced with (hopefully) a better take.

Cool Edit Pro allows for multiple takes when Punching In; you can continually record over the original material and afterward choose between the best performance, or return to the original data. Punch In will work on one or more waveforms at a time.

To use Punch In:

  1. Highlight the area of the waveform block (or blocks) you would like to Punch into. For an exact selection, you can switch back to Cool Edit Pro’s Edit View and use the Find Beats, Zero Crossings, and Snapping functions to make your selection, and then switch back to Multitrack View.

  2. Choose Punch In from the Edit menu, or from the menu that appears when you right-click on the waveform block. This will enable the selection for record and put the track into record mode.

  3. You can position the playback cursor sometime before the Punch In location and press the Record button. The session will begin playback, and upon hitting the Punch point, will record into the selected area.

  4. After recording, you can take another pass at the Punch. When finished, you can monitor the different takes by right-clicking on the waveform block and choosing them from the Take History menu option. Use the desired Merge Take command on the right-click menu when you’ve decided among them.

Tip icon

If possible, it’s best to choose sections of the waveform where there are gaps in the audio for your Punch points. This will make it easier to achieve a natural sound, as if it were all one take.

Path (Breadcrumbs) Multitrack View: Edit > Punch In

More About...

Working with Multiple Takes

Using Punch In


Punch In 2

Punch In

When a particularly difficult passage is being recorded, it’s not uncommon for a note or words to be missed or totally screwed up. No big deal! You can either stop and pick up from before the mishap. Or, you can continue on (as though nothing had happened) and record over the mishap at a later time – this process is known as a punch in.

Punch In is a recording technique used to replace a section (perhaps a mistake of some kind) in an existing track segment. Replacing this segment usually entails starting and stopping record at exact moments in order to retain the surrounding audio, while material in-between these points is replaced with (hopefully) a better take.

Cool Edit Pro allows for multiple takes when Punching In; you can continually record over the original material and afterward choose between the best performance, or return to the original data. Punch In will work on one or more waveforms at a time.

To use Punch In:

  1. Highlight the area of the waveform block (or blocks) you would like to Punch into. For an exact selection, you can switch back to Cool Edit Pro’s Edit View and use the Find Beats, Zero Crossings, and Snapping functions to make your selection, and then switch back to Multitrack View.

  2. Choose “Punch In” from the Edit menu, or from the menu that appears when you right-click on the waveform block. This will enable the selection for record and put the track into record mode.

  3. You can position the playback cursor sometime before the Punch In location and press the Record button. The session will begin playback, and upon hitting the Punch point, will record into the selected area.

  4. After recording, you can take another pass at the Punch. When finished, you can monitor the different takes by right-clicking on the waveform block and choosing them from the “Take History” menu option. Use the desired “Merge Take” command on the right-click menu when you’ve decided among them.

Note icon | Whenever one or more Punch Ins has been performed within a wave block, a Take History option will be activated. (Punch Ins and Take History are both available by right-clicking on the wave block.) The Take History option lets you revert the waveform block back to any previously-available take level. This essentially acts as a selective undo function, allowing you to choose any change level between its original un-punched state and the current waveform level.
Note icon | You can’t use Punch In on video or MIDI blocks.
Tip Icon | If possible, it’s best to choose sections of the waveform where there are gaps in the audio for your Punch points. This will make it easier to achieve a natural sound, as if it were all one take.


Punch In 3

Punch In

Punch In is a recording method used to record “into” a certain region of an existing waveform. Punching is usually used to replace an undesirable section within a longer audio segment. Cool Edit Pro allows for multiple “takes” when Punching In; you can continually record over the original material and afterward choose between the takes for the best performance, or return to the original data. Punch In is only available in the multitrack environment.


Buy Now...

Purchasing Cool Edit Pro is easy. There are several ways to purchase it:

  • The easiest way to purchase Cool Edit Pro is to go to the Help menu and select Buy Now. Cool Edit Pro will ask you for the information it needs to complete the transaction, and then will finalize the purchase by connecting to our servers via a secure internet connection.

  • To download Cool Edit Pro and purchase the software online, visit the Syntrillium Web site at http://www.syntrillium.com. Go to our Online Store to make your purchase.

  • To purchase by phone, contact our Sales Department from 9 A.M. – 5 P.M. MST. Arizona time. If you’re in the United States or Canada, use our toll-free number: 888.941.7100. From other locations, call 480.941.4327. You can also e-mail our sales department with any questions at sales@syntrillium.com

    • (Note that Mountain Standard Time is the same as Pacific Daylight Time during the summer months.)

  • If you want a CD version of Cool Edit Pro (as opposed to a downloadable version), please indicate that when you order. There will be an additional cost for shipping and handling added to the purchase price.

Path (Breadcrumbs) Help > Buy Now...


Purchase the Cool Edit Pro Downloadable Version

After purchase, you can turn a version of Cool Edit Pro you’ve downloaded from Syntrillium Software into a fully functional edition. We offer 3 ways to purchase a downloaded version:

  • Purchase within the Program:

    • To purchase a downloaded version from within Cool Edit Pro, select Help > Buy Now, and choose Instant Purchase Form. Complete the form. If you have a connection to the Internet, the software can be registered in a matter of moments.

  • Purchase from the Web:

    • You can purchase Cool Edit Pro and other Syntrillium products at our Web site: www.syntrillium.com.

  • Purchase on the Phone:

    • You may contact our Sales department via telephone from 9 A.M. – 5 P.M. MST. Arizona time to purchase Cool Edit Pro or any other Syntrillium product. The Sales Department's toll-free number is 888.941.7100. From outside the United States and Canada, call 480.941.4327.

Note icon

Mountain Standard Time is the same as Pacific Daylight Time during the summer months.


Purchase the Cool Edit Pro CD version

You can purchase a CD version of Cool Edit Pro directly from Syntrillium Software or from several third-party software vendors.


Purchasing and Unlocking FAQ

Frequently Asked Questions about Purchasing and Unlocking Cool Edit Pro

I registered the downloaded version.

  • I need a serial number and/or a registration key.

  • I want to purchase this product.

  • I still need help installing.

  • I'm having difficulty with my codes.

I bought the CD version, but it's not working.

  • Contact Support.

I'm not sure how I bought this program.

  • I bought a CD in a box at a store or through a catalog

  • I downloaded this program from the Internet


Q (bandwidth) Tab

The Q (bandwidth) window’s graph is used to adjust the amount of Q used by the Dynamic EQ effect. The x-axis (horizontal) ruler represents the length of the selection, while the y-axis (vertical) ruler represents the frequency that’s boosted or cut.

The Q (bandwidth) tab of the Dynamic EQ dialog

The Q (bandwidth) tab of the Dynamic EQ Dialog

Spline Curves

Flat

Filter Type

Loop Graphs

Path (Breadcrumbs) Edit View: Effects > Filters > Dynamic EQ...

More about...

Dynamic EQ...


Question 14

Q:

Why do my 16-bit files sound more like 8-bit files?

A:

Check to see that the “Limit Playback to 8-bit” box is not checked in Options > Device Properties > Wave Out. If it’s checked, your files are being converted to 8-bit before being played. Also be sure you are using the right DMA settings. The lower DMA channels can only support 8-bit audio. Please check your sound card’s manual for this information.


Question 12

Q:

I can't record in Cool Edit Pro. When I try, I get a flat line, and no sound when I play. What's wrong?

A:

You may have the record level set too low for the audio signal you're trying to record, or your sound card’s mixer might not have the desired input set to record.


Question 13

Q:

When I record (or play), I hear skipping and dropouts. What can I do to eliminate this?

A:

You may have your buffer size set too small in Options > Settings > System. A minimal buffer size is about 2 seconds for fast machines, about 8 for slow ones. Also try decreasing or increasing the number of buffers. Please note that some audio drivers have problems with too many buffers. Using a compressed hard drive on a slow PC could also eat up so many CPU cycles that there isn't time left to do recording. Either try adjusting the buffer size up or down, or record at a lower data rate (i.e. 8 bits instead of 16, or 32K instead of 44K).

If you still have problems, see if other sound recording software on your system has the same problems. If so, you may have a hardware incompatibility between your sound card and your main board, video board, or other installed boards. If the problem persists, see below for a list of suggestions on solving it:

  1. Try reducing (or perhaps increasing) the Play/Record buffer size under Options > Settings > System.

  2. Try reducing to as little as 3 (or increasing up to 12) the number of buffers under Options > Settings > System.

  3. Add or update the line in CONFIG.SYS to read "STACKS=16,512".

  4. Add the following lines to the SYSTEM.INI file (16meg systems use 2048, and 8meg systems use 1024):

    5. [vcache]

    MinFileCache=4096

    MaxFileCache=4096

  5. Check to make sure that if your hard drive (the one pointed to by the Temporary Folders setting in Options > Settings > System) requires a DMA or IRQ setting, it does not somehow conflict with that of your sound card. This is common for digital I/O cards and SCSI drives.

  6. If your sound card has a choice for “Single Mode DMA”, do not enable this item.

  7. Set the hard disk priority to "Network Server" and caching to 32K lookahead (not the default 64K) in Windows Control Panel > System > Performance > File System.

  8. Go to Windows Control Panel > System > Performance > Virtual Memory and choose “Let me specify my own virtual memory settings” and choose a nice fast hard disk (assuming you have one) with at least 30 MB or so free. Then enter 20 for Minimum and 20 for Maximum. If you need more virtual memory, you can go as high as 60 for both Minimum and Maximum.


Question 7

Q:

Why can't I record in Multitrack View, but I can in Edit View?

A:

A full-duplex sound card is required to record while in the multitrack environment. In this environment, the presence of multiple tracks (even if they are empty) requires that Cool Edit Pro “open” both an Input and an Output when recording. If you only have a single sound card which does not support full-duplex capability, you will need to switch to Edit View to record, then place your waveforms into Multitrack View afterwards. Multiple sound cards (full-duplex or not) solve this problem as well, as there will be separate Inputs and Outputs available to Cool Edit Pro. You’ll need to assign the Input to the track you wish to record into in this case. See Assigning record and playback devices for more information.


Question 16

Q:

Why does it take so long to save files in Microsoft ADPCM format?

A:

ADPCM is a compression scheme, which compresses 16-bit samples to 4-bits while retaining much of the quality at higher sample rates. If the multiple pass option is chosen – which provides the highest quality – each block of wave data is compressed seven different ways, and the way which sounds most like the original signal is then saved.


Question 9

Q:

How can I save files in TrueSpeech® format?

A:

First make sure your file is in 8000Hz/Mono/16-bit format. If it isn't, use the Edit View’s Edit > Convert Sample Type function to convert it to that format. Then use File > Save, select “ACM Waveform” as your file format, click on Options, and choose “DSP Group TrueSpeech(TM)” as the file format.


Question 11

Q:

I keep running out memory. How can I free up more RAM?

A:

If you are editing very large files (several hundred megabytes or more), try increasing the Peaks Cache in Options > Settings > Display to 1024 or even 1536 or 2048 to use less RAM. You can also try reducing the Wave Cache size in Options > Settings > System and/or increasing the virtual memory settings for your system.


Question 15

Q:

Why does it take forever to apply effects like the FFT Filter, and to use Spectral View?

A:

These functions use the Fast Fourier Transform (FFT) to convert the waveform from temporal data to frequency data. The FFT does “zillions” of floating point operations to accomplish this. If you do not have a coprocessor, then these operations will take a very long time. A coprocessor will speed up these operations by at least a factor of 10, and sometimes even 20.


Question 10

Q:

Can Cool Edit Pro convert files, either individually or in batches?

A:

Yes! To convert a single file, use File > Open in Edit View to open the file in Cool Edit Pro, select File > Save As, and specify the file type at the bottom of the Save As dialog. To convert multiple files, see Batch File Conversion.


Question 19

Q:

Why do I hear crackling noises when I enable the “auto-scroll” feature?

A:

Some video cards may use all of the CPU's computing time to process their data when you scroll, thus slowing down the audio transfer rate. This can cause crackling noises or other artifacts on playback. Uncheck “Auto-scroll during playback and recording” in Options > Settings > General to get around this issue.


Question 17

Q:

Why doesn't Cool Edit Pro seem to know the format of my .wav files?

A:

If you find you cannot load files from or save files to the .wav format, or if you try to load a waveform file with .wav extension and the “Choose Sample Rate” dialog appears, or if you have any trouble with loading and saving in the proper format, then remove all copies of the .flt files in your Cool Edit Pro folder, and copy the ones distributed with your current version of Cool Edit Pro into the same folder. This problem could also result from running a separate program with the same name as the .flt file (e.g. wave.flt will not be used if an application called wave.exe is running). If this is the case, simply rename the .flt file (e.g. rename wave.flt to wav.flt).


Question 18

Q:

Why do I hear repeating or stuttering sounds on playback?

A:

This may occur for one of two reasons:

First, after a long operation (say, stretching an 800MB file) the result is a file that plays OK up to a point, but then begins repeating a sound over and over again. For example, if the entire file is a voice saying “It's a small world after all”, then the file comes out as "It's a small world after after after after", the most likely cause is that Cool Edit Pro ran out of hard drive space when performing the function. To fix this, free up more hard disk space and/or uncheck “Enable Undo” in Options > Settings > System.

Second, if a sound always or nearly always repeats on playback, the most likely cause is an IRQ or DMA conflict between the sound card driver and some other device. Solution: check the IRQs and DMAs being used in Config.sys, Autoexec.bat, and the System Control Panel in Windows to resolve the conflict. Note: This problem will ordinarily manifest itself with any playback software, including Windows Media Player.


Question 8

Q:

Some menu items are unavailable (“grayed out”) in the menus and toolbar. What's wrong?

A:

Probably nothing is wrong. You must first select all or a portion of a waveform before you can use features like Reverb, Noise Reduction, and others. Try loading a file and selecting some or all of it with the mouse. Once you’ve done this, you should see those features “light up” in the menus and toolbar.


Question 6

Q:

Why does Cool Edit Pro create files with the extension “.pk” alongside my audio files?

A:

These are Peak Files. They enable Cool Edit Pro to load, save, and redraw audio files more quickly than it could do without them. You can safely delete these Peak Files, or turn their creation off altogether in Options > Settings > Display. However, keep in mind that without .pk files, larger audio files will take longer to load.


Q Box

This value describes how wide the mid band’s affective area is frequency-wise. Lower values affect a wider range of frequencies (hence higher values will narrow the effective range).

Tip icon | For distinct resonance, use values like 10 or higher. For just general boosting or cutting a wide range of frequencies, use lower values like 2 or 3.
Tip icon | Sometimes it may be desirable to enhance some quality of the audio being processed, like to bring out a singer’s voice. Try boosting the frequencies just around the natural frequency of their voice to enhance resonance in that range – say, in the 200Hz to 800Hz range.


Q Values

The low, middle and high frequency Q values of the equalization curve are displayed in these boxes. (Q is the sharpness of the equalization circuit’s peak response.) If a Q box isn’t “grayed out”, you can adjust the Q number by left-clicking on the box and dragging. Dragging to the right increases the Q number, while dragging to the left reduces it.


Quality Level

Use this drop-down list to select the desired quality level. The higher quality levels will sound best, but will take longer to process. The lower quality levels have more unwanted harmonic distortion, but will process more quickly.

Usually you won’t notice any ill effects from harmonic distortion of the signal when using levels from “Very Good” on up. Aliasing will still occur however when pitch shifting up, but the higher quality levels will reduce the distortion effects tremendously when shifting the pitch down.


Quality Level 2

Quality Level

This drop-down list lets you select from six different levels of processing quality. The lower quality levels will take less time to process, but the higher quality levels should produce more pleasing-sounding results.


Quantization

Quantization takes place as a part of the analog to digital conversion process as the values of an analog wave are turned into steps. Quantization Noise naturally occurs during this time, caused by sample levels being changed to conform to standard Quantization levels. This noise is heard more often in sounds recorded at low bit resolutions, especially at lower amplitude.


Question 1

Q:

How do I turn a MIDI file into a .wav file in
Cool Edit Pro 2?

A:

You can insert MIDI files into tracks in the Multitrack View of Cool Edit Pro 2. MIDI information is different than wave audio which makes it impossible to open a MIDI file and simply save it as an audio file. To convert a MIDI file, you need to play the MIDI file and record the playback. When you’re done, you’ll have a wave file that you can save. Here’s how to do this in Cool Edit Pro 2:

  1. Open the Multitrack and go to Insert > MIDI from file.

  2. Select the MIDI file that you wish to convert and click on Open.

  3. Once the MIDI file is opened into a track (for example, track 1 if this was a new session) go to any other track (Let’s just use Track 2 as an example) and hit the R button to arm that track fro recording.

  4. Next go to Options > Windows Recording Mixer and set your recording device on your sound card to a option such as Mixed Output, Wave, Stereo, Stereo Mix, or What You Hear. If none of these options appear, check with your sound card manufacturer to find out what digital options you have to select from.

  5. Once the correct device is selected, go back into Cool Edit Pro 2 and click the Red record button on your transport controls (where the Play and Stop button are). When the recording begins, Cool Edit Pro will record the playback of the MIDI file that is playing in Track 1 into a wave.

  6. When the recording is complete, double click on the wave file created in track 2 to open it in the Edit View. Now go to File > Save As and select to save the file as a Windows PCM (.wav).


Question 2

Q:

Why does track 1 get recorded on track 2 when I try to listen and record at the same time in Cool Edit Pro?

A:

Why does track 1 get recorded on track 2 when I try to listen and record at the same time in Cool Edit Pro?

This can happen when your sound card is set up to record everything that it is playing back, along with new audio. Cool Edit Pro does not choose the device to record from for you. You must do change this setting in Windows. To change your hardware configuration so this will not happen anymore, do the following:

In any version of Windows :

  1. Double-click on the speaker icon located on the lower right hand corner of your screen (near the clock).

  2. Select Options, Properties.

  3. In the Adjust Volume for area, select Recording.

    4. All of the devices you can record from will be displayed in the Show the following volume controls:

  4. Make sure all the devices have a check mark in them.

  5. Click on OK.

  6. At the bottom of each recording device, there is a check box with Select to the right of it. Use this to select the recording device that you want.

  7. Make sure the recording Volume is at least half way up.

  8. Close the Recording Control window.

    9. You are ready to record.

Most sound cards have a device labeled Stereo Mix or something similar. When that device is selected, the sound card will record everything that is being played back, which will cause tracks that are playing back to be recorded on new tracks. Make sure that only the device you want to record from (such as line in or microphone) is the only device selected, and that the Stereo Mix option is not selected.

If this does not solve your problem, check the documentation from your sound card manufacturer.


Question 3

Q:

How do I use Digital Audio Extraction in
Cool Edit Pro 2?

A:

In most cases when you want to rip or extract an audio CD track into Cool Edit Pro you should go to File > Open. Here you can simply select your CD-ROM drive that contains the audio CD from the Look In area and select CD Digital Audio (.cda) from the Files of Type drop down. This is the fastest way to extract a file from your CD-ROM drive and this works great for most drives.

Alternate Method icon

You can also extract audio from CD by selecting the track under the File > Extract Audio From CD option.

When this dialog opens up you can select the tracks you wish to extract (open) into Cool Edit Pro and the way in which you wish to rip. There are many more options listed here for specific drives and specific types of extraction. Click the Help button in this dialog if you have any questions about how to use these options.

Both methods for extracting digital audio will work for most drives but the File > Open method should be the one used by most. The File > Extract Audio From CD method is mainly for people who have drives that for some reason will not extract the files under File > Open. Most often these are older CD-ROM drives.

If you have a drive that does not work at all please contact Syntrillium’s support staff. Not all drives are capable of digital audio extraction, but Syntrillium support may be able to help you get your drive working. For drives that cannot extract at all, analog recording (playing a CD from the Windows CD Player and recording the output into Cool Edit Pro) will be the only option.


Question 4

Q:

How to create and save sessions properly in
Cool Edit Pro 2?

A:

The most important thing to remember about session files (.ses) in Cool Edit Pro is that they contain no audio data themselves. Instead, they are a small file that points to other audio files on your hard drive. The session file keeps track of what files are part of the session, where they go in the multitrack, what envelopes and effects are applied to the tracks, and so on. A session file is useless without the wave files that it points to. For example, if you record 12 tracks and then save the session but do not save the individual tracks, the session will not be able to open properly when you try to re-open (it will be looking to open files that do not exist).

Here is the best way to save sessions to make sure that you have everything you need to keep them organized and make sure that you do not lose any of your audio.

First, create a folder for each session:

The best way to stay organized in Windows is to use a folder to keep related files together. It is a good practice to create a new folder for each session that you make.

To do this, go to Start > Documents > My Documents (or just Start > My Documents in Windows XP) to open your My Documents folder. Then go to File > New > Folder in the menus for My Documents. After you create the folder, rename it from “New Folder” to Cool Edit Pro Sessions. You can use any location on your hard drive that you wish but this is a common location to use.

Then create your session:

Now you are ready to create your session in Cool Edit Pro. Record your files, import wave, mp3, or any other data you need, set your envelopes and effects, or whatever else you need to do to start your creation. When you are ready to save the session, follow these steps to make sure that everything gets saved to the right folder.

  1. Go to File > Save Session As.

  2. Navigate to the folder you created for this session in the Save In box at the top of the dialog.

  3. Type in the name of the session file in the File Name box.

  4. Check the box that says Save all associated files. When this option is checked, Cool Edit Pro will save a copy of every file that’s used by that session into the same folder as the session file. This guarantees that all the files for your session can be found in one place.

  5. Click the Options button and then check the box that says Save all copies in this format. When this checkbox is selected, you can convert all the files to any format by selecting the format from the drop down menu. Most often you will want to select Windows PCM so that you do not compress the audio when you save the session, but you can choose any format you want, including MP3 or WMA. After you select your format, click OK.

  6. Click the OK button to save the session and its files to your session folder. Note that you may be prompted to name any file that does not have a name yet, such as newly recorded files.

Now that everything has been recorded and saved, your session and all of its associated files will be saved in the folder you created. You can now back up this folder to CD or keep it archived on your hard drive for later use.

Note icon

This is not the ONLY way to save session files and folders in Cool Edit Pro, but it is the best way to keep them organized so that session files do not have problems re-opening later on.


Question 5

Q:

How can I get the Right-click selection in Edit View to work in Cool Edit Pro 2 as it does in Cool Edit Pro 1.2 and Cool Edit 2000?

A:

You can use Shift + Left Click to extend the selection the way right-clicking did in version 1.2. This allows you have the selection control that right-clicking used to access, but also allows you to keep the pop-up menu easily accessible.

You can change back to the way this worked in Cool Edit Pro 1.2. Go to Options > Settings and click the General tab. Under the Edit View Right-Clicks option area, select Extend Selection and click OK.


Question 20

Q:

Why aren't my Cues saved when I save a waveform?

A:

Make sure the Save extra non-audio information box is checked in the Save Waveform As dialog. If not, all newly-added Cue information is forgotten as soon as Cool Edit Pro closes the waveform.


Question 21

Q:

Why do my Keyboard Shortcuts sometimes not work?

A:

Chances are that the Cool Edit Pro window (such as the Wave Display or the Session Display) you’re trying to run the Keyboard Shortcut in doesn’t have focus. For example, if you’re in Edit View and you push F11 to bring up the Convert Sample Type dialog and nothing happens, the Wave Display probably isn’t the active window. Click on the Wave Display to give it focus and then run your Keyboard Shortcut.

Tip icon

To quickly see which of Cool Edit Pro’s docked windows has focus, use the Alt+/ hotkey. The handle of the focused window will flash (change color and then fade back to its original color) momentarily.


Quick Filter...

Quick Filter button Quick Filter...

Quick Filter is an 8-band equalizer can be easily customized to suit many filtering needs. It works much the same as a standard audio equalizer does, except that the bands act a bit differently. The highest frequency band will increase or decrease the high end, but it will also increase or decrease frequencies all the way down to the lowest band. It will, however, increase or decrease the high frequencies more than the low ones, of course. The effect is close to an equalizer, but not quite. Essentially, this is a quick and easy function for changing the tone of your sample to make it more pleasing to the ears.

Quick Filter Dialog

Quick Filter Dialog

Initial Settings

Final Settings

Lock to these settings only

Equalizer Bands

Master Gain

Lock L/R:

Tip Icon | You can create some very interesting effects by changing the initial and final equalization settings so that they can “morph” from one curve type to another (such as having a “bass-y” curve change to a flat one at the introduction of a song).
Tip Icon | To produce a semi low-pass filter, set the higher frequency scroll bars to -30 to cut out higher frequencies. Similarly, you can create a high pass filter by reducing the lower frequencies.
Note icon | Boosting any of the frequencies to very high values may lead to clipping.

Presets

Cool Edit Pro comes with several Quick Filter presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Quick Filter setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > Quick Filter...

* This function supports Presets.

* This function supports Preview.


Quick Reference

Quick Reference F1

Click on this item to display Cool Edit Pro’s Quick Reference Index, which gives you fast access to most of the program’s operating features. Use the Index tab to search for information on topics using one or more keywords, or use the Search tab to perform a full-text search.

Path (Breadcrumbs) Help > Quick Reference


QuickVerb...

Like Cool Edit Pro’s two other reverb effects (Full Reverb and Reverb), QuickVerb allows you to add reverberation to your audio in order to simulate a different acoustic space. However, since it isn’t convolution-based like Full Reverb and Reverb (which require more power to run, thus increasing the processing load on your system) QuickVerb is faster to use. This means it can be altered more quickly and effectively in Cool Edit Pro’s Multitrack real-time environment, without the need for “locking” the effects to the track.

The QuickVerb dialog

The QuickVerb Dialog

Here are the major components of the QuickVerb dialog:

Room Size

Decay

Diffusion

High Cutoff Frequency

Low Cutoff Frequency

Mixing

Presets

Cool Edit Pro comes with several QuickVerb presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current QuickVerb setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > QuickVerb...

* This function supports Presets.

* This function supports Preview.


Rack Settings...

Click on this command to display the Effects Rack for the current track.


RAM

Random Access Memory. The memory required to load and run programs. This is what you refer to when you say that your computer has 128 megabytes of memory.


Range

This sets the vertical scale of the graph (the y-axis). The range can be set as semitones (there are 12 semitones to an octave) or as beats-per-minute. Each format will give a different rate of pitch change for a perfect diagonal line on the graph.

In semitones format, the pitch changes logarithmically up and down, while in beats-per-minute format, the pitch changes up and down linearly. The number of semitones to shift up or down can be entered.

If doing beats-per-minute, a range as well as the base tempo needs to be entered. You may specify the exact tempo of your piece to change to different rates, but this isn’t required.


Range 2

Range

Use this drop-down control to select the y-axis display range of the stereo rotation graph from 45 degrees to 360 degrees.


Range (4dB to 180dB)

This field defines the range of the slider controls. Enter any value between 4dB and 180dB. As a comparison, standard hardware equalizers usually have a range of 30dB to 48dB.


Rate

The Frequency (measured in hertz), Period (measured in seconds), and Cycles (measured in cycles) settings refer to the rate at which the delay cycles between the initial delay and the final delay.

Different settings can result in widely varying effects. For example, a setting of 0.5 cycles causes the effect to start with the initial delay, and end with the final delay. If a frequency of 4 is chosen, the flanging will cycle from the initial delay to the final delay and back again four times per second.


Ratio/Length Boxes

You can enter a desired Ratio (in percentage) or final Length (in time) for the stretch. Entering one automatically changes the other. If the initial and final lengths are different, then the actual final length will be exactly (initial+final)/ 2 when in Preserve Pitch mode.


RCA Cable

This type of cable (sometimes called a phono cable) features RCA plugs or jacks at either end. RCA cables are normally used to connect stereo system components, like receivers, CD players, and cassette decks.


Revert to Saved

Use Revert to Saved to reload the currently visible waveform from disk. This discards any edits that were made since the last time the file was saved.

Path (Breadcrumbs) Edit View: File > Revert to Saved


Real-Time

In computer-based audio, real-time generally refers to an operation or function’s ability to act, or react, on demand. That is, there is no “wait time” for processing to occur, but rather things are seemingly done in an instantaneous fashion (though this is never really the case when dealing with digital audio, as there is always some amount of processing done). Cool Edit Pro provides real-time effects functionality with most of its effects in the multitrack view, and a real-time preview of effects before they are applied in the Edit View.


RealAudio

RealAudio is a proprietary compressed format used for streaming audio over the Internet in real-time. RealAudio files can be encoded using several different algorithms. Each encoding algorithm is optimized for a particular type of audio and connection speed bandwidth. You can save to this format from 8- or 16-bit, mono or stereo, with a number of valid sampling rates. Format options are given in Music (higher quality), and Voice (lower quality) categories.


Recalculate RMS

After adjusting the Window Width value, click this button to recalculate the RMS values based on the new window size.


Recent Folders

This shows the folders you’ve most recently opened with Cool Edit Pro. Select a folder name from the drop-down box to quickly navigate to it.


Recent Folders 3

Recent Folders

This shows the most recent folders that Cool Edit Pro has saved files in. Select a folder name from the drop-down box to quickly navigate to it.


Recent Folders 5

Recent Folders

The most recently used folders are displayed here in a drop-down menu. This allows quick access to frequently used folders.


Recent Folders 2

Recent Folders

The most recently used folders are displayed here in a drop-down menu. This allows quick access to frequently used folders.


Recent Folders 4

Recent Folders

This shows the most recently used folders. Select a listing from the drop-down box to quickly navigate to it.


Record

After titling your soon-to-be script, click on the Record button to begin capturing the script’s steps.


Arm Track for Record

Checking this command gets a track ready for recording. This means that the track will be ready to record onto when the Record button in the Transport Controls is pushed.

When recording into a track, the input will be fed from the currently selected recording device. This command does the same thing as pressing the R button on the track console.


Record 3

Record

The device (such as a sound card) that this track will record through to is shown here. If your system has more than one recording device, you can select it from the drop-down list.


Record 4

Record

This button arms the track for recording. Press this master record button in the transport controls to actually start recording.


Record Enable Button

Pressing the Record Enable button (it’s the button with the R on it) will arm the track for recording. When the Record button in the Transport Controls is pushed, this track will begin recording.

Note icon

The Record Enable button is available in the Vol, EQ, and Bus areas.


Recording Device

Select this command to display Cool Edit Pro’s Recording Devices window, which lists all available waveform recording devices in your system. Choose the device you wish to use for this track.

Record Devices Dialog

Record Devices Dialog

Channel Selection

You can specify if the track will record the left channel, the right channel, or in stereo from the recording device.

Bit-rate Selection

Decide here if you want to record the track in the 16-bit or 32-bit realm.

Same for All Tracks

Check this box if you wish these settings to be the default for all 128 of Cool Edit Pro’s tracks.

Properties

Pressing this button brings up Cool Edit Pro’s Device Ordering Preference screen.


Recording New Audio Into Your Session

Before you record into a Cool Edit Pro Multitrack session, you’ll need to enable the track(s) you want to record to. To enable a track for recording, push the track’s R button in the Track Controls. Or, you may right-click in the track anywhere there isn’t a block and select the “Record” item from the pop-up menu.

Track Controls "R" button

If you have more than one device in your system that’s capable of recording (such as another sound card), you can then select the device that you’ll be recording from. Press the track’s Recording Device button, which by default will say “Rec 1”. (The Record Devices dialog may also be displayed by right-clicking in the track anywhere there isn’t a block and selecting the “Recording Device” item from the pop-up menu.)

Not only does the Record Devices dialog allow you to select what device will feed the input for the track, it lets you decide if you want the track to record in stereo, left channel only, or right channel only, plus specify if the track should be recorded in 16-bit or 32-bit modes.

Note icon

You’ll also want to make sure that the levels in your sound card’s mixer are set correctly. This includes enabling the correct input channel and making sure that the input volume isn’t too soft (which can add excessive noise) or too loud (which creates distorted recordings).

After you’ve enabled the desired track(s) and optionally specified its/their recording properties, press the Record button in Cool Edit Pro’s Transport Controls or use the Ctrl+Spacebar keyboard shortcut to begin recording from the cursor.

When recording is complete, press the Stop button in Cool Edit Pro’s Transport Controls or hit the Spacebar to terminate the recording process.

More about...

Navigating the Multitrack View Screen


Recording with Cool Edit Pro in Edit View

Recording with Cool Edit Pro in Edit View is easy. You can record from a microphone, your computer’s CD player, a MIDI source, or any signal you can plug into the “Line in” port of your sound card.

Note icon

You may need to adjust your input signal to obtain the optimum recording and signal-to-noise levels. (For most folks this is done using the Windows Mixer.)

Here’s a step-by-step guide to recording in Edit View:

  1. Use File > New to create a new file.

  2. Select the sample rate, bit resolution, and number of channels (stereo or mono) that you want to use and press OK.

  3. Click on the Record button in the Track Controls window to begin recording.

  4. When you’re done recording, click on the Stop button in the Track Controls window.

  5. Edit as needed, and then save your recording to disk using File > Save As.

More about...

Navigating the Edit View Screen


Reduce Hiss By

When audio components are found below the given noise floor settings, they are reduced up to this amount, measured in dB.

  • With lower reduction amounts (below 6dB) not as much noise is removed, but the original audio signal stays relatively undisturbed.

  • With higher levels (especially above 20dB) dramatic hiss reduction can be achieved, but the remaining audio may start to be distorted.


Reduction Graph

Use the Reduction Graph to set the amount of noise reduction at certain frequency ranges. For example, if you need noise reduction only in the higher frequencies, adjust the chart to give less noise reduction in the low frequencies, or alternatively, more reduction in the higher frequencies.

The graph depicts frequency along the x-axis (left and right) and the amount of noise reduction (in percent) along the y-axis (up and down).

If the line is set to Flat (which is accomplished by pressing the Flat button), then the amount of noise reduction used is based on the noise profile exactly.

The readout below the graph displays the frequency and adjustment percentage at the current position of your mouse.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Reference

The value entered into this field means that a full scale (FS) sine wave will show up as that amplitude. For example, with the default value of zero, a full scale sine wave will display with its peak at 0dB. A value of 30dBFS would mean that a full scale sine wave displays with its peak at 30dB. In other words, this value essentially just scoots the display up or down.


Refresh Effects List

Select this item to scan your system for new Cool Edit Pro effects and DirectX plug-ins.

Path (Breadcrumbs) Edit View: Effects > Refresh Effects List

* This function supports Presets.

* This function supports Preview.


Refresh Now

Refresh Now F5

Choosing Refresh Now instructs Cool Edit Pro to initiate the background mix from scratch. This will rebuild your session’s output.

Tip icon

Using the keyboard shortcut of F5 for Refresh Now is faster than accessing the command from the Edit menu.

Path (Breadcrumbs) Multitrack View: Edit > Refresh Now

More About...

Background Mixing


Register Online

Click on this command to launch your default Web browser and go to Syntrillium’s Web site to register your copy of Cool Edit Pro.*

* This feature requires a connection to the Internet, of course.

Path (Breadcrumbs) Help > Register Online


Reject

If the Second Level Verification box is checked, this value (which can be from 1 to 100) determines how many potential clicks (found using the Detection Threshold) are rejected. As with detection, lower settings result in more clicks being repaired. Increasing the rejection threshold will prevent more clicks from being repaired, as they may not be actual valid clicks.

The idea is to reject as many detected clicks as possible, but still remove all audible clicks. A good starting value for this setting is 30. If a trumpet-like horn sound has clicks in it, and the clicks are not being removed, try lowering this value to reject fewer potential clicks. If a particular sound or instrument is “fuzzing out” and getting distorted, then increase the rejection threshold to keep repairs at a minimum. (The fewer repairs that are needed to get good results, the better.)

Cool Edit Pro may interpret some valid audio as clicks, depending on the nature of the waveform in question. Some waveforms have sharp, albeit periodic, spikes throughout. The rejection algorithm looks to see if this click is isolated (meaning it’s a real click) or has neighbors (meaning it’s probably part of a desired waveform).


Release Time

This is the time (measured in milliseconds) that it takes for the attenuation to rebound back 12dB (or roughly the time it would take audio to resume normal volume if an extremely loud peak was encountered). Generally around 100 ms (the default) works very well, and will preserve very low bass frequencies.

Note icon

If this value is too large, audio may just stay very quiet, and not resume normal levels for a while.


Remember these settings for next time

Check this box if you wish Cool Edit Pro to always use the Save all copies in this format and Convert Sample Rate settings each time.


Remove

This button removes any selected files from the Source Files list. To remove multiple files from the list, hold down on the SHIFT key for contiguous selections, or the CTRL key for noncontiguous selections.


Remove 2

Remove

Click on this button to remove the selected Play List item.


Remove Hiss/Keep Only Hiss

For normal operation, choose Remove Hiss.

If for some reason you want to extract the hiss only, choose Keep Only Hiss. All the audio will be removed, leaving only hiss.


Remove Block

This command removes the selected (highlighted) block from a multitrack session.

Removed waveforms will still be available in Cool Edit Pro’s Edit View. They’re also available to the session via Insert > File/Cue List until the audio files are closed from the File menu.


Remove Blocks

This command removes any selected (highlighted) blocks from a multitrack session. Removed waveforms will still be available in Cool Edit Pro’s Edit View. They’re also available to the session via Insert > Existing File/Cue until the audio files are closed from the File menu.

Path (Breadcrumbs) Multitrack View: Edit > Remove Blocks


Repeat Last Command

Repeat Last Command F2

Just as you’d expect, this item repeats the last command. Most editing functions in Cool Edit Pro can be repeated using this command, but there are a few exceptions (such as Delete).

Tip icon

Many folks might find using its hotkey (F2) a lot faster than accessing the Edit drop-down menu.

Path (Breadcrumbs) Edit View: Edit > Repeat Last Command


Replace

This option pastes the contents of the active clipboard beginning at the cursor location, and replaces the existing material thereafter for the duration of clipboard data. For example, pasting 5 seconds of material replaces the first 5 seconds after the cursor with the clipboard's contents.


Reposition playback cursor when shuttling

If selected, the playback position will readjust if the sync is off by the Slack amount.


Resample

To recalculate a sound file’s samples using a different rate than which the file was originally recorded.


Resample 2

Resample

This option will cause Cool Edit Pro to resample the loop to match the session’s tempo, and as such, the pitch will be affected. High, Medium, and Low Quality options are available.


Reset

Press this button to clear all of the normalization statistics for the files in the list. You can select any subset of files and clear just those.


Reset (Hi, Med, Low)

These three Reset buttons will clear the noise floor graph. Press Hi to assume the noise floor is at -50dB (if hiss is very loud). Press Med to set the floor to -70dB (average hiss), or Low to set the floor to -90dB (if there isn’t much hiss at all).

After pressing a Reset button, fine tune the noise floor setting using the Noise Floor Adjust slider until the appropriate amount of hiss reduction and quality level is achieved.

Tip Icon

For quick, general-purpose hiss reduction, a complete noise floor graph isn’t always necessary. In many cases, you can simply reset the graph to an even level and manipulate the Noise Floor Adjust slider.


Reset All to Zero

This button sets all sliders to 0dB so there’s no equalization.


Reset to DTMF

Press this button to clears any custom frequency entries and replace them with the standard DTMF frequency combinations.


Resolution

This setting is disabled in Adjust Sample Rate.


Resolution 1

Resolution

Use this control to choose the bit resolution to convert to. When converting to a lower resolution, the Dither options are enabled.


Resolution 2

Resolution

Three options are provided:

8-bit

Use this setting for creating waveforms where quality is not much of a concern, but small file size is. 8-bit waveforms are usually fine for telephony applications, or for use as embedded sounds in Web pages. While they tend to be noisier than their 16-bit counterparts, they’re half the size.

16-bit

Select this option to produce CD-quality waveforms. This setting is suitable for most broadcast and music recording.

32-bit

Choose this setting to create a waveform that lets you work at the 32-bit level. One benefit of 32-bit audio is more precise audio processing, plus the ability to take advantage of the power in sound cards that go beyond the 16-bit standard (such as a 24-bit card). Press the Options button in the Edit View’s File > Save As dialog to access 32-bit options.

Note icon

Although Cool Edit Pro can create and edit 32-bit files, your sound card may not be able to play them properly. If that’s the case, you’ll need to convert waveforms stored and processed at this rate to a lower bit rate (such as 16-bit) for playback. To see the capabilities of your system, go to Options > Device Properties.


Restore Default Window Layouts

Press this button to reset all window sizes and positions to Cool Edit Pro’s default arrangement.


Restore Defaults

Press this button to restore all keyboard shortcuts to Cool Edit Pro’s default assignments.


Resynthesis Window

Choose the size of the window used for resynthesis of the vocoded signal.

Narrower windows will make hard consonants sound clearer, and with higher overlay settings, narrow resynthesis windows will give better time resolution in the event that the vocoded signal sounds too smoothed out.

The resynthesis window number should never be larger than or equal to the number of overlays.


Reverb...

Reverb button Reverb...

Reverb is an effect used to simulate acoustic space, and consists of both early reflections and echoes that are so closely spaced that they’re perceived as a single decaying sound. Reverb is different from the basic Echo effect in that the delays aren’t repeated at regularly spaced intervals.

Reverb Dialog

Cool Edit Pro’s Reverb function can create a wide range of high-quality reverb effects. It can reproduce such acoustic or “ambient” environments as a coat closet, a tiled bathroom shower, a concert hall, or a grand amphitheater. These echoes can be spaced so closely together, and made to occur at such random times, that the signal’s reverberated “trail” will decay smoothly over time, and will have a warm and natural sound. Alternatively, initial early-reflection delays can be used to give a sense of room size, which can be either large or small, depending upon the initial delay times.

So what’s the difference between Cool Edit Pro’s Reverb and Full Reverb effects? Full Reverb is the newer of the two, and provides more options and better audio rendering. However, many folks still use and prefer the older Cool Edit Pro Reverb effect, so we’re happy to continue including it with new releases.

Tip Icon

To simulate specific rooms that have both echoes and reverb, use Cool Edit Pro’s Echo effect first to get the “size” of the room sound, and then use Reverb to make it sound more natural. This function can create a sense of spaciousness in a monophonic signal (one that has been recorded as or converted into a stereo audio file). Even a Total Reverb Length as little as 300 milliseconds can open up the perceived spaciousness of a dry sound (one that was recorded without any effects or reverb).

Total Reverb Length

Attack Time

High Frequency Absorption Time

Perception

Mixing

Presets

Cool Edit Pro comes with several Reverb presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Reverb setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Tip Icon

Make sure that there is enough silence at the end of the waveform for the reverb trails to complete. If the reverb abruptly cuts off before it fully decays, undo the Reverb effect, add several seconds of silence using Cool Edit Pro’s Generate > Silence command, and then rerun the Reverb effect.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Reverb...

* This function supports Presets.

* This function supports Preview.


Reverb

The persistence of a sound after its source has stopped emitting it. (Reverb is a shortened version of the word “Reverberation”.) Many discrete echoes arrive at the ear so closely spaced in time that the ear can’t separate them. Cool Edit Pro offers three Reverb Effects (Quick Verb, Reverb, and Full Reverb), each with many settings.


Reverse

Reverse button Reverse

Select this command to have the current selection (or entire waveform, if no selection is made) play backwards by reversing the order of its samples. Reverse is useful for creating special effects.

Path (Breadcrumbs) Edit View: Effects > Reverse

* This function supports Presets.

* This function supports Preview.


Rip

Ripping is the process of digitally extracting the audio from a compact disc and turning it into a waveform that’s usually an identical copy of the original CD track(s). Most newer CD-ROM, CD-R, and CD-RW drives support digital audio extraction.


RMS Settings

0dB = FS Sine Wave

If this option is checked, then this means that 0 dB displayed in any of the RMS boxes is equivalent to a sine wave at full scale (with peak amplitude at 0dB – using every sample value in the 16-bit range). If you generate a max amplitude sine wave, it’ll read 0dB if this button is chosen.

0dB = FS Square Wave

If this option is selected, then a full scale square wave will read out as 0dB for the RMS.

Some users expect a full scale square wave to be 0dB, while others expect a full scale sine wave to be 0dB. Since a full scale square wave is about 3.02dB louder than a full scale sine wave, these RMS boxes will adjust by about 3dB when you toggle between them.


ROM

Read Only Memory. Memory that cannot be written to after it is constructed. Most computers have a small amount of ROM that holds software required to boot the computer. Unlike RAM, information in ROM stays when the computer is turned off.


Room Size (feet)

The length, width, and height of the virtual room, as measured in feet, are specified here. (There are approximately 0.3 meters per foot.)

When entering source and microphone locations, they must lie between zero and the room’s width for the “Dx From Left Wall” parameter, and between zero and the room’s length for the “Dx from Back Wall” parameter. Room sizes can be as large as you like, but memory requirements will grow as room size increases. This means that some systems may run out of memory if very large room sizes are used.


Room Size 2

Room Size

Use this slider to set the size of the room you wish to simulate, or directly enter a value in the text box to the right. Low numbers equate to a smaller room; use higher numbers to create a larger virtual space.


Room Size

This is the actual volume of the virtual room, as measured in cubic meters. The larger a room is, the longer the reverbs are for that room. Use this control to create virtual rooms from only a few meters to giant coliseums.


Ruler

The numbered controls to the right and below the Wave and Session displays. The Horizontal Ruler can measure time, CD frames, time code, samples, and bars and beats in both Edit and Multitrack Views, plus also includes scrolling and zooming functionality. In the Edit View, the Vertical Ruler measures either sample values, normalized values, decibels, or percentage. In Multitrack View, use the Vertical Ruler to scroll through tracks, as well as control the number of tracks displayed on-screen at once.


Run Script

Click on this button to run the currently selected script. If the script type isn’t compatible with Cool Edit Pro’s current state (i.e., trying to a “Script Starts from Scratch” script with a file open), the script won’t run until Cool Edit Pro’s condition matches the requirements (in this case, closing all open files).


Run Normalize

After adjusting the parameters to your preferences, press the Run Normalize button to close the Group Waveform Normalization dialog and perform normalization on all selected waveforms.


S/N Ratio

The Signal-to-Noise Ratio (S/N Ratio) is the ratio between the noise floor (present noise) and signal. Higher ratios are more desirable, as they mask more background noise and lower the noise floor.


SAM

The 8-bit signed wave file format (.sam) is popular for building MOD files, since audio in MOD files is 8-bit signed. Many MOD editors allow samples to be inserted from files, or exported to files in this format. 8-bit signed raw format data with the .sam extension is assumed to be 8-bit signed raw data with no header. The sample rate is assumed to be 22050Hz, but the actual sample rate can be changed once the file is loaded using Edit > Adjust Sample Rate.


Sample

In digital audio, a signal isn’t captured in a complete continuous fashion, as in traditional recording. To digitize a sound, a number of snapshots, or samples, are taken every second (this number is a product of the sampling rate used) and are changed into numeric representations. A sample is a single snapshot of the sound, if you will. The term “sample” can also refer to the digitally recorded sound itself, though this nomenclature tends to be used more when referring to digitized sounds used by hardware samplers than in computer-based audio editing.


Sample 2

Sample

This is the number of the sample as measured from the beginning of the waveform.


Sample Accurate Sync

Some sound cards are capable of sending sample-accurate sync timing information to Cool Edit Pro. Engage this option to take advantage of this sample-accurate sync when slaving to SMPTE through such sound cards.

Path (Breadcrumbs) Multitrack View: Options > Sample Accurate Sync


Sample Period

The sample rate (or within 1Hz of it) is automatically placed into this box. You can change the text in this field if you wish the sampler to think the data is at a different rate than it actually is.

Note icon

Use this control to select this “base” or “root” note on a sampler that the current audio file is to be assigned to. The audio file’s original pitch will be preserved whenever this key is played on a sampler.


Sample Rate

The sampling rate you choose determines the overall bandwidth (how many frequencies can be encoded within the audio signal). Higher sampling rates yield a wider bandwidth. You may enter any sample rate directly, or choose a common sample rate from the list.

Note that most sound cards support only certain sample rates. Certain combinations of sample rate, channels, and resolution may not be available on your system. To see the capabilities of your system, check Options > Device Properties. Although you can create and edit any sample type with Cool Edit Pro, your sound card may not be capable of playing it properly.

About Sample Rates

During the sampling process, an incoming analog signal is sampled at discrete time intervals. At each interval, this analog signal is momentarily “held” for observation and thus represents a specific, measurable voltage level. A mathematical conversion is used to generate a digital series of numbers that represent the signal level at that particular instant in time. Once the conversion has been made, it can be digitally stored or processed.

The sampling rate is defined as the number of samples (or snapshots) that are taken of an audio signal per second. Since sampling is tied directly to the component of time, a system’s sampling rate determines a system’s overall bandwidth – in other words, how many frequencies can be encoded within the audio signal. Higher sampling rates generally yield a better-quality waveform.

The most commonly encountered sample rates used for digital audio editing are:

11,025 Hz | Poor AM Radio Quality/Speech (low-end multimedia)
22,050 Hz | Near FM Radio Quality (high-end multimedia)
32,000 Hz | Better than FM Radio Quality (standard broadcast rate)
44,100 Hz | CD Quality
48,000 Hz | DAT Quality
96,000 Hz | DVD Quality

Non-standard sample rates can be entered directly into the numeric sample rate window.

Channels: This setting is disabled in Adjust Sample Rate.

Resolution: This setting is disabled in Adjust Sample Rate.


Sample Rate 5

Sample Rate

Use this drop-down list to choose the sample rate of the destination file, which will also be used by the decoder. Keep in mind that not all sample rates are valid for a particular bitrate.


Sample Rate 6

Sample Rate

The sampling rate you choose determines the overall bandwidth (how many frequencies can be encoded within the audio signal). Higher sampling rates generally yield better-quality waveforms.

Enter any sample rate directly, or choose a common sample rate from the list. Keep in mind that most sound cards support only certain sample rates.


Sample Rate 2

Sample Rate

This value determines how many frequencies can be encoded in the audio signal. Higher sampling rates mean a wider bandwidth. Popular sample rates are already listed; just click on one to select it. Or, enter a custom number in the Sample Rate box to specify a different rate from those provided. However, keep in mind that most sound cards only support certain sample rates.


Sample Rate 3

Sample Rate

This value determines how many frequencies can be encoded in the audio signal. Higher sampling rates mean a wider bandwidth. Popular sample rates are already listed; just click on one to select it. Or, enter a custom number in the Sample Rate box to specify a different rate from those provided. However, keep in mind that most sound cards only support certain sample rates.


Sample Rate 4

Sample Rate

The sample rate determines the number of times per second to take a snapshot of the audio. Higher sample rates produce higher-quality audio, but at the expense of requiring more disk space. Frequencies of up to one-half the sample rate can be produced effectively. So, to reproduce a frequency of 10Khz, a sample rate of at least 20Khz must be chosen. (See Nyquist Frequency.)


Sample Value

This is the value of the sample as measured using one of the four “Interpret As” options below. Negative numbers mean that the sample is below the horizontal center of the waveform, while positive numbers mean that the sample is above the waveform’s center.


Sample values

This display type numerically indicates amplitude as the data’s exact sample value of the data.

Path (Breadcrumbs) View > Vertical Scale Format > Sample values


Sampler

A device that records and plays digital sounds (“samples”), many times with features to edit and store the samples.


Sampler Loops

New loops can be added by first highlighting the range area, and then going to this dialog and pressing the New button. If no area is highlighted, New can still be pressed to add the entire waveform as a new loop. The actual starting point, ending point or length may also be entered in directly by hand in the appropriate fields. Samplers can usually play loops forward, backward, or back and forth and back again. Each loop can be looped a different number of times, or infinitely (as with a sustain loop, and the infinite loop would decay once the synth key is released). Currently this information is only saved in .wav files.


Sampler Tab

Wave Properties Dialog - Sampler Tab

Wave Properties Dialog – Sampler Tab

Technical information relating to other devices, systems, or programs (such as synthesizer uploading and downloading software) can be directly imbedded within your .wav files using the View > Wave Properties > Sampler information window. As with the information in the View > Wave Properties > Text Fields window, this information should stay with your audio file through its lifetime.

Here are the major components of the Sampler window:

Target Manufacture ID

Target Product Code

Sample Period

Note

Fine Tune

Find using Analysis

SMPTE Format

SMPTE Offset

Sampler Loops

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


Samples

This display type indicates time numerically using the actual number of samples that have passed since the beginning of the edited file as a reference.

Path (Breadcrumbs) View > Display Time Format > Samples


Samples 2

Samples

This drop-down list allows you to select from several sample sizes.

Higher sample sizes give you more accurate results, but require much more processing power to be effective. Choose the sample size that produces the best performance for your system.


SampleVision (.SMP)

The SampleVision format is used by Turtle Beach’s SampleVision program. It supports only mono 16-bit audio. If your data is in a different format, you’ll be asked to convert it before saving. This format also supports loop points, which can be edited using Cool Edit Pro’s Cue List.

The Label of the cue must be in the format Loop n, m where n is the loop number from 1 to 8, and m is the mode: 0 = no looping, 1 = forward loop, 2 = forward/back loop. Cool Edit Pro’s Play List is used to enter the number of times to loop the cue range. Add the cue range to the Play List, and then enter the number of times to loop.


Save

Save button Save Ctrl+S

This saves a modified waveform to disk using the waveform’s existing name and format. No options are provided.

Note icon | To save newly-recorded waveforms, use the File > Save as… command.
Tip icon | Use the keyboard shortcut of Ctrl+S to quickly access Cool Edit Pro’s Save dialog.

Path (Breadcrumbs) Edit View: File > Save

More about...

Save As


Save All

Run the Save All command to save all open, modified waveforms to disk, as well as your open, modified session.

Path (Breadcrumbs) File > Save All

More about...

Save As

Save Session As


Save all copies in this format

Check this box to activate the drop-down menu below, which lets you choose the format to save the files to. If the chosen format has options, the Format Properties… button will be enabled, allowing you to adjust format parameters.


Save As...

This command brings up the Save Waveform As window, which allows you to save the current waveform to a new name, location, or format.

The File > Save As… function is also used to save newly-recorded waveforms to disk.

Free space on all available drives is displayed in the right section of the window.

Save Waveform As Dialog

Save Waveform As Dialog

Recent Folders

Save In

File Name

Save as Type

Save extra non-audio information

Options

Note icon

Use the Windows PCM (.wav) format Options to access 20- to 32-bit file support.

Path (Breadcrumbs) Edit View: File > Save As...

More about...

File Formats

Exporting to MP3 Format


Save As... 2

Save As...

Press this button to save the currently selected color scheme as a preset.


Save As

Click this button to save additional preset format/attribute combinations.


Save as Type

Use this control to choose the format you wish to save from the drop-down list of supported file types, such as Windows PCM (*.wav) or MPEG 3 (*.mp3).

Note icon

Some formats can’t be written to using waveforms of certain sample types. In this case, Cool Edit Pro asks you if you want to convert before saving.

Cool Edit Pro also warns you if you’re trying to save a waveform to a compressed (lossy) format, and suggests that you keep a backup of your original file if you wish to preserve full audio fidelity. If you don’t want to see this dialog box again, check the “Don’t display this message in the future” box.

Exporting to MP3 Format


Save as type 2

Save as type

Use this control to choose the format you wish to save from the drop-down list of supported file types, such as Windows PCM (*.wav) or MPEG 3 (*.mp3).

Some formats can’t be written to using waveforms of certain sample types. In this case, Cool Edit Pro asks you if you want to convert before saving.

Cool Edit Pro also warns you if you’re trying to save a waveform to a compressed (lossy) format, and suggests that you keep a backup of your original file if you wish to preserve full audio fidelity. If you don’t want to see this dialog box again, check the Don’t display this message in the future box.

More about...

Exporting to MP3 Format


Save copies of all associated files

If this item is checked, copies of all files used in the session (including waveforms) will be saved in the same folder as the .ses file.


Save Copy As...

Save Copy As works the same as Save As, except that the last used Save Copy As file type, folder, and name are remembered, as opposed to defaulting to the file format of the original waveform.

Save Copy of Waveform As dialog

Save Copy of Waveform As Dialog

Path (Breadcrumbs) Edit View: File > Save Copy As...


Save extra non-audio information

Uncheck this box if you don’t want to save header fields such as copyright/author information and cue marks. If you plan to burn the waveform to compact disc using another program, unchecking the box is highly recommended. Some CD recording applications interpret non-audio information incorrectly and will place an unpleasant burst of noise as the beginning of each CD track.


Save extra non-audio information2

Save extra non-audio information

Uncheck this box if you don’t want to save header fields such as copyright and author information.

Note icon

If you plan to burn the waveform to compact disc using another program, unchecking the box is highly recommended. Some CD recording interprets non-audio information incorrectly and will place an unpleasant burst of noise as the beginning of each CD track.


Save Favorite

Save

Press this button to save a new or edited entry to the Favorites List.

Note icon

Make sure you do this before you press the Favorites dialog’s Close button.


Save In

Use this control to navigate through all available drives and folders.


Save in 2

Save in

Use this control to navigate through all available drives and folders.


Save locked track files after closing sessions (for faster session loads)

When this checkbox is checked, Cool Edit Pro saves locked tracks as wave files so when you open the session with the locked tracks at a later point Cool Edit Pro does not have to re-lock the track. These files as stored in the session directory in a folder called Session Name (Locked Tracks). If the session has not been saved to a location yet, or the session is on a drive that does not have enough space or can not be written to, these files will not be written and Cool Edit Pro will have to re-lock the tracks each time the session is loaded.


Save Mixdown As...

This command brings up the Save 16-bit Mixdown To or Save 32-bit Mixdown To window (depending on if you’re working in the 16-bit or 32-bit realm), which allows you to save the current mixdown to a new name, location, or format. You’ll also use the File > Save Mixdown As… function to save newly-constructed mixdowns to disk. Free space on all available drives is displayed in the right section of the window.

Save Mixdown As Dialog

Save Mixdown As Dialog

Here are the major components of the Save Mixdown As dialog.

Recent Folders

Save in

File name

Save as type

Save extra non-audio information

Options

Path (Breadcrumbs) Multitrack View: File > Save Mixdown As...


Save mixdown to video (Video Block Only)

When this command is selected, the audio session will be mixed down with the loaded video file to create a new soundtrack for the video. That is, a new video file will be created where all of the audio which is concurrent with the video block is mixed down and provides the soundtrack, and then the video stream from the original video block provides the video stream. The original video stream is actually untouched, so this is the method by which you could save back out a video block with a new soundtrack.


Save Mixdown To Video As...

If you have an .avi video file inserted into the session, you can mix down the session and make that your audio track for the video.

This command brings up the Save 16-bit Mixdown To Video or Save 32-bit Mixdown To Video window (depending on if you’re working in the 16-bit or 32-bit realm), which allows you to save the current mixdown and video to a new name, location, or format.

Save 16-bit Mixdown To Video dialog

Save 16-bit Mixdown To Video Dialog

The Save Mixdown To Video window is nearly identical to the Save Mixdown As window previously documented. However, the Options… button brings up the Installed Audio CODEC window, which allows you to select the audio format for the .avi file.

Note icon

While Cool Edit Pro can open other types of movie files to get at their soundtracks, the ability to save back the audio track only works with .avi files

Path (Breadcrumbs) Multitrack View: File > Save Mixdown To Video As...


Save Profile

Once the noise level is set, you can save the noise profile as an .fft file. This file will contain information on sample type, FFT (Fast Fourier Transform) size, and three sets of FFT coefficients: one for the lowest amount of noise found, one for the highest amount, and one for the power average.


Save Selection...

Save Selection works similarly to the File > Save As command, except it allows you to save just the highlighted selection of a waveform to its own file.

Save Waveform Selection As dialog

Save Waveform Selection As Dialog

Tip icon

This feature is very useful for saving small segments of a larger file. For example, should you wish to record a number of samples from a friend’s sampler, you could record them as a single, continuous file and then split them into their own waveforms. Or, you can break up a long music recording into smaller, more manageable tracks.

Path (Breadcrumbs) Edit View: File > Save Selection...

More about...

File Formats


Save Session

Save Multitrack Session button Save Session

Access this command to saves the current session back to disk, overwriting the original without confirmation. If the session doesn’t yet exist as a file (not previously saved), you’ll be presented with the Save Multitrack Session As window first.

Path (Breadcrumbs) Multitrack View: File > Save Session

More about...

Save Session As


Save Session As...

Save Session As button Save Session As...

The command brings up the Save Multitrack Session As dialog, allowing you to save the current session to a new name or location, along with all waveforms used in the session. Free space on all available drives is displayed in the right section of the window.

You’ll be prompted to save any modified (but unsaved) waveforms.

Save Multitrack Session As Dialog

Save Multitrack Session As Dialog

Here are components of the Save Multitrack Session As dialog:

Recent Folders

Look in

File name

Files of type

Save copies of all associated files

Options

Path (Breadcrumbs) Multitrack View: File > Save Session As...


Save to Files

Use this option if you’d like to split the audio between cue points in the active waveform to new files.


Scan

Click this button to scan the highlighted selection and show all frequencies present in that selection.


Scan for Silence Now

Press this button to pre-perform the silence deletion. Instead of actually deleting, it reports how much silence will be removed, as well as how many sections of silence were found. This gives you an idea of what to expect using the current settings when you actually commit to the “Delete Silence” command.

Tip icon

If you have an audio presentation that consists of many cuts separated by silence (such a reel of several jingles), use Edit > Delete Silence to make sure the duration of silence between each cut is the same. For example, if the difference between cuts 1 and 2 is 3.2 seconds, the difference between cuts 2 and 3 is 4.1 seconds, and the difference between cuts 3 and 4 is 3.7 seconds, you can use Delete Silence to make the silence duration between all four cuts exactly 3 seconds.


Scan List

Pressing the Scan List button causes Cool Edit Pro to look through all of the files in the Source Files list and examine their sample rate, bit depth, channels and file type. After this is done, the options can be set for the output format, depending on the properties of the input.


Scientific Filters...

Scientific Filters button Scientific Filters...

Cool Edit Pro’s Scientific Filters provide high-order IIR (Infinite Impulse Response) filters for precise band pass, band reject (notch), or high or low pass filtering.

Scientific Filter Dialog

Scientific Filter Dialog

The four most common types of higher order filters are available: Bessel, Butterworth, Chebychev 1, and Chebychev 2. Each one has different characteristics for how steep the transition bands are (at the cutoff points), and how much the filter attenuates. Butterworth is generally the best compromise between quality and desired precision.

Each filter is visualized on the Scientific Filters graph, with one line showing frequency response (measured in dB) and the other displaying either phase (measured in degrees) or group delay (measured in milliseconds), depending on whether the Phase or Delay option is selected. Increase the graph’s display range by checking the “Extended Range” box.

Note icon

Some of the following functions are common to all four types of Scientific Filters, while others apply to just certain filters.

Low Pass

High Pass

Band Pass

Band Stop

Cutoff

High Cutoff

Order

Transition Bandwith

High Width

Pass Ripple/Actual Ripple

Stop Attn

Master Gain

Presets

Cool Edit Pro comes with several Scientific Filter presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Scientific Filter setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Filters > Scientific Filters...

* This function supports Presets.

* This function supports Preview.


Script Type

These three fields indicate what type of script is currently highlighted in the Scripts List. There are three possible script types: Script Starts from Scratch, Script Works On Current Wave, and Script Works on Highlighted Section. Each operates respectively on either the entire waveform, a selection of a waveform, or from scratch. The type of script currently selected will darken, leaving the other two “grayed out”.

Note icon | Again, to create a particular type of script, simply match Cool Edit Pro’s current state with that of the target for the script. For example, if you wish to make a script that starts from scratch, then close all open waveforms before recording the script.
Note icon | While all scripts will be displayed in the script list, only scripts whose type matches your current status (open waveform with a highlighted selection, for example) will be allowed to run.
Tip icon | A single script can be run on a batch of files by pressing the Batch Run button. For more information, see Batch Process.


Scripts & Batch Processing...

Scripts and Batch Processing button Scripts & Batch Processing...

Cool Edit Pro scripts allow you to save a series of actions (such as a cut/paste or applying an effect) to be performed again with the click of a button. Scripts – which are simple text files – are similar to macros; the exact movements of your mouse and any tweaking of parameters are stored, ready to be repeated in the same sequence when recalled.

Scripts and Batch Processing Dialog

Scripts and Batch Processing Dialog

As an example, suppose you have a combination of effects with particular settings (an EQ setting, a Hall reverb, etc) that you like to apply often and in combination to achieve a certain sound. You can record these steps, along with specific settings, to be carried out again by simply calling the script.

There are three types of scripts. The type created depends upon Cool Edit Pro’s state when you initiate the recording:

  1. Scripts that start from scratch. These scripts start with no waveform opened, and their first command is File > New.

  2. Scripts that work on the current audio file. This type of script operates on the entire waveform. It requires a file to be opened, but with no selection made. Actions begin at the playback cursor position in the waveform, and will affect any data present at that point.

  3. Scripts that work on a highlighted selection. This type requires a highlighted selection to be made. All actions in the script pertain only to the portion that is highlighted, leaving the rest of the waveform untouched.

Script Collections

Scripts List

Open/New Collection

Run Script

Batch Run

Pause at Dialogs

Alert when complete

Execute Relative to Cursor

Edit Script File

Title

Record

Add to Collection

Clear

Stop Current Script

Description

Script Type

Note icon | Again, to create a particular type of script, simply match Cool Edit Pro’s current state with that of the target for the script. For example, if you wish to make a script that starts from scratch, then close all open waveforms before recording the script.
Note icon | While all scripts will be displayed in the script list, only scripts whose type matches your current status (open waveform with a highlighted selection, for example) will be allowed to run.
Tip icon | A single script can be run on a batch of files by pressing the Batch Run button. For more information, see Batch Process.

Path (Breadcrumbs) Edit View: Options > Scripts & Batch Processing...

More about...

Creating a Script

Performing a Multiband Compression


Scripts List

This area lists the names of all scripts in the currently opened collection. Highlight a script in the list before you edit or run it.


Script Tab

Script Collection File

This displays the current script collection in use. The small button to the left of the field brings up a browse dialog that allows you to choose a Cool Edit Pro script collection (*.scp) file.

Script

This drop-down list contains all scripts available in the selected collection. Choose the particular script you want to run.

Pause at Dialogs

If checked, the script stops at each settings dialog to allow you to modify the values. Otherwise, the entire script will run to completion before control returns.

Path (Breadcrumbs) Edit View: Favorites > Edit Favorites...


SCSI

Small Computer Systems Interface. Pronounced “skuzzy”, SCSI is a standard for attaching components (such as hard drives and CD-ROMs) to a computer. It allows for up to 7 devices to be daisy-chained to the same controller, and for very fast data transmission.


Search for Help On...

Use this option to open Help's full-text search.

Path (Breadcrumbs) Help > Search for Help On...


Search Options

Search Previous Results

If the first set of search results returns numerous topics, you can refine the search by typing a new search word or phrase and searching only the set of topics originally returned, not the entire Help system.

Match similar words

Search for all word forms of the word you enter.

Search Titles only

Search topic titles only for matching words or phrases.


Sec Tone (ms/end)

Enter the time, measured in milliseconds from the ending of the audio file, where the secondary tone (a.k.a. the “trip tone”) appears. (This tone is used to automatically start the next audio element when used in an automation system.)


Second Level Verification

Check the Second Level Verification box to start rejecting some of the potential clicks that were found by Cool Edit Pro’s click detection algorithm.

In some types of audio, such as trumpets, saxophones, female vocals, and snare drum hits, some of the peaks in the natural waveform may be detected as clicks. If these peaks are corrected as clicks, the resulting audio may sound muffled. With Second Level Verification enabled, these peaks will be rejected, and not corrected after all. True clicks, on the other hand, will not be rejected.

Tip icon

Because this option slows down the restoration, you should first try correcting the audio with this option turned off, and only use it for sections that are very troublesome. See Rejection Threshold for more information.


Sel/View Controls

The Sel/View Controls window (“Sel” is an abbreviation for “Selection”) shows the beginning and ending points, as well as the total length of both the selection and the section of the waveform or session that’s currently viewed. Both the selection and display range is shown using the current time display format (which is selected in View > Display Time Format).

Sel/View Controls

Left-click on any one of the individual value windows to directly enter numeric time display data. A subsequent right-click calls up a copy/paste and options selection box.

Since Sel/View Controls is a dockable window, you can reposition it at one of several places in the Cool Edit Pro interface. You may also detach the Show Sel/View Controls window and have it float above Cool Edit Pro’s main window.

To close the Sel/View Controls window when it’s floating, click on the “X” control in its title bar. To get rid of the Sel/View Controls window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, you can simply uncheck the “Show Sel/View Controls” item on the View menu to close it in either docking or floating mode.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Select All Blocks in Track

As you’d expect, this command selects all blocks in the current track. Each block in the track is highlighted.


Select All Blocks in Track N

This command selects all blocks in the currently selected track (the last one you clicked on, most of the time). Selected blocks appear brighter in color than their non-selected counterparts. If you’re using the default Cool Edit Pro color scheme, record-enabled blocks (red) will become bright red when selected, while regular unmuted blocks (green) will become bright green when selected.

Path (Breadcrumbs) Multitrack View: Edit > Select All Blocks in Track N


Select All Blocks

Select All Blocks Ctrl+A

This command selects all blocks within the current session. Selected blocks appear brighter in color than their non-selected counterparts. If you’re using the default Cool Edit Pro color scheme, record-enabled blocks (red) will become bright red when selected, while regular unmuted blocks (green) will become bright green when selected.

Tip icon

Use the keyboard shortcut of Ctrl+A to quickly select all blocks without having to access the Edit menu.

Path (Breadcrumbs) Multitrack View: Edit > Select All Blocks


Select Entire Wave

Select Entire Wave Ctrl+A

Choose this command to select the current waveform. It doesn’t make any difference if you can’t see the entire waveform on screen – the whole thing is highlighted.

Tip icon

You may also select the entire wave by double left-clicking within the Wave Display window.

Path (Breadcrumbs) Edit View: Edit > Select Entire Wave

More About...


Select Entire Wave 2

Select Entire Wave

The entire waveform is selected (highlighted) with this command.

Tip icon

Use the keyboard shortcut of Ctrl+A to quickly select the entire waveform.


Select View

This command selects the contents of just the Wave Display area that you’re viewing.

Tip icon

Try using the keyboard shortcut of Ctrl+Shift+A instead.


Selected Waves

Choose this option to mix all highlighted waveforms in the session and put the resulting stereo waveform in the Edit View.


Selected Waves(Mono)

Choose this option to mix all highlighted waveforms in the session to a mono waveform, which will be opened in the Edit View.

Tip icon

Insert a submix back into your session using the File/Cue List in the Multitrack View’s Insert menu. The original tracks that were submixed can then be muted or removed from the session


Selected Waves (Bounce)

Selected Waves

Choose this option to mix all highlighted waveforms in the session and put the resulting stereo waveform into the selected track.


Selected Waves (Bounce) 2

Selected Waves

Choose this option to mix all highlighted waveforms in the session and put the resulting stereo waveform in the active track.


Selected Waves (Mono) 2

Selected Waves (Mono)

Choose this option to mix all highlighted waveforms in the session to a mono waveform, which will be opened into the selected track.


Selected Waves (Mono) 3

Selected Waves (Mono)

Choose this option to mix all highlighted waveforms in the session to a mono waveform, which is put in the active track.


Send 32-bit audio as:

This option is enabled if you don’t have any of the boxes checked in “Limit Playback to”. Depending on if your output device supports it, you can send 32-bit audio as 3-byte Packed PCM, 4-byte PCM, or 4-byte IEEE float.


Sensitivity

Lower values entered here will find more subtle clicks. (Detected levels found when using Auto-Find All Levels will always be higher than this value.)

Tip icon

Try a value of 10 for lots of subtle clicks to 20 to set levels for fixing a few louder clicks.


Sequencer

A programmable electronic device which can play a stepped order (sequence) of musical events, such as samples, pitches, and rests.


Serial Number

The downloadable version of Cool Edit Pro has a security system that requires you to unlock the program in order to access its full capabilities. You need three items to register the software:

  1. Your Name (exactly as you registered)

  2. Serial Number

  3. The Registration Key file

These codes were generated and e-mailed to you at the time you purchased the software. Keep them in a safe place in case you need to reinstall the software.

Your name must be entered exactly - "John Doe" and "John A. Doe" are not the same thing.

If you have a CD burner and would like to create your own CD, copy the main installation program, the registration key, and your serial number onto the CD for safe keeping. This will work as a backup copy should you ever need to reinstall.

If you need to retrieve a lost serial number, visit the Syntrillium Web site. Follow the instructions in the Help and Support section.


Session

A Session in Cool Edit Pro is a multitrack project. Actually, “session” can refer to the project itself (as in “your session”) or to the act of working on the project (as in “during your session”).

A Session is stored as a file on your hard disk with the extension .ses, and contains the details of the project, such as what tracks contain what audio files, volume levels, and envelope information, among other things.

Session files don’t actually store the audio data in them; instead they point Cool Edit to where it can find and load the sound files used in the project.


Session ‘Save Copies of all files’ Options

Session Save Options Dialog

Session Save Options Dialog

Save all copies in this format

Covert Sample Rate

Remember these settings for next time


Session Display

The Session Display is the part of Cool Edit Pro’s Multitrack View that lies to the right of the Track Controls. It contains all track windows, the Horizontal Portion Bar, the Horizontal Ruler, and the Track Display window.

Session Display

Horizontal Portion Bar

Horizontal Ruler

Track Display Ruler

More about...

Navigating the Multitrack View Screen


Session Display 2

Session Display

The workspace where audio data shows up and can be manipulated in Cool Edit Pro’s Multitrack View.


Show Session Properties

View Session Properties button Show Session Properties Alt+3

Click on this command to show Cool Edit Pro’s Session Properties window, a dockable window which displays useful information about your multitrack session. This window is especially handy to have visible and docked when you’re working on loop-based sessions, because loops with defined tempos will match the specified parameters (which is most useful with matching tempo).

Multitrack Session Properties Window

Multitrack Session Properties Window

Tip icon

Use the keyboard shortcut of Alt+3 to quickly toggle the display status of the Session Properties window.

Here are the components of the Session Properties window:

Tempo

Bars/Beats

Key

Time

Advanced

Metronome

Path (Breadcrumbs) View > Show Session Properties


Session Start Time Offset

Here you can enter a time offset, which is the time location that Cool Edit Pro will wait for to begin playback. Locations must be entered in the format of hours:minutes:seconds:frames.divisions, or hours:minutes:seconds.division if not being used with SMPTE.


Set 1:1 at Cursor

Press this button to set the cursor to the first beat of the first measure.


Set ‘Copyright’ Bit

Check this box to set the Copyrighted bit on the .mp3 file.


Set ‘Original’ Bit

Activating this checkbox sets the Original Copy bit, which designates that the .mp3 file is located on its original media.


Set ‘Private’ Bit

Each MPEG frame will have its private bit set if this is checked.


Set Amount of Silence

Select this item to add silence between cue points in the currently shown waveform. Fill in the desired values (measured in seconds) in the “Add silence before:” and “Add silence after:” fields. Press the OK button to initiate the silence-adding process.


Set As Default

If you’ve changed the Pre-mixing and/or Panning settings, press this button to have Cool Edit Pro remember them as the default settings.

Note icon

Cool Edit Pro’s default settings for Multitrack View are under the Multitrack tab of Options > Settings.


Set Current Clipboard

Cool Edit Pro gives you access to five internal clipboards for temporary data storage. Each works similarly to the Windows clipboard, except without the memory limitations.

Use this command to decide which of Cool Edit Pro’s five available internal clipboards is active – just check the one you wish to use. Or, choose “Windows’” to have Cool Edit Pro use the Windows clipboard. (You’ll want to use the latter option if you want to copy audio data to other Windows applications.)

Set Current Clipboard Menu

Set Current Clipboard Menu

Hotkeys (Ctrl+1, Ctrl+2, etc.) let you easily switch between clipboards without having to access the drop-down menu.

Path (Breadcrumbs) Edit View: Edit > Set Current Clipboard


Set Controller 7 (MIDI Block Only) 2

Set Controller 7 (MIDI Block Only)

If a single MIDI block is highlighted, this command appears on the Edit menu.

The controller 7 value for a MIDI file is the master volume setting. This value gets sent out each time a MIDI file is played and tells the MIDI playback device what volume to play this file at.

This option just lets you change the controller 7 value directly in case you have a MIDI file whose controller 7 value is too low or high.

Path (Breadcrumbs) Multitrack View: Edit > Set Controller 7 (MIDI Block Only)


Set Controller 7 (MIDI Block Only)

The Controller 7 value for a MIDI file is the master volume setting. This value gets sent out each time a MIDI file is played and tells the MIDI playback device at what volume to play this file.

The MIDI Controller 7 Dialog

The MIDI Controller 7 Dialog

This option just lets you change the controller value directly in case you have a MIDI file whose Controller 7 value is too low or high.


Set Reverb based on Early Reflection Room Size 2

Set Reverb based on Early Reflection Room Size

Once a room size and dimension are chosen, it is advisable to click this button to set the reverb length and attack time to match the current room size. This will make for a more convincing listening experience. While the reverb length and attack can be adjusted later, this provides a starting point for experimentation.


Set Reverb based on Early Reflection Room Size

For convincing sounding reverbs, the tail length should be correlated with the feeling of room size given by the Early Reflections. Pressing this button will adjust the Total Length and Attack Time to roughly match the room size given in the Early Reflections tab. After these are set, you’re free to fine-tune the length and attack time to change the effect.


Set Tempo (MIDI Block Only)

The command displays the Adjust MIDI Tempo box, where you can make changes to the tempo of the MIDI block using the Tempo field provided. The value used is percentage, with 100 being the default (no change in tempo). Values over 100 speed up MIDI playback, while values of 99 and under slow down the MIDI block’s tempo.

Adjust MIDI Tempo Dialog

Adjust MIDI Tempo Dialog

Check the “Use session tempo” box to use the tempo value already specified in View > Session information, which disables the Tempo field.


Set Tempo (MIDI Block Only) 2

Set Tempo (MIDI Block Only)

If a single MIDI block is highlighted, this command appears on the Edit menu.

It displays the Adjust MIDI Tempo box, where you can make changes to the tempo of the MIDI block using the Tempo field provided.

More information about the Set Tempo dialog can be found in the Navigating the Multitrack View Screen section.

Path (Breadcrumbs) Multitrack View: Edit > Set Tempo (MIDI Block Only)


Force complete flush before saving

When checked, this option disables Cool Edit Pro’s quick save feature. Normally, Cool Edit Pro quick saves a file if only a small portion of the file was modified. If you force flushing before saving, Cool Edit Pro must first make a backup copy of the file internally and then write the entire file back during the save process.

This option is disabled by default. It was added for users who have problems saving back to the same filename. Enabling this option will increase the save time considerably for large files. Don’t enable it unless you have a problem with Cool Edit Pro’s quick save function.


Settings...F4 2

Settings... F4

You can customize Cool Edit Pro’s colors, use of memory and hard disk space, multitrack behavior, SMPTE options, and miscellaneous other program characteristics in Options > Settings.

Note icon | Complete documentation on the Settings dialog can be found in the Options Menu – Edit View section.
Tip icon | Pressing the F4 key is a fast way to display the Settings dialog.

Path (Breadcrumbs) Options > Settings...


Settings Systems Tab

Systems Tab

Adjust the options in this section of the Settings window to tell how Cool Edit Pro should interact with your system.

The System Tab of the Settings Dialog

The System Tab of the Settings Dialog

Play/Record Buffer

Wave Cache

Preview Buffer

Temporary Folders

Undo

Delete clipboard files on exit

Force complete flush before saving

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Settings Colors Tab

Colors Tab

Don’t care for Cool Edit Pro’s default color scheme? This section of the Settings window is where you can customize its interface’s various hues and shades to your heart’s content.

The Colors Tab of the Settings Dialog

The Colors Tab of the Settings Dialog

Color Scheme Presets

Save As...

Delete

Waveform Tab

Spectral Tab

Controls Tab

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Settings Display Tab

Display Tab

In this area is where you choose options for Cool Edit Pro’s Spectral View and Waveform View modes.

The Display Tab of the Settings Dialog

The Display Tab of the Settings Dialog

Spectral Display

Plot Style

Waveform Display

Peak Files

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Settings Data Tab

Data Tab

The controls in this area of the Settings dialog have to do with the way Cool Edit Pro handles audio data.

The Data Tab of the Settings Dialog

The Data Tab of the Settings Dialog

Auto-convert all data to 32-bit upon opening

Interpret 32-bit PCM .wav files as 16.8 float (compatibility with old Cool Edit format)

Dither Transform Results (increases dynamic range)

Use Symmetric Dithering

Smooth Delete and Cut Boundaries

Smooth all edit boundaries by crossfading

Auto-convert settings for Paste

Dither amount for saving 32-bit data to 16-bit files

Allow for partially processed data after canceling effect

Path (Breadcrumbs icon) Options > Settings...

More about...

Settings...


Settings Multitrack Tab

Multitrack Tab

Use these settings to adjust system performance and default parameters for Cool Edit Pro’s Multitrack View.

The Multitrack Tab of the Settings Dialog

The Multitrack Tab of the Settings Dialog

Play/Record

Mixdowns

Merging

Defaults

Panning Mode

Auto Zero Cross Edits

Smooth auto-scrolling during playback

Correct for Drift in Recordings

Correct for Start Sync in Recordings

Save locked track files after closing sessions (for faster session loads)

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Settings SMPTE Tab

SMPTE Tab

This is where you adjust Cool Edit Pro’s settings for working with time code.

The SMPTE Tab of the Settings Dialog

The SMPTE Tab of the Settings Dialog

Lead Time

Stopping Time

Lag Time

Slack

Clock Drift Correction Time

Reposition playback cursor when shuttling

Full re-sync when shuttling

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Settings General Tab

General Tab

The General Tab of the Settings dialog provides controls for adjusting Cool Edit Pro’s mouse behavior, as well as parameters for auto-play, live update, auto-scroll, and more.

The General Tab of the Settings Dialog - General Tab

The General Tab of the Settings Dialog - General Tab

Show Tip of the Day

Use Shiny Look

Auto-play on command-line load

Live update during record

Auto-scroll during Play and Record

Upon a manual scroll/zoom/selection change:

Custom Time Code Display

Restore Default Window Layouts

Ctrl key allows dockable windows to dock

Mouse Wheel

Mouse Cursor Over Display

Edit View Right Clicks

Default Selection Range

Highlight after Paste

Path (Breadcrumbs) Options > Settings...

More about...

Settings...


Shortcut

Shortcuts are used to speed up the editing process by allowing you to execute almost any command in Cool Edit Pro from your computer keyboard. For example, instead of using your mouse to go to the Edit menu and selecting Cut to remove the highlighted portion of a waveform, you can simply press Ctrl+X. In Cool Edit Pro, you can execute commands from a MIDI keyboard, a sequencer, or any other device capable of issuing a MIDI command. This type of Shortcut is referred to as a MIDI Trigger. An example of this would be assigning the Play command in Cool Edit Pro to the C4 note on your MIDI keyboard.


Shortcut Key

Use this section if you want to be able to execute the currently highlighted command from your computer’s keyboard. Cool Edit Pro gladly accepts most single key shortcuts. (The most notable exceptions are the Print Scrn, Scroll Lock, Num Lock, Caps Lock, Tab, and Enter keys.) However, you can use the Ctrl, Shift, and Alt keys (or any combination of the three) to act as the first part of a multiple key shortcut.

With your text cursor in the Press new shortcut key field, press the desired key(s) to use for the currently highlighted command’s shortcut key. Use the Clear button to remove an entry from the field..

Tip icon

Many Cool Edit Pro users find single key shortcuts (such as “N” for Normalize) faster to use and easier to remember.


Shortcuts (Keyboard & MIDI Triggers)...

Shortcuts (Keyboard & MIDI Triggers) Dialog Box

Shortcuts (Keyboard & MIDI Triggers) Dialog Box

Shortcuts are used to speed up the editing process by allowing you to execute almost any command in Cool Edit Pro from your computer and/or MIDI keyboard. For example, instead of using your mouse to go to the Edit menu and selecting Cut to cut the highlighted portion of a waveform, you can simply press Ctrl+X.

Likewise, you can execute commands from a MIDI keyboard, a sequencer, or any other device capable of issuing a MIDI command. This type of shortcut is referred to as a MIDI Trigger. An example of this would be assigning the Play command in Cool Edit Pro to the C4 note on your MIDI keyboard.

Note icon

The Keyboard Shortcuts dialog is fully documented in the Keyboard Shortcuts section.

Path (Breadcrumbs) Options > Shortcuts (Keyboard & MIDI Triggers)...

More about...

Mouse Shortcuts


Show a PlaceKeeper

Select Show a Placekeeper to create a blank, dockable window called a “placekeeper”. Use it to more accurately define where you want a dockable window to be, especially for windows that are only useful when viewed in a certain aspect ratio.

Note icon

More information on Placekeepers can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) View > Show a PlaceKeeper


Show Cue List Alt+F8

Show Cue List button Show Cue List Alt+8

The command opens the Cue List window, which is a dockable window. A cue list is a list of time offsets, or locations defined within an audio file. A cue can be either a point that specifies a cursor position, or a range that specifies a selection. You may define and save an unlimited number of cues in the Cue List for later recall, or for assembling in Cool Edit Pro’s Play List.

Tip icon | Use the keyboard shortcut of Alt+8 to quickly toggle the display status of the Cue List.
Note icon | The Cue List is fully documented in the View Menu – Edit View Menu Reference section.

Path (Breadcrumbs) View > Show Cue List


Show Cue List 2

Show Cue List

Click on this button to display Cool Edit Pro’s Cue List window. The Show Cue List button is then replaced by the Insert Cue(s) button.


Show File Information

With this box checked, Cool Edit Pro displays useful details about the selected waveform such as format type, full size, sample rate, and running time.


Show File Information 2

Show File Information

If this item is checked, you’ll see all the waveforms referenced by a session in the Component Files list, along with the sampling rate and number of tracks used.


Show FX Parameter Envelopes

Show Effects Envelopes Show FX Parameter Envelopes

With this command checked, Effects Envelopes appear when you apply certain Cool Edit Pro effects to a track, such as Pan/Expand, Dynamic EQ, and Dynamic Delay. When you add one of these effects, there will be an “Automated” checkbox in its settings dialog. If it’s checked, an envelope for that setting will appear. (For example, Dynamic Delay lets you vary Delay and Feedback over time with these envelopes.)

A wave block with FX Parameter Envelopes (in this case, Dynamic Delay) displayed

A wave block with FX Parameter Envelopes (in this case, Dynamic Delay) displayed

Note icon | To change FX Parameter envelopes, there must be a checkmark next to “Enable Envelope Editing” (further down the View menu).
Tip icon | If View > Status Bar > Data Under Cursor is checkmarked, you’ll be able to get visual feedback as you manipulate an envelope’s control point.

Path (Breadcrumbs) Multitrack View: View > Show FX Parameter Envelopes


Show Level Meters

Show Level Meters button Show Level Meters

Click on this option to display Cool Edit Pro’s Level Meters, which, by default, appear near the bottom of both Cool Edit Pro’s Edit View and Multitrack View windows. These meters display both record and playback levels. The Level Meters window is dockable.

Note icon

More information on the Level Meters can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) View > Show Level Meters

More about...

Level Meters

Monitor VU Levels


Show Load Meter

This option displays Cool Edit Pro’s Load Meter, which runs in a dockable window. The Load Meter shows you how much CPU time is available, which is especially handy if you regularly use real-time effects. When the meter fills up, Cool Edit Pro has no more available computing power and your system will act erratically.

Path (Breadcrumbs) Multitrack View: View > Show Load Meter


Show Meters for All Devices (Multitrack only)

In the multitrack view, choosing this option will show a level meter for each output and input device. When disabled, the meter shown will follow the first output device when playing, or the first input device when recording.

Note icon

Because it does use the CPU to do these real time metering calculations, you may want to disable this option if there are any dropouts during playback or recording.


Show Meters on Play and Record

Show Levels on Play and Record

This item enables or disables Cool Edit Pro’s Level Meters used to visualize audio levels during recording and playback.

Path (Breadcrumbs) Options > Show Levels on Play and Record

More about...

Level Meters


Show Mixers Window

Show Mixers Window Show Mixers Window Alt+2

Checking this item displays Cool Edit Pro’s Mixers window, which consists of two tabbed panes – the Track Mixer and the Bus Mixer – as well as a slider that controls the master volume of your session.

The Mixers window is dockable, which means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

The Track Mixer’s interface mimics a real-world mixing console. It gives you an alternative to Cool Edit Pro’s session window by providing a broader overview of your mixing project, especially if you’re working with more than a handful of tracks at once.

Tracks Mixer Window

Tracks Mixer Window

The Bus Mixer pane provides the controls for adjusting the output of up to 26 of the available buses you can have in Cool Edit Pro, as well as many other bus parameters.

Bus Mixer Window

Bus Mixer Window

Tip icon | Even if you don’t use the Mixers window, you might want to dock it and resize it so that only the master volume slider is visible. You’ll be surprised how often this slider will come in handy.
Tip icon | Use the keyboard shortcut of Alt+2 to quickly toggle the display status of the Mixers Window.

Here are the major components of the Tracks Mixer:

Tracks Mixer Tab

Wave Tab

MIDI Tab

Bus Properties

Wet/Dry Fields

FX/No FX Buttons

Lock Button

Equalization Fields

Pan Controls

Mute/Solo Buttons

Track Faders

Portion Bar

Bus Mixer Tab

Path (Breadcrumbs) Multitrack View: View > Show Mixers Window


Show Organizer Window

Show Organizer Window button Show Organizer Window Alt+9

Edit View text

This command lets you see Cool Edit Pro’s Organizer Window. This handy, tabbed window allows you to easily open and close files, quickly send waveforms to the Multitrack Display, choose effects with ease, and more.

Tip icon | Use the keyboard shortcut of Alt+9 to quickly toggle the display status of the Organizer Window.
Note icon | More information about the Organizer Window can be found in the Getting To Know Cool Edit Pro and Its Main Screens section.

Path (Breadcrumbs) View > Show Organizer Window


Show Phase Analysis...

This command displays Cool Edit Pro’s Phase Analysis window. Using a Lissajous Plot graph, it lets you easily see any phase differences between the channels of the current waveform. (“Phase” is the amplitude difference between channels.)

  • A mono (in phase) waveform will display as a rising diagonal line from left to right.

  • An inverse left channel 180-degrees out-of-phase waveform (the right channel is in phase) will display a line descending from left to right.

  • A right channel-only waveform will display as a horizontal line.

  • A left channel-only waveform will display as a vertical line.

  • Most stereo audio is generally fuzzy looking, upward sloping from left to right.

  • If audio has very wide stereo separation, the display will be going in almost all directions.

Phase Analysis Window

Phase Analysis Window

The Phase Analysis window can float above Cool Edit Pro’s main interface, or dock at any one of several places within it.

Note icon

The Phase Analysis window is designed to be used with stereo waveforms only. If used with a mono audio file, all you’ll see on the graph is a single line.

Should only one channel of stereo waveform be highlighted, the Phase Analysis window will show a moving straight line as the audio file is played: a horizontal line if it’s the left channel, a vertical line if it’s the right channel.

Normalize

M-S Button

Samples

Path (Breadcrumbs) Edit View: Analyze > Show Phase Analysis


Show Sel/View Controls

Show Sel/View Controls button Show Sel/View Controls Alt+6

When checked, the Sel/View Controls window is displayed. (“Sel” is an abbreviation for “Selection”.) This window shows the beginning and ending points, as well as the total length of both the selection and the section of the waveform that’s currently viewed. The selection and display range are each shown using the current time display format.

Tip icon | Use the keyboard shortcut of Alt+6 to quickly toggle the display status of the Sel/View Controls.
Note icon | More information on the Sel/View Controls window (which is dockable) can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) View > Show Sel/View Controls


Show Tempo Envelopes

Show Tempo Envelopes button Show Tempo Envelopes

Checkmark this command to enable the display of Tempo Envelopes on MIDI files. Tempo Envelopes – which are view-only – show the MIDI file’s tempo map on the MIDI block.

A MIDI block with Show Tempo Envelopes turned on

A MIDI block with “Show Tempo Envelopes” turned on

Path (Breadcrumbs) Multitrack View: View > Show Tempo Envelopes


Show Tip of the Day

When this box is checked, a tip about program operation is displayed whenever Cool Edit Pro is launched. If you’d rather not see a tip when Cool Edit Pro loads, uncheck this box.


Show Track EQ Window

Show Track Properties Show Track EQ Window Alt+5

Activate this item to display Cool Edit Pro’s Track Equalizers window, which gives you more control over a track’s equalization than the EQ tab in the Track Controls.

Track Equalizers Window

Track Equalizers Window

The Track EQ window is dockable, which means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

Tip icon

Use the keyboard shortcut of Alt+5 to quickly toggle the display status of the Track EQ Window.

Here are the major components of the Track EQ window:

Track Tabs

Max View

Expand/Collapse

Graph

Q Values

Band Buttons

Frequency Sliders

Amplitude Sliders

Path (Breadcrumbs) Multitrack View: View > Show Track EQ Window


Show Track Properties

Show Track Properties Alt+4

Checkmarking this item displays Cool Edit Pro’s Track Properties dialog, where you can adjust parameters for a selected track’s volume and panning, output and record devices, and more.

Track Properties Window

Track Properties Window

The Track Properties window is dockable, which means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

Tip icon

Use the keyboard shortcut of Alt+4 to quickly toggle the display status of the Track Properties window.

Here are the major components of the Track Properties window:

Track Tabs

Max View

Volume Slider

Title

Output

Record

Channel

Bit Rate

Effects

Lock

Bus

EQ

Record

Solo

Mute

Path (Breadcrumbs) Multitrack View: View > Show Track Properties


Show Transport Buttons

Show Transport Buttons button Show Transport Buttons

Check this item to display Cool Edit Pro’s Transport Buttons, which are used to play, stop, pause, rewind, and fast forward the active waveform or session. The Transport Buttons window is dockable.

Note icon

More information on the Transport Buttons can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) View > Show Transport Buttons


Show Video Window

Show Video Window button Show Video Window

If this option is checked, a window used to view video data that’s inserted in Cool Edit Pro’s Multitrack View is displayed. It initially appears in the upper left-hand corner of your desktop, and can be resized to fit your frame size. Plus, since the Video Window is dockable, you can reposition it at one of several places in the Cool Edit Pro interface.

Path (Breadcrumbs) Multitrack View: View > Show Video Window


Show Wet/Dry Mix Envelopes

Show Web/Dry Mix Envelopes Show Wet/Dry Mix Envelopes

This command enables the display of Wet/Dry Mix Envelopes, which will appear on any block that is in a track that has real-time effects. These envelopes control the wet/dry mix of the effects over time. When the envelope is at the top, the signal coming out of that track is 100% wet (all effects, in other words). If the envelope is at the bottom, the track is 100% dry (which means the original track is unaffected by the effects).

A wave block with its Wet/Dry Mix Envelope set to slowly transition from Dry to Wet over the course of the block

A wave block with its Wet/Dry Mix Envelope set to slowly transition from Dry to Wet over the course of the block

Note icon | To change Wet/Dry Mix envelopes, there must be a checkmark next to “Enable Envelope Editing” (further down the View menu).
Tip icon | If View > Status Bar > Data Under Cursor is checkmarked, you’ll be able to see the mix percentage as you drag an envelope’s control point around.
Note icon | Wet/Dry Mix Envelopes overlap with the Volume Envelopes, so you might have to turn off the Volume Envelopes (uncheck View > Show Volume Envelopes) to see them.

Path (Breadcrumbs) Multitrack View: View > Show Wet/Dry Mix Envelopes


Show Zoom Controls

Show Zoom Buttons button Show Zoom Control Buttons

Select this item to display Cool Edit Pro’s Zoom Buttons. The Zoom Buttons window is a dockable window, allowing you to reposition it at one of several places in the Cool Edit Pro interface.

Note icon

More information on the Zoom Buttons can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Path (Breadcrumbs) View > Show Zoom Buttons


Signature

Select the appropriate time signature using this drop-down list. The current signature pattern is displayed in the non-editable Pattern field. Custom time signatures may be added using the Custom… button.


Silence

Silence buttons Silence

This option silences out the selected range of the waveform. Unlike deleting or cutting a selection – which splices the surrounding material together – Silence leaves the duration of the selection intact, and simply zeros the amplitude within it.

Note icon

You must select part or all of your waveform first in order for Silence to work.

Path (Breadcrumbs) Edit View: Effects > Silence

* This function supports Presets.

* This function supports Preview.


Silence 2

Silence

This function silences out the selected range of the waveform. Unlike deleting or cutting a selection – which splices the surrounding material together – Silence leaves the duration of the selection intact, and simply zeroes the amplitude within it.

Note icon

You must select part or all of your waveform first in order for Silence to work.


“Silence” is defined as

Enter the amplitude value (in decibels) you wish Cool Edit Pro to consider as the maximum level for “Silence” in the “Signal is below…” box.

The duration (in milliseconds) of this maximum amplitude value should be entered in the “For more than…” box.

Note icon

For very quiet, high-quality audio, the dB value will be lower (like –60 dB). For noisier audio, the value may be much higher (such as –30 dB). Use higher values in the second box to keep groups of words together, for example.


Auto-Cue Settings...

Choose this option to customize the way the Auto-Cue function works.

Auto-Cue Settings Dialog

Auto-Cue Settings Dialog

Here are the major components of the Auto-Cue Settings window:

Audio will be considered "silence" when

Audio will be considered as valid when

Find Levels

Path (Breadcrumbs) Edit View: Edit > Auto-Cue > Auto-Cue Settings...


Single Pass

Files are compressed in a single pass. Use this option if you’re in a hurry. However, the quality will be lower than if you use the Multiple Pass option. The time taken to read an ADPCM compressed file is the same no matter which option you choose.


Slack

This sets the number of frames Cool Edit Pro can periodically be “out of sync” with the time code before either repositioning the playback cursor to match the code, or perform a full re-sync. Generally a setting of about 2.5 frames will do, as there are occasions when the time code frame location numbers may be incorrect, usually corrected on the next frame sent. This will not cause a sync problem in the audio sense. The default value is 1 frame.


Smooth all edit boundaries by crossfading

When applying an effect, enable this option to automatically apply a crossfade to the starting and ending boundaries of the selection. This will smooth any abrupt transitions at these endpoints, thus preventing audible clicks when filtering small portion of audio. You can enter a value (in milliseconds) in the crossfade time box to specify the crossfade duration to be applied.


Smooth auto-scrolling during playback

By default Cool Edit Pro uses a “paging” method of scrolling in Multitrack View instead of the smooth scrolling technique used in Edit View. This saves on system resources. If you’d rather use smooth scrolling when playing back audio in Multitrack View, check this box.


Smooth Delete and Cut Boundaries

Check this box to have Cut and Delete operations smoothed at the splicing point. This will prevent audible clicks at these locations.


Smooth Light Crackle

This option will smooth out one-sample errors when detected, and can have the effect of removing more background crackle.

If this makes the resulting audio sound thinner, flatter, or more tinny, leave Smooth Light Crackle turned off.


Smooth Wave

When checked, the audio that appears at the left and right channels will be smoothed out. The left and right channels will delay and un-delay following a smooth curve such that the delay difference between the left and right channels will follow a sine wave pattern, even though the brain will hear the audio as traveling around the head in a circle.

When Smooth Wave isn’t checked, the net delays are the same, but are achieved by holding one channel constant (at no delay) while the other channel is delayed following half a sine wave. The boundary between holding non-delayed and delaying signal is discontinuous in that the dD/dt (difference in delay over time) jumps from zero to a positive delay value without hitting any values in-between. When Smooth Wave is checked, the dD/dt is always continuous, which will cause less noticeable distortion in either channel when heard independently.


SMP

Audio files with an .smp extension are used by Turtle Beach’s SampleVision program. The format supports only mono 16-bit audio. If your data is in a different format, you’ll be asked to convert it before saving. SMP format also supports loop points, which can be edited using Cool Edit Pro’s Cue List.


SMPTE 24 fps (Film)

Use this SMPTE time format when working with film, where 24 frames equal one second.

Path (Breadcrumbs) View > Display Time Format > SMPTE 24 fps (Film)


SMPTE 25 fps (EBU)

Time is displayed using the standard European frame rate standard of 25 frames per second.

Path (Breadcrumbs) View > Display Time Format > SMPTE 25 fps (EBU)


SMPTE 29.97 fps

Use this option to display time in the SMPTE Non-Drop format of 29.97 frames-per-second.

Path (Breadcrumbs) View > Display Time Format > SMPTE 29.97 fps


SMPTE 30 fps

Time is displayed in the SMPTE format where 30 frames equal one second.

Path (Breadcrumbs) View > Display Time Format > SMPTE 30fps


SMPTE Drop (29.97 fps)

This display type numerically indicates time in the SMPTE Drop format of 29.97 frames-per-second.

Path (Breadcrumbs) View > Display Time Format > SMPTE Drop (29.97 fps)


SMPTE Format

This field is used to enter in the SMPTE frame rate format for the currently loaded sample.


SMPTE Offset

Use this field to enter the SMPTE trigger offset point for the currently loaded sample.

Example: An audio file for a film soundtrack that would need to be triggered at 45 minutes, 15 seconds and 29 frames, might have a frame rate setting of 30 frames-per-second with an offset of 00:45:14:29.


SMPTE Slave Enable

SMPTE Slave Enable button SMPTE Slave Enable F7

With this option turned on, Cool Edit Pro can synchronize its playback to SMPTE time code (MTC) generated from another device, such as a MIDI sequencer, or with the appropriate hardware, a VCR or tape deck. This is commonly referred to as slaving.

With SMPTE Slave enabled, Cool Edit Pro will update its current sync status in the lower left of the Status Bar to “Opened MIDI Input Device” when waiting, “Synchronizing” when establishing lockup, and “Playback Synchronized” when actually established.

Note icon | Before attempting to enable SMPTE sync, you’ll need to choose a device for MIDI In that is recognized by Windows (such as a soundcard’s built-in MIDI interface, a MIDI interface card, or other hardware device options.) To do this, go to Options > Device Properties to bring up the devices window. Set MIDI In (Sync/Trigger) to the input to be used for SMPTE sync (commonly YourDevice: Sync).
Tip icon | Use the keyboard shortcut of F7 to quickly toggle the status of the SMPTE Slave Enable function.

Path (Breadcrumbs) Multitrack View: Options > SMPTE Slave Enable


SMPTE Start Offset

The offset to the start of a multitrack session. The Start Offset determines when playback and recording will trigger while Cool Edit Pro is synchronizing to SMPTE time code.


SMPTE Time Code

SMPTE (Society of Motion Picture and Television Engineers) time code is a timing reference used to synchronize two devices to the same clock. SMPTE time is broken down into hours, minutes, seconds, and frames.


Snap to Blocks

Snap to Blocks button Snap to Blocks

This option snaps blocks to the beginning or ending points of other blocks. The beginning and ending points of blocks become the “magnets”.

Path (Breadcrumbs) Edit > Snapping > Snap to Blocks


Snap to Cues

Use this option to allow a selected waveform to snap to a defined Cue point. (See the View > Cue List section of this guide for information on how to define Cue points.)

Path (Breadcrumbs) Edit > Snapping > Snap to Cues


Snap to Cues 2

Snap to Cues button Snap to Cues

With this option checked, the selection will snap to any time locations currently listed in the Cue List. Cool Edit Pro displays Cue markers in the Multitrack View as red and blue dotted lines.

Path (Breadcrumbs) Edit > Snapping > Snap to Cues


Snap to Frames (Always)

When Snap to Frames (Always) is chosen, the selection or your cursor is always right on a frame boundary in whatever time format you’re in – as long as the time format selected is measured in frames (such as Compact Disc and SMPTE). This option is especially handy for working on audio for CD.

Path (Breadcrumbs) Edit > Snapping > Snap to Frames (Always)


Snap to Frames (Always) 2

Snap to Frames (Always)

When Snap to Frames (Always) is chosen, the selection or your cursor is always right on a frame boundary in whatever time format you’re in – as long as the time format selected is measured in frames (such as Compact Disc and SMPTE). This option is especially handy for working on audio for CD

Path (Breadcrumbs) Edit > Snapping > Snap to Frames Always


Snap to Loop Endpoints

Snap to Loop Endpoints button Snap to Loop Endpoints

If you select this option, blocks used as loops will snap to the beginning or ending points of other loops. The beginning and ending points of the loops act as “magnets”.

Path (Breadcrumbs) Edit > Snapping > Snap to Loop Endpoints


Snap to Ruler (Coarse)

This option allows the selected waveform to only snap to the major numeric divisions (decimal, SMPTE, samples, etc.) in the timeline window. If you need more precise snapping, check “Snap to Ruler (Fine)”, which is described below.

Path (Breadcrumbs) Edit > Snapping > Snap to Ruler (Coarse)


Snap to Ruler (Coarse) 2

Snap to Ruler button Snap to Ruler (Coarse)

Select this option to have the selection or block snap to each subdivision in the current time display format (SMPTE, Bars and Beats, etc.) along the horizontal time ruler. Use this option if you don’t want too much sensitivity in Snapping.

Zooming in will create further subdivisions to snap to, allowing you to Snap To with more precision.

Path (Breadcrumbs) Edit > Snapping > Snap to Ruler (Coarse)


Snap to Ruler (Fine)

Select this option to allow the selected waveform to snap to each of the subdivisions (decimal, SMPTE, samples, etc.) within the timeline window. Zooming in on the timeline – which is done by right-clicking and dragging within the timeline across the desired waveform area – will generally break the display down into more accurate subdivisions. This lets you place a waveform more accurately within the timeline.

Path (Breadcrumbs) Edit > Snapping > Snap to Ruler (Fine)


Snap to Ruler (Fine) 2

Snap to Ruler button Snap to Ruler (Fine)

Check this option to have the selection or block snap to each subdivision in the current time display format (SMPTE, Bars and Beats, etc.) along the horizontal time ruler. Use this option for more sensitivity in Snapping.

Zooming in will create further subdivisions to snap to, allowing you to Snap To with more precision.

Path (Breadcrumbs) Edit > Snapping > Snap to Ruler (Fine)


Edit View Snapping

Snapping

In this case, the term “snapping” means that whenever a waveform cursor is placed within a certain distance of a defined location point timeline or cue location point, that cursor automatically “jumps” or “snaps” to that precise boundary point. Keep in mind that snapping only occurs if you’re close to the ruler tick.

Four options are available, all accessed from the Edit > Snapping submenu. Highlight and check one to select it. (Only one of the “Snap to Ruler” commands can be checked at a time.)

Snap to Cues

Snap to Ruler (Coarse)

Snap to Ruler (Fine)

Snap to Frames (Always)

Add Snap to Zero Crossings

Tip Icon

Snapping settings may be easily accessed by right-clicking on the timeline.

Path (Breadcrumbs) Edit > Snapping


Snapshots in profile

The number in this field describes how many snapshots of noise to take in the highlighted interval when the Get Profile from Selection button is pressed. The larger this number, the more accurate the statistical data is. A value of 64 is usually sufficient.

You’ll notice that using very small numbers of statistical samples will greatly affect the quality of the various noise reduction levels. With more samples, a noise reduction level of 100 will likely cut out more noise, but also cut out more original signal as well. However, a low noise reduction level with more samples will also cut out more noise, but likely will not disrupt the intended signal.


SND

Waves with this file extension are usually Apple AIFF or Next/Sun files. See AIFF or AU.


Software Package

The name of the software used to digitize and edit this file (such as Cool Edit Pro) goes here.


Solo Track

When this command is checkmarked, the track is soloed. A soloed track has the effect of muting out all other tracks, and is used to quickly isolate a track or tracks from the rest of the mix.

Unlike the Solo Current Track command, you can run Solo on multiple tracks to place the track into solo mode. This command does the same thing as clicking the S button on the track console. (You’ll need to hold down the Ctrl key while pressing the S button to solo multiple tracks.)


Solo 2

Solo

This button solos the track so that only it will be heard on playback. All other tracks are muted.

Note icon

Despite its singular name, more than one track may be soloed. To do this, hold down the Ctrl key while clicking on the solo buttons of all tracks you wish to put into solo mode.


Solo Button

This is the button with the S on it. Pressing it puts the track into Solo mode, meaning that the output of all other tracks will be muted so that you can hear the track by itself. Multiple tracks may be soloed by pushing down their S buttons while holding down the Ctrl key.

Note icon

The Solo button is available in the Vol, EQ, and Bus areas


Solo Current Track

Run this command to put just the current track into solo mode. If any other track in the session window is soloed, its solo status will be turned off.


Song Title

If you wish to keep a sequence of notes you’ve created, give it a name in the Song Title box. You can choose previously saved songs from the drop-down list of song titles you’ve created. The actual song data is saved in the file SONGS.INI in your Cool Edit Pro data folder.


Song Title 2

Song Title

The title of the musical composition (up to 30 characters) goes in this field.


Creative Sound Blaster (.VOC)

This is the Sound Blaster and Sound Blaster Pro voice file format. Cool Edit Pro supports both old and new style .voc files. The older .voc format only supports 8-bit audio; mono to 44.1 kHz, and stereo to 22 kHz. The newer type of .voc file supports both 8-bit and 16-bit audio.

VOC files can contain information for looping and silence. If the file you’re loading contains loops and silence blocks, they’ll be expanded while loading.

Options...

Old Style

New Style


Sound Card

A device in your PC that allows your computer to play and record audio.


Sound Set

Use this drop-down list to select from different types of metronome sounds.


Sound Set 2

Sound Set

Use this drop-down list to select from different types of metronome sounds.


Source Files

This is the list of files you want to include in the batch for processing. If desired, the waveforms can be different formats.


Source Selection

Two methods of choosing the exact audio you wish to extract are provided: Track and Time.

Track

If you want to extract one or more complete CD tracks, push the Track button. A list of all tracks on the compact disc is shown, along with their lengths stated in Min:Sec:Frame format. (There are 75 frames in each second of compact disc audio.) Click on the desired track names to select them for extraction, simultaneously holding down the Ctrl key to choose non-contiguous tracks or the Shift key for contiguous selection.

Time

To extract part of a track or a segment of audio that spans multiple tracks, push the Time button. Enter the beginning frame in the Start box, and the total number of frames you wish to extract in the Length box. (There are 75 frames in one second of CD audio.) The actual start and length times are displayed in Min:Sec:Frame format above their respective boxes. The Range bar provides a graphical representation of the not only the amount of audio that will be extracted, but where the audio appears within the CD. However, if only a short bit of audio is selected for extraction, you might not see any change in the appearance of the Range bar.

Tip icon

The Time option is great for pulling “hidden” tracks from CDs, as well as to join tracks that have been broken up by track indices (such as performance track CDs and live albums).


Signal and Microphone Placement (feet)

Source Signal

Enter the desired values of the Source Signal (your waveform or selection), measured in feet, in the Dx (Distance) from Left Wall, Dx from Back Wall, and Dx Above Floor fields. (When using a stereo waveform, you can have different values for both the left and right channels.) The signal will then simulate a single, non-directional point source, meaning that the sound will radiate outwards in all directions. The distance between the source and the walls affects which frequencies are enhanced and is crucial to the overall ambient effect.

Tip icon

Use the Dx (Distance) values in conjunction with Room Size values to determine exact 3D placement. If you use a values greater than the dimensions of the room (a Dx Above Floor of 21 feet in a room with a Height of 20 feet, for example), Cool Edit Pro will use the greatest possible value (20 feet in this case).

Microphone Placement

Enter the desired virtual microphone values, measured in feet, in the Dx (Distance) from Left Wall, Dx from Back Wall, and Dx Above Floor fields. Depending on whether the waveform is mono or stereo, up to two virtual mike pickups can be used. Each microphone is routed to its own respective channel of a stereo audio file. The resulting echoes are exactly what the microphone(s) would pick up in the room at the specified location.

Place the virtual microphones in a stereo setting one foot apart to simulate human ears. The placement of and distance between the mikes gives the brain cues about the directions of each echo and the size of the room. Try listening with headphones to virtual microphones that have been placed far apart; this gives a very large “aural” or “spacey” feeling to the sound.

Note icon

Make sure you always place the virtual microphone(s) sufficiently far away from the source. If the microphone and source are too close together, you will just hear the source and no echoes. This is analogous to placing your ear right next to the sound source, where you will hear the sound only (due to its loudness).


Source Supplier

In this field, enter the name of the person or organization that supplied the original source material. You can use this space for the names of record companies or whoever supplied you with the source. Examples include Epic Records or if recorded live, the name of the artist, such as Ann Wilson.


Source Waveform Information

Number of Beats

Enter the waveform’s number of beats in this field. When you do so, the BPM (Beats Per Minute) is automatically calculated and entered into the Tempo box below.

Tempo

This is the number of beats per minute in the waveform. When you fill in the “Number of Beats” field above, the Tempo value is automatically calculated.

Key

Use this drop-down menu to enter the waveform’s key. If you specify a key for a waveform, all instances of that waveform will be pitch shifted to match the multitrack session’s key as specified in View > Session Information.


Help Tab

This area provides instructions for adding separators and submenus to the Favorites menu.

Tutorial: Let’s add a Fade Out function to the Favorites List and give it the hotkey of Alt+F7:

  1. Select Edit Favorites… from the Favorites menu.

  2. On the Favorites dialog that appears, push the New button.

  3. In the Name field, type “Fade Out” (without the quotes).

  4. Check the Alt box and select F7 from the Hot Key drop-down list.

  5. From the Cool Edit Effect drop-down list in the Function tab, Select Amplitude\Amplify.

  6. Press the Edit Settings… button, which will display the Amplify effect dialog.

  7. Choose Fade Out from the Amplify dialog’s list of Presets and click OK.

  8. Make sure the Show Dialog box is unchecked.

  9. Press the Save button to add Fade Out to the Favorites list and press Close.

The next time you want to fade out a portion of a waveform, just highlight it and press Alt+F7. Cool, eh?

Path (Breadcrumbs) Edit View: Favorites > Edit Favorites...


Special

The options in this menu can be used to introduce some processing effects that are both innovative and wild-n-wacky. Have fun and experiment!

Edit View: Effects > Special


Edit Waveform View Effects Special Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Filters

Noise Reduction

Special

Brainwave Synchronizer...

Convolution...

Distortion...

Music...

Time/Pitch

Enable DirectX Effects

Refresh Effects List


Spectral Decay Rate

When audio above the noise floor is encountered, more audio in the same frequency band is assumed to follow. With low Spectral Decay Rates (measured in percent), less audio is assumed to follow, and the carving function will cut more closely in time to the frequencies being kept.

  • With Spectral Decay Rates too low, background bubbly effects might be heard, and music may start to sound artificial.

  • With Spectral Decay Rates too high (above 90%), unnaturally long tails and reverbs might be added.

Values of 40% to 75% work best.


Spectral Display

Windowing Function

This drop-down list lets you choose the method Cool Edit Pro uses to window the spectral data before it displays it. The windows are listed in order from the narrowest frequency band/most noise to the widest frequency band/least noise. Blackmann or Blackmann-Harris are good choices.

Resolution

This setting specifies the number of vertical bands to be used in drawing frequencies. Keep in mind that the larger this number is, the longer it will take for Cool Edit Pro to render the spectral display. Performance will vary based upon the speed of your computer.

Window Width

This is the width of the window (or frame size) used in plotting the spectral data, where 75% is a frame size of your FFT size.

Window Width basically lets you increase time resolution at the expense of some frequency resolution. So the display will become more accurate along the timeline (left and right) and less accurate along the frequency scale (up and down) as the window width decreases.

The default setting is 100%, but you should lower the value (50 to 70 works best) if you want to increase the resolution horizontally, such as to find out exactly where a certain frequency starts. .


Spectral Tab

This is where you can adjust the display parameters for Cool Edit Pro’s spectral display. Pick an item from the list and press the Change Color… button to bring up a dialog for adjusting the element’s color. After you’ve made your selection, the example to the right will change to reflect the newly chosen color.

Spectrum

Reverse Direction

This option inverts the normal colors of the spectrum display, similar to an Invert or Negative command in a photo editor.

Gamma

This setting works just like the Gamma function in many image editors. The value entered adjusts the overall brightness of the Spectral View. Positive numbers make the display brighter, while negative numbers darken the display.

Selection

The controls in this section are used to adjust the appearance of the selected (highlighted) portions of a waveform when shown in spectral display. The example to the right dynamically changes as you make modifications.

Transparency

Use this slider to adjust the transparent value (measured in percentage) of a selection; 0 is no transparency, while 100 is maximum transparency. You may also directly enter a percentage in the box to the right of the slider.

Invert

Check this box to have the selection colors be the inverse of the non-selected colors. The Transparency controls are disabled.


Spectral View

Toggle between Spectral and Waveform View button Spectral View

Spectral View is the other method Cool Edit Pro utilizes to represent waveform data. Spectral View makes it easy to view the frequency components to an audio file over time. This mode is handy for spotting which frequencies are most prevalent throughout the waveform. The greater a signal’s amplitude component within a specific frequency range is, the brighter the displayed color will be.

Colors range from dark blue (which means that next to no amplitude components exist in this frequency range) to bright yellow (frequencies in this range are high in amplitude.) Lower frequencies are displayed near the bottom of the display, while higher frequencies are visualized from the middle-to-top part of the scale.

Path (Breadcrumbs) Edit View: View > Spectral View


Split

Split button Split

The Split command functions similarly to a traditional tape splice; it “cuts” the block, segmenting it into parts. The cut is performed at the current cursor point, or selection (in this case the selection will be spliced out). Once a block has been split, each segment can be moved, deleted, or slid in time independently of the other segments.

Splitting a block is non-destructive, as it does not alter the original file on disk.

Path (Breadcrumbs) Multitrack View: Edit > Split


Spline

Check the Spline box to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 4

Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line won’t ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 5

Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 6

Spline Curves

Check this box – which appears in each of the Gain, Frequency, and Q (bandwidth) tabbed windows – to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use spline curves, the line won’t ordinarily travel directly through the control points. Instead, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 7

Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 8

Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 2

Spline Curves

Check this box to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use spline curves, the line won’t ordinarily travel directly through the control points. Instead, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Spline Curves 3

Spline Curves

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use spline curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points. Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Splines

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve. Use spline curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the Spline Curve will be to those points.


Splines 2

Splines

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Splines, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Splines 3

Splines

Check this option to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use Spline Curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve.

To get the curve closer to a control point, click to create more control points near the point in question. The more control points there are clustered together, the closer the spline curve will be to those points.

Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).


Split 2

Split

The Split command functions similarly to a traditional tape splice; it “cuts” the waveform, segmenting it into parts. The cut is performed at the current cursor point, or selection (in this case the selection will be spliced out). Once a block has been split, each segment can be moved, deleted, or slid in time independently of the other segments.

Splitting a waveform is non-destructive, it does not alter the waveform on disk.


Spread

The spread setting gives an added delay to each voice, separating them in time by as much as 200 milliseconds (1/5th of a second).

  • High spread values cause the separate voices to start at different times – the higher the value, the further apart the onset of each word may be, for example.

  • With low values, the effect is of all the voices singing in unison. Depending on other settings, low values may also bring out some flanging effects, which may be undesirable if your goal is a realistic chorus effect.


Staff

Drag notes from the Notes area, and place them here. The note location (A, E-flat) will determine the playback pitch for your sample.


Start Date

In this field, type in the date the audio production is scheduled to begin airing.


Start Default Windows CD Player

This options starts the windows default CD player, if any, so you can play back CDs.


Phasing

Start Phase

This is the starting location in the cycle that will be produced. If you start at 0 degrees phase, waves will start at the baseline. If you start at 90 degrees, the wave will start at full amplitude (generating a noticeable click as well). If you are working in great detail with tones and need to have the phase “just so”, this option allows you to control that.

Phase Difference

This setting purposefully allows the left channel to be out of phase with the right channel. A value of 0 will be completely in-phase, and 180 will be completely out of phase.

Change Rate

Use this setting to dynamically change the relative phase between the two channels of a stereo audio file over time at a given rate. For example, if you enter 1Hz, the phase difference will cycle through 360 degrees each second.


Start Recording

Right Away

Choose Right Away and Cool Edit Pro will begin recording as soon as the OK button is pushed.

Time/Date

If you want the recording to begin at a future time (for example, to have Cool Edit Pro capture a radio broadcast at a certain time), select the time/date option. Fill in the starting time and date in the appropriate fields, and choose the desired time and date options.

Upon pressing OK, the record button will blink, and recording will start when your computer’s time reaches the time specified. Recording will then continue for the length given, until it’s stopped manually, or when Cool Edit Pro runs out of available hard disk space.


Statistics...

Show Statistics button Statistics...

The Waveform Statistics dialog displays a wealth of information about the active waveform. It consists of two tabbed areas (General and Histogram) plus a section for RMS settings. Details about each channel of a stereo waveform are clearly shown.

General Tab

Histogram Tab

Path (Breadcrumbs) Edit View: Analyze > Statistics...


Status Areas

When you place the mouse over the graph, the left status area directly underneath the graph will display the frequency at the mouse's location. It will also show the amplitude of this frequency, measured in dB, for both the left and right channels.

The right status area directly underneath the graph displays the waveform’s dominant frequency for the left and right channels measured at the cursor's position. It also shows, in parentheses, each channel’s musical equivalent note number and positive/negative cents.

Note icon

The dominant frequency is not simply the frequency with the highest amplitude. Harmonics are taken into account when determining the dominant frequency.


Status Bar

The Status Bar window runs along the very bottom of Cool Edit Pro’s main window. It can display information such as sample format, file size, and free disk space.

Status Bar

Right-click on the Status Bar to show a menu of display options, as described below. Check the items you wish to display; uncheck the items you don’t want to see. You may also access Status Bar options from Cool Edit Pro’s View menu.

Data Under Cursor

This shows useful information such as the channel (if a current waveform is stereo), the amplitude (measured in dB), and the time (hours:minutes:seconds:hundredths of seconds) from the beginning of the audio file. This data is computed at the precise point where your mouse cursor is placed within the wave display, and changes dynamically when the mouse cursor is moved. Example: If you see “R: -15.2dB @ 0:00:242” in the status bar when in Edit View, this means that your cursor is over the right channel at 0.242 seconds into the waveform, and the amplitude at that precise point is –15.2 decibels.

In the Multitrack View, you’ll see even more beneficial data such as Pan and Volume envelope positions, envelope positions for effects envelopes, dynamic effect settings, and the current position of the wave block as you drag it around.

Sample Format

When this item is checked, sample information about the currently loaded waveform is displayed. For example, a 44,100 kHz 16-bit stereo file shows up as “44100 – 16-bit – stereo”.

File Size (K)

This value represents how large the active audio file is, measured in kilobytes. If you see “308 K” in the status bar, then the current waveform is 308 kilobytes (KB) in size.

File size (time)

This figure tells you the length (measured in time) of the current waveform. For instance, “0:01:247” means the sound file is 1.247 seconds long.

Free Space (K)

This option lets you see how much space is available on your hard drive. A typical display might be “7028.32 MB free”.

Free Space (time)

Check this item to have Cool Edit Pro display the amount of available time left for recording, based upon the currently selected sample rate. This value shown as minutes, seconds, and thousandths of seconds. For example, if Cool Edit Pro is set to record an 8-bit mono waveform at 11,025 kHz, the time left might read something like “4399:15.527 free”. Change the recording options to 16-bit stereo at 44,100 kHz, and the remaining time value becomes “680:44.736 free”.

Keyboard Modifiers

Select this option if you wish to have the status of your keyboard’s Ctrl, Shift, and Alt keys shown in the status bar.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Status Bar 2

Show Status Bar button Status Bar

Access the items on the Status Bar submenu to turn on Cool Edit Pro’s status bar – which runs along the bottom of the Cool Edit Pro window – as well as decide which information fields you wish displayed there. You can also find this menu by right-clicking on the status bar.

To hide the Status Bar, right-click on it and select the “Hide” menu option. Or, uncheck “Show” from the View > Status Bar submenu item.

Note icon

More information on the Status Bar can be found in the Getting to Know Cool Edit Pro and its Main Screens sections.

View > Status Bar


Stereo

The reproduction or recording of two of more channels, where the position of discrete left and right sounds can be determined.


Stereo Chorus Mode

The Stereo Chorus Mode settings are only active when working with stereo files. They determine where the individual voices will be placed in the stereo field, as well as how the original stereo signal will be interpreted.

Average Left & Right

Add Binaural Cues

Narrow Field/Wide Field Slider


Stereo Curve Difference

This setting is only effective when Dynamic Delay is used in Cool Edit Pro’s Multitrack View. It’s the number of milliseconds one channel is behind with respect to the other when following the envelope you draw in Multitrack View.

Positive values will delay the right channel, while negative values will delay the left. The audio itself isn’t delayed, just the curve used. This leads to a neat effect where the phasing sound of the delay lags in one channel with respect to the other.


Stereo Expand

This graph shows the expand level over time. This either amplifies (>100%) or removes (<100%) the differences between channels. The graph’s x-axis (horizontal) represents the length of the waveform or selection, while the y-axis (vertical) represents the percentage of stereo expansion.

With some material, a stereo expanding effect may be achieved by increasing the differences between the left and right channels. The expansion level can vary over time for interesting effects (growing from a mono signal to a very wide stereo signal, for example).

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Stereo Field Rotate...

Stereo Field Rotate button Stereo Field Rotate...

This effect allows you to rotate the stereo field of an audio file. (Stereo field denotes where in space instruments or other sources are placed within the L/R image of a stereo waveform.) This is accomplished by manipulating the Stereo Field Rotation graph.

Stereo Field Rotate Dialog

Stereo Field Rotate Dialog

Note icon

If you specify a stereo field rotation of 180 degrees, both the left and right channels are 180 degrees out of phase. This means that the waveform is inverted. (This is the same as choosing the Invert effect from the Effects menu). At 90 degrees right, only the right channel is inverted. At 90 degrees left, just the left channel is inverted. In the range of -45 to 45 degrees, the results are identical to Cool Edit Pro’s Pan/Expand effect, panning the center channel left or right while panning the surround channel the opposite direction.

Rotation

Spline Curves

Invert Left/Right

Flat

Range

Loop Graph

Presets

Cool Edit Pro provides several Stereo Rotate presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Stereo Rotate setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Check the Bypass box to hear the waveform without any changes in stereo field rotation for a quick “before and after” comparison.

Automated

When using Stereo Field Rotate as a real-time effect in Multitrack View, it supports parameter automation. Check the "Automated" box in the Multitrack View version of the Stereo Field Rotate dialog to draw the Center Channel Pan using a yellow envelope on waveform blocks.

Note icon

You must have View > Show FX Parameter Envelopes in Multitrack View turned on.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Stereo Field Rotate...

* This function supports Presets.

* This function supports Preview.


Rotation

This graph represents the rotation of the stereo field over time. Use the graph to position the stereo field anywhere from hard left (the top of the graph) or hard right (the bottom of the graph) at any specific point in time. The x-axis (horizontal border) of the graph shows the waveform’s timeline, while the y-axis (vertical border) displays the number of degrees off center for the left and right channels.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


Narrow Field/Wide Field Slider

Use this control to specify the stereo field of the Chorus Effect.

Stereo Field denotes where in space instruments or other sources are placed within the L/R image of a stereo waveform. A waveform that contains sound sources that are spread widely from left to right is said to have a wide stereo field, while those having images that are centered around the middle are said to have a narrow stereo field.

In the case of Cool Edit Pro’s stereo field Settings, the narrower the stereo field, the greater the chance that the chorused voices will be placed in the center of the L/R stereo image.

At a setting of 50%, all the voices are spaced evenly about a half circle from left to right. For example, if a thickness of 5 is used, each voice will be panned such that voice #1 will be to your left, voice #2 will be left-of-center, voice #3 will appear in the center, voice #4 will be right-of-center, and voice #5 will be on your right.

At settings higher than 50%, the voices start migrating to the outer edges: voices to the left go farther to the left, and those to the right go farther right.

  • If you use an odd number of voices, then there will always be one voice directly in the center.

  • With an even number of voices, and very high stereo field settings, all voices are pushed either hard left or hard right.


Stereo Phasing

This control lets you set the left and right delays at separate values, which are measured in degrees. For example, a setting of 180 puts the right channel at the initial delay value at the same time that the left channel is at the final delay value. This setting can reverse the initial/final delay settings for the left and right channels, thus creating a circular, psychedelic effect.


Stereo vs. Mono

If a stereo waveform is loaded, the Wave Display is split horizontally. The waveform’s left channel appears at the top of the window while the right channel is at the bottom.

A stereo waveform

A stereo waveform

The total height of the Wave Display window is utilized for mono waveforms.

A mono waveform

A mono waveform

More about...

Navigating the Edit View Screen


Stop Current Script

After completing all of the steps to be included in the script, return to Cool Edit Pro’s Scripts and Batch Processing dialog and press Stop Current Script.


Stop Attn

The Stop Band Attenuation control determines how much gain reduction is to be used when removing frequencies.


Stopping Time

Stopping Time is the amount of time (measured in milliseconds) Cool Edit Pro will continue playing if a dropout in the time code is encountered. The default value is 1000ms.


Straight Line Options

Starting Distance Away

This value, measured in meters, is the virtual starting point of the effect.

Velocity

The value entered here is the virtual speed at which the effect moves, measured in meters per second.

Coming From

Enter the virtual direction (measured in degrees) that the effect is coming from.

Passes in front by

Specify the number of meters you want to the effect to “pass in front” of the listener by.

Passes on right by

Specify the number of meters you want to the effect to pass by the right of the listener’s perspective by.


Stretch...

Time Pitch Stretch button Stretch...

The Stretch effect changes the pitch (frequency) and/or tempo (duration) of the audio signal. It can also change either pitch or tempo without affecting the other. For example, you can use Stretch to transpose a song to a higher key, or to slow a passage down without changing the pitch.

Stretch Dialog

Pitch and tempo may also be varied over the length of the audio, giving the effect of slowing down and speeding up, or raising and lowering pitch.

Constant Stretch/Gliding Stretch Tabs

Initial/Final Sliders

Ratio/Length Boxes

Transpose

Precision

Stretching Mode

Pitch and Time settings

Presets

Cool Edit Pro comes with several Stretch presets. More information on presets can be found in Getting to Know Cool Edit Pro and its Main Screens.

Preview

Press the Preview button to audition the current Stretch setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Time/Pitch > Stretch...

* This function supports Presets.

* This function supports Preview.


Stretching Mode

Three Stretching Mode options are provided::

Time Stretch (preserves pitch)

Select this option to make the tempo or play speed shorter or longer, but keep the pitch the same throughout.

Lower percentages slow down the tempo when Time Stretch (preserves pitch) is selected. Higher percentages increase the tempo when you choose Time Stretch (preserves pitch).

Note icon

This is the setting a radio or TV production person would use in the process of making a 33 or 28 second commercial exactly 30 seconds.

Pitch Shift (preserves tempo)

This setting raises or lowers pitch, while the tempo or speed of play remains the same.

Higher percentages lower the pitch when Pitch Shift (preserves tempo) is selected. Lower percentages increase the pitch when you chose Pitch Shift (preserves tempo).

Note icon | This is the setting you’d use for making a voice sound deeper or higher, while not affecting the original playback speed.
Tip Icon | Try using differing initial and final percentages to raise and lower the pitch without affecting the tempo.

Resample

When you use this setting, both the pitch and tempo settings are affected.

If using percentages above 100, the tempo will slow, while at the same time the pitch will lower. For percentages of 99 or lower, the tempo will speed up and the pitch will increase.


Stripe

To copy SMPTE time code to a single track of a multitrack tape. The SMPTE is then used to reference time on the other tracks for purposes of syncing those tracks to other devices.


Style

Spatial Stereo

If you choose this option, Cool Edit Pro generates Spatial Stereo noise by using three unique noise sources, and spatially encodes them to appear as if one is coming from the left, the other from the center, and the last from the right. When you listen to it with stereo headphones, your mind perceives sound coming from all around, not just in the center.

To specify the distance from center of the left and right noise sources, enter a delay value in microseconds. About 900 to 1000 microseconds correspond to the maximum delay perceivable. A delay of zero is identical to monaural noise, where left and right channels are the same.

Independent Channels

Select this option to tell Cool Edit Pro to generate noise by using two unique noise sources, one for each channel. The left channel’s noise is completely independent of the noise of the right channel.

Mono

If this option is chosen, Cool Edit Pro generates Mono noise by using a single noise source, with the left and right channels set equally to the same noise source.

Inverse

With this option selected, Cool Edit Pro generates Inverse noise by using a single noise source (similar to the Mono option). However, this time the left channel’s noise is exactly inverse of the right channel’s noise. When you listen to it with stereo headphones, the effect is that of the sound coming from the center of your head instead of out in space somewhere.


Subject

Use this field to describe the contents of the file. Feel free to include a description of the instruments used, where someone can find the song recorded, etc. Line returns are okay, and are created by pressing Ctrl+J. Sometimes copyright information is placed here as well. For example: “The shakuhachi of Japan.<Ctrl+J><Ctrl+J>The shakuhachi was developed in the 15th century from a Chinese end-blown flute, called the chiba.”


Successive Echo Equalization

This eight-band echo “quick filter” enables you to choose which frequencies are removed from the echo first. Each successive echo is passed back through the equalizer, allowing for control in simulating the natural sound absorption of a room.

A setting of zero will leave the frequency band unchanged, while a slider’s maximum setting of -15 will decrease that frequency by 15db. And, since it would be -15dB for each successive echo, some frequencies will die out much faster than others.

Note icon

Unlike most other equalizer-like controls, you can’t increase the attenuation of frequencies with Successive Echo Equalization; you may only decrease them.


Support

If you need to contact Syntrillium’s support department, here are a few things you can do to help us serve you better.

First, if you’ve lost your serial number, visit our Web site first. We have specific instructions to help you retrieve your registration information.

If you have your serial codes and are still having difficulty, or if you have any other concern that you would like help with, there are several options here to help you.

  • The Syntrillium support site has answers to most questions. Please try this area out first; it’s usually the fastest route to resolving your issues. The direct link to our support site is http://support.syntrillium.com.

  • To contact our support team by e-mail, write us at prosupport@syntrillium.com. Please expect a 2 business-day reply time, though this time is often shorter. Communication through e-mail tends to be very efficient, as we can easily send you a list of printable instructions that you can refer to. It also keeps a helpful record of the steps we’ve taken to resolve your issue.

  • If your problem hasn’t been resolved by visiting our Web site or through e-mail, feel free to can call us directly. The Syntrillium support team is available by phone from 9:00 A.M. - 4:00 P.M. MST. Arizona time Monday through Friday, excluding holidays. When calling, please have your serial number ready when you talk to a representative. Also, please be in front of the computer you are having problems with. Our support department’s direct phone number is 480.941.4327.

    • (Note that Mountain Standard Time is the same as Pacific Daylight Time during the summer months.)

Remember, the Syntrillium Web site is open 24 hours a day, with solutions to most Cool Edit Pro software issues available day or night!


Surround Panner

The Surround Panner allows you to position the selected track anywhere in the 5 main speaker sound field by left clicking and dragging the white sound source “Orb”.

Note icon

As you position the Orb within the circular sound field the light blue “Power Indicator” lines coming from the speakers will change in length. This indicates the power balance of your sound source coming from each of the 5 main channels.

Additionally, a portion of the circle will appear dark blue to indicate the image of the sound field. That is, when seated in the center of the speakers, this is where the listener would perceive the sound emanating from.

Alternate Method icon

You can also drag the Orb outside the sound field directly on top of one of the 5 main speakers or on top of the LFE speaker.

Once the Orb is in any one of these speaker locations, the audio from the currently selected track is summed to a mono signal and sent discretely to one speaker channel. This is an easy way to send the complete track signal all to one channel.

The Surround Panner can be used to automate the panning of any track. See the Pan Envelopes section of this help topic for more information about automation.

More about...

Pan Envelopes

Multichannel Encoder...


Surround Panner, stereo source

This option allows you to use the Panning Interface to position your sound source by way of dragging the orb to the desired position. This option also keeps your stereo left and right signals from your track discrete when panning in the sound field. For example, if your track includes a stereo file, the left stereo signal will be sent to the Front Left and Left Surround channels, your track’s right signal will be sent to the Front Right and Right Surround channels. The Center channel always receives a summed to mono (L + R) signal. Therefore, as you pan in the 5 channel sound field, these stereo sources will retain their “stereo image” while being routed to the multiple channels.


Surround Panner, summed to mono

This option allows you to use the Panning Interface to position your sound source. However this option always sums the track’s signal to a mono signal. In this mode, panning the sound source to any location in the sound field will result in the same mono signal being fed to all channels.


SVX

The Amiga 8SVX format (which can have an extension of .iff or .svx) is an 8-bit mono format from the Commodore Amiga computer. A variety of sample rates are supported.


Sweep Modes

These settings determine the shape of the filter sweep used.

The Sinusoidal and Triangular options determine if the sweep will follow a sine or triangle curve. Triangle curves will tend to be sharper.

The Log Frequency Sweep and Linear Frequency Sweep options determine if the sweep will be done in a logarithmic, constant fashion, or an even, linear fashion.


Sweeping Phaser...

Sweeping Phaser button Sweeping Phaser...

Like the Flanger effect, a Phaser introduces a variable phase-shift to a split signal and recombines it, creating special effects popularized by guitarists of the 1960s. The Sweeping Phaser sweeps a notch or boost type filter back and forth about a center frequency.

Sweeping Phaser Dialog

Sweeping Phaser Dialog

A phase is similar to a flange, except that instead of using a simple delay, frequencies are phase-shifted over time. When used on stereo files, the stereo image can be dramatically altered to create some truly interesting sounds.

Filter Characteristics

Sweep Modes

Filter Type

Master Gain

Presets

Cool Edit Pro comes with several Sweeping Phaser presets. More information about presets can be found in the Getting to Know Cool Edit Pro and its Main Screens section.

Preview

Press the Preview button to audition the current Sweeping Phaser setting before you apply it to the waveform. The selection is looped until you press the Stop button. Since Cool Edit Pro’s Previews are dynamic, this gives you the opportunity to make and hear processing adjustments as the selection is continuously played.

Path (Breadcrumbs) Edit View: Effects > Delay Effects > Sweeping Phaser...

* This function supports Presets.

* This function supports Preview.


Switch To...

Access the Switch To… command to show a list of all open files. Click on a file’s name to make it the active file in the Wave Display.

Switch To Window

Switch To Window

Note icon | If you have a waveform open that has a cue range in it, there will be a + sign next to its name. Click on the + sign to expand the entry so you can jump directly to any of the cue ranges it includes.
Tip icon | Instead of using the Window menu, try using the Files tab of Cool Edit Pro’s Organizer window instead. To activate the Organizer window, go to the View Menu and click on “Show Organizer Window”, or press the Alt+9 key.

Path (Breadcrumbs) Edit View: Window > Switch To...


Switching from Edit View to Multitrack View

There are several ways to switch from Edit View to Multitrack View. Here are the three most popular:

  • Select Multitrack View from Cool Edit Pro’s View menu.

  • Click on the left-most icon on the Cool Edit Pro File toolbar.

  • Press F12.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Switching from Multitrack View to Edit View

Several methods are provided to switch from Multitrack View to Edit View including:

  • Double-clicking on a waveform’s entry in the File tab of the Organizer Window.

  • Double-clicking on a wave block

  • Selecting Edit Waveform… from a wave block’s right-click menu

  • Selecting Edit View from Cool Edit Pro’s View menu.

  • Clicking on the left-most icon on the Cool Edit Pro File toolbar.

  • Pressing F12.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Symmetric

If Symmetric is checked, the positive and negative curves are identical.

To specify separate Positive and Negative curves, uncheck Symmetric and choose the appropriate tab.


Synchronize Blocks with Edit View

When Synchronize Blocks with Edit View is checked and you switch to Cool Edit Pro’s Edit View from Multitrack View, the current selection and view information will be transferred to the Edit View. For example, if you’re only looking at seconds 4 through 27 on a wave block when you double-click on it Multitrack View, you'll be looking at seconds 4 through 27 of that wave in the Edit View. The same goes with selection information if you highlight an area, then hit F12 or click the leftmost button on the File toolbar to switch views.

Path (Breadcrumbs) Multitrack View: Options > Synchronize Blocks with Edit View


Take History

The Take History function is available for any track that has Allow Multiple Takes enabled. With multiple takes, material isn’t overwritten when recording into an existing waveform block. Instead, a new instance, or “take”, of the block is created and recorded into, preserving the previous waveform. Take History is simply a list of each of these instances, allowing you to move between them, delete them, and in the case of a Punch In, merge them back into the surrounding material they once belonged to.

Take List

This is a list of takes available as alternates for the selected waveform block.

Merge Current Take

Choose this command to merge a take completed with Punch In back into the surrounding material.

Delete Current Take

This removes the selected take, deleting it from your hard drive.

Note icon

Each take exists as an actual waveform on your hard disk, and will take up drive space until deleted. Punch In takes are automatically deleted when Merge Current Take is selected.


Take History (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. The Take History function is available for any track that has the Allow Multiple Takes command enabled. With multiple takes, material is not overwritten when recording into an existing waveform block, instead a new instance, or “take”, of the block is created and recorded into, preserving the previous waveform. Take History is simply a list of each of these instances, allowing you to move between them, delete them, and in the case of a Punch In, merge them back into the surrounding material they once belonged to.

Take List

Merge This Take

Delete This Take

Note icon

Each take exists as an actual waveform on your hard disk, and will take up drive space until deleted. Punch In takes are automatically deleted when Merge Current Take is selected.

Path (Breadcrumbs) Multitrack View: Edit > Take History (Wave Block Only)


Take List

This is a list of takes available as alternates for the selected waveform block.


Talent

Enter the name of the person(s) who voiced this audio production, such as “Joe Jock”, “Vicki Voiceover”, or “Bill Baritone & Susan Soprano”.


Target Manufacture ID

You can’t edit this information, but this field will show a proper value if a sampler has written a .wav file with this sampler information chunk present.


Target Product Code

You can’t edit this information, but this field will show a proper value if a sampler has written a .wav file with this sampler information chunk present.


Technical Support 2

Technical Support

This option brings up the area of the Help file that tells you about Syntrillium’s technical support, contact information, and options.

Path (Breadcrumbs) Help > Technical Support


Tempo

The tempo is given in quarter notes (beats) per minute. Your sample’s length is the length of a quarter note. If your note is longer than the period determined by the tempo, then the notes will overlap.


Tempo 7

Tempo

Tempo is the rate at which music moves, normally measured in BPM (Beats Per Minute).


Tempo 3

Tempo

“Beats per Minute”, as you’d expect, displays the number of beats that occur over a 1 minute interval. Calculate this value by using the Extract button.

Use the “Beats per Bar” field to assign the number of beats that form one measure. This number is usually the top number in the musical piece’s time signature. For example, enter 4 for 4/4 time, 6 for 6/8 time, or 3 for 3/4 time.

“Ticks per Beat” reflects the number of sections each beat is divided into, or the value displayed after the decimal point. You can set “Ticks per Beat” to any value from 2 to 3600. If you use 32 ticks for each beat, then a time setting of 4:2.16 would be the eighth note (half way) between beats 2 and 3, in common time.


Tempo 4

Tempo

The tempo of the session, measured in beats-per-minute, is shown in this field. Click on the field to make it editable so that you can enter a new figure, if desired.


Tempo 5

Tempo

Enter the number of beats-per-minute and beat-per-bars in these two fields.


Tempo 6

Tempo

The tempo of the session is specified here. Any loops that have a tempo specified will be time-stretched to match the session’s tempo. The time-stretch method used is determined by the individual loop’s settings. If you need more detailed tempo settings, right-click on the horizontal ruler in Cool Edit Pro’s Session Display.

Beats/minute

Enter the number of beats-per-minute here.

Beats/bar

Input the desired number of beats-per-bar in this field.

Ticks/beat

This field is where you can specify the amount of ticks-per-beat.


Tempo 2

Tempo

This is the number of beats per minute in the waveform. Enter this figure directly, or when you fill in the “Number of Beats” field above, the Tempo value is automatically calculated.


Tempo Matching

Tempo matching determines how (if at all) the loop will stretch to match the session’s tempo. Four options are provided.

Fixed Length

If this option is chosen, the file won’t be stretched to match tempo.

Time-Scale Stretch

Select this option to stretch the file (just like Cool Edit Pro’s Stretch effect) to match the tempo of the session. Options are provided for Quality (High, Medium, or Low), Frame Size (the number of splices per beat), and the percentage of Frame Overlapping.

Resample

This option will cause Cool Edit Pro to resample the loop to match the session's tempo, and as such, the pitch will be affected. High, Medium, and Low Quality options are available.

Beat Splice

The Beat Splice option actually tries to cut up the file at the beats to loop the file that way. This only works on loops that have very sharp (short duration) sounds, like drums. If the waveform already has beat markers, you may elect to use them. Otherwise, the Auto-Find beats option will be selected. If the default values of 10dB and 9 milliseconds aren’t satisfactory, you can change them in the fields provided.

Hybrid

Some loops sound best when the time scale method is used to lower their BPM, add the beat splicing method is used to raise their BPM. The hybrid stretch method uses time-scale stretching when lowering the BPM and beat splicing when raising it, which greatly increases the stretching quality of those loops.


Tempo Tab

Advanced Session Properties Dialog - Tempo Tab

Advanced Session Properties Dialog - Tempo Tab

Tempo

Offset

Path (Breadcrumbs) Multitrack View: View > Advanced Session Properties...

More about...

Advanced Session Properties...


Temporary Folders

Cool Edit Pro creates temporary files for use when performing edits on your audio. Use these two fields to specify the paths to folders in which these files will reside. You will need to have enough space available in these folders to accommodate the total size of al the audio files you wish to edit simultaneously.

Use the reserve free fields to specify an amount to leave available for headroom purposes for both the primary and secondary temporary folders.

Temp Folder

This is where you specify Cool Edit Pro’s main temporary folder. Ideally it should be on your fastest hard drive. Press the -> button to browse your system for the folder, or type its path in the field provided.

Secondary Temp

This is where you specify Cool Edit Pro’s secondary temporary folder. For best results, this should be on a different physical hard drive than the primary temp folder. Press the -> button to browse your system for the folder, or type its path in the field provided.

Note icon

Providing you have enough free space on the drive that holds the primary temporary folder, Cool Edit Pro will work just fine if no Secondary Temp folder is specified.


Text Fields Tab

Cool Edit Pro allows you to embed text-based data in Windows .wav files that use the RIFF LIST INFO and DISP type 1 formats, as well as standard ID3 tag information in .mp3 files. Provided that other audio editors support this information, this information remains with your audio file throughout its lifetime.

Wave Properties Dialog - Text Fields Tab

Wave Properties Dialog - Text Fields Tab

Use the Text Fields Names drop-down list to choose which field format you’d like Cool Edit Pro to display in the Text Fields window: Standard RIFF, Radio Industry, or MP3 (ID3 Tag).

If you select Standard RIFF, these fields are available:

Display Title

Original Artist

Name

Genre

Key Words

Digitization Source

Original Medium

Engineers

Digitizer

Source Supplier

Copyright

Software Package

Creation Date

Fill Fields Automatically

Comments

Subject

If you select Radio Industry, the fields in the Text Fields change to accommodate information for commercials and other types of audio files used by radio broadcasters. They include:

Description

Advertiser

Outcut

Start Date

End Date

Intro Time (ms/begin)

Sec Tone (ms/end)

Producer

Talent

Category

Agency

Account Executive

Creation Date

Fill Fields Automatically

Comments

Copy

Selecting the MP3 (ID3 Tag) item from the Text Field drop-down menu activates these text fields, allowing you to tag the loaded MP3 file with ID3v1.1-compatible data:

Song Title

Artist

Album Name

Genre

Year

Fill * fields automatically

Comments

Track Number

Note icon

When Text Fields for a file is set to “Radio Industry”, you can press the “1” key when in the Edit View to place a cue for the Intro Time field and press the “2” key to set the Sec Tone field. A white marker will appear on the waveform that can be moved by dragging, like any other cue. The markers only appear when in Radio Industry mode, and moving the markers will update the fields in Waveform Properties automatically.

Path (Breadcrumbs) View > Wave Properties...

More about...

Wave Properties...


The Organizer Window Way

  1. If you don’t have the Organizer Window open, press the Alt+9 key to display it.

  2. Click on the Effects tab of the Organizer Window.

  3. Choose the desired Real-Time Effect from the list. (Notice that the names of the non-Real-Time Effects are disabled or “grayed out”.)

  4. Hold down your left-mouse button and drag the effect over to the track.

  5. When you release your mouse button, the Track Effects dialog will appear, allowing you to adjust the properties for the effect you’ve just added, as well as the amount of Wet/Dry mixing of the track’s effect.


The Track Controls Way

  1. Press the FX button for the track you wish to apply a Real-Time Effect. This will cause the Effect Racks dialog to appear.

  2. Choose the desired effect from a list of installed Real-Time Effects in the left column.

  3. Press the Add - > button to add the effect into the Current Effects Rack (the left column) for the track.

  4. Highlight the effect’s name in the left column and press the Properties… button to set the effect’s parameters.

  5. Press Apply if you want to add another effect to the track.

  6. Press OK when you’re finished.


Thickness

Thickness determines the number of voices that are simulated in the chorus effect. Enter the number of desired voices in this field. The final result may end up with an additional voice if the “Dry Out” setting is used (which mixes the original sample in with the chorused result).

Note icon

The more voices you specify, the longer the effect will take to compute – but the result will have extra richness and fullness.


This letter has no entries.


Time

You’ll see the session’s time signature in this field. A different time signature may be chosen using the drop-down list.


Time-Scale Stretch

Select this option to stretch the file (just like Cool Edit Pro’s Stretch effect) to match the tempo of the session. Options are provided for Quality (High, Medium, or Low), Frame Size (the number of splices per beat), and the percentage of Frame Overlapping.


Time Code

An audio or digital signal designed to synchronize time between multiple devices. The most common forms are SMPTE and MIDI time code.


Time Display Fields

These fields are located in Cool Edit Pro's Edit View, beneath the waveform display and to the right. They display beginning, end, and length information for the visible portion of the current waveform or session, and for the currently selected range.


Time Display Fields Screen Elements

Time Display Fields

These fields display beginning', end, and length information for the visible portion of the current waveform or session, and for the currently selected range. The top row of fields relate to selection times, and the bottom row to the viewing range. The format for used for the display is the currently selected format in /View/Display Time Format.

Tip icon | You can left-click in any of the Time Display Fields and enter a value to adjust either the selection or viewing range.
Note icon | If no selection is made, the selection begin time displays the current cursor position.


Lock in Time

Lock in Time button Lock in Time

Lock In Time “locks” selected blocks to their current time location in the multitrack session. Locking a block is useful when you’ve decided upon its position in time, and don’t want to accidentally move the block when right-clicking on it. Locked blocks are identified by an overlaid graphic of a circled padlock.

While a block which has been locked can’t be moved in time (left or right), it may be vertically repositioned, allowing you to move it between tracks. To unlock a block, simply select it and choose Lock in Time to free it for horizontal movement.

Path (Breadcrumbs) Multitrack View: Edit > Lock In Time


Time Offset

This box displays the offset, or beginning time, for the waveform block. You can enter a value directly to move the block to a specific time location. The time format used is that which is currently selected in View > Display Time Format.


Time Offset 2

Time Offset

This field shows how far the beginning of the wave block is from the starting point of your session. You can edit this value directly by highlighting the numbers in the field and typing over them, thereby moving the wave block forward or backward through the track.


Edit Waveform View Effects Time/Pitch Menu

Menu Reference Banner

Click on a menu above for Help.

The Effects menu displays all the options that relate to waveform transformation (signal processing) functions when you’re in Cool Edit Pro’s Edit View mode. In other words, if you want to apply a “cool” effect to your audio, you’ll be able to do it – and lots more – here.

Click on a menu item below:

Invert

Reverse

Silence

Amplitude

Delay Effects

Filters

Noise Reduction

Special

Time/Pitch

Doppler Shifter...

Pitch Bender...

Stretch...

Enable DirectX Effects

Refresh Effects List


Time/Pitch

The effects in this menu to are used to alter the time (duration) and pitch (tonality) of an audio file or selected range.

Edit View: Effects > Time/Pitch


Time Readout

Displays the track's current location in minutes:seconds.


Time Reference (since midnight)

This field contains the time code of the audio file, calculated since 12:00 A.M. Select from “hh:mm:ss.ddd” (hour:minutes:seconds:thousandths of seconds) or samples options.


Time Ruler

The time ruler shows the current location at any point in the waveform display or session. The format for the units used to mark time in the ruler are defined by the View > Display Time Format. The time markings are subdivided into more detail when zoomed in, and less detail when zoomed out. The far left edge of the Time Ruler is labeled with the current Display Time Format (drop for SMPTE drop, bar for Bars and Beats, etc.).

Alternate Method icon

When zoomed in horizontally, you can left-click and drag on the Time Ruler (the mouse pointer will turn into a hand) to scroll the viewing range forward and backward in time (the zoom level will remain the same, however the waveform area being viewed will be shifted either forward or backwards). While dragging, move the hand cursor to the far right or left for a fast auto-scroll.

Right-click and drag on the Time Ruler (the mouse pointer becomes a magnifying glass) to zoom the waveform display to the specified region.

Right-click on the Time Ruler to call up a menu for selecting various Zoom, Snap, Display Time and editing options.

Double-click on the Time Ruler to cycle through the Display Time Formats.


Time Ruler 2

Time Ruler

The Time Ruler is found along the bottom of the Waveform Display. It displays the time location of the waveform or session portion currently being view in a number of possible formats. The time format used is set in /View/Display Time Format.


Time Sig.

Select the appropriate time signature using this drop-down list. The current signature pattern is displayed in the non-editable Pattern field. Custom time signatures may be added using the Custom… button.


Time Window

Cool Edit Pro’s Time Window displays the current position of the playback cursor. The default display value is mm:ss:ddd (minutes:seconds:thousandths of a second), but this can easily be changed by right-clicking on the Time Window and choosing another option, such as Compact Disc, Samples, Bars and Beats, or one of several SMPTE values.

Time Window

The Time Window is dockable, so you can reposition it at one of several places in the Cool Edit Pro interface. You may also detach the Time Window and have it float above Cool Edit Pro’s main window.

To close the Time Window when it’s floating, click on the “X” control in its title bar. To get rid of the Time Window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, just uncheck the “Show Time Window” item on the View menu to close it in either docking or floating mode.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Show Time Window

Show Time Window button Show Time Window

Select this item to show Cool Edit Pro’s Time Window. This dockable window displays the current position of the playback cursor. The default display value is mm:ss:ddd (minutes:seconds:thousandths of a second), but this can easily be changed by right-clicking on the Time Window and choosing another option, such as Compact Disc, Samples, Bars and Beats, or one of several SMPTE values.

Note icon

More information on the Time Window can be found in Getting to Know Cool Edit Pro and its Main Screens.

Path (Breadcrumbs) View > Show Time Window

More about...

Display Formats


Timed Record

This option can be used to set a finite time limit allowed when recording, or to specify a time when Cool Edit Pro will auto-start and stop recording. With the Timed Record option checked, pressing the Record control on the transport toolbar will bring up a dialog box prompting you to enter the recording time.

Timed Record Dialog

Timed Record Dialog

Maximum Recording Time

Start Recording

Path (Breadcrumbs) Edit View: Options > Timed Record


Tip of the Day

You can access Cool Edit Pro’s “Tip of the Day” feature with this option.

Path (Breadcrumbs) Help > Tip of the Day


Title

Before creating a new script, you must first supply a title here.


Title 2

Title

The default title of the selected track (such as “Track 3”) appears in this editable field. You may rename the track by highlighting the text in this field and typing over it. Note that the name of the Track Tab changes accordingly.


Title Display

Displays the title of the CD. You can edit this field simply by clicking in the field and typing a new title. The title defaults to the length of the CD. If you are currently playing a track (the track number is highlighted in the track list), the field displays and allows you to edit its title. Use the TAB key to jump to the next track to easily enter the titles for an entire CD.


Script Collections

This text area displays the title of the currently opened script collection. If the collection in use hasn’t been named, “New Collection” will be displayed.

To name a script collection, press the Edit Script File button. The Windows Notepad applet will be launched with the script file loaded. Look for the Collection: entry (it’s on the first line of the script file) and overwrite “New Collection” with your new title. Then, save the file.

Note icon

The text in the Script Collections field will not reflect the name change until you reload the script.


Tone Time

Enter the milliseconds for which the tones will last. The standard time for DTMF tones is 100ms.


Tones to Notch

Here you may select and enter up to six frequencies to notch. Click in the checkbox to activate the box for entering a particular frequency (measured in Hz).

You can apply different amounts of attenuation for each frequency by unchecking Fix Attenuations to at the bottom of the Notch Filter dialog. Then, enter the attenuation level (measured in dB) desired.

Both the lower and upper DTMF tone sets (those used in the telephone system) can also be filtered as well. This is sometimes handy when preparing audio that could air on the radio. Just check which set of tones you wish to filter.


Tool Tab

Command Line

Enter the command line for the tool you want to run here, including any command line switches the particular tool may need. The small button to the left of the field brings up a dialog that lets your browse your system for the desired program.

Path (Breadcrumbs) Edit View: Favorites > Edit Favorites...


Toolbars

Many of Cool Edit Pro’s most commonly used functions are represented as icons within toolbars, which appear near the top of the main interface. These icons give you instant access to effects, file handling functions, viewing options, and more at the press of a button.

The Edit View’s Edit Toolbar

The Edit View’s Edit Toolbar

To see what a toolbar button does, hold your mouse pointer over it to display a small “tool tip” that describes the function in simple terms.

You can decide which sets of toolbar icons to display by going to View > Toolbars (or right-click on the toolbar area) and checking or unchecking the desired toolbar group(s). Another option is to limit how many rows of toolbar icons Cool Edit Pro displays at any one time: one row, two rows, or three rows.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Toolbars 3

Toolbars

Use this menu to specify to specify which, if any, groups of icons you’d like to display on Cool Edit Pro’s Multitrack View toolbar. Checkmark the desired icon group(s) to display. If no items are checked, the toolbar area will disappear until you check at least one icon group.

Options are also provided to limit how many rows of toolbar icons Cool Edit Pro displays at any one time: one row, two rows, or three rows.

Path (Breadcrumbs) Multitrack View: View > Toolbars


Toolbars 2

Toolbars

Use this menu to specify to specify which, if any, groups of icons you’d like to display on Cool Edit Pro’s Edit View toolbar. Checkmark the desired icon group(s) to display. If no items are checked, the toolbar area will disappear until you check at least one icon group.

Toolbars Menu

Options are also provided to limit how many rows of toolbar icons Cool Edit Pro displays at any one time: one row, two rows, or three rows.

Path (Breadcrumbs) View > Toolbars


Total Available Space

This field displays the total amount of hard drive space available to Cool Edit Pro. (It’s the sum of the free space on your Primary and Secondary drives.) This value should increase as you free up space.


Total Length

This is essentially the time, measured in milliseconds, that it takes for the reverb to decay 60dB. However, depending on the Coloration parameters, certain frequencies may take longer to decay to 60dB, while other frequencies may decay much faster.

Longer values give longer reverb tails, but also take longer to compute. The effective limit is about 6000 milliseconds (a 6-second tail). The actual tail generated is much longer than this in order to allow for decaying into the background noise level.


Total Reverb Length (0 to 6000 ms)

This is the time, in milliseconds, that it takes for the reverb signal to trail off to infinity (about -96dB).

  • Use values below 400 to create a small room environment.

  • Use values between 400 and 800 to simulate medium sized rooms.

  • Use values above 800 to simulate concert halls. For example, setting Total Reverb Length to 3000 milliseconds will give you the reverb trails of giant amphitheaters.


Total RMS Power

This figure represents the total power of the entire selection given as RMS amplitude.


Track

Tracks in Cool Edit Pro are where audio is positioned and arranged in a session. A track can contain one or more blocks, and can be configured with its own volume, pan, track name, EQ, effects, and input/output assignments. Tracks are found in the Session Display of the Multitrack View, and each session can have up to 128 tracks.


Track 2

Track

Track Cues are only used for burning CDs. They indicate a split in tracks for an audio compact disc.


Track Console

The Track Console is where you will find controls for viewing and altering track properties such as pan and level, and the input/output routing (sound card assignment) of each track. The Console is found along the left edge of the Waveform Display, with each track having its own console strip, or set of controls.


Track Controls

While Cool Edit Pro puts 128 tracks of recording and mixing pleasure at your disposal. Luckily the controls for each track are identical – so if you learn one, you’ve learned them all. The Track Controls window appears to the left of the session window, and can be resized to be as wide or as narrow as you wish.

Track Controls set to the Vol Tab

Track Controls set to the Vol Tab

Along with the Vertical Portion Bar and the Mix Gauge, Cool Edit Pro’s Track Control window consists of three main areas for adjusting volume, equalization, and bus properties. Pushing the Vol, EQ, or Bus buttons at the top of Track Controls window switches between these three areas.

Tip Icon

Right-click on a Track Controls module to display Cool Edit Pro’s Track Properties dialog.

Tip icon

Right-click on the Controls area of a Track, and drag it vertically to rearrange the order of tracks.

Vertical Portion Bar

Track Name Field

Record Enable Button

Solo Button

Mute Button

Track Volume Field

Output Button

Track Pan Field

Input Button

Lock Button

FX Button

Track Equalization Fields

EQ / A and EQ / B Buttons

Wet/Dry Fields

Mix Gauge

Note icon

Right click on the FX button for quick access to the track's effects rack, settings, and mixer, or to bypass the effects on that track. When track effects are bypassed, they take no CPU time.

More about...

Navigating the Multitrack View Screen


Track Controls 2

Track Controls

The Track Controls appear to the left of Cool Edit Pro’s Multitrack View’s Session Window. There you’ll find controls for viewing and altering track properties such as pan, EQ, and level; adding real-time effects; assigning multiple tracks to a bus; and adjusting the input/output routing (sound card assignment) of each track.


Track Cue

Track Cues are only used for burning CDs. They indicate a split in tracks for an audio compact disc.


Track Display Ruler

The vertical Track Display Ruler – which appears at the right edge of the session window – displays the numbers of all visible tracks.

By default Cool Edit Pro shows you only four tracks, but the range of tracks that are displayed at any one time can easily be changed by using the following mouse commands:

Left-click and drag the little hand vertically over the Track Display Ruler to scroll through Cool Edit Pro’s visible track ranges from tracks 1 through 128. Drag up to see higher track numbers, drag down to see lower track numbers. The number of tracks that will be visible at one time will remain the same, but the track ranges being viewed will be shifted either up or down.

Right-click and drag over the Track Display Ruler to automatically zoom the waveform window to show only the specified tracks.

Right-click on the Track Display Ruler to call up a menu with three zooming options: Zoom In, Zoom Out, and Zoom to Selected Tracks.


Track Effects

This term refers to Cool Edit Pro’s non-bus real-time effects (as opposed to insert effects). They are accessed through the Track Effects Rack dialog.


Track Effects Configuration

This dialog shows tabs for each effect on a given track. It’s where you actually set the properties for that effect, such as the delay length.


Track Effects Rack

The Track Effects Rack dialog is the initial dialog used for deciding which real-time effect(s) you wish to add to or remove from a track.


Track Equalization Fields

The Low, Mid, and Hi Track EQ fields show the current low frequency, mid frequency, and high frequency equalization amplitude for the track. By default, they’re all set at 0. However, you can easily change a field’s value from -32 to 32 by left-clicking on it and sliding your mouse horizontally or vertically. Or, right-click on an EQ field to bring up Cool Edit Pro’s Track Equalizers dialog, which gives you more precise control over the track’s EQ.

Track Controls set to the EQ Tab

Track Controls set to the EQ Tab

Note icon

The Track Equalization Fields normally show up only in the EQ area, but will appear under the Vol tab if your Track Controls area is sized large enough.


Track List

At the top left of the dialog is the track list. This list will show all the tracks and buses in use in the current CEP Multitrack session. You select which tracks and/or Bus outputs you want to be included in the Multichannel Mix by checking the box at the left of each track. Any track that is unchecked here will be removed from the Multichannel Preview and will not be included in the export of the Multichannel project.

More about...

Multichannel Encoder...


Track Name Field

At the top of each Track Control module, the track’s name is displayed in a “sunken” field. By default the track will be named something like “Track 4”, but it can be easily renamed by left-clicking on the name of the track and then typing over it.


Track Number

If the recording came from an album, type in the number (up to two characters) of the track in this field.


Track Options

Panning Assignment Selector

At the top right of the dialog is the Panning Assignment selector where you can choose to either use the Panning Interface to position your track sound source, or to make ‘fixed” panning assignments for your track. Following are descriptions of the different options in this list:

Surround Panner, stereo source

Surround Panner, summed to mono

LFE only

FL + FR, stereo

Ls + Rs, stereo

Center + LFE, stereo

Center only, FL only, FR only, Ls only, Rs only

Sub Channel Level Slider

When in one of the Surround Panner modes, the white Orb positions the sound source balance between the 5 main channels. However, you can also raise the amplitude of this slider to additionally send the track’s signal to the LFE channel. With this slider set to zero, no track audio is sent to the LFE channel. * If the currently selected track is assigned to only the LFE channel, this slider will attenuate the amount of this track’s output sent to the LFE channel.

* However, it is recommended that you utilize a Bass Management circuit in your monitoring setup to ensure that you hear the representative mix levels that might be reproduced in an end listener’s playback system. Often home receivers and LFE equipped speaker systems will employ a Bass management circuit on playback that will automatically route ALL sub-120 Hz frequencies from all channels to the LFE speaker. Therefore, it is possible to overdrive the end listener’s system by sending too much overall sub-120 Hz audio to the LFE channel. Use the Sub Channel Level slider carefully!

Center Channel Level Slider

When in the Surround Panner modes, this Center slider determines the balance of the FL, Center and FR channels. With this slider at 0, no signal is sent to the Center channel. With this slider at 100, the Center channel receives an equal % of signal as the FL and FR. The position of the white orb then determines the positional panning according to this FL, Center, FR balance ratio.

Track Level Slider

In any selected pan mode, this level slider controls the amplitude level of the currently selected track within the Multichannel mix.

Multichannel Encoder...


Track Pan Control

The Track Pan Control lets you vary the overall L/R pan for a mono waveform, or stereo balance for a stereo waveform, for the selected track. The values range from hard-left (-100 dB) to hard-right (+100 dB). This slider can be called up by right-clicking on the pan readout in the track's console area in the waveform display appropriate track within the waveform display Track Pan. You can also right-click in an empty area of the track and choose Pan... from the pop-up menu. Pan changes to tracks can be performed in realtime, meaning while the session is playing.

Track Pan Control

Tip icon | Pan changes can be directly entered into the track by holding down the left mouse button and then sliding the mouse vertically..
Tip icon | Whenever the numeric volume readout is highlighted, the track's pan position can be easily set to the center position by simply pressing "0".
Tip icon | Keep in mind that real-time pan changes will require some processing by your computer. With a larger number of tracks in you may experience "jumps" or " glitches" during playback while making a change. If this happens, you may want to use Edit > Mixdown to create a submix that effectively "bounces" several tracks down to a single track or stereo pair of tracks.


Track Pan Field

This field – which by default has “Pan 0” in it – displays the pan position of the track in dB. You can pan the track to the left or right by up to 100%. Just left-click the field and slide your mouse vertically or horizontally. An “L” in the field designates a left pan, an “R” represents a pan to the right, and the number after the letter designates the percentage of the pan.

Note icon

The Track Pan Field only appears in the Vol area.


Track Properties...

Checkmarking this item displays Cool Edit Pro’s Track Properties dialog, where you can adjust parameters for a selected track’s volume and panning, output and record devices, and more.

The Track Properties Dialog in default Tabs view

The Track Properties Dialog in default Tabs view

The Track Properties window is dockable, which means you can reposition it at one of several places in the Cool Edit Pro interface. Or, you may detach it and have it float above Cool Edit Pro’s main window.

Here are the major components of the Track Properties window:

Track Tabs

Max View

Volume Slider

Panning Slider

Title

Output

Record

Channel

Bit Depth

Effects

Lock

Bus

EQ

Record

Solo

Mute


Track Context Menu

Right-clicking on a track in the Multitrack View session window will invoke the Track Context menu.

Track Context Menu

Track Context Menu

Insert

Mix Down to Track (Bounce)

Mute Track

Solo Track

Solo Current Track

Arm Track for Record

Track Volume...

Track Pan...

Effects Settings...

Rack Settings...

Playback Device...

Recording Device...

Track Equalizer...

Track Properties...

Select All Blocks in Track

Insert/Delete Time…

More about...

Navigating the Multitrack View Screen


Track Tabs

The first time you click on any track in Cool Edit Pro’s session window, a tab is added for that track to the Track EQ window. Click on a tab (which contains the name of the track) to adjust its associated track’s settings. The “X” control to the immediate right of the Max View control closes the active tab.

Note icon

You won’t be able to see the Track Tabs if the Max View window display option is selected.


Track Tabs 2

Track Tabs

The first time you click on any track in Cool Edit Pro’s session window, a tab is added for that track to the Track Properties window. Click on a tab (which contains the name of the track) to adjust its associated track’s settings. The “X” control to the immediate right of the Max View control closes the active tab.

Note icon

You won’t be able to see the Track Tabs if the Max View window display option is selected.


Track Tabs 3

Track Tabs

The first time you click on any track in Cool Edit Pro’s session window, a tab is added for that track to the Track EQ window. Click on a tab (which contains the name of the track) to adjust its associated track’s settings. The “X” control to the immediate right of the Max View control closes the active tab.

Note icon

You won’t be able to see the Track Tabs if the Max View window display option is selected.


Track Volume Control

The Track Volume Control is used to set the overall volume (gain) for the selected track, ranging from infinity (-100 dB) to +20 dB. This fader is called up by right-clicking on the volume readout in the track's console area in the waveform display Track volume. You can also right-click in an empty area of the track and choose Volume... from the pop-up menu. Volume changes to tracks can be performed in realtime, meaning while the session is playing.

Track Volume Control

Tip icon | Volume changes can be directly entered into the track by holding down the left mouse button and then sliding the mouse vertically.
Tip icon | Whenever the numeric volume readout is highlighted, the track volume can be easily set to "unity gain" by simply pressing "0".
Tip icon | Keep in mind that real-time volume changes will require some processing by your computer. With a larger number of tracks in you may experience "jumps" or " glitches" during playback while making a change. If this happens, you may want to use /Edit/Mixdown to create a submix that effectively "bounces" several tracks down to a single track or stereo pair of tracks.


Track Volume Field

This field – which has a “V” followed by a number – displays the volume of the track in dB. By default, it’s set to 0dB, but you can adjust the track volume from -120 dB to 32 dB by left-clicking the field and sliding your mouse vertically or horizontally. The dB number changes as you slide.

Note icon

The Track Volume Field only appears in the Vol area.


Tracks List

Click on any track number to start playing that track.


Tracks Mixer Tab

Here are the major components of the Tracks Mixer:

View Display Buttons

Out 1 Button

Path (Breadcrumbs) Multitrack View: View > Show Mixers Window

More about...

Show Mixers Window


Track Faders

The fader is used to adjust the track’s relative volume in the mix. Move the fader up (or click on the arrow above the fader) to increase the volume; move it down (or click on the arrow below the fader) for a volume reduction. You may also directly specify the track’s volume by entering a dB value in the text box above the fader.


Traditional Tab

Dynamics Processing Dialog - Traditional Tab

Dynamics Processing Dialog – Traditional Tab

The Traditional Tab lets you enter ratios and thresholds numerically. You can input Compress, Flat, or Expand settings for up to six sections or stages, each with its own ratio and threshold setting. Simply enter the data to match the compressor you want.

For example, to create a 3:1 compressor above -20dB, choose Compress from the drop-down list, enter 3 (for 3:1) in the Above line, and -20dB for the threshold.

If you want to expand 2:1 below -20dB as well, choose Expand from the drop-down list, and enter 2 in the first Below line.

Note icon

Threshold settings must get lower in value as you move down the list.

Path (Breadcrumbs) Edit View: Effects > Amplitude > Dynamics Processing...

More about...

Dynamics Processing...


Transition Bandwith

Some filter types allow the specification of the width of the transition band. (Lower values have steeper slopes.) If you choose a transition bandwidth, the Order will be filled in automatically, and vice-versa. In filters requiring a range (Band Pass and Band Stop), this serves as the lower frequency transition, while High Width defines the higher frequency transition.


Transition Curve 2

Transition Curve

FFT Filter Transition Curve Dialog

FFT Filter Transition Curve Dialog

Select this button to open the Transition Curve window. It displays a graphical representation of the transition from initial to final filter settings.

The top graph shows time along the x axis (with the left representing the start of your sample, and the right side representing the end), and where in the transition you are allowed the y axis (with 0% representing your initial filter, and 100% representing your final filter). All points in between are a combination of your initial and final filter arrangements.

The readout below the graph displays the current x, y position of your mouse.

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the in the Getting to Know Cool Edit Pro and its Main Screens section.

Flat

Graph response at point


Transition Width

This setting, measured in dB, produces a slow transition in hiss reduction instead of dropping off suddenly from no reduction to the reduced hiss level.

  • If the Transition Width value is too small, other background artifacts may be heard, such as little “tinkles” in the background.

  • If the Transition Width value is set too high, some hiss may remain after processing.

Values of 5 to 10 usually achieve good results.


Transport Buttons

Just like many hardware-based audio recording and playback devices, Cool Edit Pro provides VCR-like transport buttons for playing, recording, stopping, pausing, fast forwarding, and rewinding your waveforms and sessions. The Transport Buttons are in a dockable window, allowing you to reposition them at several places in the Cool Edit Pro interface. Or, you can even detach the Transport Buttons window and have it float above Cool Edit Pro’s main window.

Transport Buttons

To close the Transport Buttons window when it’s floating, click on the “X” control in its title bar. To get rid of the Transport Buttons window when it’s docked, right-click on its grab bar and select “Close” from the pop-up menu. Or, simply uncheck the “Show Transport Buttons” item from the Edit menu to close it in either docking or floating mode.

Right-click on the Play button to select from four behavior options:

Stop

Click on this button to stop the playback of a waveform or session.

Play

This button plays the portion of the wave or session that is currently being viewed (or that’s highlighted) from the current cursor position.

Tip icon

Right-click on the Play to End control to select from four behavior options:

Play View

Cool Edit Pro will play just the portion of audio you’re currently viewing from beginning to end.

Play from Cursor to End of View

Cool Edit Pro plays from the current cursor position to the end of the view. (This is the default behavior for this button.)

Play from Cursor to End of File

Audio is played from the current cursor position until the end point of the file or session.

Play Entire File

When this option is checkmarked, Cool Edit Pro will play the entire file or session from beginning to end, regardless of the cursor position or view.

Pause

Press this button to temporarily pause the playback or recording of audio. The control turns into a Continue button when audio is paused.

Tip icon

You may also enable pause in Multitrack View by first holding down the Ctrl key and then pressing the spacebar to start playback. Hitting the spacebar again will pause the playback of the multitrack session.

Play to End

Clicking on this button plays the contents of the currently-visible waveform or session window, and then stops playback.

Tip icon

Right-click on the Play button to select from four behavior options:

Play View

Cool Edit Pro will play just the portion of audio you’re currently viewing from beginning to end.

Play from Cursor to End of View

Cool Edit Pro plays from the current cursor position to the end of the view.

Play from Cursor to End of File

Audio is played from the current cursor position until the end point of the file or session. (This is the default behavior for this button.)

Play Entire File

When this option is checkmarked, Cool Edit Pro will play the entire file or session from beginning to end, regardless of the cursor position or view.

Play Looped

This button plays the contents of the currently-visible waveform or session window in a continuous, looping fashion.

Tip icon

Right-click on this button to change its behavior. Loop View (or Selection) is the default option; it will loop just the area of the waveform or session that’s currently viewed or highlighted. Checkmark Loop Entire (or Selection) to have Cool Edit Pro loop the entire waveform or session (or just the highlighted portion), regardless of how much is being viewed.

Go to Beginning

Press this button to place the playback cursor at the beginning of the waveform or session.

Rewind

Click on this button to shuttle the playbar cursor backwards in time. This function supports scrubbing. This means that on some sound cards, the audio file will be played back at a lower volume as it shuttles over the waveform or session.

Tip icon

Right-clicking on the Rewind button allows you to set the rate at which the cursor will move.

Fast Forward

Pressing this button shuttles the playbar cursor forward in time. This function supports scrubbing. This means that on some sound cards, the audio file will be played back at a lower volume as it shuttles over the waveform or session.

Tip icon

Right-clicking on the Fast Forward button allows you to set the rate at which the cursor will move.

Go to End

Click this button to place the playback cursor at the end of the waveform or session.

Record

This button starts recording from the current playbar cursor position. Any waveform data after this point will be recorded over.

Tip icon

Right-click on the Record button to select from different behavior options, which vary depending on whether you’re in Edit View or Multitrack View.

  • In Edit View, you can switch between Instant Record (the default) and Timed Record modes. (Timed Record lets you use Cool Edit Pro as an automated, time-shifting recording device.)

  • In Multitrack View, you have three options: Continuous Linear Record (the default), Loop While Recording (View), and Loop While Recording (Entire). Since the Play Looped button itself only applies to playback, the last two options allow for looping while recording. If areas are marked for Punch In (i.e., the “Allow Multiple Takes” option is checked on a Wave Block’s right-click menu), a new take is created on each looping.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Transpose

Use this drop-down list to select musical transposition amounts. The corresponding numerical values are entered into the stretch sliders automatically.

For example, to transpose your sound up one semi-tone (one half-step on a keyboard) choose 1# for one sharp.


Transpose (MIDI Block Only) 2

Transpose (MIDI Block Only)

Use this command and its submenu options to transpose the key of a MIDI block up or down up to 7 steps.


Transpose (MIDI Block Only)

If a single MIDI block is highlighted, this command appears on the Edit menu. Use Transpose and its submenu options to change the key of a MIDI block up or down by up to 7 steps.

Path (Breadcrumbs) Multitrack View: Edit > Transpose (MIDI Block Only)


Transpose Pitch

If you want to transpose pitch of the looped block, enter the number of half-steps in this field. Negative and positive numbers are both valid, where positive numbers raise the pitch by half steps and negative numbers lower the pitch.


Trim 3

Trim

Trim is used to get rid of unwanted audio (like silence) on one or both sides of the selected audio. Everything in the waveform is removed except for the highlighted selection.

Note icon | The deleted portion(s) aren’t copied to the clipboard and can only be retrieved using the Edit > Undo command, or by File > Revert to Saved if you haven’t saved the file since trimming.
Tip icon | Many folks will find using the Ctrl+T keyboard shortcut a quick way to run the Trim function.


Trim 2

Trim

This Trim command works in the same fashion as Trim in the Edit View. All material will be removed from the selected waveform block except the portion within the highlight. Use Trim to remove unwanted material around a selection.

You may also trim an area using the Adjust Boundaries command. Trim differs from Adjust Boundaries in that Trim won’t reveal any material within a highlighted region. Trim will only remove that which is outside of the highlight for the selected waveform block.

Note icon

Unlike the Trim command in Cool Edit Pro’s Edit View, this version does not remove any data from the actual waveform. Trimming in Multitrack View simply tells Cool Edit Pro to “disregard this material” when playing back. You may return any trimmed waveform to its original state at any time by selecting it and choosing Edit > Full.


Trim

Trim button Trim Ctrl+T

Use Trim to get rid of unwanted audio (like silence) on one or both sides of the selected audio.

Essentially, Trim is the exact opposite of the Delete Selection command. Everything in the waveform is removed except for the highlighted selection.

Note icon

Remember that the deleted portion(s) aren’t copied to the clipboard and can only be retrieved using the Edit > Undo command, or by File > Revert to Saved if you haven’t saved the file since trimming.

Path (Breadcrumbs) Edit View: Edit > Trim


Twist

“Twist” refers to how much louder the higher frequency tone is from the lower frequency tone. Enter a value (measured in dB) in the Twist field to increase the volume of the higher frequency tone accordingly


u-Law

u-Law (or CCITT standard G.711) is an audio compression scheme and international standard in telephony applications. u-Law is very similar to A-Law, a variation of u-Law found in European systems. This encoding format compresses original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits. Thus, u-Law encoded waveforms have a higher s/n ratio than 8-bit PCM, but at the price of a bit more distortion than the original 16-bit audio. The quality is higher than you would get with 4-bit ADPCM formats. Encoding and decoding is rather fast and generally, widely supported.


Undo

Everybody makes mistakes or changes their mind. Cool Edit Pro’s Undo feature lets you revert back to your last edit with the press of a hotkey (Ctrl+Z), menu command, or toolbar button. Think of it as a virtual “safety net”.

Enable Undo

If this box is checked, the Undo function is active. Because Undo requires extra desk space for its temporary files, and time to save them before processing, sometimes you may want to turn this feature off by unchecking this box.

Levels (minimum)

Specify the least amount of Undo levels in this field.

Purge Undo

Push this button to delete all of Cool Edit Pro’s Undo files. This will free up disk space, but you won’t be able to revert to any previous edits.


Undo Ctrl+Z

Undo button Undo Ctrl+Z

This command reverses the last action, as long as the Undo function is turned on (see “Enable Undo/Redo” below).

Cool Edit Pro conveniently tells you which action you’re undoing. For example, this menu item might say, “Undo Delete” or “Undo Normalize”. If you haven’t yet edited a waveform, or Undo has been disabled, this menu item says “Can’t Undo” or “Undo Disabled” instead.

Tip Icon

If you forget which editing action you last performed on a waveform, check out the Undo item on the Edit menu to jog your memory, whether you want to undo the action or not.

About Undo

Cool Edit Pro’s Undo information is stored as a temporary file on your hard drive. If the Undo function is enabled in the Systems tab of Options > Settings, an unlimited number of undos can be retained. (Actually, the number is only limited by the amount of free hard disk space).

All changes are automatically saved as one or more files in your temporary folder as long as the waveform is open in Cool Edit Pro – even after it’s been saved to disk. This gives you the freedom to “experiment” or make mistakes, knowing that Cool Edit Pro’s Undo function is there to cover your backside when you want to revert back to the last edit you performed.

When working with very large audio files, it’s possible that you might not have enough free disk space to save the Undo information before continuing on with an edit. It’s also possible that the time required to save the Undo information of very large audio files can slow your work down. In either case, the problem can be solved by turning off the Undo function – if you don’t mind working without a “safety net”. Undo can be turned off three ways:

  1. On the System tab of Cool Edit Pro’s Settings window (Options > Settings)

  2. By removing the check mark from the Edit > Enable Undo/Redo menu item

  3. By pressing the Skip button in the “Saving Undo Data” dialog while Undo information is being saved.

Tip Icon

If you find that you don’t have enough disk space to save the Undo information, you can change the Temp folder to a different drive, if available. To do this, go to Options > Settings and click on the System tab. Change the path in the “Temp Folder” field so that it points to another drive and folder.

Path (Breadcrumbs) Edit View: Edit > Undo

More About...

Enabling and disabling Undo

Drive space and temporary files


Undo History

This part of the window lists the “undone actions” that are currently being retained on your system. The amount of hard drive space each instance consumes is shown.

To remove items from the Undo History list, highlight an item from the list and press the Clear Undo(s) button. All Undo actions at the selected level and below are removed.


Unity Gain

Unity Gain means that there’s no change in signal strength at the output of a device (such as an amplifier) when compared to the signal strength at the input.


Unused MIDI Out Devices

The items in this list are the MIDI Out devices on your system not currently utilized by Cool Edit Pro.


Unused Playback Devices

The items in this list are the playback devices on your system not currently utilized by Cool Edit Pro.


Unused Playback Devices 2

Unused Playback Devices

The items in this list are the MIDI In devices on your system not currently utilized by Cool Edit Pro.


Unused Record Devices

The items in this list are the record devices on your system not currently utilized by Cool Edit Pro.


Up

This button moves the selected item up in the list. The order of this list is the same as in the Favorites menu.


Upon a manual scroll/zoom/selection change:

When a manual scroll, a zoom, or a selection change occurs in Cool Edit Pro, three options are available: You can abort auto-scrolling until the next time you play or record; resume auto-scrolling only when the play cursor enters the view; or resume auto-scrolling immediately. Choose the one that best suits your needs.


Use>>

Press this button to move a selected item from the Unused Playback Devices list to the Device Preference Order list.


Use>>2

Use>>

Press this button to move a selected item from the Unused Record Devices list to the Device Preference Order list.


Use>>3

Use>>

Press this button to move a selected item from the Unused MIDI Out Devices list to the Device Preference Order list.


Use>>4

Use>>

Press this button to move a selected item from the Unused MIDI In Devices list to the Device Preference Order list.


Use Equal Loudness Contour

Check this box to have Cool Edit Pro to use an equal loudness contour, where the middle frequencies are most important. You’d normally want to have this box checked.

Since the ear is less sensitive to very high and very low frequencies, and much more sensitive to those frequencies between 2 kHz and 4 kHz, two different pieces of audio with the same RMS amplitude, but that contain different frequencies, will sound like they have differing volumes. Checking the Equal Loudness Contour box will ensure that the audio has the same perceived loudness regardless of what frequencies are actually present in the sound file.


Use in EV

Use this button to designate that the selected item in the Device Preference Order List should be used for playback in Cool Edit Pro’s Edit View. [EV] appears next to the device’s name. Just one playback device can be used in Edit View.


Use in EV 2

Use in EV

Use this button to designate that the selected item in the Device Preference Order List should be used for recording in Cool Edit Pro’s Edit View. [EV] appears next to the device’s name. Just one record device can be used in Edit View.


Use in EV 3

Use in EV

Use this button to designate that the selected item in the Device Preference Order List should be used for MIDI playback in Cool Edit Pro’s Edit View. [EV] appears next to the device’s name. Just one MIDI Out device can be used in Edit View.


Use in EV 4

Use in EV

Use this button to designate that the selected item in the Device Preference Order List should be used for MIDI input in Cool Edit Pro’s Edit View. [EV] appears next to the device’s name. Just one MIDI In Device can be used in Edit View.


Use Shiny Look

If you’d prefer that certain elements of Cool Edit Pro’s interface (toolbar buttons mostly) take on a flatter look, uncheck this box. The flat look will take effect the next time you start Cool Edit Pro. While there aren’t any performance benefits to not using the default shiny look, Cool Edit Pro might look better if your video display is set to 256 colors.


Use Symmetric Dithering

Normally you would leave this option checked. If unchecked, a DC offset of one-half sample will be added each time something is dithered. Symmetric dithering has just as many samples added above zero as below zero.

By contrast, non-symmetric dithering just toggles between 0 and 1. Sometimes in a final dither, this may be desired to reduce the bit range of the dither. However, both methods produce identical audible results in every respect.


Use this device in Edit View 2

Use this device in Edit View

Check this box to have Cool Edit Pro use the highlighted output device for recording waveforms in Edit View


Use this device in Edit View

Check this box to have Cool Edit Pro use the highlighted output device for playing waveforms in Edit View.


Edit Favorites...

This command brings up the dialog where you create, delete, edit, and organize items that appear in Cool Edit Pro’s Favorites menu.

Edit Favorites Dialog

Edit Favorites Dialog

New

Edit

Delete

Up

Down

Name

Save

Cancel

Press new shortcut key

Clear

Function Tab

Script Tab

Tool Tab

Help Tab

Path (Breadcrumbs) Edit View: Favorites > Edit Favorites...


Using Favorites

Favorites tab

To use Favorites:

  1. At the top of the Navigation pane, click Favorite Tab.

    2. The Current topic in the Viewer pane appears at the bottom.

  2. Click Add to add the topic to the Favorites list.

  3. To remove a topic from the Favorites list, select the topic in the list and click Remove.

  4. To rename an entry, click once in the Topic entry.

    5. The entry changes to:

  5. Type a new entry name.

  6. Click outside the entry.


Using Menu Reference

The Edit View Menu Reference and the Multitrack View Menu Reference work exactly the same. In the following set of procedures, we'll use the Edit View menu as an example of how to navigate the menu reference.

To use the Menu Reference:

  1. On the Contents tab, click the + sign beside Menu Reference to expand the Book icon.

    2. Expanded Menu Reference book in Contents

  2. Double-click Edit View to open the top-level Edit View menu in the viewer pane.

    3. The top-level Menu Reference lists a short description of each of the menus.

    Top-level Edit view Menu Reference topic

  3. Click Effects to view the Effects menu items.

  4. Click Amplitude.

    5. The menu expands to include submenu items.

  5. Click Normalize... to view information on the Normalize menu item.

    6. The topic describes the menu functions, and displays the corresponding toolbar button and shortcut key combination, if any, in the title. All menu item topics include breadcrumbs or path information leading you to the menu item.

    If the menu item leads you to a dialog box, the help topic explains each item in the dialog box.

    Edit Favorites dialog box topic

  6. Click a blue underlined item to receive information on it.

    7. Edit Favorites Dialog box item popup example


Using the Glossary

Glossary

To view a Glossary definition:

  1. Click a letter in the Glossary.

    • If the letter contains no Glossary terms, you will receive a message.

    • If the letter contains Glossary terms, you will jump to the letter.

  2. Click on the Glossary term to view the definition.

  3. Click again to close the definition.

  4. Click Return to Top image to return to the top of the Glossary topic.


Using the Index

Index Tab

To search by keyword:

  1. At the top of the Navigation pane, click Index tab to display the Index.

  2. Type a word or phrase in the box at the top, or select a word from the list.

    3. "Type in the keyword to find" box

  3. Click Display to view the topic in the Viewer pane.

    4. If more than one topic is associated with the keyword, Help opens the Topics Found dialog box.

    Topics Found dialog box

  4. Select a topic, and click Display to open the topic in the Viewer pane.


Using the Search Function

Search Tab

To Use the Search Function:

  1. At the top of the Navigation pane, click Search tab to display the Search function.

  2. Enter a word or phrase in the box at the top.

  3. Select options at the bottom.

  4. Click List Topics to display a list of all topics containing the word or phrase.

  5. Select the topic to view, and click Display to open it in the Viewer pane.

Tip icon

To turn off search highlighting, click the Options button, and select Search Highlight Off from the menu.


Using the Table of Contents

Contents tab

To open a topic from the Contents:

  1. At the top of the Navigation pane, click Contents tab to display the Table of Contents.

    2. Cool Edit Pro Help is organized by section. A Book icon represents a section. A Topic icon.represents a topic.

  2. In the Table of Contents, click the + sign beside a Book icon to view a list of topics contained in that section.

    3. Contents entry expanded book example

    The + sign changes to - sign. To close the book, click - sign.

  3. Double-click a Topic icon.to view the topic in the viewer pane.

Note icon

When you view a topic that has an entry in the Table of Contents, the Contents entry is highlighted.


Settings...F4

Adjust Settings button Settings... F4

You can customize Cool Edit Pro’s colors, use of memory and hard disk space, spectral view, behavior when pasting, and miscellaneous other settings in Options > Settings. See below for information on the individual settings available.

Tip icon

Pressing the F4 key is a fast way to display the Settings dialog.

General Tab

System Tab

Colors Tab

Display Tab

Data Tab

Multitrack Tab

SMPTE Tab

Path (Breadcrumbs) Options > Settings...


VBR (Variable Bitrate)

Variable Bitrate (VBR) encoding uses higher bitrates for more complex material and lower bitrates for simpler material. While it depends on the source material, VBR encoded ..mp3 files generally tend to be smaller than MP3s encoded using the CBR (Constant Bitrate) method. Use the drop-down list below to choose the quality level you’d like from 10 (lowest quality but smallest files) to 100 (highest quality but largest files).

Note icon

Keep in mind that some MP3 players don’t support VBR encoded files. For maximum compatibility, select the CBR (Constant Bitrate) option.


Vertical Portion Bar

By default, the Vertical Portion Bar runs along the left boundary of the Track Controls window. It’s used to scroll through all of Cool Edit Pro’s 128 available tracks, as well to control the number of tracks Cool Edit Pro shows you at any one time.

Left-click and drag the little hand over the Vertical Portion Bar’s handle to scroll through Cool Edit Pro’s visible track ranges from tracks 1 through 128. Drag up to see higher track numbers, drag down to see lower track numbers. The number of tracks that will be visible at one time will remain the same, but the track ranges being viewed will be shifted either up or down.

Left-click and drag the magnifying glass (which appears when your mouse passes over either edge of the Vertical Portion Bar’s handle) to adjust the number of viewable on-screen tracks. Either edge of the handle can be stretched, so the longer the handle is, the more tracks are on screen at once. If you make the handle smaller overall, you’re zooming in, and if you make the handle larger, you’re zooming out. The colored portion of the bar (i.e., the handle) always shows you what portion (hence the name) of the total file you can see.

Right-click anywhere on the Vertical Portion bar to call up a menu with three zooming options: Zoom In, Zoom Out, and Zoom to Selected Tracks. The menu also has options for moving the Vertical Portion Bar to the left or right of the Session Display, as well as returning it to its default position to the left edge of the Track Controls window.


Vertical Ruler

The Vertical Ruler – which is at the right edge of the Wave Display – shows the relative amplitude of a waveform over time.

Vertical Ruler

By default its display format is set to Sample Values (the exact sample value of the audio data), but it can easily be switched to three other types – Normalized Values, Percentage, and Decibels – by doing one of the following:

  • Right-click on the Vertical Ruler to switch display formats from a pop-up menu.

  • Go to Cool Edit Pro’s View > Vertical Scale Format menu and make a selection.

  • Double-click on the Vertical Ruler to cycle through all of the display formats.

Note icon

When the wave display is set to Spectral View, the vertical scale is always in Hertz (Hz).

You’ll find more information on the four Vertical Ruler formats in the View Menu – Edit View Menu Reference section.

Left-clicking and dragging the little hand vertically over the Vertical Ruler allows you to scroll through Cool Edit Pro’s visible amplitude ranges that might extend beyond the traditional amplitude scale values.

Right-clicking and dragging over the Vertical Ruler automatically zooms the waveform window to show only the specified amplitude scale.

Right-clicking on the Vertical Ruler calls up a menu that not only lets you choose one of the aforementioned display formats, but provides three Zoom options:

Zoom In

Decreases the vertical scale resolution of a waveform’s amplitude display incrementally.

Tip icon

Try using the keyboard shortcut of Alt+Up Arrow for quickly zooming in vertically.

Zoom Out

Increases the vertical scale resolution of a waveform’s amplitude display incrementally.

Tip icon

Try using the keyboard shortcut of Alt+Down Arrow instead.

Zoom Full

Zooms out the vertical scale resolution of a waveform’s amplitude display completely.

More about...

Navigating the Edit View Screen


Vertical Scale Format

This menu lets you choose between several vertical scale formats for use in the y-axis vertical) ruler, including Sample Values, Normalized Values, Percentage, and Decibels.

As with the Display Time Format, there are several ways you can change this format. Choose View > Display Scale Format from the menu, or you can selectively cycle through the available time formats by double left-clicking on the vertical scale waveform ruler. In addition, right-clicking on the vertical scale waveform ruler displays a pop-up window that will let you select between formats.

Note icon

When the wave display is set to Spectral View, the vertical scale is always in Hertz (Hz).

Sample values

Normalized Values

Percentage

Decibels

Path (Breadcrumbs) Edit View: View > Vertical Scale Format

More about...

Amplitude


Vibrato Depth

Another property that varies with each voice is vibrato, which describes how the amplitude varies over time. This value determines the maximum variation in amplitude that will occur.

For example, a value of 5dB may alter a chorused voice by varying its amplitude by as much as 5dB louder or quieter than the original.

  • If this setting is extremely low (less than 1dB) the vibrato may be unnoticeable unless the Vibrato Rate has been set extremely high.

  • If Vibrato Depth is set too high, however, the sound may cut in and out, creating an objectionable warble. Natural vibratos occur around 2dB to 5dB.

Please note that this is a maximum depth – just as in the delay settings, the vibrato volume may not go as low as the setting indicates at times. This limitation is intentional, as it gives a more natural feel to the effect.


Vibrato Rate

The Vibrato Rate determines the maximum rate at which vibrato will occur.

  • With very low values, instead of a vibrato effect, the resulting voice will slowly get louder and quieter, like a singer that cannot keep his or her breath steady.

  • If the vibrato rate is set high, the result can be very unnatural – more like a singer who had too much coffee.

Tip Icon

With very high settings, you can achieve interesting special effects (as in the preset “Another Dimension”).


Video from File...

Video from File…

This command brings up the Choose a movie file dialog (which strongly resembles a typical Windows “Open” dialog) so that you can pick one video file for insertion into Cool Edit Pro’s session window. A filmstrip graphic that represents the video appears on one track, while the audio from the video is placed in the track below. If you want to actually see the video’s visual data, make sure Cool Edit Pro’s Video Window is open (View > Show Video Window).

Note icon | Keep in mind that once your video file is inserted, the video block and its soundtrack are completely independent entities in the session. Moving or changing one will have no direct effect on the other. Also, the soundtrack wave block is considered to be a newly created audio file since it was extracted from the video, and will be treated as such.
Note icon | Just one video file may be open in Cool Edit Pro at a time. If you try to insert another one, you’ll be prompted to close the currently open video file.

Path (Breadcrumbs) Multitrack View: Insert > Video from File…


View all Settings in dB

When checked, amplification values are entered and shown in decibels; otherwise they’re entered as a percentage of the original waveform.


View Display Buttons

These six buttons – Out, Bus, FX, EQ, Pan, and M/S – allow you to customize the appearance of the Tracks Mixer. Each button corresponds to a different element of the Tracks Mixer interface.

Out: Shows/hides the Output device selection buttons

Bus: Shows/hides the West/Dry Bus fields

FX: Shows/hides the FX and Lock buttons

EQ: Shows/hides the three equalization fields (H, M, L)

Pan: Shows/hides the Pan field and control

M/S: Shows/hides the M (Mute) and S (Solo) buttons


View Initial Filter Graph/View Final

When the Lock to Constant Filter box isn’t checked, you can choose both an Initial and a Final filter setting. Filtering will gradually go from the initial state to the final state. The rate at which the filter migrates from the initial to final settings depends on the Transition Curve settings.

Note icon

For more information about Cool Edit Pro’s graph controls (such as how to add and remove control points), see the Getting to Know Cool Edit Pro and its Main Screens section.


View Left/Right

Click to view either the left channel noise profile or the right channel noise profile. The amount of noise reduction is always the same for both channels. To perform separate levels of reduction on each channel', edit the channels individually instead of both channels at once.


View Left/Right 2

View Left/Right

Click to view either the left channel noise profile or the right channel noise profile. The amount of noise reduction is always the same for both channel.

To perform separate levels of reduction on each channel, edit the channels individually instead of both channels at once.


View Settings

These settings affect the impulse display.

Left

Select this button to enable display of the impulse for the left channel only.

Right

Click this button to enable display of the impulse for the right channel only.

View Both

Selecting this button enables display of the impulse for both the right and left channels.

Normalized View

If this option is checked, the impulse’s amplitude is displayed so that it exactly fits in the display vertically.


Viewing Left/Right

Select the Left button to view the left channel of the waveform in the Hiss Reduction graph. The Right option allows you to display the waveform’s right channel.


VOC

This is the Sound Blaster and Sound Blaster Pro voice file format. Cool Edit Pro supports both old and new style .voc files. The older .voc format only supports 8-bit audio; mono to 44.1 kHz, and stereo to 22 kHz. The newer type of .voc file supports both 8-bit and 16-bit audio. VOC files can contain information for looping and silence. If the file you’re loading contains loops and silence blocks, they’ll be expanded while loading.


Vocal Crossover

This frequency setting is used to filter out, or separate, the source waveform’s underlying base frequency (voice) from the vocal formants.

With higher values, more formants and less of the actual vocal tone from the source is used. As this value gets lower, more of the speaker’s voice characteristics get vocoded in. (This shouldn’t be confused with the speaker’s formant characteristics.)

Ideally, you want none of the source voice itself carried over, but all of the formant information, so the synthesizer “talks”.


Vocoder...

A vocoder is a special effect which takes two inputs, usually an instrument of some kind and a voice, and modulates one signal (the process signal, usually the instrument) with the input of the other (the control signal, usually the voice). Specifically, the amplitude of given frequencies in the process signal are made to fluctuate in response to the same amplitude changes in the control signal, allowing for the sound of one instrument to be “controlled” with the other. In the example above, the instrument (the process sound) could be made to “sing” by affecting it with the voice (the control sound).

Vocoder Dialog

Here’s how to initiate Cool Edit Pro’s Vocoder effect:

  1. Position the wave blocks so that the sections you want to process together are lined up.

  2. Make a selection that covers the part of both wave blocks you want to process.

  3. Ctrl+Left-click each wave block you wish to process to give them focus.

  4. Access the Vocoder from the Effects drop-down menu, the Effects toolbar, or the Effects section of the Organizer window.

The following are the major components of the Vocoder window:

Control Wave

Process Wave

Output To

FFT Size

Overlays

Interval Size

Window Width

Vocal Crosssover

Resynthesis Window

Affect Level

Amplification

Tip icon

For ease of use, try checking “Window Width” and set it to about 90%, use 3 or 4 overlays, a resynthesis window of 1 or 2, and FFT sizes from 2048 to 6400.

Path (Breadcrumbs) Multitrack View: Effects > Vocoder...


Vocoder

A Cool Edit Pro Multitrack Effect that will modulate one signal with another.


Volume 6

Volume

Move the volume sliders to adjust the sound level of the left and right channels of the audio in the clipboard before pasting. Or, you can type in a value (represented in percentage) in the fields to the right of the volume sliders.

Tip icon

Paste in single channels (either left or right) by adjusting the level of the opposite channel to zero.


Track Volume...

This command displays a small floating window which includes a slider for adjusting the track’s overall volume.

Track Volume Window

Track Volume Window

Dragging the slider’s scroll control upward raises the track’s volume, while moving the scroll control downward reduces the volume. You may also adjust the track’s volume by entering a decibel value in the box above the slider.

Note icon

Each track has a global volume setting, while each block within the track has an individual volume setting


Volume 4

Volume

Use this vertical slider to adjust the wave block’s amplitude. You can also directly specify a dB value in the text box above the slider.


Volume 5

Volume

Enter the desired volume of the metronome sounds in this text box. The default is -6dB.

A higher number (such as -3dB) makes the metronome sounds louder, while a lower number (like -10dB) decreases the metronome volume.


Adjust Wave Volume...

This command displays a small floating window which includes a slider for adjusting the block’s overall volume. Dragging the slider’s scroll control upward raises the block’s volume, while moving the scroll control downward reduces the volume. You may also adjust the block’s volume by entering a decibel value in the box above the slider.

Volume Control

Note icon

Each track has a global volume setting, while each block within the track has an individual volume setting.


Volume 2

Volume

Adjust the Volume slider or enter a decibel value in the box above to set an overall volume level for the waveform block.

Note icon

This volume setting is independent of the track’s overall volume. Track volume is set in the Track Info dialog.


Volume 3

Volume

Enter the desired volume of the metronome sounds in this text box. The default is -6dB. A higher number (such as -3dB) makes the metronome sounds louder, while a lower number (like -10dB) decreases the metronome volume.


Show Volume Envelopes

View Volume Envelopes button Show Volume Envelopes

Select this option to show the Volume Envelopes for each block in the Session Display. Volume envelopes appear as a green line that initially goes straight across the top of a block. The top of the block represents 100% (normal) application, while the bottom of the block represents full attenuation (silence).

A wave block with its Volume Envelope set to do a slow fade out starting about halfway into the block

A wave block with its Volume Envelope set to do a slow fade out starting about halfway into the block

Note icon | To change a volume envelope, there must be a checkmark next to “Enable Envelope Editing” (further down the View menu).
Note icon | Volume Envelopes are nondestructive, meaning they don’t affect the original audio file in any way. Therefore, if you return to the Edit View or go to another application and play a sound file that you’ve applied an envelope to, you won’t hear the envelope volume changes. The only time this envelope is applied is within Cool Edit Pro’s Multitrack View.
Note icon | Volume envelopes can also be applied to MIDI blocks and edited like they are on audio blocks. However, they are used to change the velocity at which the notes are played back. To help you understand, think of a piano: it plays loudly when you bang on the keys and softly when you lightly touch them. Many MIDI synthesizers are programmed to respond to velocity so that they sound more "expressive" when played, and the most common way is by changing the volume of a sound. However, some synthesizers are programmed so that velocity changes the pitch or the harmonic content of the sound instead; if you find that your MIDI files sound a little stranger than normal when using volume envelopes on your MIDI blocks, this may be why.

Path (Breadcrumbs) Multitrack View: View > Show Volume Envelopes


Volume Slider

This vertical slider adjusts the track’s volume, measured in dB. Dragging the slider up (or clicking on the arrow at the top of the slider) increases the track’s volume, while moving it downward (or clicking on the arrow underneath the slider) reduces the volume accordingly.

You may also specify the track’s volume by directly entering the desired dB value in the text box above the Volume Slider.


VOX

The Dialogic ADPCM format is commonly found in telephony applications, and has been optimized for low sample rate voice. It will only save mono 16-bit audio, and like other ADPCM formats, it compresses to 4-bits/sample (for a 4:1 ratio). This format has no header, so any file format with the extension .vox will be assumed to be in this format.


WAV

Files with the .wav extension typically are Microsoft Windows uncompressed PCM audio files. However, Cool Edit Pro also supports compressed variations of .wav files such as A-Law, mu-Law, ACM, DVI/IMA ADPCM, and Microsoft ADPCM.


Wave Block Properties... (Wave Block Only)

If a single wave block is highlighted, this command will appear on the Multitrack View’s Edit menu. It brings up the Wave Block Properties dialog, which displays information on the selected waveform block. You can use this dialog to change waveform block properties, such as position, panning, volume, and more.

Wave Block Properties Dialog

Wave Block Properties Dialog

Here are the components of the Wave Block Properties dialog:

Volume

Pan

Filename/Path

Time Offset

Hue

Mute

Lock in Time

Lock for Play Only

Note icon

After recording a waveform while locked to an external SMPTE clock, you may see a suggestion as to how the waveform should be resampled in this dialog. If the recorded waveform is drifting as time goes on, you can stretch the waveform by the suggested amount to bring everything into matching time again.

Path (Breadcrumbs) Multitrack View: Edit > Wave Block Properties… (Wave Block Only)


Wave Cache

Cool Edit Pro maintains its own data buffer, and reserves for it the amount of memory (measured in MB) specified in the Cache Size field. Recommended cache sizes are from 4096KB to 32768KB depending on amount of physical RAM in your PC.

Cache sizes greater than about 32768KB will tend not to increase speed notably for most processing, and sizes below about 2048KB will tend to slow processing down. You can adjust the size of this wave cache size based on the following table:

Amount of RAM | Wave Cache Size
64 MB | 8192
128 MB | 16384
256 MB | 32768
512 MB | 32768

Use System’s Cache

Check this box to let Windows handle all disk caching. Keep in mind that Cool Edit Pro usually handles caching better than Windows can. However, this option reserves the least amount of memory, so it may be desired for systems with low amounts of RAM.


Wave Display

The Wave Display is the part of Cool Edit Pro’s Edit View in which you view and manipulate audio data. By default this audio material is in the shape of a waveform, but it can be displayed as spectral data by choosing the View > Spectral View option.


Wave Display Right-Click Menu

Right-click in the Wave Display window to bring up a menu with several useful commands. Notice that most have keyboard shortcuts listed next to their name. You’ll find that using these shortcuts for frequently used commands will speed up the editing process considerably.

Wave Display Right-Click Menu

Wave Display Right-Click Menu

Note icon

By going to Options > Settings, you can change the behavior of your mouse’s right-click button in the Wave Display. By default, a Wave Display right-click brings up a menu. However, you can push the Extend Selection radio button in the Settings window’s General tab to have a right-click extend a selection in the Wave Display; this means you’ll then need to hold down the Ctrl key as you right-click to display the menu.

Select View

Select Entire Wave

Insert into Multitrack

Cut

Copy

Copy to New

Paste

Mix Paste

Trim

Silence

Add to Cue List

Wave Properties

More about...

Navigating the Edit View Screen


Wave Display/Session Display

The Wave Display window (in the Edit View) and the Session Display window (in the Multitrack View) are the heart and soul of Cool Edit Pro. These are the areas where you’ll see sound visualized in an easy-to-manipulate form, whether you’re modifying one waveform in Edit View or mixing dozens of discrete audio elements in the Multitrack View.

The Edit View’s Wave Display

The Edit View’s Wave Display

The Multitrack View’s Session Display

The Multitrack View’s Session Display

More details about the Wave Display and Session Display windows can be found in Navigating the Edit View Screen and Navigating the Multitrack View Screen.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Wave File

The term “wave file” usually refers to any audio file format which contains soundwave data. Windows users sometimes just think of a wave file as an audio file with the .wav extension, but a wave file could very well be an .au, .aif, or .mp3 file.


Wave from File...

This command activates Cool Edit Pro’s Open a Waveform dialog. It allows you to choose one or more supported wave files to be placed at the insertion point in the Session Display

Open a Waveform dialog

Open a Waveform Dialog

You can open several wave files at once by selecting them with the Shift key pressed (for contiguous selection) or Ctrl key pressed (for non-contiguous selection). Multiple waveforms are placed at the insertion point, each on its own track.

Note icon

More information on the Open a Waveform dialog can be found in the File Menu – Edit View dialog.

Path (Breadcrumbs) Multitrack View: Insert > Wave from File...


Wave Properties

Access this command to bring up a tabbed window that lets you embed text and graphics, specify certain parameters, and get information about the active waveform. The Wave Properties window is covered in detail in the View Menu – Edit View Menu Reference section.

Tip icon

The Ctrl+P keyboard shortcut quickly brings up the Wave Properties window.


Wave Properties...

Show Wave Properties button Wave Properties... Ctrl+P

Access this command to bring up a tabbed window that lets you embed text and graphics, specify certain parameters, and get information about the active waveform.

Note icon | Make sure the “Save extra non-audio information” box is saved in Cool Edit Pro’s “Save Waveform As” box in order for this additional data to be embedded in your waveforms.
Tip icon | Use the keyboard shortcut of Ctrl+P to quickly display the Wave Properties window.

Text Fields Tab

Loop Info Tab

EBU Extensions Tab

Sampler Tab

Misc Tab

Cart Tab

File Info Tab

Path (Breadcrumbs) View > Wave Properties...


Wave Tab

Devices

All of your system’s devices that are capable of playing waveforms are listed here.

Busses

A list of all Cool Edit Pro busses you’ve created is shown here.

New…

Click on this button to add a new bus to the Busses list. A properties dialog for the new bus appears. By default, busses are automatically named with a letter of the alphabet, but you can give a bus a “friendly name” by filling out the appropriate field in the Bus Properties dialog.

Path (Breadcrumbs) Multitrack View: View > Show Mixers Window


Waveform

The Waveform list displays the names of the currently open waveforms. Select the name of the file for which you’d like to remove Undo instances.

Press the Close File button to close the highlighted file if you no longer need it opened in Cool Edit Pro. This frees up hard drive space as well. (The waveform in the currently active editing window can’t be closed this way, however.)


Waveform 2

Waveform

The term Waveform is used to describe the visual representation of a signal (amplitude over time) displayed in Cool Edit Pro. Waveform can also be used to refer to the signal itself, as in “listen to the waveform”. In this case, the term usage is referencing sound waves, and is being used in an acoustical sense.


Waveform Block

A Waveform Block is any waveform entry in the Multitrack environment.

A Waveform Block may be an actual representation of a waveform, an Image (a pointer to another waveform block), a copy of another waveform, a spliced section of another waveform block, etc. Any edits made to a waveform block are non-destructive in nature.

You can right-click on a waveform block for a menu containing editing commands, or double click on it to "jump into" its source in the Edit View’s Wave Display.


Waveform Block 2

Waveform Block

Any waveform entry in the Multitrack environment. A Waveform Block may be an actual representation of a waveform, an Image (a pointer to another waveform block), a copy of another waveform, a spliced section of another waveform block, etc. Any edits made to a waveform block are non-destructive in nature. You can right-click on a waveform block for a menu containing editing commands, or double click on it to "jump into" its source in the Edit View.


Waveform Display

Show Cue and Range Lines

Check this box to display the cue marker and range lines in Waveform View; uncheck the box to hide them. Cue marker and range entries in the Cue List are shown with vertical dotted lines overlaying the audio, connecting the arrows from the top to the bottom of the display.

Show Grid Lines

Check this box to display the grid lines in Waveform View; uncheck the box to hide them. The grid lines mark off time on the horizontal x-axis and amplitude on the vertical y-axis.

Show Center Lines

Check this box to display the center lines in Waveform View; uncheck the box to hide them. The center lines represent zero amplitude of the waveform’s right and left channels.

Show Boundary Lines

Check this box to display the boundary lines in Waveform View; uncheck the box to hide them. Boundary lines are the horizontal lines that visually indicate where the waveform’s amplitude approaches or exceeds the clipping level. The value in the Display Boundary Lines at box specifies at which amplitude you’d like the boundary lines to appear


Waveform Display 2

Waveform Display

Displays the selected waveform, along with two envelopes when selected that show the coordinates of the mix direction.


Spacing

This determines the spacing at which to place each duplicated waveform block.

No gaps – continuous looping

Evenly Spaced

Tip icon | Setting the Display Time Format to Bars and Beats makes it easy to place a waveform (such as a drum hit) at every other beat in your song, for example. Because each instance (other than the original) is an Image, you can place the instance throughout the entire song and only consume the drive space of the original occurrence.
Tip icon | Find your loop points in Cool Edit Pro’s Edit View with Find Beats, Snapping, and Zero Crossings. Using these functions you can make a selection (highlight) that starts and ends on zero crossings, which make musical sense. After doing so, choose Edit > Insert in Multitrack and switch back to the to the Multitrack View. You can now select the loop’s waveform block and choose Loop Duplicate to create your loop.

Tutorial: You can use the Loop Duplicate function to create interesting time delay effects. Here’s how:

  1. Start by placing the source waveform into the Multitrack View.

  2. Once entered, hold down the Shift key and right-click on the waveform and drag it to make an Image. The Image should be placed onto a new track (such as below the existing track).

  3. Next, shift the Image in time, to the right of the original; small amounts to create phase shifts (small time offset), larger amounts to create delays (15-50 ms offsets) or echoes (50 ms or greater offsets).

  4. Repeat this any number of times, shifting each Image slightly more to the right. You can even create in tempo delays by changing the Display Time Format to Bars and Beats and use the Snapping function to Snap To Ruler locations, placing the delayed Images at every beat, for example:

    5. Try reducing the volume levels slightly for each Image, to soften the echoes (also, the combined waveforms will increase the track's overall level in the mix and could cause clipping). You can also create both Pan and Volume envelopes for each Image for truly dynamic delay effects that change over time. The great thing is this is all completely non-destructive!


Waveform Tab

This list contains all of Cool Edit Pro’s waveform elements which can be given custom colors. Choose an item from the list and press the Change Color… button to bring up a dialog for adjusting the element’s color. After the new selection has been made, the example to the right will change to reflect the newly chosen color.

Selection

The controls in this section are used to adjust the appearance of the selected (highlighted) portions of waveforms and blocks. The example to the right dynamically changes as you make modifications.

Transparency

Use this slider to adjust the transparent value (measured in percentage) of a selection; 0 is no transparency, while 100 is maximum transparency. You may also directly enter a percentage in the box to the right of the slider.

Invert

Check this box to have the selection colors be the inverse of the non-selected colors. The Transparency controls are disabled.


Waveform View Menu Item

Toggle between Spectral and Waveform View button Waveform View

Cool Edit Pro offers two ways to visualize waveform data. Waveform View is the default. Data is shown as vertical spikes that represent relative volume, while time is visualized horizontally.

Path (Breadcrumbs) Edit View: View > Waveform View


Waveform View/Spectral View

The Wave Display offers two ways to represent audio data: Waveform View and Spectral View. Switch between the two methods using Cool Edit Pro’s View menu.

Waveform View – which is Cool Edit Pro’s default – displays audio data drawn as a series of positive and negative peaks. Spikes in the x-axis (vertical) indicate increased amplitude, and the y-axis (horizontal) represents time.

A 15 second stereo .wav file displayed using Waveform View

A 15 second stereo .wav file displayed using Waveform View

Spectral View displays a waveform by its frequency components, where the x-axis is frequency, and the y-axis is time. This allows you to analyze your audio data to see which frequencies are most prevalent. The greater a signal’s amplitude component within a specific frequency range, the brighter the displayed color will be. Colors range from dark blue (which means that next to no amplitude components exist in this frequency range) to bright yellow (meaning that frequencies in this range are high in amplitude).

The same 15 second stereo .wav file displayed using Spectral View

The same 15 second stereo .wav file displayed using Spectral View

More about...

Navigating the Edit View Screen


Wet

Used to describe an audio signal that has had signal processing (such as reverb) applied; the opposite of “Dry”.


Wet/Dry Fields

If a track’s output is set to a Bus, the Wet/Dry Fields are enabled and display the bus’ wet and dry percentages. Change the field’s percentages by left-clicking on it and sliding your mouse horizontally or vertically.

Track Controls set to the Bus Tab

Track Controls set to the Bus Tab

Note icon

The Wet/Dry Fields only appear in the Bus area.


Wet/Dry Fields 2

Wet/Dry Fields

These fields show the percentage of bus effects that are active on this track. A Wet value of 100 means that 100% of the effect has been added and none of the original audio remains. A Dry Value of 100 means that just the original audio (with no effects) can be heard.

To change the Wet or Dry values, select the desired field, hold down your left-mouse button, and drag. Dragging to the right increases the value, while dragging to the left reduces it.


Wet Out

This setting determines how much of the processed signal is mixed into the final output. Generally, this value should be set lower whenever more voices are used. For example, with a Thickness setting of 3, a setting of 40% would be appropriate, but with Thickness at 10, 20% might be better. The best value will vary depending on the number of voices, and the desired stereo image field settings.


What are Cues?

Cues are time offsets or locations defined within a waveform. They may be thought of as virtual markers.

Cool Edit Pro has four types of Cues. Each type can be a point or a range.

  • A point refers to an exact cursor position within a waveform (for example, 1:08.566 from the start of the wave).

  • A range has a both a start time and an end time (for example, all of the waveform from 1:08.566 to 3:07.379). If a Cue is a range, you can drag its beginning and end points to different times.

The upper part of the Wave Display showing the Cursor Handle and three Cue Handles

The upper part of the Wave Display showing the Cursor Handle and three Cue Handles


Cool Edit Pro's Two Main Views

Cool Edit Pro offers two major workspaces: Edit View and Multitrack View.

While in Edit View, Cool Edit Pro can be thought of as being a single-waveform editor that can be used to record, edit, and process mono and stereo waveforms. Audio files can be saved to disk (including CDs), or played back through any sound card that has been installed within your computer.

Edit View with Organizer Window Active

Edit View with Organizer Window Active

On the other hand, Multitrack View is where Cool Edit Pro allows you to record, play, and mix multiple tracks of audio in a virtual 128-track recording studio. Real-time effects can be applied, relative track volume and stereo placement may be adjusted, and audio can be played back through single or multiple sound cards.

Multitrack View with Organizer Window Active

Multitrack View with Organizer Window Active

More about...

Getting To Know Cool Edit Pro and its Main Screens


What’s A Real-Time Effect?

Cool Edit Pro offers three types of effects: Real-Time, Off-Line, and Multitrack.

Real-Time Effects have parameters that may be adjusted while listening to the results as part of the mix in the Multitrack View. Since they’re non-destructive, they don’t actually change the physical sound files in the tracks they’re applied to. In addition, Real-Time Effects may be used like Off-Line Effects in Cool Edit Pro’s Edit View.

Real-Time Effects include…

Amplitude: Channel Mixer, Dynamics Processing, Hard Limiting, Pan/Expand, and Stereo Field Rotate

Delay Effects: Chorus, Delay, Dynamic Delay, Echo, Echo Chamber, Flanger, Full Reverb, Multitap Delay, Reverb, and Sweeper Phaser

Filters: Dynamic EQ, Graphic Equalizer, Graphic Phase Shifter, Notch Filter, and Parametric Equalizer

Special: Convolution and Distortion

Time/Pitch: Stretch

Off-Line Effects can be used on waveforms that are part of a Multitrack Session, but not in real-time. You’ll need to switch to Edit View before you can apply them. Off-Line Effects are destructive, which means they always physically change the waveform they’re applied to. (Don't worry – if Undo is active, you can easily reverse the “destruction”.)

Off-Line Effects include…

Amplitude: Amplify, Envelope, and Normalize

Generate: DTMF Signals, Insert Audio From CD, Noise, and Tones

Filters: FFT Filter, Quick Filter, and Scientific Filters

Noise Reduction: Clip/Pop Eliminator, Clip Restoration, Hiss Reduction, and Noise Reduction

Special: Brainwave Synchronization

Analyze: Statistics

Time/Pitch: Doppler Shifter and Pitch Bender

Multitrack Effects may only be used in the Multitrack View. They include Envelope Follower, Frequency Band Splitter, and Vocoder.


What's a session

A Cool Edit Pro “session” uses session (*.ses) files and their specific structure to save all of the information that relates to a current multitrack project. This information includes audio file placement, mix/pan parameters, mute/solo settings, and more. All of your multitrack masterpieces are saved to and recalled from disk as a session file. Only one session can be active at a time.

Note icon

Keep in mind that your session files save just the information that relates to a current multitrack project. Session files don’t contain their associated waveforms. It’s important to keep your waveforms intact and within their original folder.


White Noise

White noise has a spectral frequency of 1. In other words, equal proportions of all frequencies are present. Because the human ear is more susceptible to high frequencies, white noise sounds very “hissy”. Cool Edit Pro generates white noise by choosing random values for each sample.


Width

The Q or Width value (depending on the Constant Q/Width setting below) controls the width of the affected frequency band. With lower Q values (or greater Width values), a larger range of frequencies will be affected.

If a Q value is very high (above 100), only a very narrow band will be affected, which is ideal for notch filters where only a particular frequency needs to be removed, like a 60-cycle hum. You should be aware that whenever a very narrow band is boosted, it will tend to “ring” or resonate at the audio at that frequency. Q values of 1 to 10 are used most often for general equalization.


Window Recording Mixer

Windows Recording Mixer…

Select this command to display the Record Control part of the Windows Mixer (a.k.a. Volume Control) so that you adjust sound card recording levels.

Path (Breadcrumbs) Options > Windows Recording Mixer...


Window Width 2

Window Width

Cool Edit Pro measures the RMS over a window (measured in milliseconds) of this size when calculating the RMS minimum and maximum values.


Window Width

As an alternative to setting the Interval Size, you can simply choose a percentage to use for Window Width in specifying the interval used per FFT taken.

Tip icon

A value of 90% will generally produce good results.


Windowing Function

The windowing function determines the amount of transition width and ripple cancellation that occurs during filtering, with each one resulting in a different frequency response curve. These functions are listed in order from smallest width and greatest ripples to widest width and least ripples.

The filters with the least ripples are also those that more precisely follow the drawn graph, and have the steepest slopes, even though they are wider, and pass more frequencies in a band-pass operation. The Hamming and Blackman filters give excellent overall results. Try different windowing functions if you these don’t give you the effect you want.


Windows PCM (.WAV) [Standard Format]

The Microsoft Windows WAV format supports both mono and stereo files at a variety of resolutions and sample rates. It follows the RIFF (Resource Information File Format) specification, and allows for extra user information to be embedded and saved with the wave file. WAV files contain PCM coded audio – which is pure, uncompressed Pulse Code Modulation formatted data.

Options...

These formatting options are available only to 32-bit files; they’ll be disabled (“grayed-out”) at other times:

32-bit 24.0 float (type 1 – 24-bit)

32-bit 16.8 float (type 1 – 32-bit)

32-bit 0.24 normalized float (type 3 – 32-bit)

24-bit pack int (type 1 – 24-bit)

24-bit packed int (type 1 – 20-bit)

32-bit int (type 1 – 32-bit)

Enable Dithering

Note icon

Windows PCM is the best format to use in most cases. Windows PCM is the Windows standard format, and almost all applications can use it. It is uncompressed, so the full quality of your audio will be preserved. Also, when burning audio CD's, you will want to use this format (specifically, a Windows PCM wave file that is 16-bit, stereo, and has a sample-rate of 44.1 kHz).


Windows WAV

The Microsoft Windows WAV format supports both mono and stereo files at a variety of resolutions and sample rates. It follows the RIFF (Resource Information File Format) specification, and allows for extra user information to be embedded and saved with the wave file. WAV files contain PCM coded audio – which is pure, uncompressed Pulse Code Modulation formatted data.


Windows Media Audio (.WMA)

The WMA format utilizes a perceptual compression scheme and allows you to select from several different quality settings, including Constant Bit Rate (CBR), Variable Bit Rate (VBR) and Lossless. Just as with stereo WMA files, the higher quality setting you select, the larger the file size, and vice-versa. The Lossless option will compress to a smaller file size than wav, but results in no fidelity loss whatsoever. To encode your project as WMA, select the WMA option and then the desired quality setting in the Format Options drop-down menu.


Write as RAW Data

Check this box to save the waveform as RAW data.


Write CRC Checksums

If this box is checked, CRC Checksums will be added to the audio stream so that content can be verified for any errors in the stream when decoded.


Year

The year (up to 4 digits) the song was recorded or released goes here.


Zero Crossings

Adjust Selection To or Find Zero Crossing button Zero Crossings

This command adjusts the starting and ending points of the current selection to the nearest place where the waveform crosses the center line (zero amplitude point).

Having a selection start and end on a Zero Crossing is useful in deleting or inserting a selection in the middle of a waveform. If you don’t line up the amplitudes (at zero, in this case) on both sides of the selection, the end points drawn together when the highlighted selection is removed are at different amplitudes, which often results in an audible pop or click.

Tip icon

You might want to use this feature when you wish to delete a portion of a waveform, or insert a portion from the middle of the waveform.

To use Zero Crossings:

  1. Select the portion you want to delete (or position the cursor where you want to insert).

  2. Choose Edit > Zero Crossings and the appropriate submenu entry:

    • Adjust Selection Inward: Adjusts both region boundaries inward to the next available zero crossing

    • Adjust Selection Outward: Adjusts both region boundaries outward to the next available zero crossing

    • Adjust Left Side to Left: Adjusts the left region boundary leftward to the next available zero crossing

    • Adjust Left Side to Right: Adjusts the left region boundary rightward to the next available zero crossing

    • Adjust Right Side to Left: Adjusts the right region boundary leftward to the next available zero crossing

    • Adjust Right Side to Right: Adjusts the right region boundary rightward to the next available zero crossing

Path (Bread crumbs) Edit View: Edit > Zero Crossings

More about...

Capturing a Loop


Auto Zero Cross Edits

Check the Auto Zero-Cross Edits box to have Cool Edit Pro automatically adjust the beginning and end points of all Cut, Copy, and Paste-type edits to the nearest place where the waveform crosses the center line (zero amplitude point).

If the amplitudes aren’t lined up on both sides of the selection, the endpoints are at different amplitudes. This often results in an audible pop or click at that point.


Zero Crossing

A place in time where the wave crosses the zero amplitude line. By placing edit points at zero-crossing points, it’s much less likely that the edit will create a pop or click after the edit since there won’t be a sudden jump in amplitude after the edit.


Zero Ends

If you’re pitch bending the middle of a selection, it’s good to have the endpoints be at the same rate as the surrounding audio. Pressing this button will set the endpoints to no pitch shift.


Zoom Buttons

Cool Edit Pro’s Zoom Buttons allow you to zoom in or out of the Wave Display or Session Display. You can zoom in down to the point where the sample of each waveform can be clearly seen, or zoom out to get a complete visual overview of the entire waveform or session.

Zoom Buttons

The Zoom Buttons window is a dockable window, allowing you to reposition it at one of several places in the Cool Edit Pro interface. Or, you can even detach the Zoom Buttons window and have it float above Cool Edit Pro’s main window.

To close the Zoom Buttons window when it’s floating, click on the “X” button in its title bar. To get rid of the Zoom Button window when it’s docked, right-click on its grab bar and select “Hide” from the pop-up menu. Or, you can simply uncheck the “Show Zoom Buttons” item on the Edit menu to close it in either docking or floating mode.

The following items are included within Cool Edit Pro’s Zoom Buttons:

Zoom in to Center

Click this button to zoom in on the center of the visible waveform window or session.

Zoom Out

Click this button to zoom out from the center of the visible waveform window or session.

Zoom Out Full

Click this button to zoom out to display the entire waveform or blocks that are contained within a session.

Zoom to Selection

Click this button to zoom in on the actively selected waveform or session range.

Zoom to Left Selection

Click this button to zoom in on the left-hand boundary of the actively selected waveform range or session.

Zoom to Right Selection

Click this button to zoom in on the right-hand boundary of the actively selected waveform range or session.

Vertical Zoom Out

  • In Edit View, clicking this button decreases the vertical scale resolution of a waveform’s amplitude display.

  • In Multitrack View, clicking this button shows more tracks.

Vertical Zoom In

  • In Edit View, clicking this button increases the vertical scale resolution of a waveform’s amplitude display.

  • In Multitrack View, clicking this button decreases the number of viewed tracks in the Session Display.

More about...

Getting To Know Cool Edit Pro and its Main Screens


Zoom In/Zoom out (MIDI Block Only)

If a single MIDI block is highlighted, this command appears on the Edit menu.

There are 127 note values that a MIDI note can be assigned to. By default, Cool Edit Pro figures out which is the highest note in a MIDI block and which is the lowest and zooms in the note display in the block so that the highest note is at the top and the lowest is at the bottom. If you select Zoom Out, all the values are displayed on scale with the 127 note values, which gives you lots of extra space in the block.

Path (Breadcrumbs) Multitrack View: Edit > Zoom In/Zoom out (MIDI Block Only)


Zoom in/out (MIDI Block Only)

There are 127 note values that a MIDI note can be assigned to. By default, Cool Edit Pro figures out which is the highest note in a MIDI block and which is the lowest and zooms in the note display in the block so that the highest note is at the top and the lowest is at the bottom. If you select Zoom Out, all the values are displayed on scale with the 127 note values, which gives you lots of extra space in the block.


Zooming (Amplitude Ruler)

To zoom in on the Frequency Analysis window’s y-axis (vertical) ruler – the one that measures the amplitude of a frequency – place your mouse pointer over the ruler. Then, right-click and drag to select the area you wish to zoom in on. (You’ll notice that your pointer turns into a magnifying glass.) Release the right-click button and the zoom-in occurs.

To navigate a zoomed-in frequency amplitude display, put your mouse pointer over the vertical ruler; the pointer then changes into a hand. Left-click and drag the hand horizontally to scroll the current zoom range up and down.

To zoom out, place your mouse cursor over the vertical ruler and right-click. A menu pops up with two options.

  • Select Zoom Out to get back to the previous view displayed before performing the last zoom-in.

  • Choose Zoom Out Full to display the entire vertical ruler in the Frequency Analysis window.


Zooming (Frequency Ruler)

To zoom in on the Frequency Analysis window’s x-axis (horizontal) ruler – the one that measures frequency – place your mouse pointer over the ruler. Then, right-click and drag to select the area you wish to zoom in on. (You’ll notice that your pointer turns into a magnifying glass.) Release the right-click button and the zoom-in occurs.

To navigate a zoomed-in frequency display, put your mouse pointer over the horizontal ruler – the pointer then changes into a hand. Left-click and drag the hand horizontally to scroll the current zoom range forward and backwards.

To zoom out, place your mouse cursor over the horizontal ruler and right-click. A menu pops up with two options.

  • Select Zoom Out to get back to the previous view displayed before performing the last zoom-in.

  • Choose Zoom Out Full to display the entire horizontal waveform or selection in the Frequency Analysis window.


Copy 2

Copy

Enter the copy for the production here. You can type in the copy directly, or use Ctrl+V to paste in text from a Windows-based program such as a word processor or text editor via the Windows clipboard.


Merging

Delete old takes after merging

Check this box to have Cool Edit Pro automatically delete any unused takes created during a Punch-In when you select a take to go with. If this setting is off, unused takes remain available to the Session (in the Insert menu) and occupy hard drive space.

Crossfade Time

This is the amount of time (measured in milliseconds) over which crossfading occurs when a take created using Punch-In is merged back into the surrounding waveform.


Previously Corrected/Rejected

After repairing a click, re-enter the Click/Pop/Crackle Eliminator window to see the number of previously corrected clicks in the lower right hand corner of the dialog. This area will also show the number of rejected clicks that would have been corrected if the Second Level Verification box was not enabled.